Welcome to SQL Manager for MySQL!

EMS SQL Manager for MySQL is a powerful tool for MySQL® database server administration and development. SQL Manager for MySQL works with any MySQL versions from 4.1 to 9 and supports all of the latest MySQL features including views, stored procedures and functions, InnoDB foreign keys, events and so on. It offers plenty of powerful tools for experienced users to satisfy all their needs. SQL Manager has a new state-of-the-art graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

Visit our web-site for details: https://www.sqlmanager.net/

Key features

  • Support of MySQL up to 9, MariaDB from 5.1 and higher
  • Full support of Unicode
  • Rapid database management and navigation
  • Easy management of all MySQL objects
  • Advanced data manipulation tools
  • Effective security management
  • Excellent visual and text tools for query building
  • Impressive data export and import capabilities
  • Visual Database Designer to handle database structure in a few clicks
  • Easy-to-use wizards performing MySQL services
  • Powerful tools to make your work with MySQL as easy as it can be
  • Report designer with clear in use report construction wizard
  • User friendly graphical interface

Product information

Homepage | https://www.sqlmanager.net/products/mysql/manager
Support Ticket System | https://www.sqlmanager.net/support
Register online | https://www.sqlmanager.net/products/mysql/manager/buy


What's new

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Version | Release date
SQL Manager for MySQL 5.9.3 | March 26, 2025

What's new in SQL Manager for MySQL?

  • The 64-bit version of the app released.
  • Support for Windows 11 ARM added.
  • Scaling for autocompletion list fixed.
  • Improved processing of autocompletion list for functions on debugging.
  • The size of the Autocompletion code popup window is saved now.
  • The error occurred on debugging functions with variables and synonyms with the same name. Fixed now.
  • Fixes for Foreign keys in table reports.
  • Improvements for work with MySQL 9.
  • Other fixes and improvements.

See also:

Version history


System requirements

System requirements for SQL Manager for MySQL

  • Microsoft Windows XP, Microsoft Windows Server 2003, Microsoft Windows Server 2008, Microsoft Windows Server 2008 R2, Microsoft Windows Server 2012, Microsoft Windows Server 2012 R2, Microsoft Windows Server 2016, Microsoft Windows Vista, Microsoft Windows 7, Microsoft Windows 8/8.1, Microsoft Windows 10, Microsoft Windows 11, Windows 11 ARM
  • 512 MB RAM or more; 1024 MB or more recommended
  • 200 MB of available HD space for program installation
  • Possibility to connect to any local or remote MySQL server
  • Supported MySQL server versions: from 4.1 up to 9, MariaDB from 5.1 and higher
  • Microsoft Visual C++ Redistributable 2015-2022


Feature matrix

The FREE Lite version of SQL Manager for MySQL does not include all features of the Full version and has some limitations concerning the number of the databases that can be registered and the set of data manipulation and server maintenance tools. The detailed feature matrix is given below.

Note that when using the FREE Lite version of SQL Manager for MySQL you can activate a 30-day period of fully-functional usage. After the period expires, you will be able to continue using the Lite version.

For more information on activating the Full version features see Full Mode activation.

 | Full version | Lite version
Support of MySQL, MariaDB, Percona Server for MySQL, Amazon RDS for MySQL/MariaDB, Amazon Aurora
Support of all MySQL objects (Tables, Views, UDFs, Stored Procedures and Functions, Triggers and Events) | + | +
Support of all MySQL features and extensions | + | +
Support of UTF8 data | + | +
New state-of-the-art graphical user interface
Office 11 and Windows XP visual schemes support | + | +
Well-described Wizard System | + | +
Improved database explorer for easy managing of all MySQL objects | + | +
Windows Toolbar to switch between windows easily, like in Windows Task Bar | + | +
Navigation bars with hot actions in most of the windows | + | +
Ability to save all program settings | + | +
Customizable toolbars for all program windows | + | +
Fully customizable program interface | + | +
Powerful visual options module | + | +
Localizable program interface | + | +
Rapid database management and navigation
Multiple host/database connections | + | Up to 5
Connection to MySQL Server through HTTP | + | +
Connection to MySQL Server through SSH | + | -
Connection to MySQL Server using SSL | + | +
Registering selected databases to work with | + | +
Projects to work with the selected database objects only | + | +
Multiple user-defined tabs for any tree node to access it in one-click | + | +
Working with multiple selected objects at a time | + | +
Grouping/Ungrouping registered databases by host name | + | +
Easy management of all MySQL objects
Ability to create/drop databases | + | +
Duplicating all database objects | + | +
Managing tables and all their subobjects: fields, indices, foreign keys and triggers | + | +
Managing views, stored functions and procedures, user-defined functions (UDF), scheduled events | + | +
Debugging of procedures, functions, triggers and events | + | -
Renaming all database objects | + | +
Viewing dependencies between database objects | + | +
Advanced data manipulation tools
Powerful BLOB viewer/editor with several types of viewing BLOB data | + | -
Master-detail view to work with two linked tables at the same time | + | -
Table and card views to see data the way you like | + | -
Ability to copy and paste selected records | + | -
Exporting data to SQL script as INSERT statement | + | -
Support of queries returning Multiple Result sets | + | +
View, edit, search, group, sort, filter any data stored in registered database | + | +
Effective security management
Powerful user manager for administering users and privileges | + | +
Grant manager displaying all database object grants in the form of a grid | + | +
Excellent visual and text tools for query building
Visual query builder allowing you to build complicated queries without any knowledge of SQL syntax | + | -
Multiple SQL editors with code completion and syntax highlight | + | +
Large script executing (SQL script editor) | + | +
SQL Formatter (Available from SQL Editor context menu) | + | -
Favorite Queries (Save and use your frequently used queries easily) | + | +
Report designer with clear in use report construction wizard
Managing reports the same way as if they were database objects: accessing reports directly through DB Explorer tree | + | -
Create Report Wizard allows you to create simple reports in a few clicks | + | -
Impressive data export and import capabilities
Copying metadata and data from one database to another as a whole or partially | + | -
Exporting data to most popular formats: MS Excel, MS Word, MS Access, HTML, PDF, TXT, CSV, DBF, XML, ODF etc | + | -
Importing data from MS Excel, MS Access, DBF, XML, ODF, TXT and CSV | + | -
Wizards for copying data from/to file on server | + | -
Export as PHP page Wizard | + | -
Powerful Visual Database Designer
Two diagram notations (IDEF1x and IE) | + | -
Useful diagram navigation tool | + | -
Reverse engineering | + | -
Several pages in one diagram to divide diagram into different subject areas | + | -
Ability to create/edit/drop database objects, visually set links between them | + | -
Virtual objects such as comments and virtual relationship | + | -
Saving as image or printing database diagram | + | -
A lot of visual customization options | + | -
Easy-to-use wizards performing MySQL services
Dumping database | + | +
Restoring database | + | +
Backing up tables | + | -
Restoring tables | + | -
Analyzing tables | + | -
Checking tables | + | -
Repairing tables | + | -
Optimizing tables | + | -
Changing tables’ engine | + | -
Other useful tools to make your work with MySQL server as easy as it can be
Extracting metadata into text files or SQL script editor | + | +
Powerful print metadata module for creating customizable metadata reports | + | -
HTML report generator to create a detailed HTML report about your database quickly | + | -
SQL Monitor | + | +
Server Properties tool to view and change system variables, to view server status information | + | -
Comparison and synchronization of database structure | + | -
...and other useful features
Keyboard templates | + | +
To-do list | + | +
External tool manager | + | +


Installation

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Installation of SQL Manager for MySQL

If you are installing SQL Manager for MySQL for the first time on your PC

  • download the SQL Manager for MySQL distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • run MyManagerFullSetup.exe (Full version) or MyManagerLiteSetup.exe (Lite version) from the local directory and follow the instructions of the installation wizard;
  • after the installation process is complete, find the SQL Manager shortcut in the corresponding group of Windows Start menu.

If you want to upgrade an installed copy of SQL Manager for MySQL to the latest version

  • download the SQL Manager for MySQL distribution package from the download page available at our site;
  • unzip the downloaded file to any local directory, e.g. C:\unzipped;
  • close SQL Manager application if it is running;
  • run MyManagerFullSetup.exe (Full version) or MyManagerLiteSetup.exe (Lite version) from the local directory and follow the instructions of the installation wizard.

See also:

SQL Manager FAQ


Registration

All purchases are provided by PayPro Global registration service. The PayPro Global order process is protected via a secure connection and makes on-line ordering by credit/debit card quick and safe.

PayPro Global is a global e-commerce provider for software and shareware sales via the Internet. It accepts payments in US Dollars, Euros, Pounds Sterling, Japanese Yen, Australian Dollars, Canadian Dollars or Swiss Franks by Credit Card (Visa, MasterCard/EuroCard, American Express, Diners Club), Bank/Wire Transfer.

If you want to review your order information, or you have questions about ordering or payments please visit our PayPro Global Shopper Support, provided by PayPro Global.

Please note that all of our products are delivered via ESD (Electronic Software Delivery) only. After purchase you will be able to immediately download the registration keys. Also you will receive a copy of registration keys by email. Please make sure to enter a valid email address in your order. If you have not received the keys within 2 hours, please, contact us at sales@sqlmanager.net.

Product distribution | PayPro Global
EMS SQL Manager for MySQL (Business license) + 1-Year Maintenance* | Register Now!
EMS SQL Manager for MySQL (Business license) + 2-Year Maintenance*
EMS SQL Manager for MySQL (Business license) + 3-Year Maintenance*
EMS SQL Manager for MySQL (Non-commercial license) + 1-Year Maintenance*
EMS SQL Manager for MySQL (Non-commercial license) + 2-Year Maintenance*
EMS SQL Manager for MySQL (Non-commercial license) + 3-Year Maintenance*
EMS SQL Manager for MySQL (Trial version) | Download Now!
EMS SQL Manager for MySQL Freeware | Download Now!

*EMS Maintenance Program provides the following benefits:

  • Free software bug fixes, enhancements, updates and upgrades during the maintenance period
  • Free unlimited communications with technical staff for the purpose of reporting Software failures
  • Free reasonable number of communications for the purpose of consultation on operational aspects of the software

After your maintenance expires you will not be able to update your software or get technical support. To protect your investments and have your software up-to-date, you need to renew your maintenance.

You can easily reinitiate/renew your maintenance with our on-line, speed-through Maintenance Reinstatement/Renewal Interface. After reinitiating/renewal you will receive a confirmation e-mail with all the necessary information.

See also:

How to register SQL Manager


How to register SQL Manager

If you have not registered your copy of SQL Manager for MySQL yet, you can do it by pressing the Register Now button and entering your registration information in the Register SQL Manager for MySQL dialog.

Welcome to SQL Manager - About

To register your newly purchased copy of EMS SQL Manager for MySQL, perform the following steps:

  • receive the notification letter from Digital River with the registration info;
  • enter the Registration Name and the Registration Key from this letter;
  • make sure that the registration process has been completed successfully – check the registration information in the About SQL Manager for MySQL dialog (use the Help | About menu item to open this dialog).

Welcome to SQL Manager - Register product

See also:

Registration


Version history

Product name | Version | Release date
SQL Manager for MySQL | Version 5.9.2 | March 11, 2024
SQL Manager for MySQL | Version 5.9.1 | August 9, 2022
SQL Manager for MySQL | Version 5.9 | October 20, 2021
SQL Manager for MySQL | Version 5.8 | December 17, 2019
SQL Manager for MySQL | Version 5.7.2 | December 21, 2018
SQL Manager for MySQL | Version 5.7.1 | July 10, 2018
SQL Manager for MySQL | Version 5.7.0 | February 18, 2018
SQL Manager for MySQL | Version 5.6.4 | August 21, 2017
SQL Manager for MySQL | Version 5.6.3 | December 21, 2016
SQL Manager for MySQL | Version 5.6.2 | October 26, 2016
SQL Manager for MySQL | Version 5.6.1 | August 16, 2016
SQL Manager for MySQL | Version 5.6 | June 2, 2016
SQL Manager for MySQL | Version 5.5.3 | September 2, 2016
SQL Manager for MySQL | Version 5.5.2 | June 26, 2015
SQL Manager for MySQL | Version 5.5.1 | April 6, 2015
SQL Manager for MySQL | Version 5.5 | February 9, 2015
SQL Manager for MySQL | Version 5.4 | September 23, 2013
SQL Manager for MySQL | Version 5.3.0.1 | April 27, 2012
SQL Manager for MySQL | Version 5.2.0.1 | January 19, 2012
SQL Manager for MySQL | Version 5.1.0.1 | August 03, 2011
SQL Manager 2011 for MySQL | Version 5.0.0.1 | June 14, 2011
SQL Manager 2010 for MySQL | Version 4.6.0.1 | August 23, 2010
SQL Manager 2010 for MySQL | Version 4.5.0.1 | June 19, 2009
SQL Manager 2007 for MySQL | Version 4.4.0.1 | August 22, 2008
SQL Manager 2007 for MySQL | Version 4.3.0.1 | February 26, 2008
SQL Manager 2007 for MySQL | Version 4.2.0.1 | November 1, 2007
SQL Manager 2007 for MySQL | Version 4.1.0.1 | June 4, 2007
SQL Manager 2007 for MySQL | Version 4.0.0.1 | April 19, 2007
SQL Manager 2005 for MySQL | Version 3.7.0.1 | June 20, 2006
SQL Manager 2005 for MySQL | Version 3.6.5.1 | March 28, 2006
SQL Manager 2005 for MySQL | Version 3.6.0.1 | February 2,2006
SQL Manager 2005 for MySQL | Version 3.5.0.1 | October 26, 2005
MySQL Manager | Version 3.4.0.1 | August 17, 2005
MySQL Manager | Version 3.3.0.1 | June 29, 2005
MySQL Manager | Version 3.2.0.1 | April 13, 2005
MySQL Manager | Version 3.1.0.1 | February 15, 2005
MySQL Manager | Version 3.0.0.1 | February 1, 2005
MySQL Manager | Version 1.4.0.1 (Linux) | November 29, 2004
MySQL Manager | Version 2.8.0.1 | July 21, 2004
MySQL Manager | Version 2.7.0.1 | April 12, 2004
MySQL Manager | Version 2.6.0.1 | August 28, 2003
MySQL Manager | Version 2.5.0.1 | June 25, 2003
MySQL Manager | Version 1.3.0.1 (Linux) | June 4, 2003
MySQL Manager | Version 2.4.0.1 | May 21, 2003
MySQL Manager | Version 1.2.0.1 (Linux) | April 30, 2003
MySQL Manager | Version 2.3.0.1 | April 23, 2003
MySQL Manager | Version 2.2.0.1 | March 18, 2003
MySQL Manager | Version 1.1.5.1 (Linux) | March 17, 2003
MySQL Manager | Version 2.1.0.1 | February 24, 2003
MySQL Manager | Version 1.1.0.1 (Linux) | February 24, 2003
MySQL Manager | Version 2.0.0.1 | February 5, 2003
MySQL Manager | Version 1.0.0.1 (Linux) | February 5, 2003
MySQL Manager | Version 1.9.0.1 | September 11, 2002
MySQL Manager | Version 1.8.0.1 | July 11, 2002
MySQL Manager | Version 1.7.0.1 | April 12, 2002
MySQL Manager | Version 1.6.0.1 | February 15, 2002
MySQL Manager | Version 1.5.0.1 | January 31, 2002
MySQL Manager | Version 1.2.0.1 | November 14, 2001
MySQL Manager | Version 1.0.0.1 | October 15, 2001
MySQL Manager | First public release | September 5, 2001

Version 5.9.2

1. Support of expressions as column defaults for MySQL server added.

2. Implemented support of PuTTY private keys in PPK3 format.

3. Improvements for PHP 8.x in the emsproxy.php file.

4. The error for CASE operator in Query Builder fixed.

5. The error occurred in the debugging functions with the same names for variables and columns. Fixed now.

6. The pathes to triggers have been fixed in HTML report.

7. In some cases the error occurred in SQL with ANSI_QUOTES server option on.

8. The DEFINER fixed in DDL for version 8.1.

9. The debugging of functions with multiple varailables has been improved.

10. The Database designer settings are now saved correctly.

11. Other improvements and fixes.

Version 5.9.1

1. JSON tab has been added to BLOB editor.

2. The error occured on importing DBF data with columns skipped. Fixed now.

3. Dimension and default values are now set correctly for table columns.

4. The error occured in specific configuratons on connecting to server with SSL disabled. Fixed now.

5. Users differed by 'host_name' only were not displayed correctly in a list. Fixed now.

6. Improved display of table DDL with composite key.

7. Autodefinition of file encoding fixed in SQL Script.

8. Displaying of names and types in parameters input dilog has been fixed.

9. Displaying of function body with one statements fixed.

10. Other minor improvements and bugfixes.

Version 5.9

1. New SSL modes added: Preferred, Required, Verify CA, Verify Identity.

2. Support for ECDSA, Ed25519 Putty private keys implemented.

3. Added Keyboard-interactive authentication method for SSH.

4. Size limit removed for databases in Free version.

5. Grants and limits for users are set correctly now.

6. The process rarely remained in the process list for a long time after program close. Fixed now.

7. The error occured on editing tables with long names. Fixed now.

8. The Out of memory error ocurred on retrieving table data in some cases. Fixed now.

9. Charset was not applied correctly for procedures. Fixed now.

10. Deafult values are now processed correctly.

11. The errors occured on editing partitioned tables in some cases. Fixed now.

12. Events are now refreshed even with event scheduler disabled on the server.

13. Many other fixes and improvements.

Version 5.8

  1. Editor tabs can be now highlighted with the specific DB color.
  2. Support for server aliases implemented.
  3. Updated SSH library with ECDSA and Ed25519 support.
  4. Added syntax support for WITH queries.
  5. Dependent objects are now displayed correctly in editors.
  6. Grant manager. Revoke all operation is performed without errors now.
  7. Processing of triggers fixed in Copy database wizard.
  8. Emoji data is displayed correctly in grid now.
  9. Progress bar was not displayed in Import data wizard in some cases. Fixed now.
  10. Other improvements and bugfixes.

Version 5.7.2

  1. Added support for 'caching_sha2_password' authentication plugin for MySQL server 8.0.
  2. Parameters window for procedures is now resizable.
  3. The Ping option added to SQL monitor settings.
  4. DATE parameters were displayed incorrectly in procedure debugger. Fixes now.
  5. Reordering of tabs was disabled. Fixed now.
  6. Access violation error occurred in some cased on closing Query Builder. Fixed now.
  7. Program settings were saved incorrectly with non-default localization used. Fixed now.
  8. Column descriptions are now displayed correctly for all national charsets.
  9. Fixed errors on refreshing user privileges.
  10. SQL Editor content was not restored with 'Same queries for all databases' option ON. Fixed now.
  11. Some other fixes and improvements.

Version 5.7.1

1. Improved support of high-DPI monitors and large-scale fonts.

2. Some improvements in dark color scheme implemented.

3. SSL connection without keys and certificates was not established. Fixed now.

4. Datetime fields were not displayed in Export data wizard. Fixed now.

5. Search of objects has been fixed.

6. Extract of functions and procedures with REPEAT loop has been fixed.

7. The error of using views in Query Builder has been fixed.

8. Text is now replaced correctly in SQL editors.

9. SQL Editor was not restored on re-opening the program. Fixed now.

10. Transactions for data were not disabled in some cases. Fixed now.

11. The error on printing diagrams in Visual Database Designer has been fixed.

12. Many other improvements and bug-fixes.

Version 5.7.0

  1. New icons have been introduced.

  2. Support of dark visual theme added.

  3. Support of Unicode added for object names.
  4. Support of Access 2016 files implemented in Import data and Export data wizards.
  5. Export as PHP wizard. PHP Data Objects interface supported now.
  6. BLOB data and binary data are exported as Base64 and HEX strings for text formats.
  7. Duplicate wizard didn't copy data in some cases. Fixed now.
  8. Fixes for syntax highlighting in procedures and functions.
  9. Fixes in autocompletion of keywords.
  10. Displaying of time in Greek locale has been fixed.
  11. Many other improvements and bug-fixes.

Version 5.6.4

  1. Added support of MySQL 8.0.
  2. Added support of generated columns.
  3. Added support of SIGNAL statement in Procedure and Function Editor.
  4. Added the ability to delete records in target tables in the Copy Database Wizard.
  5. The error occurred in Dependency Tree on displaying objects from another database for procedures.
  6. The error occurred on getting information on Scheduled Events when user had restricted permissions. Fixed now.
  7. The error of exporting privileges for user in Grant Manager has been fixed.
  8. The default values are handled correctly on inserting data now.
  9. Sometimes selecting the file in Import Data Wizard produced an error. Fixed now.
  10. Many other fixes and improvements.

Version 5.6.3

  1. The ability to connect with custom sockets has been implemented in HTTP-tunneling module.
  2. The error on displaying hints has been fixed.
  3. The error of executing the 'LOAD DATA' statement in SQL Editor has been fixed.
  4. The data was incorrectly imported in the 'Update' mode. Fixed now.
  5. The 'Out of memory' error in the Duplicate Wizard has been fixed.
  6. There was no information about current connection in editor window headers. Fixed now.
  7. The hang on executing long-running queries with transactions has been fixed.
  8. Many other fixes and improvements.

Version 5.6.2

  1. Support of PHP 7.x in HTTP-tunneling module.
  2. Retrieving of metadata in the Copy Database wizard has been improved.
  3. The error on displaying Code Completion dialog in editors has been fixed.
  4. Data of the Time datatype has been displayed incorrectly. Fixed now.
  5. The size of navigation bars was not saved. Fixed now.
  6. DDL triggers were not displayed in the Print Metadata report. Fixed now.
  7. Date values are copied to clipboard correctly now.
  8. The 'SELECT command denied' error occured when the user with restricted rights modified the procedure. Fixed now.
  9. The errors of comparing tables with autoincrement fields have been fixed.
  10. Many other fixes and improvements.

Version 5.6.1

  1. Support of latest OpenSSH versions implemented.
  2. Added shortcut for finding objects in DB Explorer tree.
  3. The "SELECT command denied" error occured on creating a new procedure. Fixed now.
  4. The error on exporting Decimal values to MS Excel files has been fixed.
  5. The EXPLAIN command did not work for selected text. Fixed now.
  6. The Access Violation error on database comparison occured in some cases. Fixed now.
  7. Export of autoincrement fields with custom sorting has been fixed.
  8. The default shortcut for "Set to Null" has been changed at the Data tab.
  9. Some other improvements and bug-fixes.

Version 5.6

  1. JSON type support added.
  2. Multiple result sets are now supported in SQL Editor.
  3. Timeout settings for connection and metadata lock waiting have been added.
  4. Search/replace features have been optimized in SQL Editor.
  5. Extract Database and Copy Database. Triggers can be selected separately from tables now.
  6. Added support of latest OpenSSH versions.
  7. Excessive connect/disconnect operations when connecting to a database have been eliminated.
  8. Wrong applying of default database charset has been fixed.
  9. Data displaying errors in BLOB Editor have been fixed.
  10. Tabs were not renamed in Visual Database Designer. Fixed now.
  11. ENUM type was implemented incorrectly as function return type. Fixed now.
  12. Fixed the error of assigning permissions to objects having the '.' (dot) in their names.
  13. The function text was incorrectly formatted. Fixed now.
  14. The null date was copied to clipboard incorrectly. Fixed now.
  15. Many other improvements and bug-fixes.

Version 5.5.3

  1. Fixed the critical error occurred while applying the filter in grid.
  2. There was an error when opening the 'Print Preview' dialog in Query Builder. Fixed now.
  3. The behavior of the Code Completion window appearing was enhanced.
  4. Sorting of fields in Table Editor has been fixed.
  5. On connection to the database using SSH the passphrase was asked twice. Fixed now.
  6. Fixed the child windows saving in the 'Floating Windows' mode.
  7. Duplicating of the table data using SSH-tunnel was incorrect. Fixed now.
  8. There were errors executing some queries containing specific date-functions. Fixed now.
  9. The constraints were not considered while exporting the data from SQL Editor. Fixed now.
  10. The 'Print Metadata' report name was added to support some PDF-printers.
  11. Lots of other improvements and bug-fixes.

Version 5.5.2

  1. Generating of the table definition (DDL) has been fixed for tables having the dot (".") in their names.
  2. Opening of procedures for the users with restricted rigths has been fixed.
  3. There was a critical error when launching the program on the specific versions of Windows. Fixed now.
  4. The print preview window for the view was not opened. Fixed now.
  5. The size of the wizard windows has been fixed for the specific font sizes (DPI).
  6. The order of scripts addind fields to a table was incorrect. Fixed now.
  7. Displaying of dependencies in the Procedure Editor has been fixed.
  8. The cursor positioning in tab-delimited text has been fixed.
  9. Comparing of the AUTO_INCREMENT property for the tables is excluded now.
  10. Initialization of the DateTime parameters in the Procedure Debugger has been fixed.
  11. When transactions were enabled the data changes within procedures were not applied. Fixed now.
  12. The indices comparison has been fixed in Database Comparer.
  13. The import of unicode data from Excel (.xls) files has been fixed.
  14. Lots of other improvements and bug-fixes.

Version 5.5.1

  1. Code completion window did not appear in some cases. Fixed now.
  2. Saving/restoring size of editors was fixed.
  3. The error occurred when objects were refreshed for the user with restricted permissions. Fixed now.
  4. Drawing of controls was incorrect when large fonts DPI was set. Fixed now.
  5. Some mutually exclusive options were applied. Fixed now.
  6. There were errors when saved grid levels were restored. Fixed now.
  7. Export of the 'date' fields to XLS was fixed.
  8. Incorrect logging of queries execution in SQL Editor was fixed.
  9. When the specific illegal dates were displayed the errors occurred. Fixed now.
  10. Some errors occurred when the program was launched in the 'Floating Windows' mode. Fixed now.
  11. The error occurred when the query was executed second time in modal Query Builder. Fixed now.
  12. Other improvements and bug-fixes.

Version 5.5

  1. Added the possibility to restore databases from dump files using wizard.
  2. Added support of microseconds for TIME, DATETIME and TIMESTAMP data types in type editors and data grid.
  3. Data Export. Large amount of records is now exported without errors.
  4. Working with database with large amount of objects is significantly improved.
  5. Added the possibility to rename tables, procedures and functions directly in object editors.
  6. Added the possibility to set the defaults as CURRENT_TIMESTAMP and ON UPDATE CURRENT_TIMESTAMP for the DATETIME type in the editor.
  7. ALTER TABLE ... RENAME INDEX statements are now used for renaming index instead DROP/CREATE (for MySQL version 5.7 and higher).
  8. Visual Database Designer. Page borders are now displayed on the diagram.
  9. SQL Editor. ‘Save and restore layout’ option did not work in the result grid in SQL Editor. Fixed now.
  10. Save settings wizard. SQL Editor queries were exported incorrectly. Fixed now.
  11. SQL Script. Script highlighting did not work properly for large scripts. Fixed now.
  12. Data Grid. Now transaction does not begin if it is not supported by a table which prevents the metadata from lock.
  13. Lots of other improvements and bug-fixes.

Version 5.4

  1. The possibility to backup database with mysqldump appeared.
  2. Now the table editor for MariaDB servers supports such storage engines as PBXT, Aria, SphinxSE.
  3. Such privileges as TRIGGER, CREATE VIEW, SHOW VIEW were added to tables Grant manager.
  4. The data export speed increased.
  5. In Floating windows mode Visual Database Designer was not opened. Fixed now.
  6. The locale formats use for the table representation of data is fixed.
  7. When getting the trigger dependencies, the error occurred. Fixed now.
  8. When clearing the table, the freeze occurred. Fixed now.
  9. When editing scripts with long comments, the errors occurred. Fixed now.
  10. At times files from Excel, Access and CSV were imported incorrectly. Fixed now.
  11. The representation of large values of BIGINT type in grid view is fixed.
  12. Extract Database. Tiriggers are extracted at the end of the script now.
  13. When exporting data to Excel files, invalid characters appeared instead of spaces. Fixed now.
  14. The input of special Spanish characters is fixed.
  15. The support of increased system font appeared in table editor.
  16. When restricted users edited the procedures, error occurred. Fixed now.
  17. The results of queries with comments at the end were not represented. Fixed now.
  18. Lots of other improvements and bug-fixes.

Version 5.3.0.1

  1. Added the possibility to update and edit procedures with limited rights to the "mysql.proc" table.
  2. Database Comparer tool. Implemented the comparison of all index properties.
  3. SQL Monitor. The "Log SQL Monitor events to file" option did not work. Fixed now.
  4. Tables on Unix-servers with different registers were displayed incorrectly. Fixed now.
  5. Indices Editor.
  • The comment of an existing index could not be changed. Fixed now.
  • When trying to change the primary index, an error occurred. Fixed now.
  6. Opening Instance Manager in the German localization caused the error. Fixed now.
  7. Field Editor. On some server versions when trying to remove the "Primary key" option, the field change script was generated incorrectly. Fixed now.
  8. Some other improvements and bugfixes.

Version 5.2.0.1

  1. Added the possibility to update information regarding procedures and functions in the database system tables information_schema.
  2. Export as PHP Page wizard is improved:
    • Now it is possible to export views and queries,
    • Security options. Added the authorization type at MySql server,
    • Added the possibility to work in “NO” with the set PHP short_open_tag parameter.
  3. Database Comparer. The algorithm for generating scripts and calculating script sequence is improved.
  4. Duplicate Object. Now it is possible to copy with INSERT INTO ... SELECT FROM.
  5. The form of adding/ editing indexes is changed, added the support of index properties such as HASH, BTREE, SPATIAL, KEY_BLOCK_SIZE, PARSER, COMMENT.
  6. User Editor. Added the MAX_USER_CONNECTIONS property.
  7. Procedure and Function Editor. The form of editing options is added.
  8. Other improvements and bugfixes.

Version 5.1.0.1

  1. Added the possibility to register a new database automatically after copying it with the Copy Database Wizard.
  2. User Manager. Added the possibility to filter by types of privileges.
  3. Dependency tree now parses the dependencies of the whole server.
  4. Added the possibility to clear the history of the input parameters.
  5. Server Properties. When viewing a list of processes, now it is possible to process a query associated with this process.
  6. Some other improvements and bug-fixes.

Version 5.0.0.1

1. Added the possibility to debug procedures, functions, triggers and events.

2. Now it is possible to connect to databases using SSL certificates.

3. Added the possibility to connect through named pipes.

4. Added support of new objects: PARTITIONS, TABLESPACE, LOGFILE GROUP and SERVERS.

5. Added the possibility to compare databases (Database Comparer tool) that allows getting a SQL script for synchronizing database structure.

6. Database Registration Manager is added. It makes the process of registering and un-registering databases much faster.

7. Added the possibility to copy objects by groups in the DB Explorer by Drag And Drop.

8. Added support of MySQL invalid dates. Also it is now possible to set any date and time format manually.

9. Added the possibility to create procedures, views and functions based on the selected table (through the table menu).

10. Added the possibility to change table type for several tables at once.

11. Support of LOAD XML command and SET clause is added in the Load Data Wizard.

12. Added a new option for keeping connection in the Database Registration Info dialog - “Ping database every … seconds”.

13. Triggers in DB Explorer are now displayed in a separate branch.

14. Added the possibility to rename databases in DB Explorer and in the Database Properties dialog.

15. Added the possibility to disconnect from all connected databases at once.

16. Now it is possible to set shortcuts not only for SQL Editor commands, but also for other ones (Environment Options | Global Shortcuts).

17. Added the possibility to export data as PHP page - Export as PHP Page Wizard.

18. SQL Formatter now allows formatting DDL statements.

19. Added the possibility to create templates for new object names.

20. Added the history of procedure input parameters.

21. Some other minor improvements and bugfixes.

Version 4.6.0.1

  • Now the connection to the server is restored automatically if it is interrupted when using SSH tunnel.
  • Grant Manager:
  • Added the possibility to grant CREATE TRIGGER and DROP TRIGGER privileges.
  • Grant Manager. Fixed an error connected with the erroneous display of grants like GRANT SELECT ON `with\_underscore`.*
  • Now it is possible to view geometry fields in the BLOB Editor.
  • Save settings. Added the possibility to save Favorite Queries.
  • Fixed the error occurred during the repeated import of MS Office 2007 and Open Office files on Windows 7 32/64 bit.
  • The first field was not exported during the export of fields list from data frame. Fixed now.
  • The possibility to display Column Summary is added in the Data Grid.
  • Data Export. Fixed the MS Access error - “Application uses a value of the wrong type" which occurred when exporting some TEXT fields.
  • Some other improvements and bugfixes.

Version 4.5.0.1

  • The possibility to search in metadata is implemented
  • Windows 7 support is added
  • Procedure and Function Editors: now, when compiling a procedure/function, its privileges are automatically recreated
  • Grid View: the Set to Now operation does not post data for newly created and edited records
  • Procedure Editor: procedure values weren’t memorized upon procedure execution, if the procedure had a parameter of the BIGINT type. Fixed now
  • Procedure Editor: execution of a procedure with a BIGINT parameter resulted in an error, if the parameter value was more than 2147483648. Fixed now
  • Export as SQL Script Wizard: the program ignored table DDL generation when exporting a SQL script to SQL Server. Fixed now
  • Export Data Wizard: exporting data to the ODF Spreadsheets format resulted in the ‘Cannot create basic structure’ error, if the program was running under Windows Vista 64. Fixed now
  • Editing of the SET field could sometimes reset the default value. Fixed now
  • The default value of the “BIT (1) DEFAULT ‘\0’” fields was identified incorrectly. Fixed now
  • Field Editor: the default value of the TIMESTAMP fields with the “on update current_timestamp” option enabled wasn’t stored. Fixed now
  • Other minor improvements and bug-fixes

Version 4.4.0.1

  • Table Editor: data filtration is now available when connecting through HTTP tunneling
  • Table Editor: Unicode is now displayed properly in the DB Explorer
  • Table Editor: partial support of OpenGIS fields is implemented
  • Table Editor: disabling the 'Use dimension' option in fields of the Double type used to be ignored. Fixed now
  • Copy Database: comment length restrictions for tables and fields are now taken into consideration when copying a database whose source and destination server versions differ
  • Extract Database: with both 'Add DELIMITER' and 'Generate DROP IF EXISTS statements for objects' options enabled, the program used to generate an erroneous result script because of the wrong placement of the DROP statement delimiter. Fixed now
  • Extract Database: database structure containing circular table dependencies used to be extracted improperly. Fixed now
  • Extract Database: if the 'Record in block' option value is '1', comments before each extracted record will not be added
  • Extract Database: if the Client Charset was set at 'Windows Charset', the SET NAMES statement used to get wrong charset. Fixed now
  • Duplicate View: a view’s name remained unchanged in the result script. Fixed now
  • Data Export: an attempt to open a file exported to the Excel 2007 format failed with the 'Excel found unreadable content in libri.xlsx' error. Fixed now
  • Trigger View: if a user did not have the SELECT FROM permission for the mysql.user table then an attempt to edit a trigger failed with an error. Fixed now
  • Procedure Editor: the procedure used to be edited improperly if its body contained a 'main: Begin … END main' marker. Fixed now
  • Procedure Editor: the OUT parameter values used to be displayed as NULL when executing a procedure
  • SQL Editor: occasionally Ctrl+C and Ctrl+V shortcuts stopped working. Fixed now
  • In some cases the 'Restore Desktop on connection' option did not work. Fixed now
  • Other minor improvements and bug-fixes

Version 4.3.0.1

  • DB Explorer: added the Search Panel for quick search within the tree
  • DB Explorer: Window list is now available in the DB Explorer area, the corresponding tab has been added
  • Added UTF8 support for metadata: procedures, functions and triggers containing national characters are now compiled correctly, irrespective of the operating system settings; national characters are also displayed correctly in ENUM fields now
  • Now it is possible to restore lost database connection automatically. The corresponding 'Automatically reconnect when connection is lost' option is added to the Options section of the Database Registration Info dialog
  • Added the Find Option tool which allows one to find the required option in the scope of all program settings, by a word or an expression from the option title
  • Table Editor: support for tables of the FEDERATED type is implemented
  • Extract Database: increased running speed for large databases
  • Extract Database: it is now possible to add the delimiter directives upon extraction of procedures and triggers. The corresponding 'Add DELIMITER statements for stored routines and triggers' option is available at the Customizing script options step of the wizard
  • Extract Database: adding comments is now optional (the 'Insert comments' option is added to the Customizing script options step of the wizard)
  • Import Data Wizard: table fields can now be mapped to the text columns automatically
  • Import Data Wizard: now it is possible to specify encoding for imported TXT and CSV files
  • Import Data Wizard: while importing from DBF, ANSI or OEM selection did not affect the result. Fixed now
  • Visual Database Designer: it is now possible to display the foreign key names in the diagram, the corresponding 'Draw FOREIGN KEY name' option is added to the Diagram Options dialog and to the Visual Database Designer page of the Environment Options dialog
  • Visual Database Designer: added the 'Materialize virtual relation' function that can be used to create a Foreign key on the basis of a virtual relation
  • Visual Database Designer: the size of table fields is now displayed in the diagram
  • Visual Database Designer: when deleting foreign keys, you are now prompted for confirmation
  • Restore Tables: now you can manually input the names of tables that do not exist in the database to restore
  • Export Data Wizard: when exporting the result of a query, it is possible to add the text of the query to the header and/or to the footer of the output file (the corresponding 'Add to Header'/'Add to Footer' buttons are added to the Setting header and footer step)
  • Export Data Wizard: the 'Out of memory' error used to occur when exporting a large amount of records (more than 1000000). Fixed now
  • Trigger Editor: it is now possible to add and edit the DEFINER for triggers
  • Trigger Editor: code completion did not work after a table name and the dot (.) character. Fixed now
  • The unsigned bigint and unsigned int field values exceeding 2147483647 are displayed and edited correctly now
  • Form View: zero date (0000-00-00) is displayed and edited correctly now
  • Grid View / Form View: now it is possible to edit time within the entire range supported by MySQL: from '-838:59:59' to '838:59:59'. For this purpose one should select the 'hhh:nn:ss' format for displaying time (the Grid | Color & Formats section of the Environment Options dialog)
  • SQL Editor: with the 'Group undo' option enabled, rollback is performed more logically
  • SQL Editor: improved the Code Folding function for complex queries
  • SQL Editor: the editor now works considerably faster; such features as syntax highlight, object hyperlinks are not disabled while processing large scripts
  • Procedure Editor: an error occurred upon compilation of procedures with names longer than 60 characters. Fixed now
  • Save Data Wizard: the templates did not work. Fixed now
  • 'Execute from file' did not work for UNICODE files. Fixed now
  • Lots of other minor improvements and bug-fixes

Scroll to top

Version 4.2.0.1

  • Building the dependencies under the corresponding editor tabs is improved
  • SQL Editor: the Code Completion feature is significantly improved. Highlight of MySQL 6.0 reserved words is implemented
  • When setting the Korean locale in Windows, character data in tables displayed improperly sometimes. Fixed now
  • Create Database Wizard: on attempt to set the UTF8 at the Character Set field the error used to occur. Fixed now
  • View Editor: in some rare cases, when selecting the 'Edit with Query Builder' item, the abnormal program termination used to take place. Fixed now
  • Extract Database: when extracting procedures and functions, empty comments used to be processed improperly in some cases. Fixed now
  • German localization improved
  • Russian localization added
  • Polish localization added
  • Other minor improvements and bug-fixes

Scroll to top

Version 4.1.0.1

  • SQL Editor: added a hint listing parameters for added procedures and functions. The hint can be called manually by using the Ctrl+Shift+Space shortcut
  • Procedure Editor, Function Editor: added a capability to maximize the SQL definition editor window
  • BLOB Editor now allows one to browse TEXT fields
  • In many object lists the ability to perform incremental search appeared
  • BLOB Editor could not be used for text fields. Fixed now
  • Considerably increased the runtime speed of the Extract Database tool
  • Updated all wizards: added confirmation prompts upon pressing the 'Finish' button again
  • When connected to a database with HTTP tunneling used, there was an error in data representation. Fixed now
  • Fixed the "Illegal mix of collation" error that occurred upon execution of some SQL commands on MySQL 4.1 - 5.0
  • Print Metadata: an error occurred on attempt to print metadata with "Letter" paper size specified. Fixed now
  • SQL Script: execution of a sequence of statements like OPTIMIZE TABLE table1, table2; FLUSH TABLES; caused the "out of sync" error. Fixed now
  • Services | Optimize tables: there was an error on attempt to optimize InnoDB tables on MySQL 5.0. Fixed now
  • Extract Database: with the "Login prompt before connection" option set, an error occurred on attempt to extract data. Fixed now
  • Corrected program registration behavior: registration information of the older version (SQL Manager 2005) is not erased upon SQL Manager 2007 registration
  • Fixed a bug when the SQL Manager Direct feature could not be activated in the Lite version of the program
  • SQL Editor: quotation marks could not be typed with "USA-International" and "DA - Danish" keyboard layout used. Fixed now
  • SQL Editor: an opened file was not saved upon clicking "Save to file". Fixed now
  • SQL Editor: in some cases the fields list did not appear for table alias. Fixed now
  • Added a new shortcut - Ctrl+W that can be used to close the active window
  • Several minor improvements and bug-fixes

Scroll to top

Version 4.0.0.1

Basic features:

  • Support of UTF8 data in SQL Editor, Query Builder, Grid View, Data Export/Import Wizards
  • Now you can continue working with SQL Manager while a query is being executed in SQL Editor or Query Builder or while table or view data are being loaded in the editor. A query taking too long to execute can be aborted
  • All wizards, including Data Export/Import, DB Extract, Copy DB wizards can now be run in the background mode, so that you could continue working with the program
  • New improved SQL Editor of the Visual Studio 2005 kind with the Code folding function and UNICODE support
  • Improved Import Data Wizard now allows one to import data up to 10 times faster. New import formats have been added: HTML, XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007).
  • Improved Copy Database Wizard now works faster and allows to copy databases and db objects between different server versions. Objects dependencies are now taken into account during the copy process
  • Improved Extract DB Wizard works faster, allows to set the server version to generate the script for, and considers objects dependencies
  • Support of queries returning Multiple Result sets
  • Common SQL commands can now be generated from DB Explorer (Script to SQL Editor, Script to Clipboard). Now you can easily generate such SQL commands as CREATE, ALTER, DROP, SELECT etc for each database object
  • Now you can save your queries within the Favorite Queries folder in DB Explorer; these queries can be stored either locally in the registry (nobody but you will have access to them) or in a special database table (then all or some of your db users will have access to it)
  • Improved Visual Database Designer: new objects like comments and virtual relations added. Now it is possible to include Procedures, Functions and Views in the diagram. One can choose whether only object names or fields and parameters should be displayed, too
  • Improved Export Data Wizard now works faster. New export formats have been added: XML Document, Open Document Format (OpenOffice), Open XML Format (MS Word 2007, MS Excel 2007).
  • New Dependency Tree tool allows to view dependencies between database objects
  • Improved the Server Properties tool: Variables can be divided into groups, System Variables can be modified. Server information, InnoDB Status and General Query Log are displayed
  • The Database Properties window has been added, which displays database options and allows to change them, and also displays summary information about database size and its objects
  • Improved Table Editor: now it is possible to view/change table properties and view Table Status on a new tab
  • Connection parameters as well as Data options that impact the database performance speed have been moved to Database Registration Info window and can be set individually for each database for maximum convenience
  • In DB Explorer hosts are now named in accordance with the selected connection type (SSH or HTTP tunneling)
  • SSH tunneling now allows to set key
  • SQL Script: ability to execute selected statements and statements under cursor added
  • Improved the report building system
  • Lots of other improvements and bug-fixes

and more...

Scroll to top

Version 3.7.0.1

  • Added support for Scheduled Events that appeared in MySQL ver. 5.1.6
  • Export as SQL Script: now you can choose for which DBMS server the script should be generated
  • SQL Editor: added the opportunity to rename and move the tabs
  • SQL Editor: the time of query execution now is shown in the format hh:mm:ss
  • SQL Editor: sometimes the Range Check Error emerged in SQL Editor when executing a query. Fixed now
  • SQL Editor: added opportunity to import data in a query if the latter supports data insertion
  • DB Explorer: the 'Add to Projects' function is added. Now it is possible to add objects to the projects not only by dragging them, but also by choosing them in a form opened with the help of this command
  • HTTP tunnel can now work through HTTPS protocol
  • Now there is no need to connect to a database in DB Explorer when using Services
  • Added support of NDBCluster and BlackHole storage engines
  • The character sets and collations list for Create Database Wizard has been updated
  • The size and location of new objects editor windows (new procedure, new function, etc.) are now saved
  • Grid View: the 'Expand All' and 'Collapse All' options are added to the context menu
  • The control location in toolbars remains now after a newer version of the program is installed. One can reset toolbars and menus using the corresponding command in the Windows menu or the button in the Environment Options dialog
  • Visual Database Designer: the context menu style did not change in correspondence with the current visual scheme. Fixed now
  • Fixed the considerable processor loading (CPU usage 90%) when using the program together with some other applications
  • Definitions for views and triggers were truncated to 8K. Fixed now
  • Table Editor: the truncate table function works correctly now
  • Sum() type calculated fields were considered as string in queries. Fixed now
  • Wrong formatting of the view body with fields like concat(ucase(`staff`.`pref_surname`), ', ', `staff`.`pref_name`) AS `person`
  • Unique keys were refreshed wrong for the fields, which resulted in an error during fields reorder. Fixed now
  • Fixed the error that appeared while editing indexes like UNIQUE KEY `name` (`surname`(5),`name`,`patronymic`)
  • When adding a new report through Create Report Wizard, an error emerged in some server versions. Fixed now
  • Fixed the error that appeared while getting default fields values for BIT fields
  • Function Editor returned NULL result as empty string. Fixed now
  • Window size and location were not saved. Fixed now
  • Database Registration Info: while saving data, the uniqueness of database aliases was not checked. Fixed now
  • Grouping worked incorrectly in Table Editor with certain settings used. Fixed now
  • Access violation error emerged when setting a filter for the text field. Fixed now
  • The 'Help' item in Report Designer did not work. Fixed now
  • Some non-Latin characters were shown incorrectly in the EMS Direct window. Fixed now
  • The authentication dialog prompted twice on attempt to open the Server Properties tool. Fixed now
  • Naming Rules were not saved after closing the program. Fixed now
  • The Restore Tables service gave an error when choosing Non-registered database. Fixed now
  • Query Builder: after query text editing on the Edit and Create View tabs, it used the old query from the Builder tab. Fixed now
  • Other minor improvements and bug-fixes

Scroll to top

Version 3.6.5.1

  • SQL Editor: Key Mapping is implemented to set the shortcuts for various commands/operations according to your needs
  • Query Builder: support of queries containing the tables from different databases hosted on one server is implemented
  • Create Table: added comment support for tables.
  • Server Properties: now connection with SSH and HTTP tunnels is supported
  • New option "Write only successfully executed SQL statements to log" (Database Registration Info -> Logs) is added
  • SQL Editor: opportunity to execute statement under cursor is added
  • SQL Editor: the bug with division by zero upon using Explain Query for an incorrect query is fixed
  • Extract Database: added the "Use tables selected on the previous step" option to extract data from the tables selected for extracting the structure
  • Extract Database: the progress indicator now displays the number of extracted data for tables
  • Extract Database: fixed the bug with extracting the procedures and functions when the user has no rights for viewing them
  • Extract Database: now the generated script inserts 0 values for autoincrement fields correctly
  • Copy Database: added the "Use tables selected on the previous step" option to copy data from the tables selected for copying the structure
  • Copy Database: the progress indicator now displays the number of copied data for tables
  • Copy Database: added the "Use compressed protocol" option
  • Create Database Wizard: now the created database name is quoted
  • Data Import: now with the transactions disabled in the "Commit changes manually" mode the proper transaction action (Commit or Rollback) is requested after import
  • Import Data: now it is possible to resize the dialog window
  • Import Data: setting of Generator Value and Constant Value was ignored when defining format of the imported fields. Fixed now
  • Import Data: when defining a part of fields for import, empty values were inserted into the rest fields, which resulted in not applying the default values set for the fields in the table. Fixed now
  • Procedure Editor: added support of the constructions in procedure bodies like: procd:BEGIN ... END procd
  • Procedure Editor: fixed the bug with creating a procedure with the parameters like: param2 ENUM('a','b','c')
  • The function parameters were not updated if the user did not have rights for mysql.proc. Fixed now
  • Now the Optimize Tables service for InnoDB tables on MySQL 5.x works correctly
  • Fixed the bug with getting default values for the BIT(n) fields
  • SQL Editor: the 'Next Bookmark', 'Previous Bookmark' commands are added
  • SQL Editor: in some rare cases the text from the beginning of the line was deleted when using the Code Completion tool with option "Trim trailing spaces" enabled. Fixed now
  • Visual Database Designer: the Drop Table context menu item worked incorrectly if the field was highlighted, but the table was not. Fixed now
  • SQL Script: now confirmation of aborting the script execution is added
  • DB Explorer: the context menu did not hide when switching to another application. Fixed now
  • Table Editor, View Editor: The lines exceeding 32 symbols were cut when exporting lists of subobjects. Fixed now
  • Other minor improvements and bug-fixes

Scroll to top

Version 3.6.0.1

  • SQL Formatter: formats SELECT, INSERT, UPDATE, DELETE queries (available in the context menu of SQL Editor)
  • SQL Script: now the process of script executing is shown and there is an opportunity to stop this process
  • SQL Script: now you can open several windows
  • SQL Script: when option 'Enable parsing' was enabled, editing a large script (> 10 M) caused hanging. Fixed now
  • Now you can define Host connection info in User Manager, Grant Manager and SQL Script when setting up a connection. Now these tools also work correctly when using HTTP and SSH tunneling
  • SQL Editor: option 'Don't save queries automatically for the next session' is added. When the option is enabled, you can create and save queries for each database that will be read automatically when running SQL Editor. When the option is disabled, queries created during the last session are saved
  • SQL Editor: now there are no limitations for the size of edited scripts
  • Supporting data of type BOOLEAN and BIT(M) is added
  • Table truncation can now be performed for several selected tables in DB Explorer
  • Query Builder: saves queries between sessions
  • Table Editor: now the 'Refresh' button can show changes committed by other transactions
  • Table Editor: reorder fields now work correctly for InnoBD tables containing foreign keys
  • Grid View: now when executed, such commands as 'Set to Empty String' and the like do not post data to the table
  • Grid View: now when pasting records from the clipboard, you can set correspondences between clipboard columns and query columns
  • Grid View: 'Copy to clipboard' now uses tabs as delimiters (for pasting into Excel)
  • Form View: Memo fields editor is extended (can be customized in the Grid | Advanced section of the Environment Options dialog)
  • Extract Database: option 'Generate USE statement' is added
  • Export Data Wizard: the 'Allow captions' option added
  • Export Data Wizard: the 'Finish' button is available at all steps
  • Procedure Editor: now shows values of output parameters
  • Now you can call the Table Properties window for the selected table in DB Explorer using the context menu or the 'Object Properties' button on the Toolbar
  • Blob View: the 'Word Wrap' option is added for text (available in the context menu)
  • Now you can open Grant Manager without connecting to a database
  • Trigger Editor: Code Completion shows the list of table fields after OLD. and NEW. keywords
  • The 'Binary flag for char and varchar fields' option is supported (for MySQL versions 3.23-4.0)
  • Database options used to be saved at the end of working session. Now changes are saved immediately. In case of emergency shutdown of the program or system crash the changes made during the working session are saved too
  • Report Designer and Report Editor: added support for HTTP connection to database
  • Field Editor: saves the 'Size' value when changing the Char type to Varchar and vice versa
  • Duplicate Object, modal Query Builder: The size of these windows can now be regulated
  • It took long to close Table Editor when the number of tables in the database exceeded 1000. Fixed now
  • With 'SQL sort mode' option enabled sorting by fields of BIGINT type was performed incorrectly. Fixed now
  • In Code Completion fields for tables and views were not displayed. Fixed now
  • Print Metadata: the 'Show all objects' button did not work. Fixed now
  • Procedure Editor: clicking on Execute resulted in executing the query twice. Fixed now
  • View Editor: on creating a new view with capital letters in its name an error occurred. Fixed now
  • Decimal type (10,2) was displayed as Decimal(10,0) in case of HTTP connection. Fixed now
  • When updating functions and procedures in DB Explorer an error occurred if the user had no rights to access ‘mysql.proc’. Fixed now
  • Other minor improvements and bug-fixes

Scroll to top

Version 3.5.0.1

  • Triggers support implemented
  • Visual Query Builder: support of subqueries and UNION joins
  • Visual Query Builder: ability to create INSERT/UPDATE/DELETE statements
  • Now the program notifies itself of new versions released and updates the needed files when SQL Manager Direct is enabled to automatic update
  • Now you can add comments for table columns
  • Extract Database: the 'Set Names' option implemented
  • Extract Database: the 'Drop If Exists' option for views, procedures ad functions implemented
  • The Truncate Table option now available from the table context menu in DB Explorer
  • Ability to edit data using Latin2 charset
  • SQL Script: now comments like /*!40102 */ are taken into consideration while executing SQL Scripts on different server versions
  • Now you can define database and table name when creating Foreign Key from the Foreign Key Editor
  • Ability to rename foreign keys is implemented now
  • Grid View: fixed a bug with incorrect setting default value for timestamp fields if it equal to current_timestamp
  • SQL Editor: fixed a bug with lose of SQL statements formatting when creating procedures, functions and triggers
  • Now zero date values ('0000-00-00') are shown correctly in the Grid View and the Export as SQL Script tools
  • Copy Database: fixed a bug with creating new database
  • Now DB Explorer keeps the order of object type nodes when Sort By Aliases option is set
  • Visual Database Designer: now the reverse engineering function correctly recognizes foreign keys for the tables named using uppercase symbols when lower_case_table_names=0
  • Field Editor: fixed a bug with ignoring of the Use Dimension option
  • Grid View: data were displayed incorrectly for the fields of types like float(12,2) when working through HTTP Tunneling
  • Now the Table Details -> Show DDL option works correctly
  • Other minor improvements and bug-fixes

Scroll to top

Version 3.4.0.1

  • 'Client Charset' option works for HTTP Tunneling connections now
  • Added ability to rename Views, Procedures and Functions
  • New 'SQL Filter' and 'SQL Sort' options added. Use these options when limited number of records is fetched in the grid. They allow filtering and sorting records through all the dataset records, instead of only fetched ones
  • 'Sort by Aliases' option is now considered for all lists of registered databases in the program
  • Modal Visual Query Builder form size is variable now
  • A new option added to the Tools | Table Editor page of the Environment Options dialog: "Default storage engine for new tables"
  • Incremental Search in field lists implemented
  • Table Editor: now only table types supported by server are shown
  • When 'Enable floating toolbars' option was on it was possible to undock main menu, but it was impossible to get it back. Fixed now
  • Fixed an error with reordering fields: data were copied incorrectly
  • Fixed the bug with displaying wrong size for unsigned decimal fields
  • 'Show Table Details' setting to 'DDL' now works correctly
  • Now you can disable Delete record(s) confirmation
  • SQL Editor: fixed the bug with positioning cursor when option "Show result for each query" is enabled
  • Fixed the bug with displaying unsigned BIGINT fields having values greater than 9223372036854775807
  • Fixed the bug with modifying default TIMESTAMP field value to 'CURRENT_TIMESTAMP'

Scroll to top

Version 3.3.0.1

  • MySQL 5.0.6 support
  • Procedure Editor: added ability to execute stored procedures and functions
  • Code Insight: now supports aliases, shows field types and view fields
  • Table Editor: the Truncate Table feature is added
  • Query Builder: implemented ability to select types of objects shown in the list and to sort them
  • Query Builder: now it is possible to create view based on the query
  • Save Data Wizard added. It complements Load Data Wizard and uses 'SELECT INTO ... OUTFILE' MySQL command for quick exporting table data or query to a text file
  • Now you can edit view in the View Editor using Query Builder tool
  • SQL Editor: added ability to show query results on the same tab with the query text
  • Grant Manager: added ability to rename users
  • Grant Manager: stored procedures and functions support
  • Grant Manager: increased performance
  • Added ability to check views within Check Tables Wizard
  • BLOB Editor: now you can view and edit blob fields with no need to open a separate window
  • BLOB Editor: ability to print memo and html BLOB data added
  • The HTML Report tool has been replaced with a more user-friendly HTML Report Wizard
  • DB Explorer: now you can hide certain types of objects
  • Implemented ability to commit or rollback current transaction. You can switch it off in the Environment Options dialog
  • Fixed bugs with reordering columns
  • BINARY, VARBINARY, BIT field types support
  • SQL Editor: the Bug with executing CALL PROCEDURE command: "SELECT in a stored procedure must have INTO" is fixed now
  • Data Import from Access: fixed a bug when loading from a template: fields map was not loaded
  • Import Data Wizard and Load Data Wizard: after loading of large amount of records, the program hung for a while. Fixed now
  • Other minor improvements and bug-fixes

Scroll to top

Version 3.2.0.1

  • Import Data Wizard: added Commit options
  • Added a new Grid option - 'Use compact view for TEXT fields'
  • DB Explorer: now MySQL Manager remembers 'Sort by Aliases' option
  • Create table window: now it is possible to switch between cells in fields list using Tab key
  • Now it is possible to modify procedures and functions for MySQL 5.0.3
  • Sometimes when connecting to a database through SSH in DB Explorer an exception arose. Fixed now
  • Fixed the bug with running queries on servers with specific versions like "3.23.23-nt-20050403"
  • Visual Database Designer: fixed a bug with opening previously saved diagram
  • Server Properties: 'Kill process' now works correctly
  • Import Data Wizard: now shows the number of committed records correctly
  • Fixed the Access Violation error appeared when trying to add a field to the new table
  • An error arose when switching to BLOB Editor after closing the window from which it was started. Fixed now
  • Visual Query Builder: now parsing errors are shown only when switching to the Builder tab
  • Fixed an error with importing from MS Excel and using the case adjustment functions
  • Import Data Wizard: when importing only a part of fields, the others were set to NULL
  • Other minor improvements and bug-fixes

Scroll to top

Version 3.1.0.1

  • Connection character sets support. Now you can work with databases in different charsets, irrespectively of server defaults
  • Field charsets and collations support implemented
  • MySQL Manager now supports servers using long user names (more than 16 characters long)
  • The Truncate Tables service added: now you can remove data from tables quickly
  • Improved Duplicate Object Wizard
  • Improved Export as SQL Script Wizard (former Export as INSERT dialog)
  • Added support for VARBINARY and BINARY data types
  • Romanian localization added
  • Now Create Database Wizard shows detailed error messages while creating a database
  • Fixed the bug with impossibility to switch between windows using Windows Bar in some cases
  • Fixed some minor bugs in DB Explorer
  • It was impossible to filter grid content while in Load Visible Rows mode. Fixed now
  • Fixed the bug with inability to set field size when changing its type from TEXT to VARCHAR
  • Other minor improvements and bug-fixes

Scroll to top

Version 3.0.0.1

Basic features:

Latest MySQL versions support

  • Compatible with any MySQL versions from 3.23 to 5.02
  • Views support in MySQL 5.01
  • Stored Procedures and Functions support in MySQL 5.0
  • New MySQL 5.0 Authentication Protocol
  • MySQL 4.x User Privilege Extensions
  • Charsets and collations support for databases and tables

Significantly improved user interface

  • Office 11 and Windows XP visual schemes support
  • New well-described Wizard System
  • New useful Navigation bars in most of the program windows
  • New Windows Toolbar to switch between windows, like Windows Task Bar

Improved Database Explorer

  • Creating tabs for any tree node to access it in one-click
  • Working with multiple selected objects at a time
  • Much more convenient toolbar and context menu

Completely remade Visual Database Designer

  • Obvious new look
  • Two diagram notations (IDEF1x and IE)
  • Improved diagram navigation
  • Several pages in one diagram to divide diagram into different subject areas
  • A lot of visual customization options

New powerful data management tools

  • Plenty of useful tools such as data grouping, summarizing, fast searching and filtering
  • Master-Detail View to work with two linked tables at the same time
  • Table and Card Views to see data the way you like
  • Ability to copy and paste selected records
  • Advanced printing system
  • Fully customizable interface

New connection options

  • Access to MySQL server through HTTP protocol in case of Internet access through HTTP proxy only, or if the server does not allow direct connections to MySQL

Improved report management

  • The new Create Report Wizard allows you to create a simple report in a few clicks
  • Managing reports in the same way as if it were a database object: accessing reports directly through the DB Explorer tree

and more...

Scroll to top

Version 1.4.0.1 (Linux)

  • We have improved the compatibility with different Linux versions
  • SSL connections are supported and do not require installed openssl now
  • Fixed the problem with enumerated fields management
  • We have added the possibility to enter a unix-socket instead of port number like "/tmp/mysql.sock", i.e. possibility to connect to the local server with disabled TCP/IP
  • We have implemented an installer. The program is distributed as a sh-script now instead of archives
  • Several bugfixes in design: displaced fonts, wrong control sizes, invisible combo box captions, etc.
  • Closing the help file often caused the program hang-up. Fixed now
  • The majority of open/save dialogs did not show files due to the incorrect filters. The issue is resolved
  • We have significantly improved the usability of .txt files importing page
  • Fixed the bug with SQL-Monitor. Now it works correctly after reopening
  • Several serious errors in print preview window are fixed now
  • Fixed the issue with managing the thread-safe table types on some server versions
  • A number of minor improvements and corrections

Scroll to top

Version 2.8.0.1

  • We have implemented an ability to create InnoDB tables in MySQL 4.1.3
  • Duplicate Table: with this version you can copy the table data as well as the table structure
  • Print Data View: now you can customize column widths using the new dialog that is accessible through the Tune Column Widths button on the toolbar of the Print View tab
  • Reports: with this version you can save your reports to XLS, RTF, HTML, JPEG, BMP, and TIFF files. We have added the new save filters for this purpose
  • Print Data View: now the program saves page settings. You can disable this feature using the corresponding option on the Reports tab of the Environment Options dialog
  • Print Data View: now the program displays the table name on each page of the report
  • Export Data Wizard: fixed a bug that appeared when exporting data to CSV files
  • Import Data Wizard: fixed a bug that appeared when importing data from Excel files
  • Create Table Wizard: an error occured when creating table with default values of the first field. Fixed now
  • Fixed a bug that appeared when changing fonts for the interface elements
  • DB Explorer/Duplicate Object: fixed a bug that appeared when trying to duplicate an object if the program established connection with two database at once
  • Some small improvements and corrections

Scroll to top

Version 2.7.0.1

  • With this version you can work with MySQL server 4.1.1 or higher
  • Fixed a bug that caused an error when working with SSH client
  • Export to Excel: now you can export your data into any cell of the Excel spreadsheet
  • Export to Excel: a possibility of creating merged cells is added
  • Export to Excel: the "Auto calculate column width" option is added
  • Export to Excel: added a possibility of defining background images for an Excel sheet
  • HTML Report: you can now edit the CSS table
  • HTML Report: a bug with displaying index columns is fixed
  • Import Data Wizard: added a possibility of defining an error log file name
  • Import Data Wizard: the "Rewrite error log file" option is added
  • Import Data Wizard: the "Show error log" option works correctly now
  • Import from Access: fixed a bug with displaying table list
  • SQL Editor: changed hot keys for deleting query (Ctrl-R) with Ctrl-Del and for deleting all history (Shift-Ctrl-R) with Shift-Ctrl-Del to avoid a conflict with the Replace text function called from the context menu
  • Import from Excel: fixed a bug with selecting ranges
  • Now the Query Builder saves table size, position and expanded property in the builder area
  • Fixed a bug with parsing queries such as: SELECT ... FROM MyTable INNER JOIN MyTable Alias1 ON (MyTable.Id = Alias1.Id) INNER JOIN MyTable Alias2 ON (Alias1.Id = Alias2.Id)

Scroll to top

Version 2.6.0.1

  • Added the MySQL Server v4.1 support to MySQL Manager. Starting from this version MySQL Manager allows you to connect to MySQL 4.1 using its authentication protocol, so no more client incompatibility messages are going to appear
  • Added a possibility to disable the separated thread creation for each data/result view in tables and SQL editors. This may be necessary if maximum allowed connection limit is too low
  • The foreign key checks can be disabled now while transferring databases with MySQL Manager
  • The SQL Monitor operation list now includes the SHOW command as well
  • The Print View of the Table Editor Data tab allows you to save current report as CSV, TXT, RTF or HTML file now
  • The Unsigned flag is available for the FLOAT and DOUBLE fields on MySQL server 4.0.2 or higher
  • Now MySQL Manager also supports foreign keys for the MySQL server versions from 3.23.44 to 3.23.50, in which a foreign key definition is not generated within a table definition returned by the SHOW CREATE TABLE command
  • Fixed a bug with the incorrect BIGINT value displaying in the query result if the field has an alias in the query text
  • Fixed a bug with the incorrect fields order in the INSERT statement generated by the Export as Insert dialog in some cases
  • Fixed a bug with the impossibility to drop a foreign key from a list containing only one foreign key
  • Fixed a bug with an invalid value displaying after editing a TIMESTAMP field in the Grid View
  • Fixed a bug in the Extract Metadata Wizard with generating the incorrect order of tables containing foreign keys
  • Fixed a bug with the impossibility to set a field as a primary key in the Visual Database Designer diagram
  • Fixed a bug with transferring binary data
  • Some small improvements and corrections

Scroll to top

Version 2.5.0.1

  • Added a possibility to save the Visual Database Designer diagrams as graphical images
  • Now SQL Editor and Visual Query Builder support query parameters
  • Data View: we have added a possibility to set filters for the Grid View
  • Added a possibility to forward a local port to the MySQL server located on a different from the SSH host
  • Grant Manager provides now two new menu items: 'Grant All on All' and 'Revoke All on All'
  • The Tools | Table section of the Environment Options dialog provides the new "Do not retrieve record count for a table" option. Enable this option for not to retrieve record count, as this can take a long time for large InnoDB tables
  • The Visual Database Designer allows dropping table fields now
  • Fixed a bug with granting options on objects with long (> 31 chars) names in Grant Manager
  • Fixed a bug with quick filtering in the Grid View
  • Parsing the RIGHT JOIN clause in the Visual Query Builder works correctly now
  • Fixed a bug with showing foreign keys for tables having keywords as names
  • Identifiers appearing in the IN (..) clause are parsed correctly by the Visual Query Builder now
  • Errors with exporting and importing BIGINT values are fixed
  • Fixed a bug with dropping indices from the Table Editor Object Explorer
  • Some small improvements and corrections

Scroll to top

Version 1.3.0.1 (Linux)

  • Added the foreign key support for InnoDB tables
  • Table information in HTML Report includes foreign keys now
  • DataFrame: the popup menu item SetFilter works correctly now
  • We've added a possibility of integration between other EMS HiTech products and MySQL Manager
  • Transfer Database Wizard is added. Use this wizard to transfer database structure and/or table data to different hosts
  • Added a possibility to define a browser type to use for viewing help files, HTML Report and other pages, called from MySQL Manager
  • Several minor improvements and corrections

Scroll to top

Version 2.4.0.1

  • Internal SSH client was implemented in MySQL Manager. Now it is possible to connect to a remote MySQL server using local port forwarding through the SSH (Secure SHell) tunnel
  • A possibility of dropping/editing the foreign keys was added
  • Hungarian localization of the program interface was included in the installation package
  • A possibility to specify default directory for HTML Report files was added for each database
  • Index definition doesn't appear in the CREATE TABLE statement generated by the Export As INSERT dialog, if a field included to the index is not selected for exporting
  • Fixed a bug with editing items of the To-Do List. A new item does not appear after successful editing anymore
  • Fixed a bug with BLOB fields truncating during the import data process
  • Fixed a bug with extracting float values with the Extract Metadata Wizard if system defined decimal separator is different from '.'
  • Fixed a bug with loading diagrams to the Visual Database Designer, if some objects included to the diagram have been deleted from the database previously
  • Fixed a bug with executing (SELECT ...) UNION (SELECT ...) statements in SQL Editor
  • Fixed a bug with the 'CONTINUE record missing' error while importing data from some Excel files
  • Fixed a bug with loading templates to the Export Data dialog
  • Default directories for exporting/importing data (*) and extrating metadata specified on the Directories tab of the Database Registration Info dialog are used properly now
  • Some small improvements and corrections

Scroll to top

Version 1.2.0.1 (Linux)

  • Added Keyboard Templates to MySQL Manager options
  • Now you can define the Qt style using the Environment Options dialog
  • Hot Keys work correctly now
  • DB Explorer: the "Add to project" dialog is improved. Now you can add, delete or modify folders or subfolders of the project within this dialog
  • Import Data Wizard: added a possibility to log the SQL statements executed during the import process. Check the "Enable SQL Log" option and set the name of the result sql file to save all import operations as SQL script
  • Import Data Wizard: now you can save the error log to file
  • The Database | New Object and Database | Duplicate Object menu items work correctly now
  • Two buttons are added to the tool bar. You can use this buttons to create new or show last table or UDF
  • The 'Environment Options', 'Editor Options' and 'Keyboard Templates' buttons are added to the main toolbar
  • We have placed a button for printing metadata on the Table Editor toolbar
  • Several minor improvements and corrections

Scroll to top

Version 2.3.0.1

  • Implemented a new tool - Transfer Database Wizard: now you can easily transfer one database's metadata and data to another as a whole or partially
  • Visual Database Designer: added a possibility to extract metadata for the current diagram
  • Import Data Wizard: now you can log all the SQL commands executed during the import process into a file
  • Added a possibility to hide the explorer window in all editors
  • Import Data Wizard: the import process uses much less memory by calling the SELECT ... LIMIT 0 statement every time the wizard commits changes. Import speed is also significantly improved especially for large source files
  • Fixed a bug with impossibility to specify NULL as a default value for the ENUM type
  • Extract Metadata Wizard restores the data table list from the template correctly now
  • Export Data dialog: data exported to MS Access table started to print even if the corresponding option was unchecked. Fixed now
  • Fixed a bug with impossibility to close all database windows by choosing the corresponding menu item from the window list
  • Fixed a bug with the incorrect field order in index definition when all the index fields were selected at once
  • Fixed a bug with incorrect representation of the default values for the ENUM type if its items contain spaces
  • The UPDATE or INSERT mode of the Import Data Wizard imports data properly now
  • Fixed a bug with saving table comments containing apostrophe characters
  • The 'Command out of sync' error doesn't appear after executing the EXPLAIN statement in SQL Editor anymore, and the Results tab displays correctly after executing this statement
  • Fixed a bug with parsing SELECT statements containing a YEAR function within the Visual Query Builder
  • Fixed a bug with identifying the TEXT type as SET with MySQL 4.1
  • Some small improvements and corrections

Scroll to top

Version 2.2.0.1

  • A possibility to select data retrieving method was added. There are two methods: retrieve a complete result set to the client (recommended for small result sets) and initiate a row-by-row result set retrieval (recommended for large result sets)
  • New "Keep connection alive" option was added to the Database Registration Info dialog
  • Export Data dialog: a possibility of multi-file export was added to HTML options
  • Data View: columns in Print View tune their widths in accordance with column widths in Grid View
  • A possibility to define indices necessary for a foreign key during its creation process was added
  • Visual Database Designer: creation of links is not allowed for any table type except InnoDB now
  • Page options were added to the PDF Options page of the Export Data dialog
  • The "Duplicate key entry" error doesn't appear on every key violation during import data process
  • Fixed a bug with minimizing MySQL Manager after it has been closed in its minimized state previously
  • Fixed a bug with editing BIGINT values in Grid View
  • Fixed a bug with encoding data in Grid View accordingly to the Database Font Charset option in the Database Registration Info dialog
  • Fixed a bug with Access Violation error after disconnecting from a database with SQL Editor opened
  • Fixed a bug with error occurrence while refreshing data in Grid View for a table that contains a lot of BLOB fields
  • Some small improvements and corrections

Scroll to top

Version 1.1.5.1 (Linux)

  • Export Data Dialog: export to PDF added. Now you can export data to one of the most popular document formats as well as to the other supported formats
  • Export Data Dialog - export to HTML: a possibility of customizing navigation links for multi-file export and a possibility to define a background picture for the result table added
  • Import Data Wizard: import modes are implemented - now you can define an action to be executed with the concurrent records in the source file and the target table
  • Import Data Wizard: added a possibility of defining a way to add data to the destination table - insert or append
  • Several minor improvements and corrections

Scroll to top

Version 2.1.0.1

  • Grant Manager and User Manager were modified in compliance with MySQL 4.0.x privilege system. Now all the privileges provided by MySQL 4.0.x are supported (available for MySQL v4.0.8 and higher only)
  • Import Data Wizard: a possibility of defining the import mode was added
  • Visual Query Builder: a possibility of diagram saving/loading was added
  • Data View: a possibility to enable/disable multiselection in the Grid View was added
  • The "Autoconnect On Startup" option was added to the Database Registration Info dialog
  • The "Set Defaults To All Child Windows" item was added to the Windows menu
  • The "Always Open the Fields Tab" option was added to the Tools | Table section of the Environment Options dialog
  • If the Show Hosts option is enabled, databases are grouped by hosts now in the database lists of all program tools, such as SQL Editor, Table Editor and others
  • Dropping a field or an index requires confirmation now
  • Fixed a bug with using the AltGr key for typing characters in editors (SQL Editor, SQL Script)
  • Fixed a bug with getting wrong result with the 'SELECT @var' query execution after the 'SET @var=' query one in SQL Editor
  • Fixed a bug with DATE and DATETIME field values extraction using the Extract Metadata Wizard
  • Fixed a bug with importing values to BIGINT fields within the Import Data Wizard
  • Some small improvements and corrections

Scroll to top

Version 1.1.0.1 (Linux)

  • The HTML Report Generator implemented. This tool allows you to create the powerful database schema reports in HTML format quickly and easily
  • Import Data Wizard: the interface of this module is improved - now setting correspondence between the source columns and the target fields becomes easier and faster
  • Help system significantly expanded and improved - new topics and more detailed descriptions
  • A bug with saving/restoring export templates in the Export Data Dialog is fixed
  • Date values are now converted correctly to the script, when extracted with the Extract Metadata Expert
  • A lot of various interface improvements
  • Several minor improvements and corrections

Scroll to top

Version 2.0.0.1

  • The Visual Database Designer is implemented. Now it is possible to design your database visually using this tool
  • The support of InnoDB foreign keys is now available
  • The HTML Report Generator was implemented
  • MDI environment style implemented
  • Now you can develop your own plugins for MySQL Manager 2. An example plugin with Delphi sources is included to distribution package
  • Report Designer: now you can design your own reports in MySQL Manager
  • Database passwords can be stored encrypted now
  • New User Manager and Print Metadata windows
  • New Environment Options: the Environment Options dialog has been completely redesigned
  • A lot of other improvements and bug-fixes

Scroll to top

Version 1.0.0.1 (Linux)

The Linux version of MySQL Manager - a powerful GUI tool for MySQL database administration and development.

MySQL Manager for Linux is the same powerful tool for MySQL management as the Windows version. It provides graphical interface for all basic operations: creating/dropping databases, creating/dropping/altering tables, views, functions and other database objects, managing table data, running SQL queries and scripts, etc. Export/import data to/from most popular formats and other unique features are also available in Linux version.

Scroll to top

Version 1.9.0.1

  • Visual Query Builder was significantly improved. Most of the known bugs in Visual Query Builder are fixed, some MySQL-specific words and constructs such as LIMIT #, SQL_SMALL_RESULT, SQL_BIG_RESULT, HIGH_PRIORITY are supported now
  • Import Data Wizard: the import data engine was updated to the latest version (1.4) of EMS QuickImport suite
  • Export Data as INSERT dialog exports only currently selected records now
  • Fixed a bug with importing data from .csv files with empty values within records
  • Changing a field size is now possible after changing a field type in the Edit Field dialog
  • Fixed a bug with wrong text representing just after record editing in the Data View if the database font charset is different from default
  • Several small improvements and minor bug-fixes

Scroll to top

Version 1.8.0.1

  • Export Data dialog was upgraded to a newer version of QuickExport Component Suite
  • Grant Manager: a possibility to manage the privileges on database level was added. Now you can manage all the MySQL privileges using the Grant Manager feature
  • SQL Script: a possibility to disable the result log was added. Now you can disable output to the result memo (if it isn't necessary for you) and improve the performance of the query execution
  • A possibility of not using the field dimension was added to the Add/Edit Column dialog. Now you can define fields such as FLOAT and DOUBLE with or without size and precision
  • Form View: fixed a bug with clearing the field value if in the previous record it was Null
  • Fixed a bug with changing the primary key index to index with the different name
  • The strings that contain backslashes as the escape character process properly now. Because of a bug in the parser some errors did occur with '\\', '"' and ''' sequences within a string. Fixed now
  • Fixed a bug with renaming tables in old versions (generally 3.22.x) of MySQL server
  • Fixed a bug with setting the BINARY attribute to CHAR and VARCHAR fields
  • Several small improvements and minor bug-fixes

Scroll to top

Version 1.7.0.1

  • MySQL Manager Direct feature is added; now you can easily check for MySQL Manager updates and download the latest version just from the application
  • Now it is possible to invoke Export Data, Export Data As INSERT, Import Data and Load Data functions directly from DB Explorer
  • The ability to export all the MySQL Manager settings was added
  • Load Data Wizard now works properly with libmysql.dll library compiled without local-infile option
  • Commit/Rollback dialog now does not appear if connection to server is lost
  • Fixed some bugs with localization of multiple instances of the Table Editor window and SQL Editor
  • Several small improvements and minor bug-fixes

Scroll to top

Version 1.6.0.1

  • EMS HiTech is now an official MySQL AB Software Partner!
  • Interface localization has been implemented. Five languages - English, French, Italian, Dutch and Russian - are included in the installation package. Spanish localization is coming soon
  • DB Explorer: three modes of viewing table's details in SQL Assistant were added. Now you can view table's fields, table's indices or table status
  • DB Explorer: the ability of editing/dropping fields or indices was added to SQL Assistant
  • BLOB Editor: the ability of viewing images in GIF format was added
  • Query Builder: the last used query is being saved now on closing the Builder and is being restored on the next session of the Query Builder work
  • You can restore the default size of any child forms by pressing Ctrl+D now
  • Several small improvements and minor bug-fixes

Scroll to top

Version 1.5.0.1

  • New powerful and flexible user interface was applied to MySQL Manager. This new interface allows you to customize tool bar content (e.g. hide or move button, make button groups, etc.), show only recently used items in menu, customize menu's behaviour and other useful features. Moreover, a new dialogue was added that allows you to select the visual scheme between two standard ones (XP-like or Classic), or customize it as you desire. The visual scheme includes the view style of bars, trees, lists, edit controls, check boxes and page controls, so you can totally change the way of how the application looks. All customizations will be saved for future use
  • New powerful data grid was added to Data View: now you can edit data just in the grid within powerful inplace editors
  • Extract Metadata: added extraction templates. Now you can save the frequently used extract configuration templates for future use or load previously saved ones. It is very useful when you use the Extract Metadata dialog for backing up the dump of your databases
  • The possibility of extracting the data for the BLOB fields was added. Now you can dump the table data with BLOB fields using Extract Metadata dialog. Also this possibility was added to the Export As INSERT dialog
  • SQL Script: the Enable/Disable Parsing button was added to the toolbar. This feature allows you to disable script text parsing when the script is too large (e.g. has BLOB data in INSERT statements)
  • DB Explorer: possibility of multiple object dropping and editing was added. Now you can quickly drop several objects from database using the popup menu of the SQL Assistant. Simply select the objects in the list of SQL Assistant, right-click on selection and choose the 'Delete' item from the popup menu. You can also activate object editors within the same menu
  • The possibility of dropping the system 'mysql' database is not allowed now via Drop Database menu item
  • Fixed a bug with viewing/editing the fields of DECIMAL type. Now the size of such fields will be displayed correctly
  • Several small improvements and minor bug-fixes

Scroll to top

Version 1.2.0.1

  • Version 4.0.0-alpha of MySQL server is fully supported now!
  • Grant Manager: possibility of grant privileges for columns added. Now you can grant/revoke privileges for columns in addition to tables
  • DB Explorer: Register/Unregister host feature was added. Now you can register several databases at once with Register Host/Database wizard and quickly unregister all databases within a host
  • Data View: all values in fields of ENUM type are displaying as it is represented in a table. Moreover, ENUM values now can be edited within drop list in a grid cell
  • Fixed a bug in User Manager: now global privileges will be displayed correctly for users that have some privileges on the table level
  • Fixed a bug with primary key editing. Now fields can be added to or deleted from primary key properly
  • Fixed a bug with quick filtering of NULL values in Data View
  • A lot of small improvements and bug-fixes

Scroll to top

Version 1.0.0.1

  • 'Save Desktop' option added: check the "Save desktop on disconnect" checkbox in Environment Options | Preferences dialog page to enable/disable the restoring of all table/UDF editors, SQL Editor or Query Builder forms that was active before disconnect
  • SQL Editor: the Result message added. Now after query execution the result message will appear in the message window of SQL Editor. It will represent the number of rows affected/fetched by query and the time of query execution
  • Fixed a bug with calling the Database Registration Info dialog: no error now occurs on attempt to call it from context menu of the Host node
  • Several small improvements and minor bug-fixes

Scroll to top

First public release

Basic features:

  • Easy management all MySQL objects
  • Powerful tools to work with MySQL server
  • Multiple database connections
  • Powerful User Manager and Grant Manager
  • SQL Editor with syntax highlight
  • Visual Query Builder
  • Powerful BLOB Viewer/Editor that provides several ways of viewing BLOB data
  • Export data to Excel, RTF (Word), HTML, XML, DBF, TXT, CSV, SYLK, DIF, LaTeX and Windows Clipboard
  • Import data from most popular formats, including MS Excel, Access, etc.
  • SQL processing and watching tools
  • Customizable program interface
  • Detailed Help System and User's Guide

and more...

Scroll to top

See also:

What's new


EMS SQL Manager FAQ

Please read this page attentively if you have questions about EMS SQL Manager for MySQL.

Table of contents

Product questions

  • What is EMS SQL Manager for MySQL?
  • What is the difference between Full/Lite editions of EMS SQL Manager for MySQL?
  • What do I need to start working with EMS SQL Manager for MySQL?
  • What is the difference between the Export/Import functions in SQL Manager and the Data Export/Import utilities?
  • What is the difference between the Query Builder module in SQL Manager and the SQL Query for MySQL utility?
  • What is the difference between the Extract Database function in SQL Manager for MySQL and the DB Extract for MySQL standalone utility?

Common questions

  • I can't modify DDL. Why?
  • How can I customize data formats in grid?
  • I can't backup/restore tables on the remote server. Why?
  • When I create a table like `TestTable`, it will get stored as `testtable`. This is wrong!
  • I am trying to create a report in Report Designer, but I can't get access to the table data: 'Band data source' list is empty.
  • How can I speed up my work with large tables?
  • I have a table with appr. 1000 records only, and a large number of columns. Opening this table on the 'Data' tab takes too much time.
  • I cannot see procedures and functions in the object tree, but they are seen in the database. How can I fix it?
  • I cannot find a way to create a foreign key. How can I create it?
  • I cannot connect to the hosting provider database, but when using PHPMyAdmin the connection to the database is established successfully.
  • My database uses a "Greek" codepage. In data grid view all information is displayed as "??????". What is wrong?
  • Is it possible somehow to restore my database queries/settings/registrations from the old or faulty HDD, where SQL Manager was installed?

Export/Import questions

  • I'm trying to export data from a table, but TEXT columns are not exported.
  • What is the difference between the "Extract Database" and "Export as SQL Script" functions?
  • How can I change the default directory where exported data are saved?

Troubleshooting

  • When I try to register a database, I get the following message: Access denied for user: user@host.domain Why does it happen?
  • I try to connect to remote MySQL host, but I receive only the "Host not allowed to connect to server" message. What can be a reason?
  • I've registered the DB, but on trying to open it the "dynamic library libmysql.dll not found" message appears.
  • I get "Bad Handshake" message when I try to connect to MySQL 4.1.x. Does this product support 4.1.x?
  • Every time I try to connect to MySQL on a remote Linux server, I get the 'Lost connection to MySQL server during query' error. What's wrong?
  • I tried to create a foreign key for InnoDB table, but received the "Can't create table ... (errno: 150)" error. What's wrong?

Question/answer list

Product questions

Q: What is EMS SQL Manager for MySQL?

A: EMS SQL Manager for MySQL is a powerful tool for MySQL database server administration and development. SQL Manager for MySQL works with any MySQL versions from 4.1 to 5.6 and supports all of the latest MySQL features including views, stored procedures and functions, InnoDB foreign keys, events and so on. It offers plenty of powerful tools for experienced users to satisfy all their needs. SQL Manager for MySQL has a new state-of-the-art graphical user interface with well-described wizard system, so clear in use that even a newbie will not be confused with it.

Q: What is the difference between Full/Lite editions of EMS SQL Manager for MySQL?

A: These editions of SQL Manager for MySQL differ in price and features. To register SQL Manager for MySQL, see the Purchase page, and to learn about the difference in features please go to our Feature Matrix page.

Q: What do I need to start working with EMS SQL Manager for MySQL?

A: First of all you must have a possibility to connect to some local or remote MySQL server to work with SQL Manager for MySQL. You can download MySQL server from https://www.mysql.com/downloads/ (download is free). Besides, you need your workstation to satisfy the system requirements of SQL Manager for MySQL.

Q: What is the difference between the Export/Import functions in SQL Manager and the Data Export/Import utilities?

A: The Data Export/Import for MySQL utilities include some additional features which are not available in SQL Manager, such as:

  • export/import data from/to several tables simultaneously;
  • export/import data from/to tables selected from different databases on one host;
  • a command-line utility to export/import data using the configuration file with all the export/import options.

Q: What is the difference between the Query Builder module in SQL Manager and the SQL Query for MySQL utility?

A: First of all, SQL Query for MySQL works faster as it is a much lighter product. Besides, it provides additional features for query building, e.g.:

  • keeping query history which allows you to rollback to any edited query;
  • various interface improvements for more productive and easier work.

Q: What is the difference between the Extract Database function in SQL Manager for MySQL and the DB Extract for MySQL standalone utility?

A: The DB Extract for MySQL utility includes some additional features which are not available in SQL Manager, such as:

  • extracting metadata and/or data from several databases on one host;
  • a console application for performing extract in one-touch;
  • faster extraction speed.

Scroll to top

Common questions

Q: I can't modify DDL. Why?

A: The DDL tabs of the SQL Manager editors are read-only. To modify an object, you can copy the text to the clipboard and modify it using SQL Editor. For more details refer to Viewing object DDL structure.

Q: How can I customize data formats in grid?

A: You can customize all display formats: integer, float, date, time and datetime using the Color & Formats page of the Environment Options dialog.

Q: I can't backup/restore tables on the remote server. Why?

A: The Backup/Restore Tables functions do not work with remote MySQL server. This is not a limitation of SQL Manager for MySQL. MySQL server tries to backup tables only on the server side, so the Backup Tables function works properly only with local MySQL server. If you want to backup tables from the remote server, you can use the Extract Database feature.

Q: When I create a table like `TestTable`, it will get stored as `testtable`. This is wrong!

A: Probably the value of the "lower_case_table_names" variable is currently set to 1. Please visit https://dev.mysql.com/doc/refman/8.0/en/identifier-case-sensitivity.html for additional information about this variable.

Q: I am trying to create a report in Report Designer, but I can't get access to the table data: 'Band data source' list is empty.

A: It is recommended to use Create Report wizard which is run by right-clicking the Reports node in DB Explorer and selecting the 'New Report...' context menu item. The wizard will create all necessary data sources.

If you still want to use Report Designer, to get the data source in a report, you need to add database and query components to the report.

Q: How can I speed up my work with large tables?

A: For your convenience and to speed up your work, the Data Grid allows customizing a number of data display parameters. Here are the most important of them (accessible through the Grid | Data Options section of the Environment Options dialog):
- Limit options in table and view editors. The 'Select all records of a table' option will enable you to see all table records without extra references to the server, yet in case of large tables or low speed connection channel the data may be fetched with huge delays and the incoming traffic might grow considerably. This mode is recommended when working with local databases or in a private network. The 'Select only' mode restricts the maximum number of records returned after the query. A man cannot process a massive amount of information at once. Hence, we came up with this mode. This mode speeds up table data viewing considerably, prevents hanging and connection timeout. It is recommended to work with large tables, in case of low speed connection channels and when the traffic volume is of importance. This is the default mode. When in this mode, enabling the 'Use SQL sorting in data view' and 'Use SQL filter in data view' options comes really helpful.
- Default Grid Mode. This option defines whether the requested rows will be loaded in the Grid all at once ('Load all rows'), or in parts ('Load visible rows') as the user scrolls down table data. The first mode increases the query opening time, but speeds up scrolling. In the second mode the query opens very fast, but there might be delays when navigating the grid.
We recommend that you set the following option values to achieve maximum efficiency when working with large tables:
- Select only – ON
- Load visible rows – ON

Q: I have a table with appr. 1000 records only, and a large number of columns. Opening this table on the 'Data' tab takes too much time.

A: You need to set the Grid Mode for the table to 'Load Visible Rows'. Please right click within the table grid and select the 'Grid Mode' | 'Load Visible Rows' context menu item.

Q: I cannot see procedures and functions in the object tree, but they are seen in the database. How can I fix it?

A: This situation may occur if you do not have permissions to extract data from the 'mysql.proc' table. Please contact your MySQL server administrator to provide you with the necessary permissions. If it is not allowed to change the privilege settings, and if you are using MySQL 5.5 or higher, try to enable the 'Use INFORMATION_SCHEMA database to refresh metadata' option of the 'Database Registration Info -> Options' dialogue.

Q: I cannot find a way to create a foreign key. How can I create it?

A: Please note that foreign keys are supported not for all table engines of MySQL server. If the engine (set for your table) supports foreign keys (i.e. InnoDB), there should be the 'Foreign keys' tab available in the editor. Switch to this tab and chose the 'Add a new foreign key' option on the navigation bar.

Q: I cannot connect to the hosting provider database, but when using PHPMyAdmin the connection to the database is established successfully.

A: If you want to connect to MySQL server of your hosting provider through the Internet, please note that our program establishes the direct TCP/IP connection to the server port, and most of the hosting providers do not allow such remote connections. When connecting to your database via CPanel, PHPMyAdmin or your backend scripts (PHP, ASP, etc.), the connection to MySQL server is performed by the HTTP Server. In most cases, this is a local connection or connection inside a subnet of the hosting provider. In this case your Internet browser just receives the processed data from the HTTP Server.

To establish a connection to your database, you need to find out (with your hosting provider or from the provided by him documentation) whether they support direct connection on port 3306 (MySQL port by default) from the remote client machines. If it is not supported, you need to find out whether they provide SSH port to connect to the remote server. If so, you can use the SSH-tunneling feature in SQL Manager specifying the SSH authentication parameters provided by your hosting provider. To connect in such way, you should perform the following:

1) Upload the 'emsproxy.php' script (which is included in the installation package of SQL Manager) to your site root directory using the available FTP-account. In your browser specify the URL path to the downloaded 'emsproxy.php' script (e.g.: http://mysite.com/emsproxy.php). The 'emsproxy.php script is installed correctly' message should be displayed. It means that the script works correctly.

2) Launch SQL Manager.

3) At Step 1 of Register Database Wizard specify the connection parameters for your MySQL database, as they are specified in PHPMyAdmin or your scripts (e.g.: specify 'localhost' in the 'Host' field), enable the 'Use tunneling' and 'HTTP tunneling' options. Press 'Next'.

4) Specify the URL path to the uploaded 'emsproxy.php' script as you specified it in the browser (Item 1).

5) Press 'Next'.

6) Specify your database name (the database may not be available, if you have limited permissions on the server) and press 'Finish'.

Q: My database uses a 'Greek' codepage. In data grid view all information is displayed as "??????". What is wrong?

A: Data is often displayed in such way, when the actual data encoding does not match the encoding of the database fields. For example, Greek characters are stored in a Latin1 encoded field. If so, set the 'Windows charset' value in the 'Client charset' field of the 'Database Registration Info' dialogue. If in this case the data is displayed correctly, this mode can be used as a temporary solution. However, you should remember that this is the incorrect database configuration, therefore the server-side comparisons and data sorting will work incorrectly. We recommend you to contact our technical support team in this case.

Q: Is it possible somehow to restore my database queries/settings/registrations from the old or faulty HDD, where SQL Manager was installed?

A: SQL Manager for MySQL stores all your settings in the Windows registry. It means that the only way to transfer your database data is to get access to the Windows registry. You can do it by loading OS from your old HDD (if possible) or by opening the registry file with a special editor program. If you managed it, you can unload the 'HKEY_CURRENT_USER\Software\EMS\MySQL Manager' branch to the *.REG file, transfer this file to a new system and add information to the registry by double-clicking the file.

Scroll to top

Export/Import questions

Q: I'm trying to export data from a table, but LONGTEXT fields are not exported.

A: Fields of type LONGTEXT are not exported by default. You should select these fields manually at the Selecting fields for export step.

Q: What is the difference between the "Extract Database" and "Export as SQL Script" functions?

A: Export as SQL Script is intended for exporting table data that will be inserted into a database system other than MySQL. Use Extract Database Wizard to copy metadata and/or data to a database on MySQL afterwards.

Q: How can I change the default directory where exported data are saved?

A: Follow the steps below to change the default directory:

1. Right-click the database alias in DB Explorer and select the 'Database Registration Info...' context menu item (you can also find this item in the 'Database' main menu) to open the Database Registration Info dialog.

2. Proceed to the Directories section within the dialog.

3. Set the 'Default directory for Export Data'.

Scroll to top

Troubleshooting

Q: When I try to register a database, I get the following message:

Access denied for user: user@host.domain

Why does it happen?

A: This error is generated by MySQL server because you do not have privileges to connect to the server from your host. Please contact your database administrator to resolve this problem.

Q: I try to connect to remote MySQL host, but I receive only the "Host not allowed to connect to server" message. What can be a reason?

A: This error occurs because you don't have a permission to connect to remote MySQL server from your host. Please contact your database administrator or, if you have access to MySQL server with grant privilege, you can use the GRANT statement to add a new user. For example, the following command will give full access from your host to the user:

GRANT ALL PRIVILEGES ON *.* TO 'user'

IDENTIFIED BY 'user_password'

WITH GRANT OPTION;

Please read the "GRANT and REVOKE Syntax" chapter of MySQL reference.

Q: I've registered the DB, but on attempt to open it the "dynamic library libmysql.dll not found" message appears.

A: Please make sure that the libmysql.dll file exists in the SQL Manager for MySQL directory. Reinstallation of the application can solve the problem.

Q: I get "Bad Handshake"message when I try to connect to MySQL 4.1.x. Does this product support 4.1.x?

A: You seem to use an old version of the client library libmysql.dll. You should use the client library from our installation package. Please try to reinstall the application.

Q: Every time I try to connect to MySQL on a remote Linux server, I get the 'Lost connection to MySQL server during query' error. What's wrong?

A: This error can occur if your Linux glibc requires greater than 128K of stack size to resolve a hostname. It happens primarily on RedHat 8.0 system with MySQL version lower than 4.0.10, but also can happen with another configuration. To resolve such issue, add/edit the following line to the [mysqld] section of MySQL configuration file:

set-variable = thread_stack=192k # value must be 192K or higher

Q: I tried to create a foreign key for InnoDB table, but received the "Can't create table ... (errno: 150)" error. What's wrong?

A: The referenced column should appear as the first column in some index, both in parent and child tables.

Scroll to top

If you still have any questions, contact us at our Support Center.


Other EMS Products

Quick navigation

MySQL

Microsoft SQL Server

PostgreSQL

InterBase / FireBird

Oracle

IBM DB2

Tools & components

MySQL

 | SQL Management Studio for MySQL EMS SQL Management Studio for MySQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for MySQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for MySQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for MySQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for MySQL Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to MySQL.
datagenerator | Data Generator for MySQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for MySQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for MySQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for MySQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for MySQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Microsoft SQL Server

 | SQL Management Studio for SQL Server EMS SQL Management Studio for SQL Server is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for SQL Server Perform backup and restore, log shipping and many other regular maintenance tasks on the whole set of SQL Servers in your company.
sqladmin | SQL Administrator for SQL Server Perform administrative tasks in the fastest, easiest and most efficient way. Manage maintenance tasks, monitor their performance schedule, frequency and the last execution result.
 | SQL Manager for SQL Server Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for SQL Server Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for SQL Server Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for SQL Server Migrate from most popular databases (MySQL, PostgreSQL, Oracle, DB2, InterBase/Firebird, etc.) to Microsoft® SQL Server™.
datagenerator | Data Generator for SQL Server Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for SQL Server Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for SQL Server Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for SQL Server Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for SQL Server Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

PostgreSQL

 | SQL Management Studio for PostgreSQL EMS SQL Management Studio for PostgreSQL is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | EMS SQL Backup for PostgreSQL Creates backups for multiple PostgreSQL servers from a single console. You can use automatic backup tasks with advanced schedules and store them in local or remote folders or cloud storages
 | SQL Manager for PostgreSQL Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for PostgreSQL Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for PostgreSQL Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for PostgreSQL Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, InterBase/Firebird, etc.) to PostgreSQL.
datagenerator | Data Generator for PostgreSQL Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for PostgreSQL Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for PostgreSQL Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for PostgreSQL Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for PostgreSQL Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

InterBase / Firebird

 | SQL Management Studio for InterBase/Firebird EMS SQL Management Studio for InterBase and Firebird is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for InterBase/Firebird Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for InterBase/Firebird Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more
dataimport | Data Import for InterBase/Firebird Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for InterBase/Firebird Migrate from most popular databases (MySQL, SQL Server, Oracle, DB2, PostgreSQL, etc.) to InterBase/Firebird.
datagenerator | Data Generator for InterBase/Firebird Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for InterBase/Firebird Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for InterBase/Firebird Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for InterBase/Firebird Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for InterBase/Firebird Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

Oracle

 | SQL Management Studio for Oracle EMS SQL Management Studio for Oracle is a complete solution for database administration and development. SQL Studio unites the must-have tools in one powerful and easy-to-use environment that will make you more productive than ever before!
 | SQL Manager for Oracle Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for Oracle Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for Oracle Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for Oracle Migrate from most popular databases (MySQL, PostgreSQL, MySQL, DB2, InterBase/Firebird, etc.) to Oracle
datagenerator | Data Generator for Oracle Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
dbcomparer | DB Comparer for Oracle Compare and synchronize the structure of your databases. Move changes on your development database to production with ease.
extract | DB Extract for Oracle Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for Oracle Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
datacomparer | Data Comparer for Oracle Compare and synchronize the contents of your databases. Automate your data migrations from development to production database.
 | Scroll to top

IBM DB2

 | SQL Manager for DB2 Simplify and automate your database development process, design, explore and maintain existing databases, build compound SQL query statements, manage database user rights and manipulate data in different ways.
dataexport | Data Export for DB2 Export your data to any of 20 most popular data formats, including MS Access, MS Excel, MS Word, PDF, HTML and more.
dataimport | Data Import for DB2 Import your data from MS Access, MS Excel and other popular formats to database tables via user-friendly wizard interface.
datapump | Data Pump for DB2 Migrate from most popular databases (MySQL, PostgreSQL, Oracle, MySQL, InterBase/Firebird, etc.) to DB2
datagenerator | Data Generator for DB2 Generate test data for database testing purposes in a simple and direct way. Wide range of data generation parameters.
extract | DB Extract for DB2 Create database backups in the form of SQL scripts, save your database structure and table data as a whole or partially.
query | SQL Query for DB2 Analyze and retrieve your data, build your queries visually, work with query plans, build charts based on retrieved data quickly and more.
 | Scroll to top

Tools & components

advancedexport | Advanced Data Export for RAD Studio VCL Advanced Data Export for RAD Studio VCL allows you to save your data in the most popular office programs formats.
advancedexport | Advanced Data Export .NET Advanced Data Export .NET is a component for Microsoft Visual Studio .NET that will allow you to save your data in the most popular data formats for the future viewing, modification, printing or web publication. You can export data into MS Access, MS Excel, MS Word (RTF), PDF, TXT, DBF, CSV and more! There will be no need to waste your time on tiresome data conversion - Advanced Data Export will do the task quickly and will give the result in the desired format.
advancedimport | Advanced Data Import for RAD Studio VCL Advanced Data Import for RAD Studio VCL will allow you to import your data to the database from files in the most popular data formats.
pdfgenerator | Advanced PDF Generator for RAD Studio Advanced PDF Generator for RAD Studio gives you an opportunity to create PDF documents with your applications written on Delphi or C++ Builder.
querybuilder | Advanced Query Builder for RAD Studio VCL Advanced Query Builder for RAD Studio VCL is a powerful component for Delphi and C++ Builder intended for visual building SQL statements for the SELECT, INSERT, UPDATE and DELETE clauses.
excelreport | Advanced Excel Report for RAD Studio Advanced Excel Report for RAD Studio is a powerful band-oriented generator of template-based reports in MS Excel.
advancedlocalizer | Advanced Localizer for RAD Studio VCL Advanced Localizer for RAD Studio VCL is an indispensable component for Delphi for adding multilingual support to your applications.
 | Scroll to top


Getting Started

SQL Manager for MySQL provides you with an ability to contribute to efficient MySQL administration and development using a variety of available tools easily and quickly.

The succeeding chapters of this document are intended to inform you about the tools implemented in SQL Manager for MySQL. Please see the instructions below to learn how to perform various operations in the easiest way.

  • Selecting style and language
  • How the application looks when you start it for the first time
  • Using Desktop Panel
  • Database navigation
  • Working with database objects
  • Using context menus
  • Working with child windows

See the How to... chapter to view brief instructions on how to perform some operations on databases, database objects, etc.

Enjoy your work with EMS SQL Manager for MySQL!

See also:

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


Selecting style and language

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Selecting environment style and program language

Before you start SQL Manager for the first time, you have to choose the environment style and the interface language. You can change these settings any time using the Environment Options dialog (Options | Environment Options...) to configure the environment style and the Select Language dialog (Options | Select Program Language...) to change the program language.

Environment style

This switch allows you to define the main window behavior style - RadioButton MDI (like in MS Office applications) or RadioButton Floating windows (like Borland Delphi IDE).

Bar style for child forms

Here you can define the location of action buttons: RadioButton within the Navigation bar (on the left) and/or RadioButton on the Toolbar.

Program Language

Select the interface language from the list of available languages.

Getting started - Selecting style and language

See also:

First time started

Using Desktop Panel

Database navigation

Working with database objects

Using context menus

Working with windows


First time started

This is how SQL Manager for MySQL looks when you start it for the first time. Use the Desktop panel to fulfill any of common tasks: Create a new database, Manage existing database(s), and several tasks that do not require database registration, i.e. Execute SQL script, accessing the reference system or using available Internet resources.

Getting started - First time started

The main menu allows you to perform various Database operations, open To-Do List and activate/deactivate Database Explorer, SQL Assistant and various toolbars within the View menu, manage your databases using items of the Tools and Services menus, customize the application using the Options menu, manage SQL Manager Windows using Window List and other tools, and access Registration information and product documentation, update the product to the latest version using the corresponding items available within the Help menu.

To start working with your MySQL server, you should first register the host using Register Database wizard. After that you need to register one or several databases using Register Database Wizard.

By default the corresponding btnRegisterHost Register Host, btnRegisterDB Register Database buttons are available on the toolbar and within the Database menu.

When the database connection settings are specified, you can set connection to your database and proceed to Database navigation, Database Objects management, working with SQL queries and other tools of SQL Manager.

See also:

Selecting style and language

Using Desktop Panel

Database navigation

Working with database objects

Using context menus

Working with windows


Using Desktop Panel

Desktop Panel is the area that is visible when no child windows are open in SQL Manager for MySQL. The working area of Desktop Panel is divided into four sections: Getting Started, Database Tools, Help and Support, Internet Resources.

Getting started - Using Desktop Panel

Using the Desktop Panel items you can:

Getting Started section

create a new MySQL database

register existing database(s) to operate them afterwards in SQL Manager

create a new table within the current database using the New Table window (this item is available if there is at least one active database connection)

create a new database object within the current database (this item is available if there is at least one active database connection)

Database Tools section

execute a script using SQL Script Editor

execute a SQL query (this item is available if there is at least one active database connection)

manage MySQL users (this item is available if there is at least one active database connection)

grant permissions on database objects to MySQL users using Grant Manager (this item is available if there is at least one active database connection)

Help and Support section

show this help file

use MySQL reference

Internet Resources section

visit SQL Manager Home Page

browse SQL Manager on-line documentation

go to Technical Support Center

look through the Frequently Asked Questions page

See also:

Selecting style and language

First time started

Database navigation

Working with database objects

Using context menus

Working with windows


Database navigation

After you have registered the required database(s), the corresponding alias(es) appear in the DB Explorer tree on the left. If the Show Hosts option is checked on the Environment Options | DB Explorer page, the host nodes are also displayed in the tree (alternatively, you can use the Show Hosts item of the Database context menu, or the drop-down menu of the View Mode btnViewMode toolbar button for the same purpose).

Getting started - Database navigation

DB Explorer displays all registered databases. Connected/disconnected databases can be easily distinguished in the tree: aliases of disconnected databases are grayed out.

Getting started - Database navigation - Disconnected DB

To connect to a database, simply double-click its alias (or select the database alias in DB Explorer and press Enter). If the connection is successful, the database node expands into a tree of objects.

Now you can navigate within the database objects. Use SQL Assistant to get extended information about the currently selected object.

See also:

Selecting style and language

First time started

Using Desktop Panel

Working with database objects

Using context menus

Working with windows


Working with database objects

The nodes of the DB Explorer tree allow you to access objects of the selected database. If MySQL server you are connected to supports certain types of objects, their nodes will appear in the tree.

Double-click an object group to expand/collapse the corresponding tree node.

Double-click an object to open it in the corresponding editor.

Right-click an object to display its context menu which allows you to perform various operations over the selected object or database.

Getting started - Working with database objects

If you want to use the DB Explorer tree for working with table subobjects (columns, indexes, Foreign keys, etc.), check the Show table subobjects option which is available within the General options group of the Environment Options | DB Explorer page (you can also use the Show Table Subobjects menu item in the drop-down menu of the View Mode btnViewMode toolbar button for the same purpose.)

Getting started - Working with database objects - View Mode

See also:

Selecting style and language

First time started

Using Desktop Panel

Database navigation

Using context menus

Working with windows


Using context menus

The context menus are aimed at facilitating your work with SQL Manager for MySQL: you can perform a variety of operations using context menu items.

Select an object in DB Explorer and right-click its alias to open the context menu.

  • Host context menu
  • Database context menu
  • Object context menu

See also:

Selecting style and language

First time started

Using Desktop Panel

Database navigation

Working with database objects

Working with windows


Host context menu

The context menu of a Host in the DB Explorer tree allows you to:

  • disconnect from all databases on the selected host;
  • register a new database using Register Database Wizard;
  • unregister the selected host;
  • configure server properties;
  • configure representation of hosts and databases in Database Explorer;
  • create a new tab for the selected host to access it through this tab quickly and/or manage the existing tab;
  • search for an object within the tree.

Using context menus - Host context menu

The following features can be accessed through the Server tools submenu:

Using context menus - Host context menu - Server Tools

  • Database Registration Manager;
  • SQL Script Editor;
  • User Manager;
  • Grant manager;
  • Information concerned server or database - Show submenu.

See also:

Database context menu

Object context menu


Database context menu

The context menu of a registered database in the DB Explorer tree allows you to:

  • connect to the selected database (if connection to the database is not active yet);
  • disconnect from the selected database (if connection to the database has been already activated);
  • view/edit the selected database registration information within the Database Registration Info dialog;
  • view/edit the Database properties;
  • register a new database using Register Database Wizard;
  • unregister the selected database;
  • unregister the host where the selected database resides;
  • configure server properties;
  • configure representation of hosts and databases in Database Explorer;
  • refresh the selected database or server objects;
  • create a new tab for the selected database to access it through this tab quickly and/or manage the existing tab;
  • search for an object within the tree.

Using context menus - Database context menu

Using the Database tools submenu you can do the following:

Using context menus - Database context menu BDTools

Open SQL Script Editor;

Open Visual Query Builder;

Use Print Metadata tool;

Extract Database;

Create HTML Report;

Browse Dependency Tree;

Open Visual Database Designer;

Copy Database;

View information concerning database - Show submenu.

See also:

Host context menu

Object context menu


Object context menu

The context menu of an object (e.g. table or view) in the DB Explorer tree allows you to:

  • create a new database object of the same type;
  • edit the selected object in its editor;
  • rename the selected object;
  • drop the selected object from the database;
  • duplicate the selected object (create a new object with the same DDL structure and properties as the selected object has);
  • view Dependency Tree for the selected object;
  • perform data manipulation operations (for tables and views);
  • generate the object script and open it in SQL Editor;
  • generate the object script and copy its text to Windows clipboard;
  • create view/procedure/function from table (for tables);
  • view properties (for tables);
  • define grants (for tables);
  • refresh all objects of the selected object type;
  • view/edit the database registration information within the Database Registration Info dialog;
  • create a new tab for the selected object to access it through this tab quickly and/or manage the existing tab;
  • search for an object within the tree.

Using context menus - Object context menu

See also:

Host context menu

Database context menu


Working with windows

The Windows Toolbar of SQL Manager allows you to switch between child windows easily, like in Windows Task Bar.

To activate the window you need, simply click one of the window buttons. To perform some additional actions with the window, right-click its tab and select the corresponding menu item from the popup menu.

Getting started - Switching windows

If you have multiple windows opened, you can also switch between them using the Ctrl+Tab shortcut.

The Number of open editors is restricted option available in the Windows section of the Environment Options options dialog allows you to set the maximum number of editors that may be opened simultaneously. When the number of editors exceeds the specified value, the previously opened editors will be closed automatically.

The Windows menu facilitates your work with SQL Manager windows.

The Windows menu allows you to:

  • view the Windows List within the corresponding tab of DB Explorer;
  • set all current windows cascade:

Getting started - Windows - Cascade

  • minimize all windows;
  • restore all windows;
  • tile all current windows horizontally:

Getting started - Windows - Tile Horizontal

  • tile all current windows vertically:

Getting started - Windows - Tile Vertical

  • set defaults to all windows;
  • reset all toolbars and menus;
  • close all windows;
  • close all editors of the specified object type (can be selected from the submenu);
  • switch to the previous window;
  • switch to the next window;
  • activate one of currently opened windows.

See also:

Selecting style and language

First time started

Using Desktop Panel

Database navigation

Working with database objects

Using context menus


Database Explorer

Database Explorer (or DB Explorer) is the basic window of SQL Manager for MySQL for navigation within databases and working with database objects. The tree-like structure of DB Explorer allows you to manage the databases and database objects, and perform other everyday operations quickly and easily.

The following list contains the most frequently used features provided by Database Explorer.

  • Managing database registration info
  • Connecting to databases
  • Performing basic operations upon database objects
  • Selecting multiple objects
  • Navigating database objects using multiple tabs
  • Easy access to recently opened objects
  • Managing Favorite objects
  • Searching within the tree
  • Viewing extended information about database objects
  • Configuring Database Explorer
  • Managing Favorite queries

All objects are structured by their types and are available within the corresponding nodes of the tree. The number of objects of each type is displayed in brackets after the node name denoting the object type. To expand/collapse a node, you can double-click it or use the +/- icons.

To view/hide the Database Explorer window, use the View | DB Explorer main menu item or press the F11 key.

DB Explorer - View

Use the Ctrl+Shift+C shortcut to collapse the current DB Explorer tree branch and switch to the parent node.

Note that you can change database aliases order by dragging them within the DB Explorer tree.

See also:

Getting Started

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


Managing database registration info

After you have created and/or registered your database in SQL Manager for MySQL, you can perform a number of operations with the database using the context menu.

If you need to view/edit the registration information of a database, right-click the database alias in DB Explorer and select the btnDBRegInfo Database Registration Info... context menu item to open the Database Registration Info dialog.

DB Explorer - Managing database registration info

See also:

Register Database

Database Registration Info

Database Registration Manager


Connecting to databases

When the MySQL host is registered, and the database registration is complete, you can establish connection to your database.

The simplest way to connect to a database is to double-click its alias in the Database Explorer tree. The same operation can be performed by selecting the Connect to Database item of the database alias context menu, or by using the Database | Connect to Database main menu item.

DB Explorer - Connecting to databases

Alternatively, you can use the Shift+Ctrl+C shortcut or the btnConnectToDB Connect to Database toolbar button.

DB Explorer - Connecting to databases - Toolbar

See also:

Register Database

Database Registration Info


Operations with database objects

Database Explorer allows you to perform various operations with database objects.

To open an object in its editor, you can double-click the object in the DB Explorer tree.

You can also right-click an object within the DB Explorer tree and use its context menu to perform a number of operations:

  • create a new object (the New <object>... item);
  • edit currently selected object (the Edit <object_name>... item);
  • rename currently selected object (the Rename <object_name>... item);
  • drop the selected object from the database (the Drop <object_name>... item);
  • duplicate the selected object (the Duplicate <object_name>... item);
  • view Dependency Tree for the selected object.

Note that the context menu contains object-specific items only when the object is currently selected in DB Explorer.

DB Explorer - Operations with database objects

Using drag-and-drop operations you can add objects to SQL Editor, Visual Query Builder or SQL Script Editor. For your convenience the Insert to editor dialog is implemented. The dialog allows you to specify the statement to be inserted into the editor: Name, SELECT, INSERT, UPDATE, DELETE, CREATE, ALTER, DROP, Columns list, Name and Type. If necessary, set the Alias and Prefix for variable.

If more convenient, you can edit the generated statement manually (see Working with SQL Editor area).

DB Explorer - Insert to Editor

See also:

Database/Server Objects Management

SQL Editor

Selecting multiple objects


Selecting multiple objects

You can select more than one object in Database Explorer by pressing the Ctrl or the Shift key and selecting multiple objects one by one.

The context menu of several selected objects allows you to:

  • create a new database object of the same type;
  • edit the selected objects;
  • drop the selected objects;
  • perform other operations with the first of the selected objects (see Operations with database objects).

DB Explorer - Selecting multiple objects

Hint: You can move several objects to your Favorite objects: just drag and drop the selected objects to the previously created subfolder within the Favorite Objects node of DB Explorer.

See also:

Operations with database objects

Database/Server Objects Management

Managing Favorite objects


Using tabs for database navigation

To make your work with Database Explorer even more convenient, the capability of working with several tabs is implemented.

You can use tabs when you wish to work with a particular node of the DB Explorer tree only: with a group of objects, or with a specific database project. Creating such tabs will minimize scrolling within large trees, you only need to switch between them with a single click on the corresponding tab.

Creating tabs

In order to create a new tab:

  • right-click the node (e.g. the Tables node) for which you wish to create a tab and select the New Tab from Here... context menu item.

Note: A tab can be created only on the basis of a tree node. For example, if the Show Table Subobjects option is disabled in the View Mode menu, the New Tab from Here... item will not be available for tables, since none of them will be a tree node anymore.

DB Explorer - Using tabs - New tab

The specified tabs can be displayed in either of the two views:

  • as icons on the lower pane of DB Explorer:

DB Explorer - Using tabs - View as icons

  • as tabs with captions:

DB Explorer - Using tabs - View as tabs

Hint: You can reorder items in the tabs view by dragging their captions up and down.

To add/remove items to/from the tabs view, you can drag the horizontal splitter up/down:

DB Explorer - Splitter for tabs

or click the Configure buttons icon available in the bottom right corner of the DB Explorer window, and select Show More Buttons / Show Fewer Buttons / Add or Remove Buttons items from the popup menu.

DB Explorer - Using tabs - Add or remove buttons

Note: Navigation through the tabs is also possible with the help of the following shortcuts:

  • Ctrl+Shift+N - move to the next tab;
  • Ctrl+Shift+P - move to the previous tab.

Renaming tabs

In order to rename a tab:

  • switch to the tab by clicking its caption or icon (there can be only one active tab, and it is highlighted with a different color);
  • right-click within the DB Explorer area and select the Rename Current Tab... context menu item.

Removing tabs

In order to remove a tab:

  • switch to the tab by clicking its caption or icon (there can be only one active tab, and it is highlighted with a different color);
  • right-click within the DB Explorer area and select the Delete Current Tab context menu item.

See also:

Managing Favorite objects

Windows List

Database/Server Objects Management


Recently opened objects

Use the Recent Objects btnRecentObjects button available on the DB Explorer toolbar to access the list of recently opened database objects (during the current session).

This list is common for all registered databases. Next to the object name the database name and the host/address are displayed. Select an object from this list to open it using its editor.

DB Explorer - Recently opened objects

To change the number of objects that are considered 'recent', select the Options | Environment Options main menu item, proceed to the Tools | DB Explorer section within the Environment Options dialog, and set the Recent objects count option value (see Environment Options for details).

See also:

Database/Server Objects Management

Environment Options


Managing Favorite objects

Use the Favorite objects node for each database to work with the selected objects of this database only. You can place any object from the database tree here.

You can also create a separate tab for your Favorite objects folder. See Using tabs for database navigation section for details.

DB Explorer - Managing projects - New Subfolder

Creating Favorite objects folders

In order to create a new folder:

  • right-click the Favorite objects node and select the New Sub Folder... context menu item;
  • enter the folder name within the New Folder dialog.

DB Explorer - Managing projects - Adding objects

Adding objects

In order to add a new object to the Favorite objects folder:

  • expand the Favorite objects node in DB Explorer;
  • drag an object (or multiple objects) from the database tree to the Favorite objects folder

or

  • right-click the Favorite objects folder and select the Add Object... context menu item, or use the Ins key;
  • use the Select Object dialog to specify objects to be added to the Favorite objects folder.

Removing objects from the Favorite objects folder

In order to remove an object from the Favorite objects folder:

  • right-click the object and select the Remove <object_name> from Favorite objects context menu item, or use the Shift+Ctrl+Del shortcut;
  • confirm removing in the dialog window.

Note: This operation does not drop the object from the database, but only removes its alias from the Favorite objects tree.

See also:

Using tabs for database navigation

Select Object dialog

Database/Server Objects Management


Searching within the tree

SQL Manager for MySQL provides an ability to search for items within the DB Explorer tree. Searching for items may be useful if you have a lot of database objects, and it may be sometimes hard to find the one you need.

There are two search facilities implemented in SQL Manager for your convenience. You can search for items within the DB Explorer tree in either of the following ways:

  • using the Find Item dialog

To call the Find Item dialog, right-click the Database alias or any of the database objects in the DB Explorer tree and select the Find Object... context menu item, or use the Ctrl+F key shortcut.

DB Explorer - Searching within the database

Note that you can specify whether the search will be performed within the entire tree or within the currently selected node only: use the CheckBox Search by categories option available within the Tools | DB Explorer section of the Environment Options dialog.

  • using the Search Panel

Type in the first letters in the edit-box, and the corresponding object will be highlighted in the tree, as displayed in the picture below. The [image] [image] buttons allow you to define the search direction.

DB Explorer - Search Panel

By default, the Search Panel is activated in the upper area of DB Explorer. To disable the panel, right-click within the panel and deselect the checkbox at the corresponding popup menu item.

DB Explorer - Search Panel - Activate

Hint: The Search Panel is dockable, i.e. you can drag it to any location within the DB Explorer form.

See also:

Find Text dialog


SQL Assistant

SQL Assistant which is located at the bottom of the Database Explorer window helps you to work with your database objects. Depending on the current selection in DB Explorer, the SQL Assistant area displays additional information pertaining to the selected object.

DB Explorer - SQL Assistant

If you select a database in DB Explorer, SQL Assistant displays the list of the database object groups and the number of objects in each group.

Selecting an object group in DB Explorer displays the list of the objects in SQL Assistant. Double-clicking the object name in SQL Assistant makes the object available for editing in the appropriate editor. The context menu of the object or group of objects (selected with the Ctrl or Shift keys pressed) allows you to edit or drop the selected objects.

If you select a table in DB Explorer, SQL Assistant displays the list of the table subobjects (e.g. columns and their types) by default. What is displayed in SQL Assistant when a table is selected in DB Explorer depends on the Table Details selection. Click the View Mode btnViewMode toolbar button and select the Table Details | Show... drop-down menu item, or use the context menu of SQL Assistant. Possible values are: Show Columns, Show Indexes, Show Foreign Keys, Show DDL, Show Description.

Selecting other objects in DB Explorer displays the definition in SQL Assistant by default. Use the Other Objects' Details | Show... context menu item within the SQL Assistant area to define the content of SQL Assistant when an object is selected in DB Explorer. Possible values are: Show DDL, Show Description.

DB Explorer - SQL Assistant - Object details

You can also use SQL Assistant to work with your queries quickly. You can drag-and-drop object aliases to the SQL Editor, Visual Query Builder or SQL Script Editor working area, in the same way as this operation is performed in Database Explorer.

See also:

Database Objects Management


Configuring Database Explorer

Configuring DB Explorer toolbar

The toolbar of Database Explorer contains most frequently used tools for working with databases and database objects, and a tool for configuring DB Explorer. The following actions are available in the toolbar by default:

  • create a new object;
  • refresh the current tree branch;
  • connect to a database;
  • disconnect from a database;
  • view the selected object properties;
  • configure Database Explorer using the View Mode menu;
  • view the list of recently opened objects;
  • jump to any of registered databases quickly.

Click More buttons... btnMoreButtons on the right side of the toolbar and use the Add or Remove Buttons popup menu items to define the set of actions available in the toolbar. To customize the toolbar, select the Add or Remove Buttons | Customize... item from the popup menu.

DB Explorer - Configuring DB Explorer - Toolbar

Configuring the Search Panel

Click More buttons... btnMoreButtons on the right side of the Search Panel and use the Add or Remove Buttons popup menu items to define the set of the panel elements. To customize the panel, select the Add or Remove Buttons | Customize... item from the popup menu.

DB Explorer - Search Panel - Customize

Using View Mode menu

Use the View Mode btnViewMode toolbar button to configure Database Explorer according to your needs.

The drop-down menu called upon clicking this button allows you to:

  • show/hide table subobjects as child nodes of tables;
  • show/hide host nodes for registered databases;
  • sort the list of databases by their aliases in the DB Explorer tree;
  • show/hide disconnected databases;
  • configure tables' details for the SQL Assistant area;
  • configure other objects' details for the SQL Assistant area.

DB Explorer - Configuring DB Explorer - View Mode

Use the DB Explorer section of the Environment Options dialog (Options | Environment Options...) to see more options to configure Database Explorer.

See also:

Customize toolbars and menus

Environment Options


Managing Favorite queries

Favorite Queries is a new feature of SQL Manager. Now you are provided with an opportunity to save the most frequently used SQL queries as Favorite Queries.

Use the Favorite Queries node of DB Explorer to access the list of your Favorite queries quickly. Queries stored in the database and those stored in Windows registry can be easily distinguished by their icons.

Using the context menu you can create a new Favorite query or edit an existing one using Favorites editor, open any of the existing queries in SQL Editor or remove a query if you don't need it any longer.

DB Explorer - Managing Favorite queries

You can also create a separate tab for your Favorite queries. See Using tabs for database navigation section for details.

See also:

Using tabs for database navigation

Favorites editor


Database Management

SQL Manager for MySQL provides a number of tools you may need to manage your MySQL databases.

Find the list of common database management operations for working in SQL Manager below.

Unregistering Hosts

In order to unregister a host in SQL Manager for MySQL:

  • select the host to unregister in the DB Explorer tree;
  • select the Database | Unregister Host main menu item or use the corresponding btnUnregisterHost Unregister Host toolbar button

or

  • right-click the host alias and select the Unregister Host context menu item in the DB Explorer tree;
  • confirm unregistering in the corresponding dialog window.

Creating Databases

In order to create a database in SQL Manager for MySQL:

  • select the Database | Create Database main menu item or use the corresponding btnCreateDB Create Database toolbar button;
  • set all the necessary options using Create Database wizard which guides you through the entire process of creating a new database.

Dropping Databases

In order to drop a database in SQL Manager for MySQL:

  • select the database to drop in the DB Explorer tree;
  • select the Database | Drop Database main menu item;
  • confirm dropping in the corresponding dialog window.

Registering Databases

In order to register a single database in SQL Manager for MySQL:

  • select the Database | Register Database... main menu item or use the corresponding btnRegisterDB Register Database toolbar button

or

  • right-click any database alias and select the Register Database... context menu item in the DB Explorer tree;
  • set all the necessary options using Register Database wizard which guides you through the entire process of database registration.

Unregistering Databases

In order to unregister a database in SQL Manager for MySQL:

  • select the database to unregister in the DB Explorer tree;
  • select the Database | Unregister Database main menu item or use the corresponding btnUnregisterDB Unregister Database toolbar button

or

  • right-click the database alias and select the Unregister Database context menu item in the DB Explorer tree;
  • confirm unregistering in the corresponding dialog window.

Connecting to Databases

In order to connect to a database in SQL Manager for MySQL:

  • select the database to connect to in the DB Explorer tree;
  • select the Database | Connect to Database main menu item or use the corresponding btnConnectToDB Connect to Database toolbar button

or

  • right-click the database alias and select the Connect to Database context menu item in the DB Explorer tree.

Disconnecting from Databases

In order to disconnect from a database in SQL Manager for MySQL:

  • select the database to disconnect from in the DB Explorer tree;
  • select the Database | Disconnect from Database main menu item or use the corresponding btnDisconnectFromDB Disconnect from Database toolbar button

or

  • right-click the database alias and select the Disconnect from Database context menu item in the DB Explorer tree.

Viewing and Editing Database Registration Info

In order to view/edit database registration info in SQL Manager for MySQL:

  • select the database or any of its objects in the DB Explorer tree;
  • select the Database | Database Registration Info... main menu item

or

  • right-click the database alias or any of its objects and select the Database Registration Info... context menu item in the DB Explorer tree.

Viewing and Editing Database Properties

In order to view/edit database properties in SQL Manager for MySQL:

  • select the database in the DB Explorer tree;
  • right-click the database alias and select the btnDBProperties Database Properties... context menu item or use the corresponding Properties toolbar button.

See also:

Getting Started

Database Explorer

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


Create Database wizard

Create Database wizard allows you to create a new database on your MySQL host.

To start the wizard, select the Database | btnCreateDB Create Database... main menu item, or use the btnCreateDB Create Database button on the main toolbar.

  • Setting database name
  • Setting connection properties
  • Viewing result SQL statement

See also:

Register Database wizard

Database Registration Info

Database Properties


Setting database name

Use this step of the wizard to enter a name for the database being created.

Create Database Wizard - Setting database name

CheckBox Register after creating

Check this option to register the newly created database in SQL Manager (the Database Registration Info dialog will be opened after database creation).

Click the Next button to proceed to the Setting connection properties step of the wizard.


Setting connection properties

Use this step of the wizard to set the necessary connection parameters for the database being created. Use the corresponding boxes and options: Host name, Port, User name and Password.

Create Database Wizard - Setting connection properties

Specify the host where the database being created will reside: type in the host name in the Host name field or select one in the drop-down list.

Enter MySQL port to connect through in the Port field and provide authorization settings: User name and Password. If needed you can define the Named pipe in case of local MySQL. The named pipe value is stored in the MySQL server configuration file and it is 'MySQL' by default. Please note that only name of named pipe can be used, not a full path. The Named pipe field can be also used to specify a Unix socket in case of using HTTP-tunneling on *nix platforms. Unix socket value should start with '/' (Unix path delimiter) and its value is '/tmp/mysql.sock' by default.

You can select the character set from the Character set drop-down list, and the collation for string data from the Collation drop-down list. These rules define the page encoding and sort order for string data that will be applied to new string fields by default.

Click Set server charset button to apply server settings for the database.

CheckBox Use tunneling

If this option is checked, you should set tunneling parameters at the Specifying tunneling parameters step of the wizard.

RadioButton SSH tunneling

Select this option to establish connection to an intermediate SSH server and forward all MySQL commands through the secure tunnel. The next step of the wizard allows you to define the corresponding parameters for SSH tunneling.

RadioButton HTTP tunneling

Select this option to access MySQL server through the HTTP protocol in case of Internet access through HTTP proxy only, or if the server does not allow direct connections to MySQL, but allows HTTP connections. The next step of the wizard allows you to define the corresponding parameters for HTTP tunneling.

SSH Tunneling parameters

Specify SSH Host name, SSH port, SSH user name, SSH password, the path to the SSH key file (if necessary) in the corresponding boxes.

See SSH connection properties for details.

Create Database Wizard - Setting connection properties - SSH

HTTP Tunneling parameters

If you have selected HTTP tunneling, you need to upload the tunneling emsproxy.php script to the webserver and specify the URL in the corresponding box in the following format: http://webserver_address/emsproxy.php

See HTTP connection properties for details.

Create Database Wizard - Setting connection properties - HTTP

When you are done, click the Next button to view the result SQL statement.


Viewing result SQL statement

View the result CREATE DATABASE statement issued for the new database creation. You can alter the script manually, if necessary.

Create Database Wizard - Viewing result SQL statement

If the CheckBox Register after creating option was checked at the Setting database name step of the wizard, the Database Registration Info dialog will appear.


Register Database wizard

Register Database Wizard allows you to register a single database.

To start the wizard, select the Database | btnRegisterDB Register Database... main menu item, or use the btnRegisterDB Register Database button on the main toolbar. You can also use the Shift+Alt+R shortcut for the same purpose.

  • Setting connection parameters
  • Specifying tunneling parameters
  • Selecting databases
  • Setting specific options

See also:

Create Database wizard

Database Registration Info

Database Properties


Setting connection parameters

Use this step of the wizard to set the necessary connection parameters for the new database using the corresponding boxes and options: Host name, Port, User name and Password.

Register Database wizard - Setting connection parameters

Specify the host where the database being registered resides: type in the host name in the Host name field or select one in the drop-down list.

Enter MySQL port to connect through in the Port field and provide authorization settings: User name and Password. If needed you can define the Named pipe to connect to local MySQL. The named pipe value is stored in the MySQL server configuration file and it is 'MySQL' by default. Please note that only name of named pipe can be used, not a full path. The Named pipe field can be also used to specify a Unix socket in case of using HTTP-tunneling on *nix platforms. Unix socket value should start with '/' (Unix path delimiter) and its value is '/tmp/mysql.sock' by default.

CheckBox Register a single database

Check this option if you wish to register only one database at the host.

CheckBox Use tunneling

If this option is checked, you should set tunneling parameters at the Specifying tunneling parameters step of the wizard.

RadioButton SSH tunneling

Select this option to establish connection to an intermediate SSH server and forward all MySQL commands through the secure tunnel. The next step of the wizard allows you to define the corresponding parameters for SSH tunneling.

RadioButton HTTP tunneling

Select this option to access MySQL server through the HTTP protocol in case of Internet access through HTTP proxy only, or if the server does not allow direct connections to MySQL, but allows HTTP connections. The next step of the wizard allows you to define the corresponding parameters for HTTP tunneling.

Click the Next button to proceed to the Setting specific options step or to the Selecting databases step of the wizard, depending on whether the CheckBox Register a single database option has been selected or not. If SSH or HTTP tunneling is used, you will proceed to the Specifying SSH tunneling parameters step or Specifying HTTP tunneling parameters step first.


Specifying tunneling parameters

This step appears only when CheckBox Use tunneling option is enabled in the first step. Set of options provided by this step depend on the tunneling type specified.

SSH tunneling parameters

Specify SSH Host name, SSH port, SSH user name, SSH password, the path to the SSH key file (if necessary) in the corresponding boxes.

See SSH connection properties for details.

Register Database wizard - Setting connection parameters - SSH

HTTP tunneling parameters

You need to upload the tunneling emsproxy.php script to the webserver and specify the URL in the corresponding box in the following format: http://webserver_address/emsproxy.php

See HTTP connection properties for details.

Register Database wizard - Setting connection parameters - HTTP

Click the Next button to proceed to the Setting specific options step or to the Selecting databases step of the wizard, depending on whether the CheckBox Register a single database option has been selected or not.


Selecting databases

This step of the wizard allows you to select the database(s) that reside on the host for registration in SQL Manager.

To select a database, you need to move it from the Available databases list to the Selected databases list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the databases from one list to another.

Register Host Wizard - Selecting databases

If database is created by executing script in SQL Script editor then the Register Database dialog appears.

Move required databases to the Selected databases list of the window and click OK to register databases.

Register Database dialog

Note: This dialog appears only if the Register newly created databases option is enabled in the SQL Script section of Environment Options.

Note: In the Lite version you can register only five databases.

Click the Next button to proceed to the Setting specific options step of the wizard.


Setting specific options

This step of the wizard allows you to set the database name, database alias, and registration options (using the General and Logs tabs).

Register Database wizard - Setting specific options - General

General tab

Database name

Type in or use the drop-down list to select the database to be registered.

If several databases have been selected in the Selecting databases step of the wizard, the list of these databases will be displayed in top of the window. Select a database from the list to view/edit its registration information.

Register Database wizard - Setting specific options - severalDB

Database alias

Enter the alias to be used to display the database in DB Explorer and SQL Manager tools. By default, a database alias generated by the application has the following format: <database_name> on <host_name>[:<port>]

CheckBox Refresh objects on connection

This option allows you to enable/disable refreshing objects on connection to the database. It is highly recommended to uncheck this option if your database contains many objects or if connection to the database is slow.

CheckBox Login prompt before connection

Enables SQL Manager for MySQL to prompt for user name and password each time you connect to the database.

CheckBox Use compression protocol

Enables using the compressed data protocol when connecting to the database server.

CheckBox Use SSL protocol

Enables interchanging data with remote MySQL server via encrypted channel, not allowing intruders to intercept your data.

Note: Enabling this option indicates that SSL protocol should be used, if server supports SSL connections. If it doesn't, then despite the option is enabled, SSL protocol will not be used and no warnings will appear.

CheckBox Interactive mode

Enables using the interactive_timeout variable value from my.cnf file instead of wait_timeout for connection timeout.

CheckBox Quote identifiers

Enables quoting all the identifiers with the backquote symbol ('`').

To make SQL scripts obtained using the Extract Database Wizard compatible with older versions of MySQL, uncheck this option.

Note: This option works only with servers that support quoting aliases.

CheckBox Autoconnect at startup

With this option set, connection to the registered database is established automatically at application startup.

CheckBox Create new tab for this database

If this option is checked, the database will be displayed within a separate tab in DB Explorer.

SSL

The SSL tab allows you to connect to the server via encrypted channel for increased security. Only *.pem files must be defined in the fields at this tab.

SSL mode

Select the required SSL mode from the dropdown menu: Disabled, Preferred, Required, Verify CA or Verify Identity.

Register Database wizard - Setting specific options - SSLs

Client certificate

Select the server client public key certificate file.

Client key

Select the path to the client private key file.

CA Certificate

Define the path to the certificate authority file.

Revocation list

Specify the file containing certificate revocation lists, if required.

Cipher

Specify permissible ciphers for SSL connection.

You can use the ExplorerButton Open button to locate files using a standard dialog.

Logs

Register Database wizard - Setting specific options - Logs

CheckBox Enable log of metadata changes

Check this option if you wish to log metadata changes of your database in a file.

CheckBox Write only successfully executed SQL statements to log

If this option is selected, only successfully executed SQL statements will be written to the specified log file.

Log file

This field is enabled if the Enable log of metadata changes option is selected. Type in or use the Save as btnSaveAs button to specify the path to the *.sql file to store the metadata logs.

CheckBox Enable log of SQL Editor queries

Check this option if you wish to log your SQL Editor queries in a file.

Log file

This field is enabled if the Enable log of SQL Editor queries option is selected. Type in or use the Save as btnSaveAs button to specify the path to the *.sql file to store the logs of SQL queries.

Click the Run button when done to start working with the newly registered database in SQL Manager for MySQL.


Database Registration Info

Use the Database Registration Info dialog to view and edit the registration properties of the database.

To open the dialog, select the database or any of its objects in the DB Explorer tree, then select the Database | btnDBRegistrationInfo Database Registration Info... main menu item, or right-click the database alias in DB Explorer and use the Database Registration Info... context menu item. You can also use the btnDBRegistrationInfo Database Registration Info... button on the main toolbar.

  • Editing connection properties
  • Setting database options
  • Setting display options
  • Setting default directories
  • Setting log options
  • Setting SSH tunneling options
  • Setting HTTP tunneling options
  • SSL
  • Setting data options
  • Find Option

See also:

Create Database wizard

Register Database wizard

Database Properties


Connection

The Connection section of the Database Registration Info dialog allows you to view and/or edit the connection properties in the corresponding boxes: Host name, Port, User name, Password, Database name, Database alias, Host alias.

Database Registration Info - Editing connection properties

Host name

Stores the name of the Host where the database resides.

Port

Enter MySQL port to connect through.

User name

If necessary, edit the User name used to access the database.

Password

If necessary, edit the Password used to access the database.

Named pipe

The named pipe value is stored in the MySQL server configuration file and it is 'MySQL' by default. Please note that only name of named pipe can be used, not a full path. The Named pipe field can be also used to specify a Unix socket in case of using HTTP-tunneling on *nix platforms. Unix socket value should start with '/' (Unix path delimiter) and its value is '/tmp/mysql.sock' by default.

Database name

Stores the name of the database.

Database alias

Stores the database alias which is displayed in the DB Explorer tree and SQL Manager tools. By default, a database alias generated by the application has the following format: <database_name> on <host_name>[:<port>]

Once you have specified the connection properties, you can check whether it is possible to establish connection to the database: click the Test Connect button for this purpose. If connection is successful, you will get the 'Connected!' message; otherwise an error message will be returned.

The Load connection info menu allows you to select the alias of a previously registered database and use it for the newly created/configured database.

Host alias

Set the alias for the current host to be displayed in the DB Explorer.

See also:

Common options

Display options

Default directories

Logs

SSH tunneling options

HTTP tunneling options

Data options

Find Option


Options

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Common options

The Options section of the Database Registration Info dialog allows you to set various options for the database.

Database Registration Info - Setting common database options

Customize common database options according to your needs. The detailed description is given below.

CheckBox Login prompt before connection

Enables SQL Manager for MySQL to prompt for user name and password each time you connect to the database.

CheckBox Use compression protocol

Enables using the compressed data protocol when connecting to the database server.

CheckBox Interactive mode

Enables using the interactive_timeout variable value from my.cnf file instead of wait_timeout for connection timeout.

CheckBox Quote identifiers

Enables quoting all the identifiers with the backquote symbol ('`').

To make SQL scripts obtained using the Extract Database Wizard compatible with older versions of MySQL, uncheck this option.

Note: This option works only with servers that support quoting aliases.

CheckBox Quote user names

Enables quoting usernames with the backquote symbol ('`').

CheckBox Autoconnect at startup

Check this option to specify that SQL Manager for MySQL automatically establishes connection to the registered database at application startup.

CheckBox Refresh objects on connection

This option allows you to enable/disable refreshing objects on connection to the database. It is highly recommended to uncheck this option if your database contains many objects or if connection to the database is slow.

CheckBox Automatically reconnect when connection is lost

If this option is selected, the application attempts to re-establish database connection upon disconnect.

CheckBox Use Unix line folding (\n) for text fields (for Unix-based servers)

Check this option to use the "\n" to mark the line break when saving data. The default value is "\n\r".

CheckBox Don't use this database registration info to get server objects

If this option is enabled, the registration info of this database will not be used to establish server connection and get server objects (when expanding the Server Objects node in DB Explorer).

CheckBox Use INFORMATION_SCHEMA database to refresh metadata

If this option is not checked then metadata is refreshed on the basis of the 'mysql' database.

See also:

Connection

Display options

Default directories

Logs

SSH tunneling options

HTTP tunneling options

Data options

Find Option


Display options

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

The Display Options section of the Database Registration Info dialog allows you to specify objects to display in the Database Explorer.

CheckBox Use custom color for DB editors

Check this option to use the selected color for the text on editor tabs opened for the current database

Database Registration Info - Setting display options

For your convenience the Select All and Deselect All functions are implemented in the context menu of the objects list area.

See also:

Connection

Common options

Default directories

Logs

SSH tunneling options

HTTP tunneling options

Data options

Find Option


Default directories

The Directories section of the Database Registration Info dialog allows you to set the directories to be used by default for database extract, backup tables, data export, data import, saving HTML reports, creating reports, saving scripts operations.

Database Registration Info - Setting default directories

See also:

Connection

Common options

Display options

Logs

SSH tunneling options

HTTP tunneling options

Data options

Find Option


Logs

The Logs section of the Database Registration Info dialog allows you to specify log file names for metadata changes logging and SQL query logging, if necessary.

Logging can be useful when you are going to move the changes made in the development database to the production database.

Database Registration Info - Setting log options

Metadata changes

CheckBox Enable log of metadata changes

Check this option if you wish to log metadata changes of your database in a file.

CheckBox Write only successfully executed SQL statements to log

If this option is selected, only successfully executed SQL statements will be written to the specified log file.

Metadata log file

This field is enabled if the Enable log of metadata changes option is selected. Type in or use the btnSaveAs Save as button to specify the path to the *.sql file to store the metadata logs.

SQL Editor

CheckBox Enable log of SQL Editor queries

Check this option if you wish to log your SQL Editor queries in a file.

SQL Editor log file

This field is enabled if the Enable log of SQL Editor queries option is selected. Type in or use the btnSaveAs Save as button to specify the path to the *.sql file to store the logs of SQL queries: date/time of query execution, SQL text, execution result or errors (if any).

CheckBox In Unicode

Enable this option to save logs in Unicode. If the option is disabled, ANSI will be used.

See also:

Connection

Common options

Display options

Default directories

SSH tunneling options

HTTP tunneling options

Data options

Find Option


SSH tunneling options

The SSH Tunneling section of the Database Registration Info dialog allows you to enable/disable SSH tunneling for connection to the database and set all the necessary SSH tunneling parameters.

CheckBox Connect through the Secure Shell (SSH) tunnel

Select this option to establish connection to an intermediate SSH server and forward all MySQL commands through the secure tunnel.

Specify SSH Host name, SSH port, SSH user name, SSH password, the path to the SSH key file (if necessary) in the corresponding boxes.

See SSH connection properties for details.

Note: MySQL host name on the Connection page should be set relatively to the SSH server in this case. For example, if both MySQL and SSH servers are located on the same computer, you should specify localhost as Host name instead of the server's external host name or IP address.

Database Registration Info - Setting SSH tunnel options

Please note that either SSH tunneling, or HTTP tunneling can be used for one connection, but not both types simultaneously.

See also:

Connection

Common options

Display options

Default directories

Logs

HTTP tunneling options

Data options

Find Option


HTTP tunneling options

The HTTP Tunneling section of the Database Registration Info dialog allows you to enable/disable HTTP tunneling for connection to the database and set the necessary HTTP tunneling parameters.

CheckBox Connect through the HTTP tunnel

Select this option to access MySQL server through the HTTP protocol in case of Internet access through HTTP proxy only, or if the server does not allow direct connections to MySQL, but allows HTTP connections.

In order to use HTTP tunneling for the connection, you need to upload the tunneling emsproxy.php script to the webserver and specify the URL in the corresponding box in the following format: http://webserver_address/emsproxy.php

See HTTP connection properties for details.

Note: In case of using this connection method, the response will be slower as compared to the direct connection or SSH Tunneling method, as the data are XML encoded and HTTP is stateless by nature.

Database Registration Info - Setting HTTP tunnel options

Please note that either SSH tunneling, or HTTP tunneling can be used for one connection, but not both types simultaneously.

See also:

Connection

Common options

Display options

Default directories

Logs

SSH tunneling options

Data options

Find Option


SSL

The SSL tab allows you to connect to the server via encrypted channel for increased security. Only *.pem files must be defined in the fields at this tab.

SSL mode

Select the required SSL mode from the dropdown menu: Disabled, Preferred, Required, Verify CA or Verify Identity.

Database Registration Info - SSL

Client certificate

Select the server client public key certificate file.

Client key

Select the path to the client private key file.

CA Certificate

Define the path to the certificate authority file.

Revocation list

Specify the file containing certificate revocation lists, if required.

Cipher

Specify permissible ciphers for SSL connection.

You can use the ExplorerButton Open button to locate files using a standard dialog.


Data options

The Data Options section of the Database Registration Info dialog allows you to define options for data view. These options will be applied only to this database. Default settings for newly registered databases can be defined on the Grid | Data Options page of the Environment Options dialog.

Database Registration Info - Setting data options

Default limit options in table and view editors

Define the number of records to be selected on opening the Data tab of Table Editor and View Editor:

RadioButton Select all records from a table

RadioButton Select only ... records (you should set the number of records using the corresponding spinner control)

Advanced

CheckBox Use separate connections for each data view within a database

Select this option to disable creation of a separated connection for each data view. Enabling this option is recommended if maximum allowed number of connections is too low.

CheckBox Asynchronous query execution

Check this option to allow executing queries in background mode (asynchronously).

CheckBox Use transactions

Check this option to enable transactions for data in a grid.

CheckBox Perform data sorting on client in data view

If enabled, the data are sorted by SQL Manager for MySQL (on the client side). If this option is disabled, the data are sorted on MySQL server with the help of the ORDER BY clause used in SQL query.

CheckBox Perform data filtration on client in data view

If enabled, the data are filtered by SQL Manager for MySQL (on the client side).

If disabled, SQL filter is used in data view. In this case filtering is performed on the MySQL server with the help of the WHERE clause used in SQL query.

With the Perform data sorting on client in data view option enabled, sorting is performed by means of the grid. Otherwise a click on the column header for sorting causes reloading all table data with the selected columns in the ORDER BY expression of the SELECT statement.

If the table contains a huge amount of records and the Select only N records mode (see the Default limit options in table and view editors group) is used, this mode is more preferable (e.g. all the records having values starting with "A" will be displayed, and not those which were in originally opened N records).

All above-mentioned is related to the Perform data filtration on client in data view option as well. If the filter is applied to a table containing a great number of records, it is strongly recommended to enable this option - in this case the filter will be applied to all table/view records, not only to those which are displayed at the present moment.

Default Grid Mode

RadioButton Load all records

The grid loads all records from a dataset. This option increases the grid performance by reloading only changed dataset records when updating. In this mode all features (automatic sorting, filtering and summary calculations) are available.

RadioButton Load visible records

The grid loads only a fixed number of dataset records into memory. This option minimizes dataset loading time. The automatic sorting, filtering, summary calculations are not supported in this mode.

The Default grid mode options allow you to define the grid mode which will be used by default.

With the Load all rows option enabled, when loading data, all the records are loaded into grid buffers. In this mode opening the tables with many records may take a considerable amount of time. But in this case you can make use of some advantages: in the filter drop-down list the column headers are displayed with the values for quick filtering; it is possible to open several sub-levels at the same time when viewing data in master-detail view, etc.

In case opening and other operations with an object consisting of many records takes sufficient time, the Load visible rows mode should be used instead. It can be set individually for each table and saved between sessions (can be set via the context menu of the grid).

See also:

Connection

Common options

Display options

Default directories

Logs

SSH tunneling options

HTTP tunneling options

Find Option


Find Option

The Find Option section allows you to search for options available within the Database Registration Info dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within the database registration options.

Database Registration Info - Find Option

The Available options area lists all options of the Database Registration category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.

See also:

Connection

Common options

Display options

Default directories

Logs

SSH tunneling options

HTTP tunneling options

Data options


Database Properties

The Database Properties dialog allows you to view/edit a number of properties which can be changed to optimize database performance.

To open the dialog, right-click the database alias in DB Explorer and select the btnDBProperties Database Properties... context menu item, or use the btnDBProperties Properties button on the DB Explorer toolbar.

A number of database options that determine the characteristics of the database can be set for each database. These options are unique to each database and do not affect other databases.

  • Options
  • Objects summary
  • DDL

See also:

Create Database wizard

Register Database wizard

Database Registration Info


Options

The Options section of the Database Properties dialog allows you to view/edit general database properties: Database name, Server version, Character set, Collation.

Database Properties - Options

A number of character sets can be used to store MySQL data, and the server allows comparisons according to a variety of collations. Character sets can be specified at the server, database, table and column levels.

Use the respective drop-down lists to specify character set and collation to be used to store data in the database.

See also:

Objects summary

DDL


Objects summary

The Objects summary section of the Database Properties dialog displays summary of the objects contained within the current database (including objects count and their total size in groups).

Database Properties - Objects summary

Hint: The pane at the bottom displays the overall database size.

See also:

Options

DDL


DDL

The DDL section of the Database Properties dialog displays DDL of the selected database with current options set.

Database Properties - DDL

See also:

Options

Objects summary


Database Registration Manager

Database Registration Manager allows you to register new databases and delete the registration of non-existent databases.

To open Database Registration Manager use the corresponding item of the host context menu.

Database Registration Info - Database Registration Manager

Table contains all databases located on the selected host. You can change Host selection using the appropriate drop-down list in the navigation bar.

Check all databases to be registered.

For automatic registration of selected databases click the iconCommit Apply changes button.

See also:

Register Database wizard


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Database Registration Manager.

Database Registration Manager - Using Navigation bar

The Navigation bar of Database Registration Manager allows you to:

Host group

iconHost select a host

General group

iconRefresh Refresh the list of databases

iconCommit Apply changes - register selected databases

Select a database located on the host, but not registered in <PRODUCT_TITLE>

Uncheck all

Uncheck deleted DB

Legend group

iconDB indicates existing database

indicates removed from host database

Items of the Navigation bar are also available on the ToolBar of Schema Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Database/Server Objects Management

SQL Manager for MySQL provides powerful tools to manage database objects.

To obtain detailed information concerning MySQL database objects, refer to the official MySQL server documentation.

Note: Before working with database objects in SQL Manager for MySQL you should connect to the database first.

Creating Database Objects

To create a database object:

  • select the Database | New Object... main menu item;
  • select the type of object within the New Object dialog;
  • follow the steps of the wizard which guides you through the entire process of creating the object, or set the object properties using its editor - depending on the selected object type.

Note that you can also create a database object by selecting the appropriate context menu item of the DB Explorer tree or using the Ctrl+N shortcut.

Editing Database Objects

To edit a database object:

  • select the database object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Edit <object type> <object name> context menu item, or double-click the object to open it in its editor.

Renaming Database Objects

To rename a database object:

  • select the object to rename in the DB Explorer tree;
  • right-click the object and select the Rename <object type> <object name>... item from the context menu;
  • edit the object name using the Rename Object... dialog.

Note: This operation is possible for all objects except for scheduled events.

Dropping Database Objects

To drop a database object:

  • select the database object in the DB Explorer tree;
  • right-click the object to call its context menu and select the Drop <object type> <object name> context menu item;
  • confirm dropping in the dialog window.

When using an object editor, you can benefit from tabs. To switch between tab views, click on their respective tabs at the top of the main editor window. You can do it at any time, since the tab views are absolutely independent.

To compile a newly created or edited object, you can use the iconCompile Compile item available within the Navigation bar or Toolbar of the object editor.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new object;

Ctrl+O to edit the selected object;

Ctrl+R to rename the object;

Shift+Del to drop the object from the database.

See also:

Getting Started

Database Explorer

Database Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


New Object

The Create New Object dialog allows you to select the type of the object to be created and run the appropriate wizard or editor.

To open the dialog, select the Database | iconNewObject New Object... main menu item.

Define which object you need to create:

RadioButton Create database object

Use the drop-down list to select the database where an object should be created. The list contains only database with active connection.

RadioButton Create server object

Use the drop-down list to select the host to create object for.

Database Objects management - Create New Object

Pick an object type icon and click OK to invoke the corresponding wizard or dialog.

See also:

Operations with database objects

Duplicate Object Wizard

Database objects

Server objects


Duplicate Object Wizard

Use the Duplicate Object Wizard to create a new database object of the same type and having the same properties as one of the existing ones.

To run the wizard, select the Database | iconDuplicateObject Duplicate Object... main menu item, or right-click an object of the desired type in the DB Explorer tree and use the Duplicate <object type> <object name>... context menu item.

  • Selecting the source database
  • Selecting object to duplicate
  • Selecting destination database
  • Specifying object details
  • Modifying the new object's definition

See also:

Operations with database objects

New Object

Database objects

Server objects


Selecting the source database

This step of the wizard allows you to select the source database containing the source object to be duplicated.

Duplicate Object Wizard - Selecting the source database

Click the Next button to proceed to the Selecting object to duplicate step of the wizard.


Selecting object to duplicate

Use the Objects drop-down menu to select the type of object you intend to duplicate.

Select a database object to copy its properties to the new object.

Hint: The context menu of the objects list area allows you to specify whether objects of the specified type should be displayed as icons or as list.

Duplicate Object Wizard - Selecting object to duplicate

Click the Next button to proceed to the Selecting destination database step of the wizard.


Selecting destination database

Select the target database to create the new object in, set the name of the new database object.

Duplicate Object Wizard - Selecting destination database

Table options

Check the CheckBox Copy data option to copy data from the source table to the new one.

CheckBox Copy autoincrement columns

This option determines whether autoincrement columns should be copied to the destination table or not (available for certain tables only).

CheckBox Rename subobjects

This option determines whether subobject names will be changed in accordance with the changes in the name of the object being copied.

Click the Next button to proceed to the Specifying object details step of the wizard.


Specifying object details

Specify object details (subobjects - Indices, Foreign Keys, Triggers, dependent objects) to be duplicated in the target object.

Note: Availability of this step depends on the type of object being duplicated.

Duplicate Object Wizard - Specifying object details

Click the Next button to proceed to the Modifying the new object's definition step of the wizard.


Modifying the new object's definition

This step of the wizard allows you to browse the result SQL statement.

If necessary, you can edit the definition of the new object.

Duplicate Object Wizard - Modifying the new object's definition

Click the Run button to create the object.


Database objects

SQL Manager for MySQL provides user with all necessary tools for working with database objects.

Note: To start working with objects you need to connect to database first.

Tables

Views

Stored procedures

Stored functions

User defined functions

Scheduled events

Triggers

See also:

Operations with database objects

New Object

Duplicate Object Wizard

Server objects


Tables

Relational databases store all their data in Tables. A table is a data structure consisting of an unordered set of horizontal rows, each containing the same number of vertical columns. The intersection of an individual row and column is a field that contains a specific piece of information. Much of the power of relational databases comes from defining the relations among the tables.

Creating Tables

To create a new table:

  • select the Database | New Object... main menu item;
  • select Table in the Create New Object dialog;
  • define table properties and fields using the appropriate tabs of Table Editor.

Hint: To create a new table, you can also right-click the Tables node or any object within this node in the DB Explorer tree and select the New Table... item from the context menu.

To create a new table with the same properties as one of existing tables has:

  • select the Database | Duplicate Object... menu item;
  • follow the instructions of Duplicate Object Wizard.

Alternatively, you can right-click a table in the DB Explorer tree and select the Duplicate Table <table_name>... context menu item.

Duplicate Object Wizard allows you to select the database to create a new table in, and to edit the result SQL statement for creating the table.

Editing Tables

To edit an existing table (manage its fields, indexes, data, etc.):

  • select the table for editing in the DB Explorer tree (type the first letters of the table name for quick search);
  • right-click the object and select the Edit Table <table_name> context menu item, or simply double-click the table;
  • edit table subobjects and data using the appropriate tabs of Table Editor.

To change the name of a table:

  • select the table to rename in the DB Explorer tree;
  • right-click the table alias and select the Rename Table <table_name>... item from the context menu;
  • edit the table name using the Rename Object... dialog.

Dropping Tables

To drop a table:

  • select the table to drop in the DB Explorer tree;
  • right-click the object and select the Drop Table <table_name>... context menu item;
  • confirm dropping in the dialog window.

Note: If more convenient, you can also use the following shortcuts:

Ctrl+N to create a new table;

Ctrl+O to edit the selected table;

Ctrl+R to rename the table;

Shift+Del to drop the object from the database.


New Table

Relational databases store all their data in Tables. A table is a data structure consisting of an unordered set of horizontal rows, each containing the same number of vertical columns. The intersection of an individual row and column is a field that contains a specific piece of information. Much of the power of relational databases comes from defining the relations among the tables.

Creating Tables

To create a new table:

  • select the Database | New Object... main menu item;
  • select Table in the Create New Object dialog;
  • define table properties using the appropriate tabs of Table Editor.

Hint: To create a new table, you can also right-click the Tables node or any object within this node in the DB Explorer tree and select the New Table item from the context menu.

Renaming Tables

To rename a table:

  • select the Rename Table <table_name> item from the table context menu

or

  • simply press Ctrl+R

Editing Tables

To edit table:

  • double-click the table in DBExplorer to open it in the Table Editor;

or

  • right-click the table in DBExplorer and select the Edit Table <table_name> item from the context menu.

Dropping Tables

To drop table:

  • right-click the table in the DBExplorer and select the Drop Table <table_name> item;

or

  • select the table and press Ctrl+Del.

Duplicating table

There is a specific wizard for duplicating objects. To copy table use the Duplicate Table <table_name> item from the table context menu. Duplicate object wizard in this case will be opened at the Selecting destination database, as the previous ones provide selecting of source database and object to copy.

  • Using Navigation bar and Toolbar
  • Setting table properties
  • Specifying table fields
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Table Editor.

New Table - Using Navigation bar

The Navigation bar of Table Editor (in the New table mode) allows you to:

Database group

iconDB select a database to create a new table in

General group

iconCompile compile the newly created table

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the editor window

Note: Navigation bar items can vary for different tabs of the editor.

Items of the Navigation bar are also available on the ToolBar of Table Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting table properties

Use the Table tab of Table Editor to create a table and specify its properties.

Table name

Enter a name for the new table. Note that table names must comply with the rules for identifiers and must be unique within the database.

New Table - Setting table properties

Optionally, you can specify Storage Options and view table status.


Specifying columns

The Columns tab is intended for setting up table columns. Double-click a column to open Column Editor for editing the column.

Right-click within the Table Columns area to display the context menu allowing you to insert, edit or delete columns.

Columns management tools are also available through the Navigation bar and toolbar of Table Editor.

New Table - Specifying fields

The Table Columns list provides the following attributes of each column of the new table:

Primary Key

Column Name

Data Type

Size

Precision

Not Null

Default Value

For details see Columns.

To compile the table, use the iconCompile Compile item available within the Navigation bar or toolbar.


Partitions

Partitioning states for dividing big tables into logical parts due to the selected criteria.

Partitions are available for server version 5.1 and higher. This feature cannot be applied to federated tables.

Use the respective tab of Table Editor to define Partitioning settings.

New Table - Partitions

Partition type

Use the drop-down list to define data division method.

  • Range

A table that is partitioned by range is partitioned in such a way that each partition contains rows for which the partitioning expression value lies within a given range.

Example:

PARTITION BY RANGE (store_id) (

PARTITION p0 VALUES LESS THAN (10),

  • List

In list partitioning, each partition is defined and selected based on the membership of a column value in one of a set of value lists.

Example:

PARTITION BY LIST(store_id) (

PARTITION pNorth VALUES IN (3,5,6,9,17),

  • Hash

Partitioning by HASH is used primarily to ensure an even distribution of data among a predetermined number of partitions. You need only specify a column value or expression based on a column value to be hashed and the number of partitions into which the partitioned table is to be divided.

  • Linear hash

Linear hashing differs from regular hashing in that linear hashing utilizes a linear powers-of-two algorithm whereas regular hashing employs the modulus of the hashing function's value.

  • Key

Partitioning by key is similar to partitioning by hash, except that where hash partitioning employs a user-defined expression, the hashing function for key partitioning is supplied by the MySQL server.

PARTITION BY KEY(s1)

PARTITIONS 10;

Note: Several partitions of different types can't be created. If you change Partition type then all partitions and subpartitions created before will disappear.

Partition expression

Column, expression, exact value or list of values which defines data division logic for partitions.

New Table - Partitions_Edit

Specify Partition name and Comment for the created partition.

Partition value is used only in partitions by range. It defines range of values. All records that meet the 'LESS THAN<PARTITION VALUE' are included in partition.

List of values is available when creating partition by list. Press the EllipsisButton ellipsis button to open dialog allowing you to define the list of values.

New Table - Partitions - List of values

Specify value and click Add to include this value in list.

Select a value in the list and click Replace to insert new value instead of the selected one.

You can change position of the selected value using the Up and Down buttons.

When done, click OK to apply changes.

Subpartition type

It is the further division of each partition in a partitioned table. If No partition is selected no actions for subpartitions are enabled in the context menu. Hash and Linear hash types for subpartitions follow the same syntax rules as for partitions. The Key subpartitioning differs in the way that for subpartitions you need to specify field manually though for partitions it is defined automatically (if not specified).

Note: In MySQL version 5.5 it is possible to create subpartitions for only range or list partitions.

Subpartition expression

Field, expression or exact value which defines data division logic for subpartitions.

Note: Subpartition type and expression defined in these fields will be applied to all subpartitions of the table.

The context menu allows you to manage partitions and subpartitions. Right-click an element to:

create new partition;

edit partition;

delete partition;

add subpartition;

edit subpartition's name;

delete subpartition (subpartition will be deleted from all partitions).

For your convenience all the actions are duplicated on the navigation bar.

Note: Some actions can be unavailable depending on the element type selected.


Table Editor

Table Editor is the basic SQL Manager tool for working with tables. It opens automatically in the New table mode when you create a new table and is available on editing an existing one (see Create table and Edit table for details).

Table Editor allows you to create, edit and drop table's columns, indexes, foreign keys and other table subobjects, manage table data, properties and much more.

To open a table in Table Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Setting table properties
  • Managing table columns
  • Changing columns order
  • Managing table indexes
  • Managing table foreign keys
  • Managing table triggers
  • Managing table checks
  • Working with table data
  • Browsing object dependencies
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Table Editor.

Table Editor - Using Navigation bar

The Navigation bar of Table Editor (in the Edit table mode) allows you to:

Object group

iconDB select a database

select a table for editing

General group

iconRefresh refresh the content of the active tab

iconCompile compile the table (if it is being modified)

iconGrantsOnObject define grants on the table

iconPrint print metadata of the table

iconShowSQLHelp view MySQL reference

iconOptions adjust Table Editor options

iconRestoreDefaultSize restore the default size and position of the editor window

Tools group

truncate data of the table

Explorer group

iconDBExplorer browse the table subobjects using the Explorer tree

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the table:

Columns group

add a new column

edit selected column

drop selected column(s)

run Optimize column types wizard

Indices group

add a new index

edit selected index

drop selected index(-es)

Foreign keys group

add a new foreign key

edit selected foreign key

drop selected foreign key(s)

Triggers group

add a new trigger

edit selected trigger

drop selected trigger(s)

Data Management group

iconCommit commit transaction

iconRollback rollback transaction

export data

export as SQL script

import data

load data

save data to file on server

DDL group

iconSaveToFile save DDL to file

open DDL in SQL Editor

Items of the Navigation bar are also available on the ToolBar of Table Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Managing columns

The Columns tab is intended for managing table columns.

Hint: This tab is selected by default upon opening Table Editor if the Always open the Columns tab option is enabled on the Tools | Table Editor page of the Environment Options dialog.

Double-click a column to open Column Editor for editing the column.

Right-click a column to display the context menu allowing you to create new, insert, edit, drop, duplicate the selected column, or reorder columns of the table. Using the menu you can also copy to clipboard or export the list of the table columns to any of supported formats.

Columns management tools are also available through the Navigation bar and toolbar of Table Editor.

Table Editor - Managing fields

The Table Columns list provides the following attributes of each column of the table:

Column Name

Column Type

Size

Precision

Not Null

Default

Description

For details see Columns.


Changing columns order

The Reorder Columns dialog allows you to change the columns order in the table.

To open this dialog, open the table in Table Editor, proceed to the Columns tab there, right-click within the Columns list and select the Reorder Columns item from the context menu.

The columns are displayed in the Column name list in the current order.

To change the columns order, use the [image] [image] buttons or drag-and-drop operations within the list. Click the OK button to apply changes.

Table Editor - Changing fields order


Managing indexes

The Indices tab is provided for managing table indexes. Double-click an index to open Index Editor for editing the index.

Right-click an index to display the context menu allowing you to create new, edit, drop the selected index. Using the menu you can also export the list of the table indexes to any of supported formats.

Indexes management tools are also available through the Navigation bar and toolbar of Table Editor.

Table Editor - Managing indexes

The Indexes list provides the following attributes of each index of the table:

Index Name

On Column(s)

Unique

Fulltext

For details see Indexes.


Managing foreign keys

The Foreign Keys tab is provided for managing table foreign keys. Double-click a foreign key to open Foreign Key Editor for editing the foreign key.

Right-click a foreign key to display the context menu allowing you to create new, edit, drop a foreign key. Using the menu you can also export the list of the table foreign keys to any of supported formats.

Foreign keys management tools are also available through the Navigation bar and toolbar of Table Editor.

Table Editor - Managing foreign keys

The Foreign Keys list provides the following attributes of each foreign key of the table:

Key Name

Column Names

Foreign Database Name

Foreign Table Name

Foreign Column Names

Delete Rule

Update Rule

For details see Foreign Keys.


Managing triggers

The Triggers tab is provided for managing table triggers. Double-click a trigger to open Trigger Editor for editing the trigger.

Right-click the area to display the context menu allowing you to create new, edit, drop the selected trigger. Using the menu you can also export the list of the table triggers to any of supported formats.

Triggers management tools are also available through the Navigation bar and toolbar of Table Editor.

Table Editor - Managing triggers

The Triggers list provides the following attributes of each trigger of the table:

Name

Type

Event

For details see Triggers.


Working with table data

The Data tab displays the table data as a grid by default (see Data View for details). The context menu of this tab allows you to Export Data, Import Data, Export as SQL Script, Save Data, Load Data.

Data management tools are also available through the Navigation bar and toolbar of Table Editor.

While working with data, you are provided with a number of filtering and grouping facilities.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Table Editor - Viewing table data

See also:

Working with view data

Data View


Table Properties

The Properties tab of Table Editor allows you to view/edit common properties of the table: Table name, Storage options, Character sets, File options, Merge table options, Federated table options.

  • Setting storage options
  • Viewing table status

Table Editor - Table Properties

Hint: These properties are also available within a modal dialog which is called through the Table Properties... context menu item of the table alias in DB Explorer.

See also:

Table Editor


Setting storage options

The Storage Options group allows you to view/edit a number of MySQL table storage options.

New Table - Setting table properties

Use the Storage engine drop-down list to define a MySQL storage engine to be applied to the table:

MyISAM

HEAP

MRG_MyISAM

InnoDB

FEDERATED

ARCHIVE

CSV

BLACKHOLE

FALCON

See Table types reference for details.

Use the Row Format drop-down list to define the way the rows should be stored in the table: DEFAULT, FIXED, DYNAMIC, COMPRESSED, REDUNDANT, COMPACT.

Min rows

Specifies the minimum number of rows that can be stored in the table.

Max rows

Specifies the maximum number of rows that can be stored in the table.

Auto increment value

Enter a value that will be used to generate a unique identity for new rows.

Average row length

Enter a value that serves as an approximation of the average row length for your table.

Size for index key blocks

This value optionally specifies the size in kilobytes to use for pages for compressed InnoDB tables.

CheckBox Check sum

Maintains a checksum for all rows (Hint: this option slightly slows down the table updates but makes it easier to find corrupted tables).

CheckBox Delay key write

Delays key table updates until the table is closed.

CheckBox Pack keys

Decreases the size of table indexes (Hint: this option usually makes updates slower and reads faster).

CheckBox Temporary

Specifies a temporary table declaration.

Using the Character Sets tab you can specify the character set and collation to be applied to the table. Use the corresponding drop-down lists to select the required values. These rules define the charset and sort order for string data that will be applied to the new string columns by default.

Table Properties - Setting character sets and description

If necessary, you can also use the Comment area to supply a description for the table.

Using the File Options tab you can specify the paths to individual data files.

Table Properties - Setting file options

Define directories to store data and index files.

Using the Cluster Options tab you can select tablespace, where table will be stored.

Table Properties - Cluster options

Note: Tablespaces can be used only for clustered servers.

Set of options for MyISAM and FEDERATED is different. For detailed info concerned MyISAM and FEDERATED tables options see the topics listed below:

  • MyISAM
  • FEDERATED

See also:

Viewing table status


MRG_MyISAM

On the screenshot below you can see how table editor looks when you create a table with MRG_MyISAM storage engine.

New Table - Setting table properties_mrg_myisam

Insert method

Select preferable method of inserting data.

First - inserts will be made in the first table.

Last - inserts will be made in the last underlying table.

No - no inserts to the table allowed.

Select first table for union

Select a table from the drop-down list. This selection affects selection of other tables for union.

Select other tables for union

This section contains the list of tables identical to the first table. “Identical” means that all tables have identical column and index information. Mark tables you want to include in union.

For the description of common options refer to the Setting storage options page.


Federated

On the screenshot below you can see how table editor looks when you create a table with FEDERATED storage engine.

New Table - Setting table properties_federated

Connection type

Choose preferable connection type

RadioButton Use connection string

Specified connection string will be used for connection to a remote table.

RadioButton Use federated server

A table located on federated server will be used.

When using connection string

Connection string

Use the ellipsis EllipsisButton button (available to the right of the editable area) to specify the connection parameters using the Build connection string dialog.

The Build connection string dialog allows you to specify the following parameters to be included into the connection string: remote MySQL Host name, the Port to connect through, User name, Password, remote MySQL Database name, remote Table name.

Table Properties - Setting federated table options - Build connection string

Use the Load connection info menu to get connection string from a registered database. You still need to select table manually in this case.

When using federated server

Federated server

Select an existing Federated server from the drop-down list.

Table name

Select a table on the specified federated server from the drop-down list.

For the description of common options refer to the Setting storage options page.


Viewing table status

The Table Status panel allows you to browse the properties and values pertaining to the table: Version, Rows, Avg row length, Data length, Max data length, Index length, Data free, Auto increment, Create time, Update time, Check time, Checksum.

Table Properties - Viewing table status

Hint: To enable/disable this panel, you can use the CheckBox Show table status panel option available in the Tools | Table Editor section of the Environment Options dialog.

See also:

Setting storage options


Columns

Table columns are managed within the Columns tab of Table Editor.

Creating Columns

To create a new table column:

  • open the table in Table Editor ;
  • proceed to the Columns tab there;
  • right-click the tab area and select the New Column context menu item, or press the Ins key;
  • define the column properties using the Column Editor dialog.

Editing Columns

To edit an existing table column:

  • open the table in Table Editor ;
  • proceed to the Columns tab there;
  • right-click the column and select the Edit Column <column_name> context menu item, or simply double-click the column;
  • edit the column properties using the Column Editor dialog.

To change the order of table columns:

  • open the table in Table Editor ;
  • proceed to the Columns tab there;
  • right-click a column and select the Reorder Columns <column_name> context menu item;
  • edit columns' order using the Reorder Columns dialog.

Dropping Columns

To drop a table column:

  • open the table in Table Editor ;
  • proceed to the Columns tab there;
  • right-click the column and select the Drop Column <column_name> context menu item;
  • confirm dropping in the dialog window.


Column Editor

Column Editor allows you to specify column definition and set column properties. It opens automatically when you create a new column and is available on editing an existing one (see Create column and Edit column for details).

To open a column in Column Editor, double-click it in the DB Explorer tree, or use the Edit Column... item of the context menu within the Columns tab of Table Editor.

  • Setting column name and type
  • Editing ENUM and SET columns


Setting column options

Column name

Enter a name for the new column, or modify the name of the column being edited. Note that the name of a column must be unique among all the column names in the table.

Description

Set the custom comment for the column.

The Type drop-down list defines the type of the column data.

Use the Size spinner control to define the length of the column value (for integer, float and char data types). Check the CheckBox Use size option to enable this control.

Use the Scale spinner control to define the precision of the column value (for float data types). The scale indicates the number of significant digits. Check the CheckBox Use size option to enable this control.

Select the Character set and Collation for character data types.

Note: MySQL supports the use of character sets for the MyISAM, MEMORY, NDBCluster and InnoDB storage engines.

The column character set and collation are treated by the server in the following way:

  • If both Character Set X and Collation Y are specified, then character set X and collation Y will be applied
  • If Character Set X is specified without Collation, then character set X and its default collation will be applied
  • Otherwise, the table character set and collation are used (see Table properties)

Field Editor - Setting field name and type

Select the appropriate value in the Generated Type combo to setup a generated column. VIRTUAL - column values are not stored, but are evaluated when rows are read, immediately after any BEFORE triggers. A virtual column takes no storage; STORED - column values are evaluated and stored when rows are inserted or updated. A stored column does require storage space and can be indexed. NONE - column values are not generated.

Values of a generated column are computed from an expression that is set in the Expression field.

CheckBox Not null

Select this option to specify that the values for the column should never contain a null value.

CheckBox Use size

Check this option to set the size properties for field types having dimension properties (e.g. integer, float, or timestamp data types). This option activates the Size and Scale options.

CheckBox Primary key

Check this option to include the field into the primary key. Note that if you include a field to a primary key, you should also make it Not Null.

A table typically has a column or combination of columns that contain values that uniquely identify each row in the table. This column, or columns, is called the primary key (PK) of the table and enforces integrity of the table.

Note: With this option checked, this field becomes the only field within a primary key. If you check this field, you will not be able to set this attribute for any other field in the table. Hence if you want to create a compound primary key, do not check this field, but create a primary key using the Indexes tab of Table Editor.

CheckBox Unique

Includes the field into the unique key (index).

CheckBox Unsigned

Assigns the UNSIGNED attribute to the field: integer data will be displayed unsigned.

CheckBox Zerofill

Assigns the ZEROFILL attribute to the field: for columns of the numeric data type, MySQL will automatically add zeros before the first significant digit of the number stored in this column.

CheckBox Autoincrement

Assigns the AUTO_INCREMENT attribute to the field: values of the unique identifier will be automatically generated for new rows.

Values

When creating/editing a field of the ENUM or SET data type, you need to specify the list of values implied by these data types. The Values box allows you to define a set of necessary values. Click the ellipsis EllipsisButton button at the right to create/edit the list of field values using the Values List dialog.

Use the Default value field to set the default value for the current field.

Insert Mode

When adding a new field, you can also specify the preferable Insert mode which defines the position of the field among other table fields:

RadioButton Insert first

RadioButton Insert last

RadioButton Insert after field (use the Insert after drop-down list to select the field after which the new field should be inserted).


Editing ENUM and SET columns

Having specified the column name and type, you can proceed to setting options pertaining to columns of particular types.

ENUM is defined as a string object with a value chosen from a list of allowed values that are enumerated explicitly in the column specification at table creation time.

SET is defined as a string object that can have zero or more values, each of which must be chosen from a list of allowed values specified when the table is created.

When creating/editing a column of the ENUM or SET data type, you need to specify the list of values implied by these data types. The Values box allows you to define a set of necessary values. Click the ellipsis EllipsisButton button at the right to create/edit the list of column values using the Values List dialog.

Field Editor - Editing ENUM and SET fields - Values

The Values List dialog allows you to create/edit the list of values for ENUM and SET fields.

Field Editor - Editing ENUM and SET fields - Values List

To add a value to the value list:

  • type the value to add in the Value box;
  • click Add to add the value to the end of the list.

To remove a value from the value list:

  • select the value to remove in the Values list box;
  • click Remove to remove the value from the list.

To replace a value with another one:

  • select the value to replace in the Values list box;
  • type the new value in the Value box;
  • click Replace to replace the selected value in the list with the new one.

To change the order of the list values:

  • select the value to move in the Values list box;
  • click Up / Down to move the value up or down within the list.


Optimize Column Types Wizard

Optimize Column Types Wizard is provided for analyzing table columns on possible optimization and changing their types if necessary. This operation may help reduce table sizes.

To launch this wizard proceed to the Columns tab of the Table Editor and click the Optimize column types item on the Navigation bar.

Optimize field types wizard - Welcome

See also:

Table Editor


Selecting columns for analyzing

This step of the wizard allows you to select columns of the table being edited for analyzing them.

Optimize field types wizard - Selecting fields

Max count of distinct values

Use this field to set the maximum number of distinct values per column that will be analyzed. This value is used to check whether the optimal data type should be of type ENUM; if there are more than defined value of distinct values, then ENUM is not a suggested type.

To select a field, you need to move it from the Available Columns list to the Included Columns list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the fields from one list to another.


Selecting columns for type changing

On this step of the wizard you can view the suggested types for selected columns after they were analyzed.

Optimize field types wizard - Selecting fields for changing

All columns are automatically included in the Included Columns list. If you do not want to change a type of a column use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from this list to the Available Columns list.

In the Recommended Type column you can see the suggested column type for optimizing.


Performing operation

This step of the wizard is intended to inform you that all options have been set, and you can start the optimizing clumn types process.

The log area allows you to view the log of operations and errors (if any).

Optimize field types wizard - Performing operation

If necessary, you can save a template for future use.

Click the Run button to run the type changing process.


Indexes

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Indices

Indices are objects used to find rows with specific column values quickly. If a table has an index for the columns in question, MySQL can quickly determine the position to seek to in the middle of the data file without having to look at all the data.

Table indexes are managed within the Indices tab of Table Editor.

Creating Indices

To create a new table index:

  • open the table in Table Editor ;
  • proceed to the Indices tab there;
  • right-click the tab area and select the New Index context menu item, or press the Ins key;
  • define the index properties using the Index Editor dialog.

Editing Indices

To edit an existing table index:

  • open the table in Table Editor ;
  • proceed to the Indices tab there;
  • right-click the index and select the Edit Index context menu item, or simply double-click the index;
  • edit the index properties using the Index Editor dialog.

Dropping Indices

To drop a table index:

  • open the table in Table Editor ;
  • proceed to the Indices tab there;
  • right-click the index and select the Drop Index context menu item;
  • confirm dropping in the dialog window.


Index Editor

Index Editor allows you to specify index definition and set index properties. It opens automatically when you create a new index and is available on editing an existing one (see Create Index and Edit Index for details).

To open an index in Index Editor, double-click it in the DB Explorer tree, or use the Edit Index... item of the context menu within the Indices tab of Table Editor.

Use the Index Editor dialog to create/edit an index on a specified table, and specify index properties.

Index name

Set the index name (or leave it without changes to assign the default name to the index).

Columns for index

To include column(s) in the index, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

Index Editor - Editing index definition

Index properties

CheckBox Is Primary key

This selection indicates that the primary key index is created.

Index type

  • Fulltext. Makes the index fulltext. Like regular indexes, full-text indexes can be automatically updated as data are modified in the associated tables.
  • Unique. Makes the index unique, causes the system to check for duplicate values in the table when the index is created (if data already exist) and each time data are added.
  • Spatial - you can create SPATIAL indexes on spatial data types. Spatial types are only supported by MyISAM tables and indexed columns must be declared as NOT NULL.

Index using

From this drop-down list, select your index data structure. This can be BTREE or HASH.

Size of index block (KEY_BLOCK_SIZE)

Here you can set the size in bytes to use for index key blocks. For InnoDB tables the KEY_BLOCK_SIZE option specifies the page size in kilobytes to use for compressed InnoDB tables. The KEY_BLOCK_SIZE value is treated as a hint; a different size could be used by InnoDB if necessary. Valid KEY_BLOCK_SIZE values include 0, 1, 2, 4, 8, and 16. A value of 0 represents the default compressed page size, which is a half of the InnoDB page size. It is recommended to enable innodb_strict_mode when specifying KEY_BLOCK_SIZE for InnoDB tables.

Fulltext parser (PARSER)

This option can be used only with FULLTEXT indexes. It associates a parser plugin with the index if full-text indexing and searching operations need special handling

At the Comment tab you can set an optional comment of up to 1024 characters.


Foreign Keys

A Foreign key constraint (also called a referential integrity constraint) designates a column as the Foreign key and establishes a relationship between that foreign key and a specified Primary or Unique key called the referenced key.

Foreign keys are available for InnoDB storage engine tables only and are supported since MySQL version 3.23.44 (3.23.50 or higher recommended). Editing and dropping foreign keys is available since MySQL version 4.0.13. To view or change the table type, use the Table Properties dialog.

Table Foreign keys are managed within the Foreign Keys tab of Table Editor.

Creating Foreign Keys

To create a new Foreign key:

  • open the table in Table Editor ;
  • proceed to the Foreign Keys tab there;
  • right-click the tab area and select the New Foreign Key context menu item, or press the Ins key;
  • define the Foreign key properties using the Foreign Key Editor dialog.

Editing Foreign Keys

To view/edit an existing Foreign key:

  • open the table in Table Editor ;
  • proceed to the Foreign Keys tab there;
  • right-click the Foreign key to edit and select the Edit Foreign Key <foreign_key_name> context menu item, or simply double-click the Foreign key;
  • edit the Foreign key properties using the Foreign Key Editor dialog.

Dropping Foreign Keys

To drop a Foreign key:

  • open the table in Table Editor ;
  • proceed to the Foreign Keys tab there;
  • right-click the Foreign key and select the Drop Foreign Key <foreign_key_name> context menu item;
  • confirm dropping in the dialog window.


Foreign Key Editor

Foreign Key Editor allows you to specify foreign key definition and set foreign key properties. It opens when you create a new foreign key or edit an existing one (see Create Foreign Key and Edit Foreign Key for details).

To open a foreign key in Foreign Key Editor, double-click it in the DB Explorer tree, or use the Edit Foreign Key... item of the context menu within the Foreign Keys tab of Table Editor.

  • Editing foreign key definition


Editing foreign key definition

Use the Foreign Key Editor dialog to create/edit a foreign key constraint and specify its properties.

Foreign key name

Enter a name for the new foreign key, or modify the name of the foreign key being edited.

Table name

View the name of the table for which the foreign key is created.

Foreign Key Editor - Editing foreign key definition

The Table Columns area allows you to select Foreign key column(s).

To select a column, you need to move it from the Available columns list to the Selected columns list. Use the Move to Selected Move to Available buttons or drag-and-drop operations to move the columns from one list to another.

Foreign database / Foreign table

Use the drop-down lists to select the foreign database and table.

The Foreign table columns area allows you to select the column(s) of the Foreign table.

To select a column, you need to move it from the Available columns list to the Selected columns list. Use the Move to Selected Move to Available buttons or drag-and-drop operations to move the columns from one list to another.

If the referenced column(s) are changed frequently, it might be reasonable to add an index to the foreign key column so that referential actions associated with the foreign key column were performed more efficiently. See Indexes for details.

On Update rule / On Delete rule

  • NO ACTION

Does not change the foreign key; may cause the primary key update/delete to fail due to referential integrity checks.

  • RESTRICT

Produce an error indicating that the deletion or update would create a foreign key constraint violation.

  • CASCADE

Delete any rows referencing the deleted row, or update the value of the referencing column to the new value of the referenced column, respectively.

  • SET NULL

Set the referencing column(s) to null.


Triggers

A trigger is a special kind of stored procedure that automatically executes when an event occurs in the database.

Data manipulation language triggers are executed in response to user's attempts to change data with the help of DML. DML events include INSERT, UPDATE and DELETE operations which can be applied to a table.

Table triggers are managed within the Triggers tab of Table Editor.

Trigger Editor allows you to specify trigger definition and set trigger properties. It opens automatically when you create a new trigger and is available on editing an existing one.

To open a trigger in Trigger Editor, double-click it in the DB Explorer tree, or use the Edit Trigger... item of the context menu within the Triggers tab of Table Editor.

  • Using Navigation bar and Toolbar
  • Editing trigger definition
  • Viewing DDL definition

See also:

Debugger


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Trigger Editor.

Trigger Editor - Using Navigation bar

The Navigation bar of Trigger Editor allows you to:

Object group

iconDB select a database

select a trigger for editing

General group

iconRefresh refresh the content of the active tab

iconCompile compile the trigger (if it is being created/modified)

iconDebugTrigger debug a trigger

iconPrint print metadata of the trigger

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the trigger:

DDL group

iconSaveToFile save DDL to file

open DDL in SQL Editor

Items of the Navigation bar are also available on the ToolBar of Trigger Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Editing trigger definition

Use the Edit tab of Trigger Editor to create/edit a table trigger and specify its properties.

Name

Enter a name for the new trigger, or modify the name of the trigger being edited.

Definer

Specifies the MySQL account to be used when checking access privileges at the trigger fire-time.

Hint: You should either follow the 'user_name'@'host_name' format, or select the CURRENT_USER value to use the current MySQL user as the trigger definer.

Table

Use the drop-down list of tables to select the table on which the trigger will be executed, or view the name of the table if the trigger is being edited.

Trigger Editor - Editing trigger definition

Type

Select the trigger behaviour type:

RadioButton Before

Specifies that the trigger is fired before the event.

RadioButton After

Specifies that the trigger is fired after the event.

On event

Specify the data modification statements that activate the trigger when it is tried against this table: Insert, Update or Delete. At least one option must be specified.

Definition

This area allows you to set the trigger conditions and actions. Trigger conditions specify additional criteria that determine whether the tried DML statements cause the trigger actions to be performed.

The trigger actions take effect when the DML operation is performed.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with SQL Editor area and Using the context menu.


Views

Views are available in 5.x and later versions of MySQL server. A View is a logical table based on one or more tables or views. A view contains no data itself. The tables upon which a view is based are called base tables.

Views are useful for allowing users to access a set of relations (tables) as if it were a single table, and limiting their access to just that. Views can also be used to restrict access to rows (a subset of a particular table).

View Editor allows you to create new views and define their properties (view name and the SELECT statement it implements). It opens automatically when you create a new view and is available on editing an existing one.

To open a view in View Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing view
  • Managing columns
  • Working with data
  • Browsing object dependencies
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in View Editor.

View Editor - Using Navigation bar

The Navigation bar of View Editor allows you to:

Object group

iconDB select a database

select a view for editing

General group

iconRefresh refresh the content of the active tab

edit the view query using Query Builder

iconCompile compile the view (if it is being created/modified)

iconPrint print metadata of the view

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the view:

DDL group

iconSaveToFile save DDL to file

open DDL in SQL Editor

Items of the Navigation bar are also available on the ToolBar of View Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing view

Use the Edit tab of View Editor to create/edit a view and specify its definition.

View name

Enter a name for the new view, or modify the name of the view being edited.

View Editor - Editing SQL definition

Algorithm type

Use the drop-down list to specify the way MySQL will process the view:

MERGE (the text of a statement that refers to the view and the view definition are merged, so that parts of the view definition replace corresponding parts of the statement);

TEMPTABLE (the results from the view are retrieved into a temporary table which is then used to execute the statement);

UNDEFINED (MySQL chooses which algorithm to use).

Definer

Specifies the MySQL account to be used when checking access privileges for the view when a statement is executed that references the view (if Definer is selected in the SQL security group).

Hint: You should either follow the 'user_name'@'host_name' format, or select the CURRENT_USER value to use the current MySQL user as the routine definer.

SQL security

Specify whether a statement that references the view will be executed using the permissions of:

RadioButton Definer (the user that creates the routine), or

RadioButton Invoker (the user that invokes the routine)

Definition

This area allows you to specify the view definition as SQL statement. When editing the view, you can edit the definition using the editor area to make appropriate changes, and recompile the view.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with SQL Editor area and Using the context menu.

To compile a view, you can use the iconCompile Compile item available within the Navigation bar or toolbar.


Managing columns

The Columns tab is provided for viewing columns represented in the view.

Right-click a column to display the context menu allowing you to export column name list or copy it to clipboard.

View Editor - Viewing fields

The Columns list provides the following attributes of each column of the view:

Column Name

Column Type

Size

Precision

Not Null

Default

Comment

For details see Columns.


Working with data

The Data tab displays the view data as a grid by default (see Data View for details). The context menu of this tab and the Navigation bar allow you to Export Data, Import Data, Export as SQL Script, Save Data.

While working with view data, you are provided with a number of filtering and grouping facilities.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Data management tools are also available through the Navigation bar and toolbar of View Editor.

View Editor - Viewing data

See also:

Working with table data

Data View


Stored Procedures

Stored procedures are available in 5.x and later versions of MySQL server. A Stored procedure is a set of SQL commands that can be stored in the server. Once this is done, clients do not need to keep re-issuing the individual commands but can refer to the stored procedure instead.

Procedure Editor allows you to create new procedure, execute the existing procedure or edit its definition. It opens automatically when you create a new procedure and is available on editing an existing one.

To open a stored procedure in Procedure Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing procedure
  • Browsing object dependencies
  • Editing procedure description
  • Specifying input parameters
  • Executing procedure
  • Viewing DDL definition

See also:

Debugger

Function Editor


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Procedure Editor.

Procedure Editor - Using Navigation bar

The Navigation bar of Procedure Editor allows you to:

Object group

iconDB select a database

select a procedure for editing

General group

iconRefresh refresh the content of the active tab

iconCompile compile the procedure (if it is being created/modified)

iconSaveDescription save the procedure description (if it has been modified)

iconExecute execute the procedure

iconDebugTrigger debug a procedure

iconPrint print metadata of the procedure

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the editor window

Transaction group

iconCommit commit transaction

iconRollback rollback transaction

Data Management group

export data

export as SQL script

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the procedure:

Description group

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL group

iconSaveToFile save DDL to file

open DDL in SQL Editor

Items of the Navigation bar are also available on the ToolBar of Procedure Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing procedure

Use the Edit tab of Procedure Editor to create/edit a stored procedure and specify its definition.

Name

Enter a name for the new procedure, or view the name of the procedure being edited.

Procedure Editor - Editing procedure definition

Procedure type

RadioButton Deterministic (indicates that the procedure always produces the same result for the same input parameters)

RadioButton Not deterministic (indicates that the procedure does not produce the same result for the same input parameters)

SQL security

Specify whether the procedure should be executed using the permissions of:

RadioButton Definer (the user that creates the routine), or

RadioButton Invoker (the user that invokes the routine)

SQL Data Access

Use the drop-down list to specify the nature of data use by the procedure:

CONTAINS SQL (i.e. the routine does not contain statements that read or write data)

NO SQL (i.e. the routine contains no SQL statements)

READS SQL DATA (i.e. the routine contains statements that read data (e.g. SELECT), but not statements that modify data)

MODIFIES SQL DATA (i.e. the routine contains statements that may write data, e.g. INSERT, DELETE)

Definer

Specifies the MySQL account to be used when checking access privileges at the procedure execution time (if Definer is selected in the SQL security group).

Hint: You should either follow the 'user_name'@'host_name' format, or select the CURRENT_USER value to use the current MySQL user as the routine definer.

The Parameters list provides the following attributes of each parameter used in the procedure:

Set the procedure parameters by right-clicking within the list and selecting iconPlus Add Parameter. Set all necessary settings for the parameter in the opened dialog window.

Name

Parameter Type (IN, OUT, INOUT)

Data Type - the type of the parameter data.

Use the Data size spinner control to define the size of the parameter value.

Use the Precision spinner control to define the precision of the parameter value (for float data types). The precision indicates the number of significant digits.

Enum values - values of the ENUM datatype.

CheckBox Use database charset.

If you need different charset, you can select it from the Character set drop down list.

CheckBox Unsigned

Assigns the UNSIGNED attribute to the column: integer data will be displayed unsigned.

CheckBox Zerofill

Assigns the ZEROFILL attribute to the column: for columns of the numeric data type, MySQL will automatically add zeros before the first significant digit of the number stored in this column.

To delete the existing parameter, select iconMinus Delete Parameter from the popup menu. To edit parameter double-click it.

Hint: You can reorder parameters in the list using the Move Up and Move Down popup menu items.

Definition

This area allows you to set the procedure definition (body).

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with SQL Editor area and Using the context menu.

To execute the procedure, you can use the btnExecuteQuery Execute procedure item available within the Navigation bar.


Specifying input parameters

If the stored procedure has parameters marked as IN or INOUT, the Enter parameter values dialog appears before the procedure execution. It allows you to specify the values for all procedure input parameters.

Controls of this dialog correspond to the procedure parameters:

  • the number of columns coincides with the number of parameters;
  • the names of parameters are the names of the columns where these parameters should be specified;
  • the column data type is defined by the parameter data type.

If the Null box next to the parameter name is checked, the parameter value will take NULL irrespective of the data entered in the column for editing.

Procedure Editor - Specifying input parameters

After changes are done, click the OK button to execute the stored procedure, or the Cancel button to abort the execution.

Note: Parameters list stores history of parameters that have been used. You can remove a single item from this list or clear entire parameters history using respective context menu items.

See also:

Executing procedure/function


Executing procedure/function

Procedure Editor / Function Editor provide an ability to execute procedures and functions. Click the btnExecuteQuery Execute item of the Navigation bar or use the corresponding toolbar button to execute the procedure/function.

If the procedure has input parameters, SQL Manager allows you to specify the values for these parameters in the Input Parameters dialog which appears just before execution.

The result of the successfully executed procedure/function, as well as the error message in case of execution failure, appears in the message panel at the bottom of the Procedure Editor / Function Editor window.

Note: If the procedure is supposed to return a dataset, the dataset will be displayed within the Results tab.

Procedure Editor - Executing procedure

Note: If any unsaved changes are applied to the stored procedure/function being currently edited, the execution of the procedure/function is impossible unless changes are saved through the Compile procedure / Compile function item of the Navigation bar.

See also:

Specifying input parameters

Procedure Editor

Function Editor


Stored Functions

Stored functions are routines that are available in 5.x and later versions of MySQL server. A Stored function is a set of SQL commands that returns the result and can be stored in the server. Once this is done, clients do not need to keep re-issuing the individual commands but can refer to the stored function instead.

Function Editor allows you to define function properties. It opens automatically when you create a new function and is available on editing an existing one.

To open a function in Function Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing function
  • Browsing object dependencies
  • Editing function description
  • Viewing DDL definition
  • Executing function

See also:

Debugger

Stored Procedures


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Function Editor.

Function Editor - Using Navigation bar

The Navigation bar of Function Editor allows you to:

Object group

iconDB select a database

select a function for editing

General group

iconRefresh refresh the content of the active tab

iconCompile compile the function (if it is being created/modified)

iconSaveDescription save the function description (if it has been modified)

iconExecute execute the function

iconDebugTrigger debug a function

iconPrint print metadata of the function

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the function:

Description group

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL group

iconSaveToFile save DDL to file

open DDL in SQL Editor

Items of the Navigation bar are also available on the ToolBar of Function Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing function

Use the Edit tab of Function Editor to create/edit a stored function and specify its definition.

Name

Enter a name for the new function, or view the name of the function being edited.

Function Editor - Editing function definition

Returns

Use the drop-down list to select the return type of the function. Note that the function body must contain a RETURN statement.

Definer

Specifies the MySQL account to be used when checking access privileges at the function execution time (if Definer is selected in the SQL security group).

Hint: You should either follow the 'user_name'@'host_name' format, or select the CURRENT_USER value to use the current MySQL user as the routine definer.

Function type

RadioButton Deterministic (indicates that the function always produces the same result for the same input parameters)

RadioButton Not deterministic (indicates that the function does not produce the same result for the same input parameters)

SQL security

Specify whether the function should be executed using the permissions of:

RadioButton Definer (the user that creates the routine), or

RadioButton Invoker (the user that invokes the routine)

SQL Data Access

Use the drop-down list to specify the nature of data use by the function:

CONTAINS SQL (i.e. the routine does not contain statements that read or write data)

NO SQL (i.e. the routine contains no SQL statements)

READS SQL DATA (i.e. the routine contains statements that read data (e.g. SELECT), but not statements that modify data)

MODIFIES SQL DATA (i.e. the routine contains statements that may write data, e.g. INSERT, DELETE)

The Parameters list provides the following attributes of each parameter used in the procedure:

Set the procedure parameters by right-clicking within the list and selecting iconPlus Add Parameter. Set all necessary settings for the parameter in the opened dialog window.

Function Editor - Editing function definition - Add new parameter

Name

Data Type - the type of the parameter data.

Use the Data size spinner control to define the size of the parameter value.

Use the Precision spinner control to define the precision of the parameter value (for float data types). The precision indicates the number of significant digits.

Enum values - values of the ENUM datatype.

CheckBox Use database charset.

If you need different charset, you can select it from the Character set drop down list.

CheckBox Unsigned

Assigns the UNSIGNED attribute to the column: integer data will be displayed unsigned.

CheckBox Zerofill

Assigns the ZEROFILL attribute to the column: for columns of the numeric data type, MySQL will automatically add zeros before the first significant digit of the number stored in this column.

To delete the existing parameter, select iconMinus Delete Parameter from the popup menu. To edit parameter double-click it.

Hint: You can reorder parameters in the list using the Move Up and Move Down popup menu items.

Definition

This area allows you to set the function definition (body).

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with SQL Editor area and Using the context menu.

To execute the function, you can use the btnExecuteQuery Execute function item available within the Navigation bar.


Debugger

Function Debugger is a tool for correcting errors and optimizing routine text in SQL Manager for MySQL. To open routine text in debugger, open it in the respective editor first and press the Debug button.

Function debugger - Debugging function

  • Using Navigation bar and Toolbar
  • Debugging
  • Viewing info

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Function Editor

Stored Procedures

Triggers

Scheduled events


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Debugger.

Function debugger - Using Navigation bar

The Navigation Bar of Function Debugger allows you to:

General group

iconRestoreDefaultSize restore default size of the window

Debug group

iconCommit commit retaining changes

iconDebug start single-stepping/proceed to the next step

iconExecute execute routine text

execute routine text up to cursor position

set/remove breakpoint

return to start position

Items of the Navigation bar are also available on the ToolBar of Debugger. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Отладка

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Debugging

In the main window you can debug routine text. Editing of the routine text is not allowed in debugger.

Current statement is highlighted with blue.

Breakpoint is highlighted with red. You can toggle breakpoints by clicking the diamond mark to the left from the statement. To clear the breakpoint which is not needed anymore click the red circle mark to the left from the statement.

Function debugger - Debugging function_set breakpoint

Shortcuts that can be used when debugging:

  • F8 - begin single-stepping;
  • Ctrl+F2 - break execution;
  • Ctrl+F8 - add breakpoint to the current statement;
  • F9 - execute function (till next breakpoint or till the end).

Function debugger - Debugging function


Viewing info

Tabs located in the bottom area of Debugger contain various information concerning routine text and its debugging process.

Parameters and Variables tab displays all variables and parameters with their types and values that are used in routine text.

Function debugger - Debug info - Parameters and variables

Watches tab displays variables and parameters that have been selected for tracing. Values of the selected variables are changed after each executed statement. Current value can be found in the Watch Value column.

Procedure Debugger - Debug info - Watches

Watch Name can store variable names and statements calculated via MySQL means e.g.: CONCAT (str1, ';')

Use the context menu to manage variables and parameters. You can:

Add new variable or parameter to trace - New Watch

Change selected watch - Edit Watch

Remove variable or parameter from the watch list - Delete Watch

Remove all items from the list - Delete All Watches.

Procedure Debugger - Debug info - Watches - Add Watch

Recent executed statement can be found at the Last Statement tab.

Function debugger - Debug info - Last statement

Breakpoints tab contains the complete list of breakpoints for this routine text.

Function debugger - Debug info - Breakpoints

For each breakpoint the following info is provided:

  • Line number where the breakpoint is set
  • The returned Statement
  • Passes - how many times debugger stopped in this point during current session.

Statements returned by MySQL can be found at the Messages tab. You can view message type and text here.

Function debugger - Debug info - Messages


UDFs

A Function is a mapping embodied as a program (the function body) that can be invoked by using zero or more input values (arguments) to a single value (the result). A User-defined function (UDF) is a way to extend MySQL with a new function that works like native (built-in) MySQL functions such as ABS() and CONCAT(). UDFs must be created on the server machine.

UDF Editor allows you to define user-defined function properties. It opens automatically when you create a new user-defined function and is available on editing an existing one.

To open a user-defined function in UDF Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing user-defined function
  • Viewing DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in UDF Editor.

UDF Editor - Using Navigation bar

The Navigation bar of UDF Editor allows you to:

Object group

iconDB select a database

select a user-defined function for editing

General group

iconRefresh refresh the content of the active tab

iconCompile compile the UDF (if it is being created/modified)

iconExecute execute the UDF

iconPrint print metadata of the UDF

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the UDF:

DDL group

iconSaveToFile save DDL to file

open DDL in SQL Editor

Items of the Navigation bar are also available on the ToolBar of UDF Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing UDF

Use the Edit tab of UDF Editor to add/edit a user-defined function and specify its definition.

Name

Enter a name for the new UDF, or view the name of the UDF being edited.

UDF Editor - Editing UDF definition

Returns

Use the drop-down list to select the return type of the UDF.

Library name

Set the name of the file containing the function that will be used by the UDF.

Check the CheckBox Aggregate option to make the function an aggregate one.

Note: For the UDF mechanism to work, functions must be written in C or C++ and your operating system must support dynamic loading.


Scheduled events

MySQL Events are tasks that run according to a schedule. Therefore, they are often referred to as Scheduled events. In fact, an event is a named database object containing one or more SQL statements to be executed at one or more regular intervals, beginning and ending at a specific date and time. Conceptually, this is similar to the idea of the Unix crontab (also known as a "cron job") or the Windows Task Scheduler.

Scheduled tasks of this type are also sometimes known as "temporal triggers", implying that these are objects that are triggered by the passage of time. Events should more specifically not be confused with "temporary triggers". Whereas a trigger is a database object whose statements are executed in response to a specific type of event that occurs on a given table, a scheduled event is an object whose statements are executed in response to the passage of a specified time interval.

Scheduled Event Editor allows you to define scheduled event properties. It opens automatically when you create a new scheduled event and is available on editing an existing one.

To open a scheduled event in Scheduled Event Editor, double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing scheduled event
  • Browsing object dependencies
  • Editing event description
  • Viewing DDL definition

See also:

Debugger


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Scheduled Event Editor.

Scheduled Event Editor - Using Navigation bar

The Navigation bar of Scheduled Event Editor allows you to:

Object group

iconDB select a database

select a scheduled event for editing

General group

iconRefresh refresh the content of the active tab

iconCompile compile the scheduled event (if it is being created/modified)

iconSaveDescription save the scheduled event description (if it has been modified)

iconPrint print metadata of the scheduled event

iconDebugTrigger debug a scheduled event

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the editor window

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with the scheduled event:

Description group

iconSaveToFile save object description to file

iconCopyToClipboard copy description to clipboard

DDL group

iconSaveToFile save DDL to file

open DDL in SQL Editor

Items of the Navigation bar are also available on the ToolBar of Scheduled Event Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing scheduled event

Use the Edit tab of Scheduled Event Editor to add/edit a scheduled event and specify its definition.

Name

Enter a name for the new event, or modify the name of the event being edited.

Scheduled Event Editor - Editing scheduled event definition

Schedule

This group determines when and how often the SQL statement defined for the event is executed (ON SCHEDULE clause). Specify the preferable execution type:

RadioButton At (implies a one-time event)

A one-time event executes one time only at the specified date and time.

Set the Interval value to indicate a point in the future relative to the current date and time (+ INTERVAL clause). The interval value consists of two parts (a quantity and a unit of time: in n years/months/weeks/days/hours/etc.)

RadioButton Every (recurrent execution)

A recurrent event repeats its action at a regular interval, and the schedule for a recurring event can be assigned a specific start day and time, end day and time, both, or neither.

Set the recurrence rule (a quantity and a unit of time: every n years/months/weeks/days/hours/etc.) and the Starts / Ends threshold values:

CheckBox Starts

Check the box to specify the start date and time for the recurring event - a timestamp value which indicates when the action should begin repeating.

If the box is unchecked, no start date and time are defined for the event (Note: Prior to MySQL 5.1.8, it defaulted to '0000-00-00 00:00:00' in such cases).

CheckBox Ends

Check the box to specify the end date and time for the recurring event - a timestamp value which tells MySQL when the event should stop repeating.

If the box is unchecked, the event continues executing indefinitely (Note: Prior to MySQL 5.1.8, it defaulted to '0000-00-00 00:00:00' in such cases).

Options

CheckBox Enabled

Enables/disables the event immediately after it is created. A disabled event still exists as an object in the current database, but it does not execute any SQL statements.

CheckBox Don't preserve on completion

Normally, once an event has expired, it is immediately dropped. To override this behavior, you can disable this option. Enabling the option merely makes the default non-persistent behavior explicit.

Definition

This area allows you to specify the SQL statement to be executed by the event (DO clause).

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with SQL Editor area and Using the context menu.

Note: In order to use scheduled events, you must set the event_scheduler server system variable value to ON.


Local scripts

Local scripts are the scripts that are stored locally and can be easily accessed from the DB Explorer.

To create new local script right-click the appropriate branch in the DB Explorer tree and select the iconNewScript New Script item. You will be asked for the script name. When the name is assigned the script appears in the DB Explorer tree.

Local Script - Setting script name

It is also possible to create subfolders in the Local scripts branch. To create a subfolder use the iconNewSubFolder New Script Folder item of the context menu of a script or a group of scripts. Folders created there are created physically as subfolders to the folder assigned as default for local scripts in the DB Registration info | Directories.

To change directory where local scripts to be stored use the Select Directory... item of the Local Scripts context menu.

Script opens in the SQL Script where it can be edited or executed.

See also:

SQL Script

DB Explorer

Database registration info


Server objects

SQL Manager for MySQL provides all necessary tools for working with server objects.

Note: To start working with server objects you need first to connect to server.

Server objects:

Log file groups

Tablespaces

Federated server

See also:

Operations with database objects

New Object

Duplicate Object Wizard

Database objects


Log file groups

Note: Creation of log file groups is possible only when cluster server is installed.

This editor allows you to create or edit log file groups. It opens automatically when you create a new log file group and is available on editing an existing one.

To open a log file group in Log file group Editor double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/Editing log file group
  • Viewing object DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Log file group Editor.

Log file groups - Using Navigation bar

The Navigation Bar of Log file group Editor allows you to:

Object group

iconHost select host;

select log file group to edit.

General group

iconCompile compile the log file group (if it's being changed/modified);

iconRefresh refresh the content of the active tab;

iconPrint print metadata of the log file group;

iconRestoreDefaultSize restore the default size and position of the editor window.

Items of the Navigation bar are also available on the ToolBar of Log file group Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/Editing log file group

Use the Edit tab of Log file group Editor to create/edit a log file group and specify its definition.

LogFileGroupsEditor - EditingLFGdefinition

Name

Field displays name of the object. Value can't be modified in edit mode.

Undo buffer size

Undo files

Define the undo files in the bottom area. You can set specific initial size, default - 128mb, or '0' - value will be linked with the Undo buffer size one.

Context menu allows you to:

  • create New undo file;
  • Edit selected undo file;
  • Drop undo file;
  • Export List of objects to an external file.

If you choose the New... popup menu item the following dialog for setting undo file options appears.

LogFileGroupsEditor - Add new file

Here you are to provide file name and file initial size (default value is 128Mb).


Tablespaces

Tablespaces are objects used for providing disk space to store tables. Tablespace can store one or several files.

Note: Tablespace can be created only on a cluster server.

Note: Log file groups and Tablespaces share the same namespace. This means that each object must be uniquely named to avoid name conflict.

This editor allows you to create or edit tablespaces.

To open a tablespace in Tablespace Editor double-click it in the DB Explorer tree.

  • Using Navigation and Toolbar
  • Creating/Editing Tablespace
  • Viewing object DDL definition


Using Navigation and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Tablespace Editor.

TablespaceEditor - Using Navigation bar

The Navigation Bar of Tablespace Editor allows you to:

Object group

iconHost select host;

iconTablespace select tablespace to edit.

General group

iconRefresh refresh the content of the active tab;

iconCompile compile the tablespace (if it's being changed/modified);

iconPrint print metadata of tablespace;

iconRestoreDefaultSize restore the default size and position of the editor window.

Items of the Navigation bar are also available on the ToolBar of Tablespace Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/Editing Tablespace

Use the Edit tab to view/edit basic parameters of a tablespace.

TablespacesEditor - EditingTSdefinition

Name

Displays object name. Can be modified until object is created.

Log file group

Use the drop-down list to select an existing log file group.

Extent size

Define size of tablespace files. The default value is 1Mb. Minimum size allowed - 32Kb.

Data files

Use this area to specify tablespace data files.

Context menu allows you to:

  • create New log file;
  • Edit selected log file;
  • Drop log file;
  • Export List of objects to an external file.

If you choose the New... popup menu item the following dialog for setting data file options appears.

LogFileGroupsEditor - Add new file

Here you are to provide file name and file initial size (default value is 128Mb).


Federated servers

Federated server is used for working with FEDERATED storage engine. SUPER privilege is required for creating server of this type.

Note: This object is available from MySQL server version 5.0.3.

Use this editor to create or edit federated servers.

To open a federated server in editor double-click it in the DB Explorer tree.

  • Using Navigation bar and Toolbar
  • Creating/editing federated server
  • Viewing object DDL definition


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Federated Server Editor.

FederatedServerEditor - Using Navigation bar

The Navigation Bar of Federated Server Editor allows you to:

Object group

iconDB select database;

select federated server to edit.

General group

iconRefresh refresh the content of the active tab;

iconCompile compile federated server (if it's being changed/modified);

iconShowSQLHelp show native MySQL help;

iconRestoreDefaultSize restore the default size and position of the editor window.

Items of the Navigation bar are also available on the ToolBar of Federated Server Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Creating/editing federated server

Use the Edit tab to define settings required for connection to federated server.

FederatedServerEditor - EditingFSdefinition

Name

Displays object name. Value can be modified until object is created.

Host name

Use this drop-down list to specify host which you want to connect to. This list contains names of the registered servers.

Port

Define port on the remote host to connect through.

Provide authorization information in the User name and Password fields.

Database name

Select an existing database from the drop-down list.

Press Test connect to check whether provided connection settings are valid.

You can select any of the registered servers from the Load connection info list.


Query Management Tools

When using SQL Manager for MySQL, you are provided with two basic tools you may need to manage your SQL queries: SQL Editor for editing SQL query text directly and Visual Query Builder for building queries visually. Find the list of common SQL query management operations below.

Creating New Queries

In order to create a new query in SQL Editor:

  • select the Tools | New SQL Editor main menu item or use the corresponding btnNewSQLEditor toolbar button;
  • click the Add new query item of the Navigation bar;
  • edit the query text within the Edit tab of SQL Editor.

In order to create a new query in Query Builder:

  • select the Tools | New Query Builder main menu item or use the corresponding btnNewQueryBuilder toolbar button;
  • build the query visually within the Builder tab of Visual Query Builder.

Editing Queries

In order to open a query in SQL Editor:

  • select the Tools | Show SQL Editor main menu item or use the corresponding btnShowSQLEditor toolbar button;
  • use the numbered tabs at the bottom of the editor window to switch between previously edited queries. The last edited query is displayed automatically on opening the editor;
  • edit the query text within the Edit tab of SQL Editor.

In order to open a query in Query Builder:

  • select the Tools | Show Query Builder main menu item or use the corresponding btnShowQueryBuilder toolbar button;
  • the last edited query is displayed automatically on opening Query Builder;
  • to load a previously saved diagram, click the Load diagram item of the Navigation bar;
  • to load a query from an *.sql file, open the Edit tab and click the Load SQL button of the Navigation bar;
  • edit the query visually within the Builder and/or the Edit tabs of Visual Query Builder.

In order to load a query from an *.sql file:

  • select the Tools | New SQL Editor main menu item or use the corresponding btnNewSQLEditor toolbar button;
  • click the Load from file item of the Navigation bar;
  • browse for the query file using the Open SQL File dialog;
  • edit the query text within the Edit tab of SQL Editor.

Executing Queries

In order to execute a query:

  • create a new query or open an existing one;
  • click the btnExecuteQuery Execute item of the Navigation bar or use the F9 hot-key to execute the query;
  • view/edit the returned data within the Results tab of SQL Editor.

Saving Queries

In order to save a query:

  • create a new query or open an existing one;
  • click the Save to file Navigation bar item (in SQL Editor) or the Save SQL Navigation bar item (in Query Builder), or use the Ctrl+S shortcut to save the query using the Save as... dialog;
  • click the Save diagram Navigation bar item in Visual Query Builder to save the designed diagram;

or

  • use the Save all Navigation bar item in SQL Editor if you need to save all the queries to one file.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


SQL Editor

SQL Editor is the basic tool of SQL Manager for MySQL for creating and executing queries. The tool allows you to create and edit the SQL text of a query, prepare and execute queries and view the results of query execution.

To open SQL Editor, select the Tools | New SQL Editor / Tools | Show SQL Editor main menu items or use the corresponding btnNewSQLEditor / btnShowSQLEditor toolbar buttons. You can also use the Shift+F12 / F12 shortcuts for the same purpose.

  • Using Navigation bar and Toolbar
  • Working with SQL Editor area
  • Using the context menu
  • Viewing query plan
  • Using object links
  • Executing queries and viewing results
  • Viewing query logs
  • Favorites editor
  • Merging queries

See also:

Visual Query Builder

Query parameters

SQL Script Editor

Editor Options


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in SQL Editor.

SQL Editor - Using Navigation bar

The Navigation bar of SQL Editor allows you to:

Database group

iconDB select a database for the query

General group

iconExecute execute the current query

view estimated query execution plan

run Visual Query Builder to design the query as a diagram

iconOptions configure SQL Editor within the Tools | SQL Editor page of the Environment Options dialog

switch the results representation mode: on Edit tab or on separate tab

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the editor window

iconDisableCodeFeatures enables/disables syntax highlight, code completion and code folding

Queries group

add a new query (note that the current query text will not be lost)

rename the current query

remove the query

remove all queries from the editor

edit the query text using Favorites editor and add the query to the Favorite Queries list

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with queries:

Edit group

iconFindText activate the Find Text dialog

iconLoadFromFile load a query from an *.sql file using the Open SQL File dialog

iconSaveToFile save the query to an *.sql file

iconSaveToFileAs save the query to an *.sql file using the Save as... dialog

iconSaveAll save all queries to an *.sql file

Logs group

iconFindText activate the Find Text dialog

iconSaveToFile save the query log to a file

clear logs

Data Management group

iconCommit commit transaction

iconRollback rollback transaction

export the returned dataset using Export Data Wizard

export the returned dataset as SQL Script using the Export as SQL Script wizard

save data to a file

Items of the Navigation bar are also available on the ToolBar of SQL Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

See also:

Working with SQL Editor area

Viewing query plan

Executing queries

Viewing query logs

Favorites editor


Working with SQL Editor area

The Editor area of SQL Editor is available within the Edit tab and is provided for working with SQL queries in text mode.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented:

  • using object links allowing you to open the object in the associated editor;
  • ability to display line numbers;
  • code folding for statements and clauses;
  • customizable margins and gutters;
  • formatting code for better representation

and more.

If necessary, you can enable/disable or customize most of SQL Editor features using the Editor Options dialog.

The example of code completion is illustrated in the picture below. You can set the delay within the Quick code section of the Editor Options dialog or activate the completion list manually by pressing the Ctrl+Space shortcut.

SQL Editor - Working with SQL Editor area

Hint: To use a keyboard template, type the template name and press the Ctrl+J shortcut: the text associated with the template will be inserted automatically.

Implementation of the Find Text / Replace Text dialogs and Incremental search bar contributes to more efficient work with the SQL code.

If necessary, you can print the SQL text of your query using the corresponding item of the context menu.

See also:

Using Navigation bar and Toolbar

Using the context menu

Editor Options

Keyboard Templates

Favorites editor

Find Text dialog

Replace Text dialog


Using the context menu

The context menu of SQL Editor area contains execution commands, most of the standard text-processing functions (Cut, Copy, Paste, Select All) and functions for working with the query as a whole, e.g. you can move the cursor to a particular line, change the case of selected text, view the query properties or print the text of the query. Each of these operations can be also performed with the corresponding hot keys used.

Find the complete list of SQL Editor context menu items below. The context menu allows you to:

  • add the selected text to dictionary or correct text (see Spell checking for details);
  • execute the query/selected text/text under cursor, and reset execution point (if necessary);
  • manage markers: Drop Marker, Collect Marker, Swap Marker;
  • toggle bookmarks allowing you to navigate through the query text and jump to a line with a particular number;
  • perform editing operations: Undo/Redo, Cut, Copy, Paste, Select all;
  • perform search and replace operations;
  • save/load a query to/from an external *.sql file;
  • perform preview/print operations;
  • use the Quick code group allowing you to format the selected code using SQL Formatter to make the code easier to read, toggle comments for code fragments, change case of the selected text, indent/unindent code lines;
  • add the query to the Favorite Queries list;
  • open the Editor Options dialog.

SQL Editor - Using the context menu

See also:

Working with SQL Editor area

Executing queries


Viewing query plan

Using SQL Manager for MySQL, you can view the plan for each of the queries created and executed in the application. The query plan is available within the corresponding Plan tab.

To view the Plan of a query, open the query in SQL Editor and use the btnExplainQuery Explain query item of the Navigation bar or toolbar.

The Plan tab allows you to view the sequence of actions performed by the database server in the process of the query execution, and the amount of system resources used for the query execution.

SQL Editor - Viewing query plan

The Plan panel displays the operations as a list with the following columns: id, select_type, table, type, possible_keys, key, key_length, ref, rows, Extra.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

Right-click within the panel to display the context menu allowing you to configure the set of visible columns or export the plan to any of supported formats.

If necessary, you can specify that the Plan tab appears automatically upon query execution in SQL Editor: select the CheckBox Explain query on execution option available within the Tools | SQL Editor section of the Environment Options dialog.

See also:

SQL Editor options

Executing queries


Using object links

Objects that exist in the database are highlighted in the text as hyperlinks. You can open an object in the appropriate editor by clicking the object name in the text with the Ctrl key pressed.

SQL Editor - Using object links

Please note that you can change the way highlighted objects look in the editor: use the Color section of the Editor Options dialog.

See also:

Working with SQL Editor area

Editor Options


Executing queries

When all the query parameters are set, you can immediately execute the query in SQL Editor.

To execute a query, click the btnExecuteQuery Execute item of the Navigation bar. You can also use the context menu or F9 hot key for the same purpose.

If the SQL syntax is correct, the query is executed and, in case the query statement is supposed to return data (e.g. as SELECT statement), the returned dataset appears within the Results tab. The position of the tab depends on the Results on Edit tab / Results on separate tab selection in the Navigation bar.

If SQL syntax of the query contains any errors, the query execution is stopped and the corresponding error message is displayed in the status bar area at the bottom of the editor window.

SQL Editor - Executing queries

By default, data returned by a query are displayed as a grid (see Data View for details). The context menu of the grid allows you to Export Data, Export as SQL Script, Save data to a file.

SQL Editor - Viewing results

See also:

Data View

Export Data

Export as SQL Script


Viewing query logs

This tab allows you to view the query log. The log is available within the Logs tab of SQL Editor.

Using this tab you can view log entries containing the following details:

  • date and time of the query execution;
  • text of the query;
  • number of rows fetched and fetch time, or the text of the error (if any).

Date/time and the execution result information are embedded as code comments conforming with the rules of SQL.

With the help of the context menu the log can be printed, saved to file or cleared. You can also use a number of SQL Editor context menu generic functions.

SQL Editor - Viewing query logs

See also:

Executing queries

Using the context menu


Favorites editor

For your convenience the Favorite Queries list is implemented in SQL Manager for MySQL. This list is available within the iconFavoriteQueries Favorite Queries node of Database Explorer and allows you to store the most frequently used SQL queries in one location.

To add a query to the Favorite Queries list, use the [image] Add to Favorite Queries Navigation bar item in SQL Editor. The corresponding item is also available in the context menu of SQL Editor working area.

You can edit any of your Favorite Queries using Favorites editor.

SQL Editor - Favorites editor

Name

Set the name of the Favorite query.

Storage

Specify where the Favorite query will be stored: in Windows Registry or in the Database.

Note: If you store Favorite queries in the Windows Registry then they can be lost after the Windows reinstall. To avoid this problem save the registry branch or store Favorite queries in a database.

See also:

Managing Favorite queries

Working with SQL Editor area


Visual Query Builder

Visual Query Builder is implemented in SQL Manager for MySQL for building queries visually. The tool allows you to create and edit queries without deep knowledge of SQL. You can also prepare and execute queries, and view the results of their execution.

To open Visual Query Builder, select the Tools | New Query Builder / Tools | Show Query Builder main menu items or use the corresponding btnNewQueryBuilder / btnShowQueryBuilder toolbar buttons.

  • Using Navigation bar and Toolbar
  • Working with diagram area
  • Joining two database objects by columns
  • Setting the selection criteria
  • Setting output columns for selection
  • Setting the grouping criteria
  • Setting parameters of sorting
  • Working with editor area
  • Executing queries and viewing results

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

SQL Editor

Query parameters


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Query Builder.

Query Builder - Using Navigation bar

The Navigation bar of Query Builder allows you to:

Database group

iconDB select a database for the query

General group

iconExecute execute the current query

clear the query

create a view

iconShowSQLHelp view MySQL reference

iconOptions configure Query Builder using the Query Builder Options page of the Environment Options dialog

iconRestoreDefaultSize restore the default size and position of the builder window

iconPrintSetup set printing options using the Print Setup dialog

iconPreview preview the diagram

Objects group

iconDBExplorer browse objects of the database; you can also add tables and views to the diagram using drag-and-drop operations

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with queries:

Visual Builder group

iconLoadFromFile load a diagram from a *.vqb file using the Open diagram dialog

iconSaveToFile save the diagram to a *.vqb file using the Save diagram as... dialog

Edit group

iconLoadFromFile load a query from an *.sql file using the Open SQL File dialog

iconSaveToFile save the query to an *.sql file

Data Management group

iconCommit commit transaction

iconRollback rollback transaction

export the returned dataset using Export Data Wizard

export the returned dataset as SQL Script using the Export as SQL Script wizard

save data to a file

export data as PHP page

Items of the Navigation bar are also available on the ToolBar of Query Builder. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

See also:

Working with diagram area

Query execution


Working with diagram area

The main working area of Visual Query Builder is the diagram area available within the Builder tab. Here you can create a query by placing the database tables and views onto the area, and edit it by selecting the required data columns and setting links between objects.

To add an object to the query, you can simply drag it from the DB Explorer tree to the diagram area.

To include a column in the query, check the corresponding box located to the left from the column name in the list, or just double-click it. To include all columns of the table/view, check the box located to the left of the table/view caption. If you do not check any columns, the SQL statement is generated as SELECT * FROM <table/view_name>, i.e. all the columns are included in the query.

To collapse/expand the list of table/view columns, click the minimize/maximize button at the object caption.

To exclude a column from the query, uncheck the respective box. In order to remove the entire table/view from the query, close it by clicking the corresponding cross-button at the object caption, or right-click the object and select Delete from the context menu. You can also select the object and press the Del key.

To edit the alias of a table/view, double-click the object caption and enter the new name, or right-click the object and select Rename from the context menu.

Query Builder - Working with diagram area

Visual Query Builder allows you to create complex queries consisting of two or more queries combined in one with the UNION operator, or add nested queries. The panel to the left of the diagram area displays the tree of subqueries.

To add a query, right-click within the tree of subqueries area and select Add union from the context menu. A tab for the new query will appear in the diagram area.

To remove a query from the tree, right-click the query and select Delete union from the context menu.

To add the UNION ALL operator to the query, right-click the newly added query and select the corresponding context menu item.

Visual Query Builder - Union

Note: Depending on which query type you need to execute, you can select one from the drop-down list above the tree of subqueries: Select, Insert, Update, or Delete.

Visual Query Builder - Selecting query type

See also:

Joining two objects

Working with the editor area

Query execution


Joining two objects

The diagram area allows you to associate two objects by their columns: this operation is performed by dragging a column from one object list to another. This will set a link between these objects by the selected columns. It is indicated by a bidirectional arrow between the linked columns.

Query Builder - Joining two objects

You can view the link properties of objects association: set the mouse cursor over the linking arrow, and a hint containing the association condition will popup after a short delay.

To remove a link between objects, right-click the linking arrow and select the Delete link popup menu item.

To add a point to the link line, right-click the linking arrow and select the Insert point popup menu item. Using the point you can move the link line easily. The point does not cause any changes to the query, it is only used for the diagram representation and makes visual building handy and more comprehensible.

Visual Query Builder - Link menu

See also:

Working with diagram area

Setting criteria


Setting criteria

Use the Criteria tab to set the selection conditions.

The way the conditions are used is set in the upper string of the area (All, Any, None or Not all of the following are met). Click the green link to change it.

Visual Query Builder - Criteria menu

To add a condition, click the ellipsis EllipsisButton button on the left, and select the Add condition popup menu item.

Edit the condition by clicking the elements of the condition pattern and setting the necessary values. Clicking the numbered button to the left of the condition string activates the popup menu which allows you to add a new condition at the same enclosure level, make composite condition by adding a new enclosure level, delete the current condition, expand or collapse enclosure levels of the condition (if the condition is composite).

Visual Query Builder - Condition menu

A simple condition pattern contains three elements: an argument, a condition operator and a second argument (if required for the condition).

Clicking each element column allows you to set its value. You can add a column by drag-and-dropping it from the working area to Criteria, Selection, Grouping criteria or Sorting tabs. When clicking an argument column, you can edit the argument as a text string: set an object name or a certain value in this column. Right-clicking the column in the edit mode activates the popup menu with the Insert column (also called by the Shift+Enter shortcut; this item allows you to select a column from the list of all the table columns) and Insert query (this item adds a nested query) items.

Query Builder - Setting criteria

Clicking the condition operator column activates the popup menu from which you can select the operator you need.

See also:

Setting output fields

Setting grouping criteria

Setting sorting parameters


Setting output columns

The Selection tab displays the output columns of the query as a grid.

The grid allows you to edit the names of the query output columns, specify their display order and set the aggregate functions for each column. To remove a column from the list, right-click the column row and select the Delete current row popup menu item.

Visual Query Builder - Selection field menu

The popup menu also allows you to insert a nested query and add a CASE clause. To edit the CASE clause, use the CASE END AS dialog.

Query Builder - Setting output fields - CASE

To change the input query column, click it and then type the column name or select it from the drop-down list.
To change the output query field name, set the cursor at the corresponding column and type the required field name.

To reorder fields in the list, use the [image] [image] buttons.

Query Builder - Setting output fields

To set an aggregate function for a field, click the field row within the Aggregate column, and then type in the function name or select one from the drop-down list (SUM, MIN, MAX, AVG, or COUNT).

The Grouping column displays the grouping state for each of the output fields.

CheckBox2 Select only unique records
If you check this option, the duplicate records (if any) are not included into the query result (i.e. the DISTINCT keyword is added to the SQL query text).

See also:

Setting criteria

Setting grouping criteria

Setting sorting parameters


Setting grouping criteria

The Grouping criteria tab allows you to set conditions for grouping query records.

The grouping condition pattern columns are set in the same way as those of the Criteria pattern.

Query Builder - Setting grouping criteria

These conditions will be included in the HAVING statement of the generated SQL query.

See also:

Setting criteria

Setting output columns

Setting sorting parameters


Setting sorting parameters

The Sorting tab allows you to set sorting parameters for the records returned by the query.

The working area contains the Output columns list (at the left) which represents all columns of the objects used in the query, and the Sorted columns list (at the right) which contains the columns to sort records by.

To move a column from one list to another, drag the selected column or use the Add and Remove buttons: Items - Move to Selected Items - Move all to Selected Items - Move to Available Items - Move all to Available .

To change the sorting order for a sorted column, select the column in the Sorted columns list and move it using the Up and Down buttons.

To change the sorting direction, select the column in the Sorted Columns list and switch the direction (Ascending, Descending) using the corresponding A..Z/Z..A button.

Query Builder - Setting sorting parameters

See also:

Setting criteria

Setting output columns

Setting grouping criteria


Working with the editor area

The Editor area of Visual Query Builder is available within the Edit tab and is provided for working directly with the SQL query text which is generated automatically while you build the query visually.

You can edit this text according to the rules of SQL, and all the changes will be displayed within the Builder tab respectively.

To learn more about the SQL Editor features available within the Edit tab, see Working with SQL Editor area.

Query Builder - Working with editor area

See also:

Working with diagram area

Query execution

SQL Editor


Query execution

When all the query parameters are set, you can immediately execute the query in Visual Query Builder.

To execute a query, click the btnExecuteQuery Execute query item of the Navigation bar. You can also use the F9 hot key for the same purpose.

If the query parameters are specified correctly, the query is executed and, in case the query statement is supposed to return data (e.g. as SELECT statement), the returned dataset appears within the Result tab.

If SQL syntax of the query contains any errors, the query execution is stopped and the corresponding error message is displayed in the status bar area at the bottom of the Query Builder window.

Query Builder - Query execution

By default, data returned by a query are displayed as a grid (see Data View for details). The context menu of the grid allows you to Export Data, Export as SQL Script.

Query Builder - Viewing results

See also:

Working with diagram area

Working with the editor area

Data View


Query parameters

Both SQL Editor and Visual Query Builder support parameters usage inside the query text. A parameter is a kind of variable for which a value can be specified just before the query execution. In the query text the parameter should appear as an identifier with a colon (':') at the beginning, e.g.

SELECT * FROM MYTABLE WHERE ID = :param1;

Note: The Allow using of parameters in query text option should be checked on the Tools page of the Environment Options dialog for this feature to be enabled.

See also:

SQL Editor

Visual Query Builder


Input parameters dialog

The Input Parameters dialog is used to specify the query parameters as well as values of the input parameters of the query before execution.

Query parameters - Input parameters dialog

Click OK button to apply the values and execute the query or click Cancel button to abort execution.


Data Management

Table data and query results are displayed on the Data or Results tab of Table Editor, SQL Editor, Visual Query Builder, etc.

Data can be displayed in one of the following modes: Grid View, Form View, Print Data, BLOB View. See Data View to learn more about these modes. You are also provided with a number of filtering tools when working with your data.

  • Data View
  • Custom Filter
  • Filter Builder dialog

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools

How To...


Data View

SQL Manager for MySQL provides you with powerful tools for viewing, editing and printing data from tables and queries:

  • table / view data are available within the Data tab of Table Editor / View Editor correspondingly;
  • upon a query execution the returned dataset appears within the Result(s) tab of SQL Editor / Query Builder (in SQL Editor the position of the tab depends on the Results on Edit tab / Results on separate tab selection in the Navigation bar).

The data can be displayed in one of four available modes: Grid View, Form View, Print Data and BLOB View. The status bar at the bottom displays the number of records in the current dataset, the time the records were fetched by the application and the status of the records (whether the data are read-only or editable).

Please see the succeeding chapters to learn how to work with your data in the simplest and most efficient way.

  • Using Navigation bar and Toolbars
  • Grid View
  • Form View
  • Print Data
  • BLOB View
  • Applying changes

See also:

Custom Filter

Filter Builder dialog

Table Editor

View Editor


Using Navigation bar and Toolbars

When the Data tab (in Table Editor, View Editor) or the Result(s) tab (in SQL Editor, Query Builder) is selected, the Navigation bars of these tools contain the Data Management group which allows you to:

iconCommit commit transaction

iconRollback rollback transaction

export data

export data as SQL script

import data (in Table Editor, View Editor only)

load data (in Table Editor only)

save data to a file on the server

Data View - Using Navigation bar

Items of the Navigation bar are also available on the ToolBar. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

The Navigation pane contains toolbars allowing you to:

  • go to the first record of the dataset;
  • go to the previous page;
  • go to the previous record;
  • go to the next record;
  • go to the next page;
  • go to the last record of the dataset;
  • insert a new record (in Table Editor only);
  • delete the selected record (in Table Editor only);
  • edit the selected record (in Table Editor only);
  • post edit (in Table Editor only);
  • cancel edit (in Table Editor only);
  • refresh data;
  • set bookmark;
  • go to saved bookmark;
  • call the Filter Builder dialog;
  • search for a string in the currently selected column data;
  • specify the maximum number of records (record limit) for displaying data (in Table Editor, View Editor only);
  • navigate within the dataset using the specified record limit (in Table Editor, View Editor only).

Data View - Navigation pane

The Toolbar of the Print Data mode allows you to:

  • customize the report using Report Formatter and the Report Options dialog;
  • load a report from an external *.rps file;
  • save the current report to an external *.rps file;
  • print the report using the default printer;
  • set printing options using the standard Print dialog;
  • call the Page Setup dialog;
  • show/hide report thumbnails;
  • customize the Report Title;
  • add Date and Time, Page Numbering, show/hide empty pages;
  • shrink the report to the page;
  • specify background color;
  • zoom in/out, setup zoom, zoom page width, whole page, two/four/multiple pages;
  • select the active page of the report;
  • go to first/previous/next/last page of the report.

Data View - Print Data - Toolbar

The Toolbar of the BLOB View mode allows you to:

  • select a BLOB column;
  • select encoding (ANSI, UTF-8, UNICODE-16);
  • load BLOB content from an external file;
  • save the BLOB column content to an external file;
  • cut/copy/paste selected text to/from clipboard (enabled for the Text and Rich Text tabs only);
  • undo changes;
  • print the text (enabled for the Text, Rich Text and HTML tabs only);
  • select font to be applied to the selected text (enabled for the Rich Text tab only);
  • select font size to be applied to the selected text (enabled for the Rich Text tab only);
  • make the selected text bold/italic/underlined (enabled for the Rich Text tab only);
  • align left/center/right (enabled for the Rich Text tab only);
  • add/remove list bullets (enabled for the Rich Text tab only).

Data View - BLOB View - Toolbar

See also:

Grid View

Form View

Print Data

BLOB View

Applying changes

Customize toolbars and menus


Grid View

By default, data returned by a query are displayed as a grid. It is indicated by the Grid View tab selected on the View mode panel at the bottom of the Results area of the window.

When in the Grid View mode, the columns correspond to the columns and the rows correspond to the records.

If more convenient, you can change the order of the columns by dragging their headers horizontally. Clicking the column caption sorts data by the values of this column in the ascending or the descending mode. The navigation pane at the top of the grid allows you to browse the data quickly, to insert, update and delete records, and to set a filter for the records using the Filter Builder dialog and other tools.

The Navigation bar of the parent window, toolbars and the context menu of the grid provide you with a number of data management functions: Export Data, Import Data, Export as SQL Script and more.

  • Customizing columns
  • Grouping data within the grid
  • Filtering records
  • Using the context menu
  • Working in multi-level mode
  • Browsing data in card view
  • Column Summary
  • Copying records

Data View - Grid View

Hint: To increase the speed of opening tables and views with extremely large number of records, you can use options of the Limit options in table and view editors group available in the Grid | Data Options section of the Environment Options dialog.

See also:

Using Navigation bar and Toolbars

Form View

Print Data

BLOB View

Applying changes


Customizing columns

Selecting visible columns

When working in the Grid View mode, you can specify which columns of the current dataset will be visible. Click the btnSelectVisibleColumns button available in the top left corner of the data grid and select/deselect columns in the drop-down list to specify their visibility/invisibility.

Data View - Grid View - Selecting visible columns

Changing columns order

For your convenience the possibility to change the order of the columns in the data grid is available. To reorder columns, drag a column header horizontally to a place in between two other column headers indicated with green arrows.

Data View - Grid View - Changing columns order

See also:

Grouping data

Filtering records

Working in multi-level mode

Working in card view mode

Column Summary


Grouping and sorting data

In order to sort data, do the following:

open data at the Data or Results tab, choose the column by which you need to sort data and click the column title.

If the column was not sorted, the first click will sort it in the ascending order and the second one - in the descending order.

Clear Sorting

To cancel the sorting, open the context menu by right-clicking the necessary column and choose the Clear Sorting item, or press the Ctrl button and click the column title.

If necessary, you can group the data in grid by any of the columns.

This operation is performed by dragging the column header to the gray "Group by" box area at the top. In order to display this area, select the CheckBox Show "Group by" box option available in the Grid section of the Environment Options dialog.

When grouping by a column is applied to the grid, all the records are displayed as subnodes to the grouping row value as displayed in the screenshot below. The grouping row can contain the column summary information specified in the Group header group of the Column Summary dialog.

To reverse grouping, just drag the column header back.

Hint: While dragging the column header back, you can also change the column position.

Data View - Grid View - Grouping data

If necessary, you can group data by two or more columns. In this case column headers are displayed hierarchically, and data are grouped by these columns in the order the column headers appear in the "Group by" area.

Data View - Grid View - Grouping data by two columns

See also:

Customizing columns

Filtering records

Working in multi-level mode

Working in card view mode

Column Summary


Filtering records

A number of filtering facilities are implemented in the grid for your convenience. You can filter records in the grid in either of the following ways:

  • right-click a row and select the Quick Filter context menu item to filter records by the current value of the selected column;

Data View - Grid View - Quick Filter

  • click the Arrow-Down button next to the column caption to display the drop-down list and select any of the column values to filter records by this value of the selected column;

Data View - Grid View - Filtering records

or

  • click the Arrow-Down button next to the column caption to display the drop-down list, then select the Custom item and build a simple filter using the Custom Filter dialog;
  • use the Set filter btnSetFilter button on the navigation pane to invoke the Filter Builder dialog and create a composite filter using the dialog.

After the filter is set, the gray filtering panel becomes visible at the bottom of the grid. This panel allows you to see the active filtering condition and easily enable or disable it using the checkbox on the left. The Arrow-down button opens the drop-down menu which allows you to browse the filter history for this dataset.

If necessary, you can click the Customize... button on the right to customize your filter and add more complicated filtering conditions within the Filter Builder dialog.

Data View - Grid View - Filtering records - Filtering panel

To remove the current filter, click the Close btnClose button.

See also:

Customizing columns

Grouping data

Custom Filter

Filter Builder dialog


Using the context menu

The context menu of the grid is aimed at facilitating your work with data: you can perform a variety of operations using the context menu items:

  • copy the selected cell value to Windows clipboard;
  • paste the clipboard content to the currently selected cell;
  • copy/paste multiple records;
  • data manipulation: Export Data from the table, Import Data to the table, Export Data as SQL Script, Save Data to a file, Load Data, Export as PHP page;
  • set/disable Quick Filter;
  • clear sorting;
  • set a value for the selected cell: NULL, Empty string (for string fields), Now (for TIME fields), "Zero" (for DATE fields), Set to Unix time - defines date value for a cell using unix_timestamp function (Value can be defined manually or picked up from calendar dialog).
  • edit the BLOB value or save the BLOB to file using BLOB viewer/editor;
  • expand/collapse grid levels and navigate within the tabs;
  • manage grid levels: add a new grid level, delete the current grid level (this item is enabled only when the detail level exists and is currently focused);
  • switch to the Card View mode;
  • view Column Summary;
  • select visible/invisible columns of the dataset;
  • fit column width for better representation;
  • specify the grid mode: Load All Rows, Load Visible Rows, Default;
  • view/edit grid properties.

Data View - Grid View - Using the context menu

Note: If the CheckBox Show editor immediately and CheckBox Always show editor options on the Environment options | Grid tab are checked then the context menu of a grid can be evoked by selecting the necessary cell and right-clicking the table header. Otherwise, right-clicking the cell evokes the cell editing menu.


Working in multi-level mode

One of unique features of SQL Manager for MySQL is the ability to work with data in multi-level mode to view and modify data in several related tables simultaneously.

To manage grid levels, right-click the grid and select the Grid Levels context menu group. Items of this group allow you to:

  • add a new grid level using Create Grid Level Wizard;
  • delete the current grid level;
  • switch between the ordinary Table View and the Card View modes.

Data View - Grid View - Working in multi-level mode

See also:

Using the context menu

Create Grid Level wizard


Create Grid Level wizard

Create Grid Level Wizard allows you to add a new detail level to the grid in order to get master-detail representation of your data.

To start the wizard, right-click the grid, select the Grid Levels context menu group and proceed to the Add Grid Level... item within this group.

  • Specifying master level
  • Selecting source table
  • Binding master and detail levels
  • Query parameterization
  • Setting additional parameters

Create Grid Level - Add Grid Level


Specifying master level

Use the drop-down list to select the table of the master level to which a new level will be added.

Source of new level data

Select the source type of the new level data: RadioButton Table or RadioButton Query.

Create Grid Level - Specifying master level

Click the Next button to proceed to the Defining source for detail level step to select a table for the detail level or input a query, depending on whether the RadioButton Table or the RadioButton Query option has been selected.


Defining source for detail level

If the RadioButton Table option has been selected at the previous step, you should now specify a table for the detail view using the Table name drop-down list. Set the CheckBox Show tables related by foreign keys only option to narrow the list of tables by including only tables linked by Foreign keys.

Create Grid Level - Defining source for detail level - Table

If the RadioButton Query option has been selected at the previous step, you should now enter a query that will be used as the source of the new grid level. If necessary, you can use Query Builder to build the SQL query visually.

Create Grid Level - Defining source for detail level - Query

Click the Next button to proceed to the Binding master and detail levels step of the wizard.


Binding master and detail levels

Define pairs of columns to link the Master Level and the Detail Level data sources:

  • select a column in the Master Level Key Fields list;
  • select a corresponding field in the Detail Level Key Fields list;
  • click Add to set correspondence between the selected fields.

The newly created correspondences are listed in the Links Between Master and Detail Levels area. If necessary, you can delete any correspondence using the Remove button.

The From Foreign Key... menu is available if the CheckBox Show tables related by foreign keys only option has been selected at the previous step. This menu allows you to select the foreign key to be used for identifying master-detail levels (if the table has more than one foreign key relation).

Create Grid Level - Binding master and detail levels

Click the Next button to proceed to the Setting additional parameters step or to the Query parameterization step of the wizard if RadioButton Query was selected at the Specifying master level step of the wizard.


Query parameterization

If RadioButton Query was selected at the Specifying master level step of the wizard, you should now transform the query to a parameterized form that will be used in the 'Load visible rows' Grid Mode (see the Grid | Data Options section of the Environment Options dialog to get more information about grid modes offered by SQL Manager).

Create Grid Level - Query parameterization

Click the Next button to proceed to the Setting additional parameters step of the wizard.


Setting additional parameters

Level caption

Set the caption to be used for the new level in the grid.

Level type

Select the type of view you wish to be applied to the grid level: RadioButton Table view or RadioButton Card view.

Create Grid Level - Setting additional parameters

When you are done, click the Run button to complete the operation.


Working in card view mode

Depending on your preferences, you can represent data in the Table View or in the Card View modes.

To switch to the Card View mode of data representation, right-click the grid, expand the Grid Levels context menu group and select the Card View item within this group.

Data View - Grid View - Working in card view mode

See also:

Using the context menu


Column Summary

If necessary, you can select the Column Summary... context menu item to open the Column Summary dialog which allows you to set the summary for each particular column that will be displayed in the grid footer, group header and group footer areas.

Data View - Grid View - Column Summary

The Column list displays all columns of the dataset. Select a column and specify which information should be displayed in the grid as summary for this column:

RadioButton None

RadioButton Sum (for numeric types only)

RadioButton Minimum (for numeric and date/time types only)

RadioButton Maximum (for numeric and date/time types only)

RadioButton Count

RadioButton Average (for numeric types only)

Use the Number format edit boxes in each group to specify the preferable format for summary info representation.

See also:

Using the context menu


Copying records

When you copy several records to clipboard and paste them into the grid, you are offered to set correspondence between columns of the clipboard and columns of the target MySQL table using the Associate Columns dialog.

Data View - Grid View - Associate columns

The Clipboard Columns and Grid Columns lists display the source and target dataset columns respectively. Set correspondence between the source clipboard columns and the table columns:

  • select a source clipboard column in the Clipboard Columns list;
  • select the corresponding column the target table in the Grid Columns list;
  • click the Add button to set correspondence between the selected columns;
  • the pair of columns appears in the Links between... list below;
  • repeat the operation for all the columns you need copy.

Use the Add All button to add all columns to the Links between... list on the basis of their order.

To remove a correspondence, select the pair of columns in the Links between... list and press the Remove button.

To remove all correspondences, press the Remove All button.

CheckBox First row is a header

This option specifies that the first row of the associated columns will be taken as the column header.


Form View

The Form View tab allows you to view data as a form. To activate this type of data view, select the Form View tab on the View mode panel at the bottom of the window.

The form displays the current record: column names on the left and the corresponding values on the right. If the columns are available for editing, you can edit the record directly on this form. The navigation pane at the top of the form allows you to browse the data quickly, to insert, update and delete records, and to set a filter for the records using the Filter Builder dialog.

Data View - Form View

Each column has a CheckBox Null checkbox which allows you to clear the column value and set it to NULL (if the column is nullable).

See also:

Using Navigation bar and Toolbars

Grid View

Print Data

BLOB View

Applying changes


Print Data

Using the Print Data tab you can view data in the way they are printed, in WYSIWYG mode.

When in Print Data mode, you are provided with a powerful context menu and toolbar allowing you to design a report, change the view scope, save reports and load previously saved ones, set report options, and specify a number of printing parameters using Report Formatter and the Page Setup dialog.

Data View - Print Data

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Using Navigation bar and Toolbars

Grid View

Form View

BLOB View

Applying changes


Page Setup

The Page Setup dialog allows you to specify a number of settings pertaining to the report page.

To open the dialog, use the Page Setup [image] button available on the toolbar.

Use the following tabs of the Page Setup dialog:

  • Page
  • Margins
  • Header/Footer
  • Scaling

When you are done, you can click the Print... button at the bottom to call the Print dialog.

See also:

Report Formatter

Setting report options

Print dialog


Page

The Page tab of the Page Setup dialog allows you to specify the paper, page orientation, print order and shading settings.

Data View - Print Data - Page Setup - Page

Paper

Select one of the standard paper types in the Type list, or specify custom width and height using the Dimension group (in inches or millimeters, depending on the unit of measure specified in the Options dialog).

Use the Paper source drop-down list to select the paper feed type.

Orientation

Select the preferable page orientation (your selection is illustrated in the chart on the left):

RadioButton Portrait

RadioButton Landscape

Print Order

Select the preferable order for printing report pages (your selection is illustrated in the chart on the left):

RadioButton Down, then over

RadioButton Over, then down

Shading

CheckBox Print using gray shading

If this option is selected, gray shading (along with black and white) will be used for printing the report.


Margins

The Margins tab of the Page Setup dialog allows you to specify the size of the margins and running titles.

Data View - Print Data - Page Setup - Margins

Use the spinner controls to specify the size of top / bottom / left / right margins and header / footer (in inches or millimeters, depending on the unit of measure specified in the Options dialog). The Preview area on the right illustrates the changes you have made.

If you have specified an improper value, you can click the Fix button to correct it.

To restore the default size values, click the Restore Original button.

Center on page

This group allows you to specify whether the text should be centered horizontally and/or vertically on the page.


Header/Footer

The Header/Footer tab of the Page Setup dialog allows you to specify properties of the header and footer running titles.

Data View - Print Data - Page Setup - Header and Footer

Header / Footer

Click the Font... button to specify font properties using the standard Font dialog. The font name and size are displayed in the gray area next to the Font... button.

Use the Background drop-down list to select the background color that will be applied to the page header/footer, or to customize the color using the Color and Fill Effects dialogs.

For each of the running titles you are provided with three separate text editing columns. You can use any, all or none of the columns to enter the header and footer text.

The Vertical Alignment group allows you to specify vertical alignment for the header/footer text according to any of the three available patterns.

Predefined Functions

This group allows you to add the following standard functions to the header and footer:

[Machine Name]

[User Name]

[Time Printed]

[Date Printed]

[Date & Time Printed]

[Page # of Pages #]

[Total Pages]

[Page #]

CheckBox Reverse on even pages

If this option is selected, the header and footer text will be reversed on even pages of the printing report.


Scaling

The Scaling tab of the Page Setup dialog allows you to specify the page scaling options.

Data View - Print Data - Page Setup - Scaling

Select the preferable scaling mode:

RadioButton Adjust to ... % normal size

Use the spinner control to set the percentage of the regular page size to which the page size will be adjusted.

RadioButton Fit to ... page(s) wide by ... tall

Use the spinner controls to set the maximum number of pages (by width and by height) on one page to fit its size.


Report Formatter

Report Formatter allows you to specify a number of settings pertaining to the printing form of the report.

To open the tool, click the Design Report [image] button available on the toolbar, or use the Ctrl+D shortcut.

Use the following tabs of the Format Report dialog:

  • View
  • Behaviors
  • Formatting
  • Styles
  • Preview
  • Cards
  • Charts

The Title Properties... button allows you to customize the report title using the Report Title dialog.

See also:

Page Setup

Setting report options

Print dialog


View

The View tab of the Format Report dialog allows you to specify report elements to be shown in the report.

Data View - Print Data - Report Formatter - View

Tick off the elements to show in the report (caption, bands, headers, footers, group footers, expand buttons, filter bar) and on every page of the report (caption, bands, headers, footers, filter bar).

The Preview area on the right illustrates the changes you have made.


Behaviors

The Behaviors tab of the Format Report dialog allows you to specify the way (behavior) the report elements will appear on the printing form.

Data View - Print Data - Report Formatter - Behaviors

Selection

CheckBox Process selection / CheckBox Process exact selection

Specify whether the text selection should or should not be processed (precisely) for the printing form.

Expanding

Tick off the elements to expand in the report: groups, details, cards.

Size

CheckBox Auto Width

If this option is selected, the table will be resized automatically to fit the page by width.

The Preview area on the right illustrates the changes you have made.


Formatting

The Formatting tab of the Format Report dialog allows you to specify Look and Feel, Refinements and Pagination options.

Data View - Print Data - Report Formatter - Formatting

Look and Feel

This setting determines the manner in which the cells are painted. Use the drop-down list to select the painting style that will be applied to the cells on the printing form:

Flat

Standard

UltraFlat

Refinements

Options of this group allow you to reduce the report size.

CheckBox Transparent graphics

If this option is selected, the images will be drawn transparent in the report.

CheckBox Display graphic as text

If this option is selected, text will be displayed instead of the images.

CheckBox Flat CheckMarks

If this option is selected, the checkboxes will be drawn flat.

Pagination

Specify the way pagination will be performed for the report: By TopLevel groups or One group per page.

The Preview area on the right illustrates the changes you have made.


Styles

The Styles tab of the Format Report dialog allows you to specify styles to be applied to the report elements.

Data View - Print Data - Report Formatter - Styles

CheckBox Use native styles

This option determines whether the native Windows style will be applied to the report elements.

Note: The Native style option is currently supported for the Windows® XP operating system only.

The elements list displays the names of all report elements, with background color and font properties specified by default. You can Use native styles for them or customize them according to your preferences.

To edit an element, select it in the list and use the buttons to the right to edit the style for it.

Click the Font... button to specify font properties using the standard Font dialog.

Click the Color... button to customize the background color using the standard Color dialog.

Click the Texture... button to load an image that will be used as the texture for the element.

To rollback the changes, click the Clear button.

To restore the default stylesheet properties, click the Restore Defaults button.

If you need to save the current style sheet, you can click the Save as... button.

These items are also available through the context menu of the elements list.

Style Sheets

Use the drop-down menu to select the style sheet you need. To manage the style sheets, use the corresponding buttons below: New..., Copy..., Delete..., Rename...

The Preview area on the right illustrates the changes you have made.


Preview

The Preview tab of the Format Report dialog allows you to specify report preview options.

Data View - Print Data - Report Formatter - Preview

CheckBox Visible

This option specifies visibility of the grouping rows.

CheckBox Auto height

If this option is selected, the table will be resized automatically to fit the page by height.

Max line count

Use the spinner control to specify the maximum possible number of lines.

The Preview area on the right illustrates the changes you have made.


Cards

The Cards tab of the Format Report dialog allows you to specify properties for the card view.

Data View - Print Data - Report Formatter - Cards

Sizes

CheckBox Auto Width

If this option is selected, the cards will be resized automatically to fit the page by width.

CheckBox Keep same width

Select this option to keep the card width fixed.

CheckBox Keep same height

Select this option to keep the card height fixed.

Spacing

This group allows you to specify horizontal and vertical spacing between cards.

Framing

CheckBox Border

This option specifies visibility of the card borders.

CheckBox Horizontal lines

This option specifies visibility of the horizontal lines (row delimiters) within cards.

CheckBox Vertical lines

This option specifies visibility of the vertical lines (column delimiters) within cards.

Shadow

Use the Color drop-down list to select the color that will be applied to the card shadows. If necessary, specify the color depth using the corresponding spinner control.

The Preview area on the right illustrates the changes you have made.


Charts

The Charts tab of the Format Report dialog allows you to specify options for the charts used in the report.

Data View - Print Data - Report Formatter - Charts

CheckBox Transparent

If this option is selected, the charts will be drawn transparent in the report.

The Preview area on the right illustrates the changes you have made.


Setting report options

Options dialog

The Options dialog allows you to specify a number of settings pertaining to the printing report.

To open the dialog, open the Design Report [image] menu available on the toolbar and select the Preferences item.

Data View - Print Data - Report options

Show

Tick off the elements to show in the printing report (margins, margins hints, margins hints while dragging).

Use the Measurement Units drop-down list to select the unit of measure that will be used in report settings: default, inches, or millimeters.

Zoom Parameters

CheckBox Zoom on roll with IntelliMouse

If this option is selected, you can zoom in/out by scrolling up/down (with a Microsoft® mouse or a compatible mouse used).

Zoom Step

Use the spinner control to specify the percentage of the original page size to be considered as one zoom step.

Use the Margins Color drop-down list to select the color that will be applied to the report margins.

Report Title dialog

The Report Title dialog allows you to specify the report title text and properties.

To open the dialog, use the Title... button available on the toolbar.

Data View - Print Data - Report options - Title

Mode

Use the drop-down list to select where the report title should be displayed on the first page, on every top page, or not displayed at all.

Text

Use the edit box to enter the text of the report title.

Properties

CheckBox Transparent

If this option is selected, the report title will be drawn transparent.

Use the Color drop-down list to select the color that will be applied to the report title (enabled if the CheckBox Transparent option is not selected).

Click the Font... button to specify title font properties using the standard Font dialog. The font name and size are displayed in the gray area next to the Font... button.

CheckBox Adjust on scale

If this option is selected, the title can be adjusted on scale.

Alignment

Use the Horizontally drop-down list to select the type of horizontal alignment to be applied to the report title: Left, Center, or Right.

Use the Vertically drop-down list to select the type of vertical alignment to be applied to the report title: Top, Center, or Bottom.

To restore the default title properties, click the Restore Defaults button.

Date and Time dialog

The Date and Time dialog allows you to specify the date/time formats to be used in the report.

To open the dialog, open the Title... menu available on the toolbar and select the Date and Time... item.

Data View - Print Data - Report options - Date and Time

Select the preferable values from the Available Date Formats and the Available Time Formats lists. If necessary, you can specify that the date/time will be updated automatically.

To apply the default date/time format, click the Default... button.

Page Number Format dialog

The Page Number Format dialog allows you to specify the formats for page numbers to be used in the report.

To open the dialog, open the Title... menu available on the toolbar and select the Page Numbering... item.

Data View - Print Data - Report options - Page Number Format

Select the preferable number format from the Number Format drop-down list.

Use the Page Numbering section to specify whether page numbering should continue from the previous section (if any) or start at the specified number.

To set the default numbering values, click the Default... button.

Zoom dialog

The Zoom dialog allows you to zoom the report page more better representation.

To open the dialog, open the Zoom [image] menu available on the toolbar and select the Setup zoom... item.

Data View - Print Data - Report options - Zoom

Select the preferable percentage of zoom value (500%, 200%, 150%, 100%, 75%, 50%, 25%, 10%) or specify one of frequently used values:

RadioButton Page Width

RadioButton Whole Page

RadioButton Two Pages

RadioButton Four Pages

RadioButton Many Pages (click the chart below and select the item you need)

If necessary, you can set a custom percent value using the Percent spinner control below.

The Preview area on the right illustrates the changes you have made.

See also:

Page Setup

Report Formatter

Print dialog


Print dialog

The standard Print dialog allows you to specify printing settings for the report in groups: printer, page range, copies.

To open the dialog, click the Print dialog btnPrintSetup button available on the toolbar, or use the Ctrl+P shortcut.

Data View - Print Data - Print dialog

When you are done, click the Print button to start printing.

If you need to change any page settings before printing, you can click the Page Setup... button at the bottom to call the Page Setup dialog.

See also:

Page Setup

Report Formatter

Setting report options


BLOB View

SQL Manager for MySQL provides BLOB Viewer/Editor to view and edit BLOB (Binary Large Object) columns content. The BLOB Viewer/Editor can be invoked from the data grid within Table Editor, SQL Editor, Visual Query Builder, etc.

  • Navigation within the BLOB Viewer/Editor
  • Viewing/Editing BLOB column as Hexadecimal dump
  • Viewing/Editing BLOB column as plain Text
  • Viewing/Editing BLOB column as Rich Text (RTF)
  • Viewing/Editing BLOB column as Image
  • Viewing/Editing BLOB column as HTML
  • Viewing/Editing BLOB column as XML
  • Viewing/Editing BLOB column as JSON

Data View - BLOB View

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Using Navigation bar and Toolbars

Grid View

Form View

Print Data

Applying changes


Navigation within BLOB Editor

The BLOB Viewer/Editor provides an ability to navigate within the records using DB Navigation buttons on the navigation pane at the top of the viewer window.

Using items of the navigation pane and the drop-down menu you can browse the data quickly, insert, update and delete records, set a filter for the records using the Filter Builder dialog, load new BLOB content and save the current content to files.

The toolbar allows you to switch the column and perform a number of editing operations. The set of toolbar items depends on the current selection and view mode.

Data View - BLOB View - Navigation within BLOB Editor

See also:

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML

Editing as XML

Editing as JSON


Editing as Hexadecimal

The Hexadecimal tab allows you to view/edit the BLOB data as hexadecimal.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the Save to file btnSave and the Load from file iconLoadFromFile toolbar buttons to save the hexadecimal data to a file, or load data from a file.

Use the Ins key to switch between the Insert and Overwrite modes.

Data View - BLOB View - Hexadecimal

See also:

Navigation within BLOB Editor

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML

Editing as XML

Editing as JSON


Editing as Text

The Text tab allows you to view/edit the BLOB data as plain text.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the Save to file btnSave and the Load from file iconLoadFromFile toolbar buttons to save the text to a *.txt file, or load text from a file. Additionally, you can use the Cut, Copy, Paste, Select All, Undo, Word Wrap context menu items for editing the text efficiently, and the Print context menu item to print the content of the Text tab.

Data View - BLOB View - Text

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Rich Text

Editing as Image

Editing as HTML

Editing as XML

Editing as JSON


Editing as Rich Text

The Rich Text tab allows you to view/edit the BLOB data in Rich Text format (RTF).

The toolbar provides additional functionality for BLOB Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save the Rich Text to a *.rtf file, or load text from a file. Additionally, you can use the Cut, Copy, Paste, Select All, Undo context menu items for editing the text efficiently, and the Print context menu item to print the content of the Rich Text tab.

Data View - BLOB View - Rich Text

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Image

Editing as HTML

Editing as XML

Editing as JSON


Editing as Image

The Image tab allows you to view the BLOB data as image.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the Save to file btnSave and the Load from file iconLoadFromFile toolbar buttons to save the image to a *.png, *.wmf, *.ico or *.jpg file, or load an image from a file.

Data View - BLOB View

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as HTML

Editing as XML

Editing as JSON


Editing as HTML

The HTML tab allows you to view the BLOB data as HTML (Hyper-Text Markup Language format) - in the way this data would be displayed by your Internet browser.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save the content as a *.html, or *.htm file, or load content from a file.

Data View - BLOB View - HTML

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as XML

Editing as JSON


Editing as XML

The XML tab allows you to view/edit BLOB data as XML (Extensible Markup Language).

For navigation between records use the standard navigation pane of the viewer. This pane also allows saving changes, cancelling changes, adding and removing records.

Buttons for working with BLOB data can be found on the navigation pane of the BLOB View tab.

Data View - BLOB View - XML

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML

Editing as JSON


Editing as JSON

The JSON tab allows you to view/edit JSON data. Click on the Load Data button, it will open the dialog box, click on Upload File, which will open the file explorer of the operating system. Select the JSON file and click open/select.

The toolbar provides additional functionality for BLOB Viewer/Editor: use the btnSave Save to file and the iconLoadFromFile Load from file toolbar buttons to save the content as a file, or load content from a file.

Data View - BLOB View - JSON

See also:

Navigation within BLOB Editor

Editing as Hexadecimal

Editing as Text

Editing as Rich Text

Editing as Image

Editing as HTML

Editing as XML


Applying changes

After changes are done, click the Post Edit btnPostEdit button on the navigation pane to apply the changes or the Cancel Edit btnCancelEdit button to discard the changes.

Data View - Applying changes

See also:

Using Navigation bar and Toolbars

Grid View

Form View

Print Data

BLOB View


Custom Filter

The Custom Filter dialog is one of the filtering facilities implemented in Data View for your convenience.

To open the dialog, click the Arrow-Down button next to the column caption, and select the Custom item from the drop-down list.

Select a logical operator for checking the column values (like, is less than, is greater than, etc.) and set a value to be checked by this operator in the corresponding box on the right.

Data management - Custom Filter

If necessary, you can set the second condition and specify the relation between the two conditions: whether both of them should be satisfied (AND) or just any of them (OR). Use the '_' character to represent any single symbol, and use the '%' character to represent any series of symbols in the condition string.

See also:

Data View

Filter Builder dialog


Filter Builder dialog

The Filter Builder dialog is a powerful filtering tool implemented in Data View for your convenience.

The dialog is aimed at facilitating the procedure of creating and applying complex filter criteria for data. In addition, the tool allows you to save filter criteria to an external *.flt file for future use.

To open the Filter Builder dialog, use the Set filter btnSetFilter button on the navigation pane available within the Data tab of Table Editor and the Result(s) tabs of SQL Editor and Query Builder.

  • Invoking the Filter Builder dialog
  • Adding a new condition to the filter
  • Setting filter criteria
  • Setting filter operator
  • Setting filter criteria values
  • Adding a new group
  • Setting group operator
  • Applying filter conditions

See also:

Data View

Custom Filter


Invoking the Filter Builder dialog

The Filter Builder dialog can be invoked in either of the following ways:

  • if a simple filter or the Custom Filter is being used, click the Customize... button on the gray filtering panel;

Filter Builder dialog - Invoking the Filter Builder dialog

  • use the Set filter btnSetFilter button on the navigation pane and create a composite filter using the dialog.

Data View - Navigation pane

The succeeding pages of this chapter are intended to illustrate usage of the Filter Builder dialog. Please see the instructions below to learn how to perform various operations in the easiest way.

See also:

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Adding a new condition

Suppose we need to select data from the sample table Employee to view the list of male engineers belonging to the Engineering and Tool Design departments that were hired after 10/1/2007. These criteria are applied to the Gender, HireDate, Position and the DepID columns.

Click press the button to add a new condition - this will add a new condition to the criteria. Alternatively, you can click the Filter button and select the Add Condition popup menu item.

Filter Builder dialog - Adding a new condition

See also:

Invoking the Filter Builder dialog

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter criteria

As we need to apply the filter criteria to the HireDate column, we click the column box (next to the ellipsis EllipsisButton button) to open the drop-down list displaying the available column names and select the HireDate item.

Filter Builder dialog - Setting filter criteria

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter operator

Since we need the list of employees hired after 10/1/2007, we need to select the IS GREATER THAN operator from the corresponding drop-down list.

Filter Builder dialog - Setting filter operator

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter criteria values

Adding a new group

Setting group operator

Applying filter conditions


Setting filter criteria values

Next, we need to specify value '10/1/2007' for the IS GREATER THAN operator.

Similarly, if, for example, we need to get the list of employees hired during the 9/1/2007 - 10/1/2007 term, we set the BETWEEN filter operator (this will add two empty value boxes to specify the inclusive range for the BETWEEN condition) and specify the range for the operator, i.e. the '9/1/2007' and the '10/1/2007' values in the corresponding value boxes.

It is possible to set the date value manually by typing it in, or using the date editor which is activated when you click the value box.

Filter Builder dialog - Setting filter criteria values

Editors used in value boxes are determined by the data type assigned to the corresponding columns.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Adding a new group

Setting group operator

Applying filter conditions


Adding a new group

Since we also need to get the list of male specialists-engineers (i.e. those registered in the Engineering and Tool Design departments and having an engineering-oriented position), we can add a complex filter condition combining simple conditions with the AND operator. (However, in this particular case we can just add them at the same root level as for the existing condition).

If you need to add a group of conditions, click the ellipsis EllipsisButton button for the HIRE_DATE condition and select the Add Group popup menu item.

Filter Builder dialog - Adding a new group

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Setting group operator

Applying filter conditions


Setting group operator

Conditions of complex criteria can be combined with any of the four logical operators used: AND, OR, NOT AND, NOT OR.

In our case it is enough to click the group operator box and select the AND item from the drop-down menu.

Filter Builder dialog - Setting group operator

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Applying filter conditions


Applying filter conditions

Suppose we have created a condition within the new group. If we need, we can add more conditions at the same level and specify the required values using the value boxes. When the operation is completed, the Filter Builder dialog will look like in the screenshot below.

Click the Apply button to see the result of the filtering you have made, and click OK or Cancel to close the dialog with or without saving your filter conditions respectively.

Filter Builder dialog - Applying filter conditions

The Filter Builder dialog allows you to save filter criteria to and load them from external files. Clicking the Save As… or the Open… buttons activates the corresponding dialogs. Filter settings are stored in *.flt files.

Please be informed that a column in the file is referenced by its position within a view, hence filter settings cannot be correctly restored if columns have been deleted from the view after saving the filter to a file.

See also:

Invoking the Filter Builder dialog

Adding a new condition

Setting filter criteria

Setting filter operator

Setting filter criteria values

Adding a new group

Setting group operator


Import/Export Tools

Using SQL Manager for MySQL you are provided with powerful tools to import and export data to/from your MySQL database.

Export Data Wizard

Exports data to various supported formats including MS Excel, MS Access, RTF, HTML, PDF, CSV, XML, MS Excel 2007 and more.

Import Data Wizard

Imports data from any of supported formats: MS Excel, MS Access, DBF, TXT, CSV, XML, MS Excel 2007, MS Word 2007 and more.

Export Data as SQL Script

Exports data to an SQL script as a number of INSERT statements.

Save Data Wizard

Saves data to an external file with the SELECT ... INTO OUTFILE statement used.

Load Data Wizard

Loads data from an external file with the LOAD DATA INFILE statement used.

Export as PHP

Creates PHP script allowing connecting to a database, displaying data of the selected table, and providing forms and procedures for adding/editing/dropping data.

Using templates

Facilitates using import/export/save/load wizards.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Database Tools

Server Tools

Personalization

External Tools

How To...


Export Data Wizard

Export Data Wizard allows you to export data from a table / view or from a query result to any of supported formats (MS Excel, MS Access, MS Word, RTF, HTML, PDF, TXT, CSV, XML, DBF, MS Excel 2007, MS Word 2007, etc.). You can save your settings as a template any time for future use.

To start the wizard, right-click the object in DB Explorer and select the Data Manipulation | [image] Export Data... context menu item.

Alternatively, you can open the Data tab of Table Editor / View Editor or the Result(s) tab of SQL Editor / Query Builder, right-click the grid there and select the Data Manipulation | [image] Export Data of <object_name>... context menu item.

  • Setting name and format for the destination file
  • Selecting columns for export
  • Adjusting formats applied to exported data
  • Setting header and footer text for the destination file
  • Setting format-specific options
  • Setting common export options
  • Exporting data

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Import Data Wizard

Export as SQL Script

Save Data Wizard

Load Data Wizard

Using templates


Setting destination file name and format

This step of the wizard allows you to select the destination file format you need to export data into.

Destination file name

Type in or use the btnSaveAs button to specify the path to the file using the Save as... dialog. The file name extension changes automatically according to the selected Destination format.

Note: If the target file already exists, the application will show a warning dialog where you can choose the action you need.

Export Data - Setting destination file name and format

Destination format

Specify the format of the destination file. For details refer to Supported file formats.

Click the Next button to proceed to the Selecting columns for export step of the wizard.


Selecting columns for export

This step of the wizard allows you to select the table column(s) to be exported.

To select a column, you need to move it from the Available Columns list to the Selected columns list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

Export Data - Selecting fields for export

If you leave all the columns in the Available columns list, all columns of the table (except BLOBs) will be exported.

CheckBox Allow captions

Check this option if you need to export the column captions as well.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


Adjusting data formats

This step allows you to customize formats applied to exported data.

Data formats

Edit the format masks to adjust the result format in the way you need: Integer, Float, Date, Time, DateTime, Currency, Boolean True, Boolean False, NULL string, Decimal separator, Thousand separator, Date separator, Time separator.

Export Data - Adjusting data formats

Hint: The formats used by default are specified in the Data Export section of the Environment Options dialog.

For more details refer to Format specifiers.

Click the Next button to proceed to the Setting header and footer step of the wizard.


Setting header and footer

Set Header text and Footer text for the result file. This text will appear at the beginning and at the end of the result file respectively.

Export Data - Setting header and footer

If you are exporting the result of a query, it is possible to add the text of the query to the header and/or to the footer of the output file. Use the corresponding Add to Header / Add to Footer buttons to add the query text or the query template to the header/footer of the output file.

Export Data - Setting header and footer - Add to header and footer

Click the Next button to proceed to Setting format-specific options.


Setting format-specific options

This step of the wizard allows you to customize Format-specific options:

  • Excel 97-2003 options
  • Access options
  • Word 97-2003 / RTF options
  • HTML options
  • PDF options
  • TXT options
  • CSV options
  • XML options
  • MS Excel / ODS options
  • MS Word / ODT options

To get more information about the file formats, see the Supported file formats page.


Excel 97-2003 options

This step allows you to set options for the target MS Excel (*.xls) file.

You can customize Data format, Extensions and set Advanced options available within the corresponding tabs:

  • Data format
  • Extensions
  • Advanced

Export Data - Format-specific options - Excel

When you are done, click the Next button to proceed to Setting common export options.


Data format

The Data Format tab contains general options which allow you to adjust the format for each kind of Excel cells. This means that you can specify such parameters as font, borders, filling color and method, etc. for each entity (such as data field, header, footer, caption, data, hyperlink and so on) separately. Also it is possible to create styles to make the target Excel file striped by columns or rows.

  • Fields
  • Options
  • Styles

For your convenience the previews illustrating the changes are displayed in the Sample Group area on each page of Data Format tab.


Columns

Using the Columns tab you can set font options, border and fill options and aggregate functions for all the columns you want to export.

The Font tab allows you to specify properties of the font that will be used in the output Excel file cells.

Use the Font and Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italicized, strikethrough text, set underline effects, specify text horizontal and vertical align.

Export Data - Format-specific options - Excel - Data Format - Fields

The Borders tab allows you to specify properties of the borders of the output Excel file cells.

Press the [image] [image] [image] [image] buttons on the left to show/hide the borders they indicate.

Use the drop-down list for each border to select the line type and the [image] button on the right to select the line color for each border.

Export Data - Format-specific options - Excel - Data Format - Fields - Borders

The Fill tab allows you to specify the fill pattern for the output Excel file cells.

Use the drop-down list to select the preferable fill pattern type.

Press the [image] button on the left to set the background color for the fill pattern.

Press the [image] button on the right to set the foreground color for the fill pattern.

Export Data - Format-specific options - Excel - Data Format - Fields - Fill

The Aggregate tab allows you to specify an aggregate function for the column in the output Excel file.

Select a function that will be applied to the column:

RadioButton None

RadioButton AVG

RadioButton MAX

RadioButton SUM

RadioButton MIN

Export Data - Format-specific options - Excel - Data Format - Fields - Aggregate

You can reset the changes any time using the Reset Item and the Reset All buttons.


Options

Using the Options tab you can set font options, border and fill options for all elements of the Excel sheet (header, caption, footer, aggregates and hyperlinks).

Export Data - Format-specific options - Excel - Data Format - Options

The font, borders and fill options are specified in the same way as for output Columns. For details refer to the Columns page.

You can reset the changes any time using the Reset Item and the Reset All buttons.


Styles

Using the Styles tab you can make a style template: set font options, border and fill options and save them.

To add a style template, click the Plus iconPlus button.

To delete a style template, select it and click the Minus iconMinus button.

To reorder style templates in the list, use the btnMoveItemUp btnMoveItemDown buttons.

To load a style template, click the iconLoadFromFile button.

To save the current style template, click the btnSave button.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Format-specific options - Excel - Data Format - Styles

The font, borders and fill options are specified in the same way as for output Columns. For details refer to the Columns page.

You can reset the changes any time using the Reset Item and the Reset All buttons.


Extensions

The Extensions tab provides an ability to add hyperlinks and notes and to any cell of the target file, to specify a value of a cell, to create a chart and to merge cells.

Click the Plus iconPlus button to add an element;

click the Minus iconMinus button to delete an element.

  • Hyperlinks
  • Notes
  • Charts
  • Cells
  • Merged Cells


Hyperlinks

If you need to create a hyperlink:

  • set the cell coordinates (Col and Row);
  • specify whether this is a local link or URL;
  • enter the title of the hyperlink;
  • specify the target file location or address.

Export Data - Format-specific options - Excel - Extensions - Hyperlinks

Use the Col and Row spinner controls to specify the column and row for the hyperlink in the output file.

The Style group allows you to select the preferable hyperlink style:

RadioButton URL

RadioButton Local file (i.e. the file is located on your local machine or on a machine in the LAN)

Use the Title box to specify the hyperlink name.

The Target box lets you enter the path to the target file or URL. Use the [image] button to check whether the specified location is available.


Notes

If you need to create a note:

  • set the cell coordinates (Col and Row);
  • enter text of a note for the cell;
  • set the font and fill properties using the corresponding tabs.

The Base tab allows you to specify basic properties of the note to be added to the output Excel file.

Use the Col and Row spinner controls to specify the column and row for the note in the file.

Use the edit-box below to enter the text of the note.

Export Data - Format-specific options - Excel - Extensions - Notes - Base

The Font tab allows you to specify properties of the font that will be used for the note.

Use the Font and Size drop-down lists to select the font and size to be applied to the output text.

Use the buttons below to set font color, make text bold, italicized, strikethrough text, set underline effects, specify text horizontal and vertical align.

The Orientation group allows you to select the note text orientation:

RadioButton No rotation

RadioButton Top to bottom

RadioButton Counterclockwise

RadioButton Clockwise

Export Data - Format-specific options - Excel - Extensions - Notes - Font

The Fill tab allows you to specify the fill type and transparency for the note.

The Fill Type group allows you to select whether the fill color will be solid or gradient:

RadioButton Horizontal

RadioButton Vertical

RadioButton Diagonal up

RadioButton Diagonal down

RadioButton From corner

RadioButton From center

Press the [image] button to set the background color for the fill pattern.

Press the [image] button to set the foreground color for the fill pattern.

The Transparency control allows you to set the transparency degree for the note. Move the slider between the 0% and 100% threshold values to select the required transparency value within this scope.

Export Data - Format-specific options - Excel - Extensions - Notes - Fill


Charts

If you need to create a chart:

  • enter the chart title;
  • select the chart style;
  • set the legend position;
  • specify if you want to show the legend;
  • specify if you want to set the chart color automatically;
  • define the chart position and category labels using the corresponding tabs.

The Base tab allows you to specify basic properties of the chart to be added to the output Excel file.

Use the Title box to specify the chart name.

Use the Style drop-down list to select the preferable chart style (Column, Column 3D, Bar, Bar 3D, Line, Line Mark, Line 3D, etc.).

The Legend position group allows you to specify position of the chart legend:

RadioButton Bottom

RadioButton Top

RadioButton Left

RadioButton Corner

RadioButton Right

CheckBox Show legend

This options specifies whether the chart legend will be visible or not.

CheckBox Auto color

If this option is selected, each series will be automatically differentiated with different colors on the chart, otherwise one color will be applied for all series.

Export Data - Format-specific options - Excel - Extensions - Charts - Base

The Position tab allows you to specify properties pertaining to the chart position on the output file sheet.

RadioButton Auto

Specifies automatic position of the chart.

The Placement group allows you to specify the chart position relative to the data:

RadioButton Bottom

RadioButton Right

Use the Left and Top spinner controls to specify the spacing between the chart and data at the left and at the top respectively.

Use the Height and Width spinner controls to specify the chart height and width respectively.

RadioButton Custom

Specifies absolute position of the chart (irrelative to the data). Use the spinner controls to set the coordinates you need.

Export Data - Format-specific options - Excel - Extensions - Charts - Position

The Category Labels tab allows you to specify in which rows and columns the chart will be built.

RadioButton Column

Use the drop-down list to select the column that will be used to take values for x-axis.

RadioButton Custom

Specify the range of cells from which x-axis values will be taken. Use the spinner controls to set the range you need.

Export Data - Format-specific options - Excel - Extensions - Charts - Category Labels

To build a chart, you also need to create series that will be used to take values for y-axis. To add series for the chart:

  • add one or more series using the iconPlus button;
  • enter the titles;
  • set data ranges (select a column from the drop-down list or set the custom range);
  • define colors for all the graphs.

Use the Title box to specify the series name.

Data range

RadioButton Column

Use the drop-down list to select the column that will be used to take values for the series.

RadioButton Custom

Specify the range of cells from which the series will be formed. Use the spinner controls to set the range you need.

Press the [image] button to set the color for the series.

Export Data - Format-specific options - Excel - Extensions - Series


Cells

If you need to add a value in a specific cell:

  • set the cell coordinates (Col and Row);
  • select the cell type;
  • enter a value;
  • if you are adding a numeric or a date/time value, you can set the cell format;
  • set the font, borders and fill properties using the corresponding tabs.

Export Data - Format-specific options - Excel - Extensions - Cells

The Base tab allows you to specify basic properties of the cell.

Use the Col and Row spinner controls to specify the column and row denoting the cell.

Use the Cell type drop-down list to select the data type for the cell (Boolean, DateTime, Numeric or String).

Set the required value in the Value edit box.

The Formats group allows you to specify data format for numeric or a date/time types.

The font, borders and fill options are specified in the same way as for output Columns. For details refer to the Columns page.


Merged Cells

If you want to merge two or more cells, set the range of cell coordinates: First col, Last col, First row, Last row. Use the spinner controls to set the range you need.

Export Data - Format-specific options - Excel - Extensions - Merged Cells


Advanced

The Advanced tab allows you to set a number of advanced options to be applied to the result MS Excel file.

Page header

If necessary, enter some text for the page header.

Page footer

If necessary, enter some text for the page footer.

Hint: It is also possible to set macros in the Page header and Page footer fields:

&N stands for the quantity of pages;

&P - the number of the current page.

Sheet title

Specify the sheet title for the target file.

Page background

If necessary, use the Ellipsis EllipsisButton button to browse for a graphical file to be applied as the page background.

Export Data - Format-specific options - Excel - Advanced

CheckBox Calculate column width automatically

This option allows the wizard to determine column width in the target file automatically according to column size.


Access options

This step allows you to set options for the target MS Access (*.mdb, *accdb) file.

Set the name for the target table and specify whether the wizard should create a new table in the MS Access database if it does not exist yet, or use the existing table to export data into.

Export Data - Format-specific options - Access

When you are done, click the Next button to proceed to Setting common export options.


Word 97-2003 / RTF options

This step allows you to set options for the target MS Word (*.doc) and Rich Text Format (*.rtf) files.

  • Base styles
  • Strip styles

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

Export Data - Format-specific options - Word

When you are done, click the Next button to proceed to Setting common export options.


Base styles

The Base Styles tab contains the list of target file entities: HEADER, CAPTION, DATA, FOOTER. You can customize style options, such as font and size, background and foreground colors, text alignment, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel. You can also switch page orientation for the target Word/RTF file using this tab.

Export Data - Format-specific options - Word - Base Styles

Use the Font and Size drop-down lists to select the font and size to be applied to the text.

Use the buttons below to set font color, make text bold, italicized, underlined, strikethrough text, specify horizontal align.

CheckBox Highlight

Enables/disables text highlight.

CheckBox Background

Enables/disables background for text.

Press the [image] button to set the background color for the text.

Press the [image] button to set the highlight color for the text.

You can reset the changes any time using the Reset Item and the Reset All buttons.


Strip styles

Using the Strip Styles tab you can create a style template: set font, size, background and foreground colors, text alignment, highlight and save them.

To add a style template, click the Plus iconPlus button.

To delete a style template, select it and click the Minus iconMinus button.

To reorder style templates in the list, use the btnMoveItemUp btnMoveItemDown buttons.

To load a style template, click the iconLoadFromFile button.

To save the current style template, click the btnSave button.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Format-specific options - Word - Strip Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.


HTML options

This step allows you to set options for the target HTML (*.html) file.

  • Preview
  • Basic
  • Multi-file
  • Advanced

Export Data - Format-specific options - HTML

When you are done, click the Next button to proceed to Setting common export options.


Preview

The Preview tab allows you to customize the style that will be applied to the target HTML file using a number of built-in templates provided in the Templates drop-down list.

Export Data - Format-specific options - HTML - Preview

You can select any of the pre-defined templates and customize it by clicking objects in the preview panel, and save the settings as a custom template using the Save template... button. Use the Load template... button to load a previously saved custom template from your hard disk.

Click on an element of the table to select the color that will be applied for this element (background, font, header row, odd row, even row, non-visited link, visited link, active link).


Basic

The Basic tab allows you to specify the basic parameters of target HTML file:

  • specify the title of the result file;
  • select whether the cascade style sheet (CSS) should be internal or external (the Ellipsis EllipsisButton button to browse for a *.css file);
  • determine whether boolean columns of the table should be exported as HTML check boxes.

Export Data - Format-specific options - HTML - Basic


Multi-file

The Multi-file tab provides you with an ability to split the target HTML file into several separate files. This tab allows you to specify the record count for a single file, set an option to generate an index HTML file, and add an ability to navigate between the exported files.

Export Data - Format-specific options - HTML - Multi-file

Multi-file export

CheckBox Use multi-file export

Enables/disables the multi-file export feature.

Record(s) in a single file

Use the spinner controls to specify the number of records to be exported into each of the files.

CheckBox Generate index

Specifies that an index file containing links to all the data files will be generated. Use the edit-box next to the checkbox to set a name for the index file.

Navigation

This group allows you to specify properties for navigation elements, i.e. the elements that provide quick access to pages of the multi-file document. Navigation is implemented as a set of hyperlinks.

CheckBox On top

Specifies that the hyperlinks will be placed at the top of the page.

CheckBox On bottom

Specifies that the hyperlinks will be placed at the bottom of the page.

Use the Index link, First link, Prior link, Next link and Last link boxes to specify captions for the corresponding navigation elements.


Advanced

The Advanced tab allows you to set a number of advanced options to be applied to the result HTML file.

Export Data - Format-specific options - HTML - Advanced

Body options

Default font

Use the drop-down list to select the font that will be used in the result file by default.

Background

If necessary, use the Ellipsis EllipsisButton button to browse for a graphical file to be applied as the page background.

Table options

Use the spinner controls to specify common table options: cell padding, cell spacing, border.

Background

If necessary, use the Ellipsis EllipsisButton button to browse for a graphical file to be applied as the table background.

It is also possible to define advanced attributes for both the HTML body and table.


PDF options

This step allows you to set options for the target PDF (*.pdf) file.

Fonts

This group of options allows you to customize fonts for the header, caption, data, footer of the result file.

Use the Base font name and Font encoding drop-down lists to select the preferable font (Helvetica, Courier, Times Roman, etc.) and encoding (Standard, WinANSI, MacRoman, PDFDoc) respectively, and the Font size spinner control to specify the font size.

Click the Font color... button to select the color to be applied to the font.

For your convenience the preview illustrating the changes is displayed in the Sample area.

Export Data - Format-specific options - PDF

Page options

Use the Page size drop-down list to select one of the standard page formats (Letter, Legal, A3, A4, etc.).

Use the Width and Height spinner controls to specify the page width and height respectively.

Use the Units drop-down list to select the unit of measure that will be used in report settings: inches, millimeters, or dots.

Use the Orientation drop-down list to select the preferable page orientation: portrait or landscape.

Margins

Use the Left, Right, Top, Bottom spinner controls to specify the corresponding page margins for the output PDF file.

Grid options

Use the Col spacing, Row spacing, Line width spinner controls to specify spacing for grid columns, rows, and grid line width respectively.

When you are done, click the Next button to proceed to Setting common export options.


TXT options

This step allows you to set options for the target text (*.txt) file.

Set the Calculate column width option on if you want each column of the target file to be adjusted to the maximum number of characters in it. The Spacing option specifies the number of spaces between columns in the target file.

Export Data - Format-specific options - TXT

When you are done, click the Next button to proceed to Setting common export options.


CSV options

This step allows you to set options for the target CSV (*.csv) file.

CheckBox Quote strings

Check this option to apply quoting for string values in the target file.

CheckBox Quote captions

Use the option to enable quoting for captions in the target file.

Specify the column separator using the Comma drop-down list and the preferable quote character using the Quote drop-down list.

Export Data - Format-specific options - CSV

When you are done, click the Next button to proceed to Setting common export options.


XML options

This step allows you to set options for the target XML (*.xml) file.

Specify XML document encoding in the Encoding edit box and set the Standalone option on if you intend to create a standalone XML document (standalone="yes").

XML type

Select the type of the result XML document: Datapacket 2.0 or Access.

Conversion between generic XML documents and documents of the XML-Datapacket (CDS) format can be performed with the help of XML Mapper by Borland®.

Export Data - Format-specific options - XML

When you are done, click the Next button to proceed to Setting common export options.


MS Excel / ODS options

This step allows you to set options for the target MS Excel 2007 (*.xlsx) or ODF Spreadsheets (*.ods) file.

Using the Base Styles tab you can set font and border options for all elements of the Excel 2007 / ODS sheet (HEADER, CAPTION, DATA, FOOTER). You can customize style options, such as font and size, background and foreground colors, text alignment, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel.

If necessary, you can also specify the sheet name for the target Excel 2007 / ODS file.

Use the Font and Size drop-down lists to select the font and size to be applied to the text.

Use the buttons below to set font color, make text bold, italicized, underlined, specify horizontal and vertical align.

CheckBox Background

Enables/disables background for text.

Press the [image] button to set the background color for the text.

Press the Wrap Text button to enable/disable the text wrapping feature.

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

Export Data - Format-specific options - Excel 2007 - Base Styles

Using the Strip Styles tab you can create a style template: set font, size, background color, text alignment, wrap text options and save them.

To add a style template, click the Plus iconPlus button.

To delete a style template, select it and click the Minus iconMinus button.

To reorder style templates in the list, use the btnMoveItemUp btnMoveItemDown buttons.

To load a style template, click the iconLoadFromFile button.

To save the current style template, click the btnSave button.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Format-specific options - Excel 2007 - Strip Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.

CheckBox Use border

Enables/disables borders in the output file.

Press the [image] button to set the color to be applied to the borders.

Use the Border Style drop-down list to select the preferable style that will be used for borders (thin, dashed, dashdot, dotted, etc.).

When you are done, click the Next button to proceed to Setting common export options.


MS Word / ODT options

This step allows you to set options for the target MS Word 2007 (*.docx) or ODF text (*.odt) file.

Using the Base Styles tab you can set font options for all elements of the Word 2007 / ODT document (HEADER, CAPTION, DATA, FOOTER). You can customize style options, such as font and size, background and foreground colors, text alignment, text highlight, etc. for each of them by clicking the corresponding item in the list and setting the options in the right-side panel.

Use the Font and Size drop-down lists to select the font and size to be applied to the text.

Use the buttons below to set font color, make text bold, italicized, underlined, strikethrough text, specify horizontal align.

CheckBox Background

Enables/disables background for text.

Press the [image] button to set the background color for the text.

CheckBox Highlight

Enables/disables text highlight.

If this option is enabled, you should select the preferable highlight color from the drop-down list.

For your convenience the previews illustrating the changes are displayed in the Sample Group area within the Base Styles and the Strip Styles tabs.

Export Data - Format-specific options - Word 2007 - Base Styles

Using the Strip Styles tab you can create a style template: set font, size, background color, text alignment, highlight options and save them.

To add a style template, click the Plus iconPlus button.

To delete a style template, select it and click the Minus iconMinus button.

To reorder style templates in the list, use the btnMoveItemUp btnMoveItemDown buttons.

To load a style template, click the iconLoadFromFile button.

To save the current style template, click the btnSave button.

If you have created or loaded more than one style template, they can be ignored, or used column-by-column or row-by-row (it depends on the Strip type selection).

Export Data - Format-specific options - Word 2007 - Strip Styles

You can reset the changes any time using the Reset Item and the Reset All buttons.

Using the Border tab you can enable borders in the result Word 2007 / ODT document and customize them.

CheckBox Use border

Enables/disables borders in the output file.

Press the [image] button to set the color to be applied to the borders.

Use the Border Style drop-down list to select the preferable style that will be used for borders (single, thick, double, hairline, etc.).

Export Data - Format-specific options - Word 2007 - Border

When you are done, click the Next button to proceed to Setting common export options.


Setting common export options

Use this step of the wizard to set common export options. The detailed description of these options is given below.

Export Data - Setting common export options

Constraints

CheckBox Export empty tables

If checked, you can export the table even if it does not contain any data.

Skip ... record(s)

Specifies the number of records to be skipped before export starts.

RadioButton Export all records

Specifies that all records of the table will be exported.

RadioButton Export only ... record(s)

Specifies the number of records to be exported.

CheckBox Open files after export

If this option is checked, the result file will be opened with the currently associated program after the export operation is completed.

CheckBox Print files after export

If this option is checked, the result file will be sent to the default printer after the export operation is completed.

When you are done, click the Next button to proceed to the last step of the wizard.


Exporting data

This step of the wizard is intended to inform you that all export options have been set, and you can start the export process.

The log area allows you to view the log of operations and errors (if any).

Export Data - Exporting data

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the export process is completed.

If necessary, you can save a template for future use.

Click the Run button to run the export process.

After the operation is completed, you can view the number of exported records, elapsed time, estimated export speed, and the log of operations and errors (if any).


Import Data Wizard

Import Data Wizard allows you to import data to a table / view from any of supported formats (MS Excel, MS Access, DBF, XML, TXT, CSV, HTML, MS Excel 2007, MS Word 2007, ODF). You can save your settings as a template any time for future use.

To start the wizard, right-click the table/view in DB Explorer, select the Data Manipulation | [image] Import Data... context menu item.

Alternatively, you can open the Data tab of Table Editor / View Editor, right-click the grid there, then select the Data Manipulation | [image] Import Data to <object_name>... context menu item.

  • Setting source file name and format
  • Selecting the source to import data from
  • Setting correspondence between the source and target columns
  • Adjusting common data formats
  • Setting advanced column formats
  • Setting import mode and data write type
  • Customizing common import options
  • Importing data

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Export Data Wizard

Export as SQL Script

Save Data Wizard

Load Data Wizard

Using templates


Selecting source file name and format

This step of the wizard allows you to select the source file format you need to import data from.

Source file name

Type in or use the ExplorerButton button to specify the path to the file using the Open file... dialog. The file name extension changes automatically according to the selected Import Type.

Import Data - Selecting source file name and format

Import Type

Specify the format of the source file. For details refer to Supported file formats.

CSV format parameters

For CSV import you should define Delimiter and Quote settings using the corresponding drop-down lists.

Click the Next button to proceed to the Setting columns correspondence step or to the Selecting data source step of the wizard if you have selected MS Access as the source file format.


Selecting data source

This step of the wizard is only available when you are importing data from MS Access. Select a table from the table list or input a query in the corresponding text boxes to specify the data source.

If you choose a query as the data source, you also can load a SQL query from a *.sql file or save the current query text to a file using the Load from File... and the Save to File... buttons correspondingly.

Import Data - Selecting data source

Click the Next button to proceed to the Setting fields correspondence step of the wizard.


Setting columns correspondence

This step of the wizard allows you to set correspondence between columns of the source file and columns of the target MySQL table.

  • MS Excel
  • MS Access
  • DBF
  • XML Datapacket
  • TXT
  • CSV
  • HTML
  • XML Generic
  • MS Excel/Word 2007, ODF

To get more information about the file formats, see the Supported file formats page.


Excel

Specify ranges in the grid for the target and source columns:

  • select a column of the target MySQL table in the Columns list;
  • proceed to the Sheet grid: click a column caption to select the whole column or click the row number to select the whole row;
  • the selected column/row of the source file gets green highlight, and a new range indicating the source and target columns correspondence appears in the Ranges list;
  • repeat the operation for all the columns you need to be included in the import process.

If the source Excel file and the destination MySQL table have the same order of columns or rows, you can use the iconAutoFillColumns Auto Fill Cols or the iconAutoFillRows Auto Fill Rows buttons to set correspondence between them automatically.

If necessary, you can choose to skip a defined number of the source file columns and/or rows using the Col(s) and Row(s) spinner controls of the Skip group (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - Excel

To clear ranges for a column, select the column in the Columns list and press the iconCross Clear Ranges button.

To clear all ranges specified for the target table columns, press the iconClearAllRanges Clear All button.

Right-click a range in the Ranges list to call its popup menu. Using the popup menu you can add or edit ranges manually, remove them or change their order.

Import Data - Setting fields correspondence - Excel - Popup menu

The Range dialog allows you to edit the data range for import manually.

Range Type

Use the drop-down list to select whether a column, a row, or a cell of the source Excel file will be mapped to the target table column.

Depending on the selected range type you should specify the column (e.g. B), the row (e.g. 2) or the cell (e.g. A2).

Start / Finish

These groups allow you to set the precise data range for import: select Where data started / finished or use the spinner control to specify the start/finish row (or start/finish column).

Direction

Use this group to select the direction for importing data of the specified range: Down or Up.

Sheet

Use this group to define whether the specified range will be taken from the default Excel sheet or from a custom sheet (select sheet number or sheet name using the corresponding drop-down lists).

Import Data - Setting fields correspondence - Excel - Range

Click the Next button to proceed to the Adjusting data formats step of the wizard.


Access, DBF, XML

Set correspondence between the source MS Access columns and the target MySQL table columns:

  • select a column of the target MySQL table in the Destination Columns list;
  • select the corresponding column of the source MS Access table in the Source Columns list;
  • click the iconPlus Add button to set correspondence between the selected columns;
  • the pair of columns appears in the list below;
  • repeat the operation for all the columns you need to be included in the import process.

Use the iconAutoFillColumns Auto Fill button to set correspondence between the source and target columns automatically on the basis of their order.

Import Data - Setting fields correspondence - Access

To remove a correspondence, select the pair of columns in the list below and press the iconMinus Remove button.

To remove all correspondences, press the iconCross Clear button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


TXT

Set correspondence between the source text file columns and the target MySQL table columns:

  • select a column of the target MySQL table in the Columns list;
  • double-click in the text viewer area to add vertical separators delimiting the source column bounds;
  • click the area between the separators to assign the column to the selected target table column - the selected source column gets black highlight;
  • repeat the operation for all the columns you need to be included in the import process.

If necessary, you can choose to skip a defined number of the source file lines using the Skip Lines spinner control (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - TXT

To clear all correspondences, press the iconCross Clear button.

Note: if you cannot see the content of the source text file properly, you should select the appropriate Charset to be used for processing data.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


CSV

Set correspondence between the target table columns and the source CSV file columns:

  • select a column of the target MySQL table in the Columns list;
  • proceed to the source grid viewer area: click a caption to assign the column to the selected target table column;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the columns you need to be included in the import process.

If the source CSV file and the destination MySQL table have the same order of columns, you can use the iconAutoFillColumns Auto Fill button to set correspondence between them automatically.

Note that the CSV delimiter is specified at the Selecting source file name and format step of the wizard.

The Col(s) control indicates the currently selected source file column. You can also use this spinner control for quick column selection.

If necessary, you can choose to skip a defined number of the source file rows using the Row(s) spinner control of the Skip group (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - CSV

To remove a correspondence, select the field in the Fields list and press the iconCross Clear button.

Note: if you cannot see the content of the source text file properly, you should select the appropriate Charset to be used for processing data.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


HTML

Set correspondence between the target table columns and the source HTML file columns:

  • select a column of the target MySQL table in the Columns list;
  • proceed to the source grid viewer area: select the Table from which you intend to import data and click a column to assign the column to the selected target table column;
  • the selected column of the source file gets green highlight;
  • repeat the operation for all the fields you need to be included in the import process.

If the source HTML file and the destination MySQL table have the same order of columns, you can use the iconAutoFillColumns Auto Fill button to set correspondence between them automatically.

The Col control indicates the currently selected source file column. You can also use this spinner control for quick column selection.

If necessary, you can choose to skip a defined number of the source file rows using the Row spinner control of the Skip group (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - HTML

To remove a correspondence, select the field in the Fields list and press the iconCross Clear button.

To remove all correspondences, press the iconClearAllRanges Clear All button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


XML Generic

In order to set mapping of a Generic XML document, you should enter the relative XPath (the path must be specified in the XPath format). Press the iconAutoFillColumns Fill Grid button to get the grid filled with text and attribute values of the selected node.

Note: if the source XML document contains huge amount of data, building the tree may take a long time.

Set correspondence between the source XML file columns and the target MySQL table columns:

  • select a column of the target MySQL table in the Columns list;
  • proceed to the source grid viewer area: click a column to assign the column to the selected target table column;
  • the selected column of the source file gets gray highlight;
  • repeat the operation for all the columns you need to be included in the import process.

You can use the iconAutoFillColumns Auto Fill button to set correspondence between the source and target columns automatically according to their order (mapping is started from the first attribute value in this case).

The Col(s) control indicates the currently selected source file column. You can also use this spinner control for quick column selection.

If necessary, you can choose to skip a defined number of the source file lines using the Row(s) spinner control of the Skip group (e.g. if you need to exclude node headers from the imported data range).

Import Data - Setting fields correspondence - XML Document

To remove a correspondence, select the field in the Fields list and press the iconCross Clear button.

To remove all correspondences, press the iconClearAllRanges Clear All button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


MS Excel/Word 2007, ODF

Specify ranges in the grid for the target and source columns:

  • select a column of the target MySQL table in the Columns list;
  • proceed to the Sheet grid: click a column to assign the column to the selected target table column;
  • the selected column of the source file gets green highlight;
  • repeat the operation for all the columns you need to be included in the import process.

If the source file and the destination MySQL table have the same order of columns, you can use the iconAutoFillColumns Auto Fill button to set correspondence between them automatically.

The Col control indicates the currently selected source file column. You can also use this control for quick column selection.

If necessary, you can choose to skip a defined number of the source file rows using the Skip spinner control (e.g. if you need to exclude column headers from the imported data range).

Import Data - Setting fields correspondence - MS Excel and Word 2007, ODF

To remove a correspondence, select the column in the Columns list and press the iconCross Clear button.

To remove all correspondences, press the iconClearAllRanges Clear All button.

Click the Next button to proceed to the Adjusting data formats step of the wizard.


Adjusting data formats

This step of the wizard provides a number of options for setting common formats for all imported data:

Date & Time formats: Short date, Long date, Short time, Long time;

Separators: Decimal, Thousand, Date, Time;

Boolean True (specify the text that will be displayed for the boolean TRUE values);

Boolean False (specify the text that will be displayed for the boolean FALSE values);

NULL values (specify the text that will be displayed for the NULL values).

For more information refer to the Format specifiers page.

Import Data - Adjusting data formats

Click the Next button to proceed to the Setting advanced column formats step of the wizard.


Setting advanced column formats

This step of the wizard allows you to set formats each column separately.

Select a column in the list and adjust format options that will be applied to this column only.

Import Data - Setting advanced field formats

Specify Generator value and Generator step for incremental data generation into the specified column, or enter a Constant value which will be set for all records in the column.

Specify the NULL value which will be used for the records where the value is NULL.

If necessary, specify the default value.

Use the Left / Right quotation edit boxes to specify left/right quotation marks.

Use the Quotation action drop-down list to select whether the quotation marks should be added, removed, or left 'As is'.

Use the Character case drop-down list to select the case that will be used for string values of the column: Upper, Lower, UpperFirst, UpperFirstWord, or 'As is'.

Use the Character set drop-down list to select which charset will be used for string data in the column: ANSI, OEM, or As is.

The Replacements area allows you to set the text you need to be replaced during data import into the selected column. Press the Plus iconPlus button to specify a new replacement options using the Add Replacement dialog.

Import Data - Setting advanced field formats - Add Replacement

To edit a replacement, click the Edit [image] button.

To remove a replacement, click the Minus iconMinus button.

When you are done, click the Next button to proceed to the Setting import mode step of the wizard.


Setting import mode

This step of the wizard allows you to define the records processing mode as Insert All, Insert New, Update, Update or Insert, Delete, Delete or Insert mode:

  • Insert all: all records from the source file are inserted into the tables irrespective of whether any records exist in the destination table or not
  • Insert new: already existing records are skipped, and new records are inserted into the destination table
  • Update: all existing records are updated from the source file
  • Update or insert: already existing records are updated and new records are inserted into the destination table
  • Delete: already existing records are deleted
  • Delete or insert: existing records are deleted and new records are inserted into the destination table

Import Data - Setting import mode

Here is an example of some import modes offered by Import Data Wizard:

All import modes (except for the Insert All mode) are based on key values information. In order to perform import operations with these modes used, you need to have matches between the source file key column(s) and the destination table key column(s).

For example, your source file contains three rows with the key values 1, 2, 3, and your destination table contains three rows with the key values 1, 2, 4.

Destination table | Source file data
Import Data - Setting import mode - Destination Table | Import Data - Setting import mode - Source Table

If you use the Insert new import mode, in this case only the row with key value 3 will be inserted into the destination table.

If you use the Update import mode, then the rows with key values 1, 2 will be updated.

If you use the Update or insert import mode, then rows 1, 2 will be updated and the row with key value 3 will be inserted.

It is applied to all other import modes, except for the Insert all mode. For all these modes (except for the Insert all mode) it is obligatory to select the primary key columns. This column (or columns) is used as key column to identify specific data in the target database.

Insert new | Update | Update or insert | Delete | Delete or insert
Import Data - Setting import mode - Result - Insert new | Import Data - Setting import mode - Result - Update | Import Data - Setting import mode - Result - Update or insert | Import Data - Setting import mode - Result - Delete | Import Data - Setting import mode - Result - Delete or insert

The key columns for these operations are defined in the Key columns area.

Single commands / Universal mode / Batch insert type

The Single commands import mode is performed with the Single Commands method used and serves to generate and execute single SQL commands on the server, whereas the Batch insert mode uses native MySQL commands to import a data set as a batch. With the help of the Single commands import mode your data can be imported considerably faster as compared to the Universal mode which is used for backward compatibility.

Use Import mode to select whether to insert all records, or to update/delete existing ones. Note that for updating/deleting existing records in the target table you should move its key columns from the Available columns list to the Selected columns list.

The Key columns area allows you to select the columns of the table to be used as the key columns for the import process.

To select a column, you need to move it from the Available columns list to the Selected columns list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

When you are done, click the Next button to proceed to the Customizing common options step of the wizard.


Customizing common options

Use this step of the wizard to set common import options. The detailed description of these options is given below.

Import Data - Customizing common options

Commit

RadioButton Commit when done

Commits the transaction when all records are imported.

RadioButton Commit after each block

Inserts the COMMIT statement after a defined number of records.

RadioButton Commit changes manually

Select this option if you intend to commit the transaction manually.

Block size

Use the spinner control to define the number of records in each committed block.

Record count

RadioButton Import all records

Specifies that all records of the source file will be imported.

RadioButton Import only ... record(s)

Specifies the number of records to be imported.

When you are done, click the Next button to proceed to the last step of the wizard.


Importing data

This step of the wizard is intended to inform you that all import options have been set, and you can start the import process.

The log area allows you to view the log of operations and errors (if any).

Import Data - Importing data

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the import process is completed.

If necessary, you can save a template for future use.

Click the Run button to run the import process.

After the operation is completed, you can view the total number of processed records, the number of inserted/updated/deleted records, the number of committed records, the number of errors, elapsed time, and the log of operations and errors (if any).


Export as SQL Script

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Export as SQL Script Wizard

Export as SQL Script Wizard allows you to export data from a table / view or from a query result to SQL script as a number of INSERT statements. You can save your settings as a template any time for future use.

To start the wizard, right-click the object in DB Explorer, select the Data Manipulation | [image] Export Data as SQL Script...context menu item.

Alternatively, you can open the Data tab of Table Editor / View Editor or the Result(s) tab of SQL Editor / Query Builder, right-click the grid there, then select the Data Manipulation | [image] Export <object_name> as SQL Script... context menu item.

  • Selecting destination DBMS
  • Setting destination file name
  • Setting BLOB options
  • Selecting columns to export
  • Setting export options
  • Editing result SQL script
  • Exporting as SQL Script

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Export Data Wizard

Import Data Wizard

Save Data Wizard

Load Data Wizard

Using templates


Selecting destination DBMS

This step of the wizard allows you to define the destination server you need to export data for. The result script will be generated in compliance with the specifications of the selected DBMS:

RadioButton DB2

RadioButton InterBase/Firebird

RadioButton Microsoft® SQL Server™

RadioButton MySQL

RadioButton Oracle

RadioButton PostgreSQL

Export as SQL Script - Defining type of destination server

CheckBox Add CREATE TABLE statement

Check this option to add the CREATE TABLE statement to the result script.

Click the Next button to proceed to the Setting destination file name step of the wizard.


Setting destination file name

Specify whether the result script will be loaded to SQL Script Editor or saved to a file.

File name

Type in or use the btnSaveAs button to specify the path to the file and the file name.

If necessary, select the File charset using the corresponding drop-down list.

Enter the Table name and the Schema name to be included in the result SQL script. Schema name should only be specified for the DBMS in which this object is implemented.

Export as SQL Script - Setting destination file name

Click the Next button to proceed to the Setting BLOB options step of the wizard.


Setting BLOB options

BLOB options

In this group of options you can determine whether BLOB columns are not to be extracted, extracted as strings, or extracted into a separate file (available for DB2, InterBase/Firebird, MS SQL, Oracle destination servers). If the latter is selected, you also need to specify the File name (the *.blo file where the BLOB data will be stored) and the location of the file on your local machine using the btnSaveAs button.

Export as SQL Script - Setting BLOB options

Note: If you choose to save BLOB columns in a file then afterwards this data can be restored only by using the SQL Manager for MySQL SQL Script tool.

CheckBox Compress file

Check this option if you wish to compress the file containing BLOB data.

Compression

Define the desired compression level to be applied for the file: None, Fastest, Default, Best.

Click the Next button to proceed to the Selecting columns to export step of the wizard.


Selecting columns to export

This step of the wizard allows you to select the table column(s) to be exported to SQL script.

To select a column, you need to move it from the Available Columns list to the Selected Columns list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

Export as SQL Script - Selecting fields to export

Click the Next button to proceed to the Setting export options step of the wizard.


Setting export options

Specify common export options according to your needs.

If necessary, you can choose to replace non-print characters in strings with spaces.

CheckBox Quote identifiers

Check this option to apply quoting for identifiers in the destination file.

Records in block

Use the spinner control to define the number of records in each committed block.

CheckBox Insert COMMIT after each block

Check this option to add the COMMIT statement after a defined number of records.

Export as SQL Script - Setting export options

Click the Next button to proceed to Exporting as SQL Script.

If the Add CREATE TABLE statement option is enabled in the first step you will be taken to the Editing result SQL script.


Editing result SQL script

At this step you can view/edit result script in SQL Editor.

This step is available only when the Add CREATE TABLE statement option is enabled in the first step.

Export as SQL Script - Editing table definition

Press the Next button to proceed to the final step.


Exporting as SQL Script

This step of the wizard is intended to inform you that all export options have been set, and you can start the export as SQL script process.

The Operations tab allows you to view the log of operations and errors (if any).

Export as SQL Script - Exporting as SQL Script

CheckBox Load generated script into Script Editor

Check this option to load the result script to SQL Script Editor.

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the export process is completed.

If necessary, you can save a template for future use.

Click the Run button to run the export as SQL script process.


Save Data Wizard

Save Data Wizard allows you to use the SELECT ... INTO OUTFILE MySQL statement to get a dump of a table at a very high speed. The file must be accessible to the server and the name must be specified from the viewpoint of the server. You can save your settings as a template any time for future use.

To start the wizard, right-click the table in DB Explorer, select the Data Manipulation | [image] Save Data to File on Server... context menu item.

Alternatively, you can open the Data tab of Table Editor / View Editor or the Result(s) tab of SQL Editor / Query Builder, right-click the grid there, then select the Data Manipulation | [image] Save Data to File on Server... context menu item.

  • Setting destination file name
  • Selecting columns for saving data
  • Specifying data format parameters
  • Saving data

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Export Data Wizard

Import Data Wizard

Export as SQL Script

Load Data Wizard

Using templates


Setting destination file name

This step of the wizard allows you to specify the destination data file name to which data will be saved. Define file name and path to it on server.

Save Data Wizard - Setting destination file name

Data file name

Specify the destination file on the server host to save data. If necessary, use the drop-down list to select a previously specified value.

Click the Next button to proceed to the Selecting columns for saving step of the wizard.


Selecting columns for saving

This step of the wizard allows you to select the table column(s) from which the data should be saved.

To select a column, you need to move it from the Available Columns list to the Selected Columns list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

Save Data Wizard - Selecting fields for saving

Click the Next button to proceed to the Specifying data format parameters step of the wizard.


Specifying data format parameters

Define parameters for writing data to the destination file according to the description below.

Save Data Wizard - Specifying data format parameters

Fields terminated by

Defines the character used for delimiting the field values in the destination file.

Fields enclosed by

Defines the character that will be used for quoting the field values in the destination file.

CheckBox Optionally

If this option is selected, the Fields enclosed by character is used only to enclose values from columns that have a string data type (such as CHAR, BINARY, TEXT, or ENUM).

Fields escaped by

Controls how to write special characters. If the character is not empty, it is used as a prefix that precedes Fields enclosed by, Fields terminated by, Lines terminated by characters on output.

Lines starting by

Defines the characters that will be used for inserting before every string in the destination file.

Lines terminated by

Defines the characters that will be used for delimiting strings in the destination file.

Click the Next button to proceed to Saving data.


Saving data

This step of the wizard is intended to inform you that all Save Data options have been set, and you can start the saving data process itself.

The Operations tab allows you to view the log of operations and errors (if any).

Save Data Wizard - Saving data

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the saving data process is completed.

If necessary, you can save a template for future use.

Click the Run button to run the saving data process.


Load Data Wizard

Load Data Wizard allows you to use the LOAD DATA INFILE native MySQL statement to read rows from a text file to a table at a very high speed. This command copies data from a file to a table, appending the data to whatever is in the table already. The file must be accessible to the server and the name must be specified from the viewpoint of the server. You can save your settings as a template any time for future use.

To start the wizard, right-click the table in DB Explorer, select the Data Manipulation | [image] Load Data... context menu item.

Alternatively, you can open the Data tab of Table Editor / View Editor, right-click the grid there, then select the Data Manipulation | [image] Load Data... context menu item.

  • Setting source file name
  • Selecting processing parameters
  • Selecting columns for loading data
  • Specifying data format parameters
  • Loading data

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Export Data Wizard

Import Data Wizard

Export as SQL Script

Save Data Wizard

Using templates


Setting source file name

This step of the wizard allows you to specify the source data file from which data will be loaded. Define file name and location.

Load Data Wizard - Setting source file name

Data file name

Type in or use the ExplorerButton button to specify the path to the source *.txt or *.xml file.

Data file location

Specify where the source file is located:

RadioButton On the server

RadioButton On the client

Click the Next button to proceed to the Selecting processing parameters step of the wizard.


Selecting processing parameters

Define options for the LOAD DATA command. The description of these options is given below.

Load Data Wizard - Selecting processing parameters

Loading priority

RadioButton Low priority

Delays loading data until no other clients are reading from the table.

RadioButton Concurrent

Allows other threads to retrieve the data from the table while loading data is executed.

Duplicate key values

RadioButton Replace

Replaces the existing rows with the new rows that have the same unique key value.

RadioButton Ignore

Skips the input rows that duplicate an existing row on a unique key value.

Note: If you specify neither Replace nor Ignore option, an error occurs when a duplicate key value is found, and the rest of the text file is ignored.

Click the Next button to proceed to the Selecting columns for loading step of the wizard.


Selecting columns for loading

This step of the wizard allows you to select the table column(s) to be loaded into the table.

To select a column, you need to move it from the Available Columns list to the Selected Columns list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

Load Data Wizard - Selecting fields for loading

Click the Next button to proceed to the Specifying data format parameters step of the wizard.


Specifying data format parameters

Define parameters for reading data from the source file according to the description below.

Load Data Wizard - Specifying data format parameters

Fields terminated by

Defines the character used for delimiting the field values in the source file.

Fields enclosed by

Defines the character used for quoting the field values in the source file.

CheckBox Optionally

If this option is selected, the Fields enclosed by character is used only to enclose values from columns that have a string data type (such as CHAR, BINARY, TEXT, or ENUM).

Fields escaped by

Controls how to read special characters. If the character is not empty, it is used as a prefix that precedes Fields enclosed by, Fields terminated by, Lines terminated by characters on output.

Lines terminated by

Defines the character used for delimiting strings in the source file.

Ignore lines count

Specifies the number of first lines in the source file that are not loaded.

Click the Next button to proceed to Loading data.


Loading data

This step of the wizard is intended to inform you that all Load Data options have been set, and you can start the loading data process itself.

The Operations tab allows you to view the log of operations and errors (if any).

Load Data Wizard - Loading data

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the loading data process is completed.

If necessary, you can save a template for future use.

Click the Run button to run the loading data process.


Export as PHP wizard

Export as PHP Wizard creates PHP script allowing to connect to database, to display data of a table, and provides forms and procedures for editing and deleting data.

Export is allowed in editors with Data or Results tab. These are: Table Editor, View Editor, SQL Editor and Visual Query Builder.

This tool can be accessed with [image] Export as PHP page item of the Data Manipulation group of navigation bar of data view tabs. The wizard can also be launched from table and view context menus in the DB Explorer tree.

  • Specifying destination file
  • Selecting columns to export
  • Adjusting formats for exported columns
  • Defining headers and footers of the result file
  • Performing operation

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Specifying destination file

Selecting columns to export

Adjusting formats for exported fields

Defining headers and footers of the result file

Performing operation

Using templates


Specifying destination file

Use this step to define Destination file name in the respective field.

Export as php page - Specify destination php file name

Press the Next button to proceed to the Selecting fields to export step.


Selecting columns to export

At this step you need to select table/view columns to export.

The Available Columns list contains complete list of the selected table/view columns. Use the navigation buttons to move the required columns to the Included Columns list. If no columns are selected, all columns will be exported by default.

Export as php page - Select fields for exporting

Press the Next button to proceed to the Adjusting formats for exported columns step.


Adjusting formats for exported columns

Use this step to define parameters of the result PHP file.

PHP Options tab

Records per page

Specify maximum number of records displayed at one page.

Page range

Pagination parameter. Defines the number of pages for which direct hyperlinks will be available in navigation area.

Show page navigation

Define the location of the navigation elements: RadioButton On top and bottom, RadioButton On top only, RadioButton On bottom only, RadioButton Never.

Export as php page - Adjust formats - PHP

Table functions

Section contains the number of options. Check required options to implement respective function to generated form.

Security tab

At this tab you need to specify authorization parameters to connect to database via PHP script.

Export as php page - Adjust formats - Security

Security options

RadioButton No security - MySQL authorization parameters (Login and Password), specified in the Connection to database section, are stored in the script.

RadioButton Use MySQL server authorization - MySQL authorization dialog is prompted on script execution.

RadioButton Use PHP Page authorization - To access the generating PHP page it is also necessary to specify the authorization parameters such as Login and Password in the PHP Page Authorization section. MySQL authorization parameters (Login and Password), specified in the Connection to database section, are stored in the script.

Preview tab

This tab allows you to manage visual settings of the page that will be generated by script.

Template

You can apply an existing template from the drop-down list. Table on the left will change according to the template settings applied.

Export as php page - Adjust formats - Preview

You can customize visual scheme manually. Simply click an element on the table and pick the needed color from palette.

Optionally you can save your own settings to a template for future use.

To save/load template use the respective buttons on the right.

Localization tab

Export as php page - Adjust formats - Localization

Use this tab to edit names of the elements on the generated page.

Click the Next button to proceed to the Defining headers and footers of the result file step.


Defining headers and footers of the result file

Use this step to define Header and Footer for the generated page.

Export as php page - Define headers and footers

Press the Next button to proceed to the final step.


Performing operation

This step of the wizard is intended to inform you that all options have been set, and you can start exporting table to PHP.

The Operations tab allows you to view the log of operations and errors (if any).

Export as php page - Run

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the loading data process is completed.

Click the Run button to run export process.


Database Tools

SQL Manager for MySQL provides a number of powerful tools that allow you to perform various operations over your databases.

  • Common DB Tools
  • Specific DB Tools

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Server Tools

Personalization

External Tools

How To...


Common DB Tools

The following common database tools are available in SQL Manager for MySQL:

  • Dependency Tree

Allows you to view all the object dependencies in one diagram.

  • Visual Database Designer

Allows you to lay out your database schema visually.

  • SQL Script Editor

Executes SQL scripts in the database.

  • Extract Database Wizard

Extracts the table metadata and/or data to an SQL script which can be executed later on another machine to restore the database structure and/or data.

  • Print Metadata

Creates powerful metadata reports in the WYSIWYG mode ready for printing.

  • HTML Report

Creates powerful metadata reports in the HTML format.

  • Reports management

Tools for efficient management of reports: creating, editing, viewing, printing.

  • SQL Monitor

Displays all the SQL statements executed while working in SQL Manager for MySQL.

  • Search in Metadata

Helps you to search eithin database metadata.

  • Using templates

Facilitates using SQL Manager wizards.

See also:

Specific database tools


Dependency Tree

The Dependency Tree tool allows you to view all the object dependencies in one diagram.

To call the Dependency Tree window, select the Tools | btnDependencyTree Dependency Tree main menu item, or use the btnDependencyTree Dependency Tree button on the main toolbar.

  • Using Navigation bar and Toolbar
  • Viewing dependency tree

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Database Objects Management


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Dependency Tree.

Dependency Tree - Using Navigation bar

The Navigation bar of the Dependency Tree window allows you to:

Database group

iconDB select a database for browsing object dependencies

General group

iconRefresh refresh the currently displayed dependency tree

iconPrint print the diagram

iconPrintSetup set printing options using the Print Setup dialog

iconSaveAsPicture save the current diagram as a picture

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the window

Object group

navigate by switching to the previous object

navigate by switching to the next object

show/hide subobjects

select a root object

Items of the Navigation bar are also available on the ToolBar of the Dependency Tree window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

Hint: Items of the Object pane of the Navigation bar are also available in the context menu of the Dependency Tree area.


Viewing dependency tree

To view dependencies of an object, click the Select object Navigation bar item. Then select the required object in the Select Object dialog window. The dependency tree will appear in the main area of the window.

Dependency Tree - Select object

While the tree of dependencies is being built, the progress bar is displayed in the status area at the bottom of the window.

The root object is marked out with a blue frame.

The objects that the root object depends on are located to the left of the root object.

The objects that depend on the root object are located to the right of the root object.

Object dependencies are denoted as regular arrows from the left to the right (->).

A cyclic dependency (i.e. when the object already has some other depending object(s)) is denoted as a line ending with a cross (-x).

You can switch between objects by selecting them in the diagram. The selected object becomes the root object. To make an object root, you can also right-click it in the diagram area and select Set as Root from the context menu. The context menu of an object also allows you to edit it using the corresponding editor.

The history of selected root objects is also available: you can move back and forward through this history using the Previous object and the Next object links on the Navigation bar or toolbar.

Hint: To show/hide subobjects (e.g. table triggers, foreign keys), click the Show subobjects / Hide subobjects item on the Navigation bar.

See also:

Select Object dialog


SQL Monitor

SQL Monitor allows you to view the log of all operations performed over databases and database objects in SQL Manager for MySQL. The content of the window is read-only.

To open the SQL Monitor window, select the Tools | btnSQLMonitor SQL Monitor main menu item, or use the Shift+Ctrl+M shortcut.

  • Using Navigation bar and Toolbar
  • Working with SQL Monitor

See also:

SQL Monitor options


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in SQL Monitor.

SQL Monitor - Using Navigation bar

The Navigation bar of SQL Monitor allows you to:

General group

clear the content of the window

save the content to a *.txt file using the Save as... dialog

iconFindText search for a string using the Find Text dialog

iconSearchAgain search again

iconOptions configure SQL Monitor using the SQL Monitor section of the Environment Options dialog

iconRestoreDefaultSize restore the default size and position of the window

iconAlwaysOnTop specify that the window is displayed on top of other child windows

Items of the Navigation bar are also available on the ToolBar of SQL Monitor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Working with SQL Monitor

The working area of SQL Monitor lists the log of database operations and SQL queries as items, each consisting of 3 parts: Executed (the date and time of the operation), Operation (SQL statement sent to the server), Result (the result of the operation).

Items of the context menu of SQL Monitor area provide access to various functions for working with the window content. The context menu contains standard text-processing functions (Copy, Select All), spell checking and functions for working with the content as a whole, e.g. you can set markers, move the cursor to a particular line, save the content to a file or as a favorite query, configure the editor using the properties item or preview/print the content. Most of these operations can be also performed with the corresponding hot keys used.

Implementation of the Find Text dialog and Incremental search bar contributes to more efficient work with the content of SQL Monitor.

SQL Monitor - Working with SQL Monitor


SQL Script Editor

Using SQL Script Editor you can view, edit and execute SQL scripts.

To open SQL Script Editor, select the Tools | New SQL Script / Tools | SQL Script main menu items or use the corresponding btnNewSQLScript / btnShowSQLScript toolbar buttons. You can also use the Shift+Ctrl+S shortcut for the same purpose.

In the script area you can view and edit the SQL script text. For your convenience syntax highlight and code completion features are implemented.

  • Using Navigation bar and Toolbar
  • Working with SQL Script editor area
  • Using Script Explorer
  • Script execution

Note: SQL Script Editor does not show results returned upon SELECT queries execution. Please use SQL Editor for that purpose instead.

See also:

SQL Editor

SQL Script options

Editor Options


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in SQL Script Editor.

SQL Script Editor - Using Navigation bar

The Navigation bar of SQL Script Editor allows you to:

Destination group

iconHost select a host

iconDB select a database for the script

General group

iconExecute execute the current script

iconCompile execute a script from file

iconNew create a new script

iconLoadFromFile load a script from an *.sql file using the Open SQL Script dialog

iconSaveToFile save the current script

iconSaveToFileAs save the script to an *.sql file using the Save as... dialog

iconDBExplorer show/hide Script Explorer

enable/disable result log

iconOptions configure SQL Script Editor within the Script Options section of the Environment Options dialog

iconRestoreDefaultSize restore the default size and position of the editor window

iconDisableCodeFeatures enables/disables syntax highlight, code completion and code folding

Explorer group

iconDBExplorer browse the tree objects used in the script using the Script Explorer pane

Items of the Navigation bar are also available on the ToolBar of SQL Script Editor. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

See also:

Working with SQL Script editor area

Using Script Explorer

Script execution


Working with SQL Script editor area

The Editor area of SQL Script is provided for efficient working with SQL scripts in text mode.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented:

  • using object links allowing you to open the object in the associated editor;
  • ability to display line numbers;
  • code folding for statements and clauses;
  • customizable margins and gutters;
  • formatting code for better representation

and more.

The context menu of SQL Script Editor area contains execution commands, most of the standard text-processing functions (Cut, Copy, Paste, Select All), spelling checking and functions for working with the script as a whole, e.g. you can enable/disable parsing, toggle bookmarks and comments, move the cursor to a particular line, change the case of selected text, load/save the content from/to a file or save as a favorite query, configure the editor using the Properties item or preview/print the text of the script. Most of these operations can be also performed with the corresponding hot keys used.

Implementation of the Find Text / Replace Text dialogs and Incremental search bar contributes to more efficient work with the SQL code.

SQL Script Editor - Working with SQL Script editor area

See also:

Using Navigation bar and Toolbar

Using Script Explorer

Script execution

Managing Favorite queries

SQL Script options


Using Script Explorer

The Explorer group on the Navigation bar displays the tree of objects, used in the current script and allows you to get to the required script fragment quickly by clicking the object in the tree.

SQL Script Editor - Using Script Explorer

Hint: When you click a node in the Script Explorer tree, the corresponding SQL statement is highlighted in the editor area. If you double-click a node, the corresponding SQL statement is highlighted, and the current focus is switched to the editor area (the cursor appears after the highlighted statement).

See also:

Using Navigation bar and Toolbar

Working with SQL Script editor area

Database Objects Management


Script execution

When all the script parameters are set, you can immediately execute the script in SQL Script Editor.

To execute a script, click the btnExecuteQuery Execute script item of the Navigation bar or toolbar. You can also use the context menu or F9 hot key for the same purpose.

SQL Script Editor - Script execution

Note: If the CheckBox Execute selected text separately option (see the Tools | SQL Script section of the Environment Options dialog) is enabled (by default) and a text fragment is currently selected, only this fragment is executed when you click Execute script on the Navigation bar or press F9. If this option is disabled, the whole script is executed, but you can still execute the selected fragment using the corresponding Execute Selected Only item of the context menu or by pressing Ctrl+F9.

If there are no active database connections, the application prompts you to specify host connection parameters in the Login Host dialog for script execution.

If the SQL syntax is correct, the script is executed and the 'Done' information message appears.

SQL Script Editor - Script execution - Done

If the syntax contains errors or script cannot be executed, the corresponding error message is displayed in the status bar area at the bottom of the editor window.

Hint: When you select an item from the error list (in the status bar area), the corresponding SQL statement is highlighted in the editor area. If you double-click an item, the corresponding SQL statement is highlighted, and the current focus is switched to the editor area (the cursor appears after the highlighted statement).

Note: SQL Script Editor does not show results returned upon SELECT queries execution. Please execute such queries in SQL Editor to see the result dataset.

See also:

Using Navigation bar and Toolbar

Working with SQL Script editor area

Using Script Explorer


Extract Database Wizard

Extract Database Wizard allows you to extract database objects and/or data to an SQL script, e.g. for backup purposes.

To start the wizard, select the Tools | btnExtractDB Extract Database... main menu item.

  • Selecting a database for extraction
  • Specifying destination file name
  • Setting extraction mode
  • Selecting objects for metadata extraction
  • Selecting objects for data extraction
  • Customizing script options
  • Start of extraction process
  • Using templates

See also:

SQL Script Editor

Database Objects Management

Using templates


Selecting source database

This step of the wizard allows you to select the source database from which metadata and/or data are to be extracted.

If necessary, check the CheckBox Extract all metadata and data of the database option to simplify the wizard.

Extract Database - Selecting source database

Click the Next button to proceed to the Specifying destination file name step of the wizard.


Specifying destination file name

Script destination

RadioButton Automatically load to Script Editor

Use this mode if there's no need to save script to file. Generated script will be automatically opened in SQL Script Editor.

RadioButton Save to file

This mode allows you to save complete script to a single file.

File name

Set a name for the result *.sql file and type in or use the Save as... btnSaveAs button to specify the path to this file on your local machine or on a machine in the LAN.

RadioButton Separate file for each object

Use this mode to extract each object of the database into a separate file. In this case you need to specify Directory name where created files will be stored.

Extract Database - Specifying destination file name

Note: If the specified folder exists, make sure it doesn't contain any useful data, as you will be suggested to recreate the folder.

File charset

If necessary, use the drop-down list to select the character set for the exported data.

Depending on whether you have checked the CheckBox Extract all metadata and data of the database option at the Selecting source database step, upon pressing the Next button you will either proceed to the Setting extraction mode, or you will be immediately forwarded to the Customizing script options step of the wizard.


Setting extraction mode

This step allows you to specify the extraction mode: choose whether structure only, data only or both are to be extracted.

Note that this step is only available if the CheckBox Extract all metadata and data of the database option was unchecked when selecting the source database.

Extract Database - Setting extraction mode

Click the Next button to proceed to Selecting objects for structure extraction.


Selecting database objects for structure extraction

This step of the wizard allows you to select database objects for metadata extraction.

Note that this step is only available if the CheckBox Extract all metadata and data of the database option was unchecked when selecting the source database.

CheckBox Extract all database objects

Includes all database objects into structure extraction process.

Objects to extract

Use the drop-down list to select the type of objects to extract.

To select an object, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop to move the objects from one list to another.

Extract Database - Selecting objects for structure extraction

Click the Next button to proceed to Selecting objects for data extraction.


Selecting server objects to extract

This step of the wizard allows you to select server objects for metadata extraction.

Note: This step is available only if the CheckBox Extract server objects option was checked in the Selecting source database step.

CheckBox Extract all server objects

Adds all server objects to the structure extraction process.

Objects to extract

Use the drop-down list to select the type of objects to extract.

To select an object, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop to move the objects from one list to another.

Extract Database - Selecting server objects for extraction

Click the Next button to proceed to the Selecting objects for data extraction step.


Selecting objects for data extraction

This step of the wizard allows you to select tables for data extraction.

Note that this step is only available if the CheckBox Extract all metadata and data of the database option was unchecked when selecting the source database.

RadioButton Extract data of the selected tables

Adds only selected tables to data extraction process.

To select a table, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

RadioButton Extract data of all tables

Adds all tables of the database to the data extraction process.

RadioButton Extract data of tables selected on the previous step

Adds only the tables selected for metadata extraction.

Extract Database - Selecting objects for data extraction

Click the Next button to proceed to the Customizing script options step of the wizard.


Customizing script options

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Start of extraction process

This step allows you to customize common script options and data options for the extraction process.

Script options

CheckBox Generate "CREATE DATABASE" statement

Check this option to add the CREATE DATABASE statement to the result script.

CheckBox Generate "DROP DATABASE IF EXISTS" statement

Check the option to add the DROP DATABASE IF EXISTS statement for the database in the result script.

CheckBox Generate "USE db_name" statement

Check the option to add the USE db_name statement to the result script.

CheckBox Generate "DROP IF EXISTS" statements

Check the option to add the DROP IF EXISTS statements for the extracted objects in the result script.

CheckBox Disable foreign key checks

If this option is selected, foreign key constraints are not considered in the extraction process (SET FOREIGN_KEY_CHECKS=0).

Extract Database - Customizing script options

CheckBox Generate "SET NAMES" statement

Check this option to add the SET NAMES 'character_set' statement to the result script.

Character set issues affect not only data storage, but also communication between client programs and the MySQL server. The SET NAMES 'character_set' statement allows you to indicate which character set (different from the default) should be used by the server while communicating with the client program.

CheckBox Extract dependent objects

This option determines objects' dependencies usage in the extraction process. Check the option to extract all objects that the selected objects depend on.

CheckBox Add SQL_MODE variable

This option specifies that the SET sql_mode='modes' statement will be added to the result script.

SQL modes define what SQL syntax MySQL should support and what kind of data validation checks it should perform. This facilitates using MySQL in different environments and together with other database servers.

CheckBox Insert comments

This option determines whether comments will be added to the result script.

Extract structure for version

This drop-down list allows you to define the version of MySQL server you need to extract metadata for. The result script will be generated in compliance with the specifications of the selected server version: Current server version, 3.23, 4.0, 4.1, 5.0, or 5.1.

CheckBox Trim tables and column comments

Set limit for table and columns comments length. Maximum length of exported comment is defined in the Max comment length field.

Data options

Records in a block / CheckBox Insert "COMMIT" statement after each block

These controls allow you to define whether the COMMIT statement is added to the script or not, and to specify the number of records in each block to be supplemented with this statement.

CheckBox Extract table data just after its definition

This option allows you to define the order for table data and metadata. With this option enabled, the result script is generated in the following way: table definition, data for the table as a set of INSERT INTO statements, then definition for other objects. Otherwise the following order is applied: table definition, definition for other objects, then table data.

CheckBox Extract data from Merge tables

Use this option if you wish to extract data from tables of the MRG_MyISAM storage engine.

Extract Database - Customizing data options

CheckBox Abort extraction on error

This option determines whether the extraction process should be stopped or forced to continue if an error occurs.

Click the Next button to proceed to the last step of the wizard.


Start of extraction process

This step of the wizard is intended to inform you that all extraction options have been set, and you can start the extraction process.

The Operations tab allows you to view the log of operations and errors (if any).

Extract Database - Start of extraction process

CheckBox Load script to Script Editor

Check this option to load the result script to SQL Script Editor.

CheckBox Close the wizard after successful completion

If this option is selected, the wizard is closed automatically when the extraction process is completed.

If necessary, you can save a template for future use.

Click the Run button to run the extraction process.


Print Metadata

Print Metadata allows you to generate and print metadata reports of any database object(s).

To open the window, select the Tools | btnPrintMetadata Print Metadata main menu item, or use the btnPrintMetadata Print Metadata button on the main toolbar.

  • Using Navigation bar and Toolbar
  • Printing options
  • Print Preview

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Database Objects Management

Print Metadata options


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Print Metadata.

Print Metadata - Using Navigation bar

The Navigation bar of the Print Metadata window allows you to:

Database group

iconDB select a database for the printing report

General group

iconPrint print metadata of the selected object(s)

iconPreview preview the printing report

iconRestoreDefaultSize restore the default size and position of the window

Show group

Tick filter database objects by type

Items of the Navigation bar are also available on the ToolBar of the Print Metadata window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Printing options

The Print Metadata window allows you to select the database objects for printing metadata.

To select an object, you need to move it from the Available objects list to the Objects for printing list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

After you select one or several objects, the Printing Options pane appears at the bottom.

Printing Options

Select an object in the Objects for printing list and specify items to be included into the printing report: DDL, Description (for all database objects), Fields/Params, Indexes (for tables).

Print Metadata - Printing options

See also:

Using Navigation bar and Toolbar

Print Preview


Print Preview

You can btnPrintPreview make a preview of the printing report and btnPrintMetadata print metadata for objects of the selected type using the corresponding items of the Navigation bar (or toolbar).

Print Metadata - Preview

The toolbar of the Preview window allows you to:

  • start printing the report;
  • open a previously saved printing report;
  • save the current report to an external *.fp3 file;
  • export the preview content to any of the available formats: HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF image (use the btnPreviewExport Export button for this purpose);
  • search for text within the printing report;
  • adjust zoom options;
  • enable/disable printing report outline;
  • enable/disable printing report thumbnails;
  • specify page settings;
  • edit the page using Report Designer;
  • navigate within the printing report pages;
  • close the Preview window.

See also:

Using Navigation bar and Toolbar

Printing options


HTML Report Wizard

HTML Report wizard allows you to generate a detailed HTML report of the selected database objects.

To start HTML Report Wizard, select the Tools | [image] HTML Report main menu item, or use the [image] HTML Report button on the main toolbar.

  • Selecting database and directory
  • Selecting object types
  • Selecting server object types
  • Specifying CSS for HTML report
  • Setting additional report options
  • Creating HTML report
  • Using templates

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Database Objects Management

Using templates


Selecting database and directory

At this step of the wizard you should select the source database and output directory for the HTML report.

Source host

Select the host on which source database is located.

Source database

Use the drop-down list of registered and connected databases to select the source database for the report.

Output directory

Type in or use the ExplorerButton button to specify the path to the output directory for the result HTML files using the Browse for Folder dialog.

HTML Report - Selecting database and directory

Click the Next button to proceed to the Selecting database object types step of the wizard.


Selecting database object types

Use this step of the wizard to select the types of objects to be included in the result HTML report.

HTML Report - Selecting object types

Click the Next button to proceed to the Selecting server object types step of the wizard.


Selecting server object types

Use this step to define which server objects should be included to report.

HTML Report - Selecting server object types

Check the respective options to include objects to report.

Click the Next button to proceed to the Specifying CSS step of the wizard.


Specifying CSS

This step of the wizard allows you to edit the CSS (Cascading Style Sheet) file that will be used by the result HTML report. You can preview applied changes, as well as applying template schemes.

Use the CSS Preview tab to select template scheme, or to view changes made on CSS Text tab.

HTML Report - Specifying CSS Preview

Customize scheme on the CSS Text tab.

HTML Report - Specifying CSS

Click the Next button to proceed to the Setting additional report options step of the wizard.


Setting additional report options

Use this step of the wizard to set additional HTML report options.

HTML Report - Setting additional report options

Optionally, you can define text for Report header and Report footer of the result HTML report. For your convenience the default header and footer text is already available.

You can manage size of DDL text in the result report with the respective slider.

Note: Size display also depends on browser settings.

Click the Next button to proceed to Creating HTML report.


Creating HTML report

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the process.

The Operations tab allows you to view the log of operations and errors (if any).

HTML Report - Creating HTML report

CheckBox Show report after generating

This option opens the result report in your default browser after generating.

CheckBox Close the wizard after successful completion

If this option is selected, the wizard is closed automatically when the creating HTML report process is completed.

If necessary, you can save a template for future use.

Click the Run button to run the process.


Reports management

SQL Manager for MySQL provides several tools for efficient reports management:

Create Report Wizard

This tool is used to simplify the process of creating reports.

Report Designer

It is a basic tool for creating powerful reports.

Report Viewer

Allows you to view created reports.

Reports can be stored either in the database (table mymreports will be created to store them) or in a directory on your hard drive specified on the Directories page of the Database Registration Info dialog.


Create Report Wizard

Using Create Report Wizard you can create a report containing required datasets, bands and columns on them, with a definite report style applied.

To start the wizard, select the Database | New Object... main menu item, then select Report in the Create New Object dialog. Alternatively, you can right-click the Reports node of the DB Explorer tree and select the New Report... item from the context menu.

  • Specifying report name and options
  • Selecting report bands
  • Selecting report style
  • Specifying paper settings
  • Specifying margins
  • Specifying other page settings

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Report Designer

Report Viewer


Specifying database name and report options

Select the source database for adding a report and choose the action you need to perform: either create a new report or import an existing report from file.

Set the name for the new report and specify the save options for it:

RadioButton Save to database

The report will be created on the server inside the database.

RadioButton Save to file

If this option is selected, the report will be saved as a *.fr3 file to the directory specified on the Directories page of the Database Registration Info dialog.

Create Report - Specifying database name and report options

Click the Next button to proceed to the Selecting report bands step of the wizard.


Selecting report bands

This step of the wizard allows you to select the bands to be included in the report.

To select a band, you need to move it from the Available Bands list to the Report Bands list. Use the Items - Move to Selected Items - Move all to Selected Items - Move to Available Items - Move all to Available buttons or drag-and-drop operations to move the columns from one list to another.

Use the Edit [image] button to create datasets for 'data' bands using Query Builder.

Create Report - Selecting report bands

Brief information about bands functionality is listed below. See FastReport Help for more information.

Name | Functionality
Report title | Prints once at the beginning of report
Report summary | Prints once at the end of report
Page header | Prints at the top of each page
Page footer | Prints at the bottom of each page
Master header | Prints at the beginning of master list
Master data | Data rows of master list
Master footer | Prints at the end of master list
Detail header | Prints at the beginning of detail list
Detail data | Data rows of detail list
Detail footer | Prints at the end of detail list
Subdetail header | Prints at the beginning of subdetail list
Subdetail data | Data rows of subdetail list
Subdetail footer | Prints at the end of subdetail list
Group header | Prints at the beginning of each group
Group footer | Prints at the end of each group

Click the Next button to proceed to the Selecting report style step of the wizard.


Selecting report style

Select the report style by clicking one of the images illustrating the styles available for the report.

Create Report - Selecting report style

Click the Next button to proceed to the Specifying paper settings step of the wizard.


Specifying paper settings

Specify report options: paper size and orientation, page margins, other settings.

Create Report - Specifying paper settings

Use the Margins tab to specify margins for the result report.

CheckBox Open the report after the wizard has finished

If this option is checked, the report will be opened in Report Designer after generating.

When you are done, click the Run button to run the report generation process.


Specifying margins

CheckBox Stretch to print area

If this option is checked, the size of report is adjusted to the print area. If this option is unchecked, you can specify the left, right, top and bottom margins (in millimeters).

Create Report - Specifying margins

Use the Other tab to specify other page settings for the result report.

CheckBox Open the report after the wizard has finished

If this option is checked, the report will be opened in Report Designer after generating.

When you are done, click the Run button to run the report generation process.


Specifying other page settings

Options

CheckBox Print to previous page

This option allows to use white space on a previous page. This option can be used in case when a report template consists of several pages or when printing batch (composite) reports.

CheckBox Two-pass report

If this option is selected, report's formation will be performed in two steps. During the first pass, a report is formed, and is divided into pages, but the result is not saved anywhere. During the second pass a standard report formation with saving a result in the stream is performed.

CheckBox Page numbering

This option allows to print a page numbers.

Columns

Number

This parameter specifies the number of columns for multi-column reports' printing.

Gap, mm

This parameter specifies the width of the gap between columns.

Create Report - Specifying other page settings

CheckBox Open the report after the wizard has finished

If this option is checked, the report will be opened in Report Designer after generating.

When you are done, click the Run button to run the report generation process.


Report Designer

Report Designer allows you to create and edit reports. This tool can be opened after completion of Create Report Wizard to design a new report.

To edit an already existing project, use the appropriate Navigation bar item of Report Viewer.

This module is provided by Fast Reports, Inc. (http://www.fast-report.com) and has its own help system. Press F1 key in the Report Designer to call the FastReport help.

Please find the instructions on how to create a simple report in the Report Designer below:

  • Adding dialog form
  • Adding database and query components
  • Adding report data
  • Viewing the report
  • Saving the report

Note: The Object Inspector which allows you to edit report object properties, can be shown/hidden by pressing the F11 key.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Create Report Wizard

Report Viewer


Adding dialog form

To add a dialog form, select the File | New Dialog main menu item in Report Designer.

The new dialog appears within the DialogPage1 tab of the designer. Use the available RAD tools to add necessary interface elements to the dialog.

Report Designer - Adding dialog form

To call the dialog, proceed to the Code tab and supply the corresponding statement (PascalScript), e.g.

begin

DialogPage1.ShowModal;

end.

Using the Language drop-down list you can select the script language to be used for the event handler: PascalScript (by default), C++Script, BasicScript, Jscript.

For instance, the following C++Script code can be used as the handler for the OnClick event of the 'Show' button to open ZeosMyQuery:

{

ZeosMyQuery1.Active = true;

}

See also:

Adding database and query components

Adding report data

Viewing the report

Saving the report


Adding database and query components

Adding database component

In order to add the Database component:

  • proceed to the Data tab of Report Designer;
  • pick the Zeos MySQL Database [image] component on the toolbar (on the left);
  • click within the working area - the corresponding ZeosMyDatabase1 icon appears in the area;
  • set the database connection and authorization parameters using the Properties Inspector.

Report Designer - Adding database component

Adding query component

In order to add the Query component:

  • proceed to the Data tab of Report Designer;
  • pick the Zeos MySQL Query [image] component on the toolbar (on the left);
  • click within the working area - the corresponding ZeosMyQuery1 icon appears in the area;
  • set the database name and authorization parameters within the Properties Inspector;
  • double-click the ZeosMyQuery1 icon to open the SQL window;
  • input the SQL query that returns the required dataset and click the btnPostEdit button;
  • repeat the operation if you wish to add other query components to the report.

Report Designer - Adding query component

Note: The Properties Inspector panel which allows you to edit report object properties can be shown/hidden by pressing the F11 key.

Using the above given steps you can create as many queries as you need. In order to select a dataset returned by a query, select the Report | Data... main menu item of Report Designer to call the Select Report Datasets dialog. Pick the required query within the dialog and press OK.

Report Designer - Selecting datasets

See also:

Adding dialog form

Adding report data

Viewing the report

Saving the report


Adding report data

Adding bands

In order to add a band to the report:

  • proceed to the Page1 tab of Report Designer;
  • pick the Insert Band [image] component on the toolbar (on the left);
  • select the band to be added to the report;
  • click within the working area - the corresponding element appears in the area;
  • set element properties within the Properties Inspector.

Report Designer - Adding bands

Adding report data

In order to add data to the report:

  • proceed to the Data tab within the panel on the right side of the window;
  • pick a column within the [image] Data tree and drag it to the working area;
  • add all necessary elements one by one using drag-and-drop operation for each of them.

Report Designer - Adding report data

Note: The Properties Inspector panel which allows you to edit report object properties can be shown/hidden by pressing the F11 key.

See also:

Adding dialog form

Adding database and query components

Viewing the report

Saving the report


Viewing the report

Viewing the report

To preview the newly created report, select the File | Preview main menu item or use the corresponding Preview btnPrintPreview toolbar button. You can also use the Ctrl+P shortcut for the same purpose. This mode allows you to view, edit and print the result report.

To print the report, use the Print btnPrint toolbar button or the corresponding context menu item.

Report Designer - Preview

It is also possible to preview/print the report using Report Viewer.

See also:

Adding dialog form

Adding database and query components

Adding report data

Saving the report


Saving the report

When all report parameters are set, you can save the report to an external *.fr3 file on your local machine or on a machine in the LAN.

To save the report, select the File | Save main menu item or use the corresponding btnSave Save Report toolbar button. You can also use the Ctrl+S shortcut for the same purpose.

If necessary, you can add the report to the database using Create Report Wizard and perform preview/print operations using Report Viewer.

See also:

Adding dialog form

Adding database and query components

Adding report data

Viewing the report


Report Viewer

Using Report Viewer you can view, edit, save and print reports.

Possible report operations are described on the Using Navigation bar and Toolbar page.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Create Report Wizard

Report Designer


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Report Viewer.

Report Viewer - Using Navigation bar

The Navigation bar of Report Viewer allows you to:

Object

iconDB select a database

select a report for viewing

General

iconRefresh refresh the content of the window

edit report using Report Designer

iconSaveToFile save the current report

iconSaveToFileAs save the report to a *.fr3 file using the Save as... dialog

iconPrint print the report

iconRestoreDefaultSize restore the default size and position of the viewer window

Items of the Navigation bar are also available on the ToolBar of the Report Viewer window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Search in Metadata

The Search in Metadata tool is implemented for quick search within the scope of database metadata. The tools allow you to set various search conditions and view the results.

To launch the Search in Metadata tool, select the Tools | iconSearch in Metadata Search in Metadata main menu item, or use the Ctrl+Alt+F shortcut.

  • Using Navigation bar and Toolbar
  • Setting search conditions
  • Viewing search results

See also:

Database Objects Management


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in Search in Metadata.

Search in Metadata - Using Navigation bar

The Navigation bar of the Search in Metadata tool allows you to:

Database group

iconDB select a database for searching

General group

iconSearchInMetadata set search conditions

iconRestoreDefaultSize restore the default size and position of the window

Explorer group

iconDBExplorer browse the tree of found database objects

Items of the Navigation bar are also available on the ToolBar of the Search in Metadata tool. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Setting search conditions

The Find in metadata dialog allows you to set search conditions. It opens each time the Search in Metadata tool is launched.

Search in Metadata - Setting search conditions

Text to find
Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Database
Use the drop-down list to select a database for the search operation.

Options

Available search options are similar to those provided by the Find Text dialog. For detailed description of the search options refer to the Find Text dialog page.

When all the options are set, click OK. The Search in Metadata [search string] report window will display the search progress and results.

See also:

Find Text dialog


Viewing search results

The Search in Metadata window allows you to view the search progress and results fetched from the database.

Search in Metadata - Viewing search results

After the search is complete, the Explorer group on the Navigation bar displays the tree of database objects in which the search string is found, and allows you to view metadata of the required object or its fragment quickly by clicking enclosed object branches in the tree.

The Object <object_name> area is provided for viewing metadata of the objects, with the search string highlighted.

For your convenience the syntax highlight, code completion and a number of other features for efficient SQL editing are implemented. For details see Working with SQL Editor area and Using the context menu.


Selecting database to backup

This step allows you to select the databases you want to backup.

Use the CheckBox With compression option to reduce backup copy file size. You can also select preferable Compression algorithm from the respective drop-down list.

Backup Database - Select databases for backup

The Available databases list contains all the databases registered on the specified host. Move the ones to the Selected databases list. All the databases from this list will be backed up.

Click the Next button to proceed to the final step.


Visual Database Designer

Visual Database Designer is provided for visual presentation of databases, database objects and relations between objects. It also allows you to create, edit and drop tables and table columns, set relations between tables and perform other operations you may need to achieve your purpose.

To open the designer, select the Tools | btnVDBD Visual Database Designer main menu item, or use the btnVDBD VDBD button on the main toolbar.

  • Using Navigation bar and Toolbars
  • Using Diagram Navigator and DB Objects pane
  • Using context menus
  • Adding/removing objects to/from diagram
  • Incremental search
  • Creating new objects
  • Creating relations
  • Working with diagram pages
  • Reverse engineering
  • Printing diagram
  • Saving/loading diagram
  • Setting diagram options

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Database Objects Management

Visual Database Designer options


Using Navigation bar and Toolbars

The Navigation bar and Toolbars provide quick access to tools implemented in Visual Database Designer.

VDBD - Using Navigation bar

The Navigation bar of Visual Database Designer allows you to:

Database group

iconDB select a database for building the diagram

General group

iconOptions edit diagram options

iconRestoreDefaultSize restore the default size and position of the window

iconPrintSetup set printing options using the Print Setup dialog

iconPreview preview the diagram

iconPrint print the diagram

iconRefresh refresh objects in the diagram

Navigator group

Tick use Diagram Navigator

Database Objects group

iconFindText search for objects in the diagram using the Database Objects pane

iconPlus add objects to the diagram using the Database Objects pane

The Toolbars of Visual Database Designer provide quick access to most tools for working with diagrams.

To enable the toolbars, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbars only) or RadioButton Both (if you need both the toolbars and the Navigation bar) in the Bar style for child forms group.

The main toolbar (by default, the toolbar is located at the top of the diagram area) contains a number of tools (including items of the Navigation bar, context menu, tools for printing diagram, etc.) allowing you to:

VDBD - ToolbarsMain

  • select the database for building the diagram;
  • undo/redo;
  • create a new diagram;
  • open an existing diagram;
  • save the current diagram to a *.myd file;
  • save the current diagram as an image;
  • activate the Incremental search panel;
  • adjust diagram zoom for optimal representation: zoom in, zoom out, fit model;
  • switch cursor mode: select / select rectangle to fit;
  • open the Print Setup dialog;
  • print the diagram;
  • show Print Preview;
  • arrange objects in the diagram;
  • extract metadata of all objects in the diagram and load the script to SQL Script Editor;
  • perform Reverse Engineering;
  • refresh objects in the diagram;
  • view/edit diagram options;
  • specify a predefined zoom value;
  • restore the default size and position of the window.

The Pages toolbar (by default, the toolbar is located at the top of the diagram area) contains tools for working with diagram pages allowing you to:

VDBD - Toolbars - Pages

  • add a new page;
  • delete the current page;
  • delete all pages.

The Object Customization toolbar (by default, the toolbar is located at the top-left of the diagram area) contains tools for customizing text elements on the diagram allowing you to:

VDBD - Toolbars - Main

  • change text font;
  • define font size;
  • set text style: bold, italic or underline;
  • specify text color;
  • specify frame color;
  • specify background color.

Diagram toolbar located on the left allows you to:

switch to object selection mode;

switch to create table mode (enables creating tables on clicking);

switch to create relation mode;

switch to create virtual relation mode;

switch to create comment mode;

align left edges;

align right edges;

align tops;

align bottom;

align horizontal centers;

align vertical centers;

space equally, horizontal;

space equally, vertical.

See also:

Using Diagram Navigator and DB Objects pane

Using context menus

Adding/removing objects to/from diagram

Incremental search

Creating new objects

Creating relations

Working with diagram pages

Reverse engineering

Printing diagram

Saving/loading diagram

Setting diagram options


Using Diagram Navigator and DB Objects pane

To navigate within the large diagram, use the Navigator tool available on the Navigation bar. It allows you to see the whole diagram in a reduced scale and to perform a number of operations over the diagram objects.

VDBD - Diagram navigator

A mouse click in the Navigator area sets the center of the visible diagram area. The area currently visible in the main diagram area is outlined in a red bounding rectangle.

Using the Navigator you can work with the diagram objects in the same way as in the main diagram area: add/remove, create new objects, move objects within the diagram and perform other operations.

The Database Objects pane available on the Navigation bar allows you to browse the list of available database objects that can be added to the diagram.

VDBD - Database Objects pane

Select and drag an object to the diagram area or double-click it to add the object to the diagram.

Right-click an item within the list to call the context menu allowing you to:

iconFindText find the selected object in the diagram (if the object is found, it will be highlighted in the diagram area);

iconPlus add new objects to the diagram by Reverse engineering;

Tick specify whether tables are to be displayed;

Tick specify whether views are to be displayed;

Tick specify whether procedures are to be displayed;

Tick specify whether functions are to be displayed;

Tick toggle objects representation mode: as a tree / as a list;

Tick select the sorting mode applied to the objects in the list: by name / by type, name;

iconRefresh refresh the list.

See also:

Using Navigation bar and Toolbars

Adding/removing objects to/from diagram

Creating new objects

Creating relations

Working with diagram pages


Specifying source host and destination backup file

Use this step to define host where the database is located and to specify the file where to backup the database.

Backup database - Specify Source Host

Use the respective drop-down list to select a registered Host where the database is located.

You can specify File name and its location manually or by locating it using the standard btnSaveAs Save dialog.

Click the Next button to proceed to the Selecting database to backup step.


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the backup databases process.

You can view the log of operations and errors (if any).

Backup Database - Backup Database

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed.

If necessary, you can save a template for future use.

Click the Run button to complete the operation.


Selecting source host and backup file

Use this step to specify the host where to restore database and to locate the backup copy file name.

Restore database - Specify Source Host

Select a registered Host from the respective drop-down list to restore database to.

Locate the backup copy file in the File name field. You can specify file name and location manually or locate it using standard ExplorerButton Open dialog.

Click the Next button to proceed to the final step.


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the restore databases process.

You can view the log of operations and errors (if any).

Restore Database - Restore Database

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed.

If necessary, you can save a template for future use.

Click the Run button to complete the operation.


Using context menus

The context menu of the diagram area contains a number of items available in the Navigation bar and toolbars and allows you to:

  • select all objects in the diagram area;
  • adjust diagram zoom for optimal representation: zoom in, zoom out, select rectangle to fit, fit model, specify a predefined zoom value;
  • set the cursor mode to Select or create a new table, view, procedure, function, relation, virtual relation, or comment;
  • configure the grid: draw grid, snap to grid;
  • adjust the diagram style: draw primary key columns separately, draw entities icons, draw attributes icons, draw only names of entities, draw foreign key names;
  • perform Reverse Engineering;
  • extract metadata of the diagram objects to SQL Script Editor;
  • view/edit diagram options.

VDBD - Using context menu

The context menu of an entity contains items for working with the object and allows you to:

  • edit the object using its editor (Table Editor, View Editor, Procedure Editor, Function Editor);
  • create a new object using its editor (New table, View Editor, Procedure Editor, Function Editor);
  • drop the object from the database;
  • show/hide object subitems (for tables) or the entire object (for procedures, functions);
  • remove the object from the diagram (for tables, views).

VDBD - Using entity context menu

The context menu of a column contains items for working with the object and its columns and allows you to:

  • edit the selected column using its editor (Column Editor);
  • create a new column;
  • drop the selected column;
  • edit the object using its editor (Table Editor);
  • create a new object using its editor (New table);
  • drop the object from the database;
  • show/hide object subitems;
  • remove the object from the diagram.

VDBD - Using field context menu

See also:

Using Navigation bar and Toolbars

Adding/removing objects to/from diagram

Incremental search

Creating new objects

Creating relations


Adding/removing objects to/from diagram

To add an object to the diagram:

  • drag it from the Database Explorer tree to the diagram area

or

  • drag it from the Database Objects pane (available on the Navigation bar) to the diagram area or simply double-click this object in the list.

To add objects by Reverse engineering, you can right-click within the Database Objects list and select the iconPlus Add new objects... context menu item.

To remove an object from the diagram, select it in the diagram area, then right-click its title and choose the Remove <object_name> item from the context menu, or just press the Del key.

VDBD - Removing objects from diagram

See also:

Using Navigation bar and Toolbars

Using Diagram Navigator and DB Objects pane

Using context menus

Creating new objects

Creating relations

Reverse engineering

Database Objects Management


Incremental search

To search for an object within the diagram:

  • right-click the required object in the Database Objects pane and select the btnFindText Find Object in Diagram item from the context menu

or

  • click the [image] Incremental Search button on the main toolbar or use the Ctrl+I shortcut to activate the Incremental Search panel in the status bar area of the designer window.

VDBD - Incremental Search

Type a string in the edit-box, and the object having the name with the closest match will be highlighted in the diagram area.

See also:

Using Diagram Navigator and DB Objects pane


Creating objects

To create a new object using Visual Database Designer:

  • press the Create table button on the New object toolbar;
  • click the desired point on the diagram to place the new object at;
  • specify object properties using its editor (New table, View Editor, Procedure Editor, Function Editor).

VDBD - Creating new table

Hint: To create a new object, you can also select the corresponding item from the context menu. The context menus also allow you to edit and drop database objects.

Note: Before you press the iconCompile Compile button the object is created on the diagram area only but not in the database.

See also:

Using Diagram Navigator and DB Objects pane

Adding/removing objects to/from diagram

Incremental search

Creating relations


Creating relations

Creating material relations

To establish a new material relation (which is the foreign key in terms of database management):

  • press the Create Relation button on the New object toolbar;
  • click the entity where the referential constraint should be created;
  • click the referred entity;
  • specify the new foreign key properties using Foreign key Editor.

VDBD - Creating relations

Creating virtual relations

Due to the fact that only tables of InnoDB storage engine support Foreign Keys, SQL Manager for MySQL provides an ability to build virtual relations between tables of other (non-referential) storage engines (e.g. MyISAM).

Virtual relations do not exist physically, they are only stored in the diagram. They are designed for building database structure visually regardless of the storage engines used. A virtual relation can be materialized further into a Foreign Key when you change the table storage engine to InnoDB.

To establish a new virtual relation (which is implemented as a virtual foreign key):

  • press the Create Virtual Relation button on the New object toolbar;
  • click the entity where the virtual referential constraint should be created;
  • click the referred entity;
  • specify the new virtual foreign key properties using Foreign key Editor.

Hint: To create a relation, you can also use the corresponding item of the context menu.

Once the relation is created, it is displayed as a line between two entities in the diagram area. The style the line is drawn is determined by the diagram notation.

The context menu of this line allows you to edit the foreign key using Foreign key Editor, drop the foreign key from the database, or materialize the relation (if it is virtual).

VDBD - Creating relations - Context menu

See also:

Using Diagram Navigator and DB Objects pane

Adding/removing objects to/from diagram

Incremental search

Creating new objects


Working with diagram pages

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Working with multiple diagram pages

You can create several pages in one diagram to split the model into several subject groups, e.g. for better comprehension.

To manage diagram pages, right-click on the tabs at the bottom of the diagram area and select the required popup menu items for adding, deleting and renaming pages.

VDBD - Working with diagram pages

Hint: Page management items are also available on the Pages toolbar of Visual Database Designer.

See also:

Using Diagram Navigator and DB Objects pane

Adding/removing objects to/from diagram


Reverse engineering

The reverse engineering operation builds relationship diagram on the basis of the current database's structure. The objects are arranged automatically within the diagram model.

To start the reverse engineering process, press the Reverse Engineer btnReverseEngineer button on the main toolbar, or use the corresponding item of the context menu.

VDBD - Reverse engineering

The Select objects dialog allows you to specify the object types to be placed on the diagram upon reverse engineering: tables, views, procedures, functions.

VDBD - Reverse engineering - Select objects

See also:

Using Navigation bar and Toolbars

Using Diagram Navigator and DB Objects pane

Adding/removing objects to/from diagram


Printing diagram

Visual Database Designer allows you to print and preview the diagram.

To preview the diagram:

  • press the btnPrintPreview Print Preview button on the toolbar;
  • preview the diagram using the Print Preview window.

To setup print options:

  • press the btnPrintSetup Print Setup button on the toolbar, or use the corresponding link on the Navigation bar;
  • set printing options using the Print Setup dialog and press OK.

To print the diagram:

  • press the btnPrintMetadata Print button on the toolbar;
  • set printing options using the Print Setup dialog and press the Print button.


Print Preview

The Print Preview dialog allows you to see the diagram layout in WYSIWYG mode before it will be printed.

Use the navigation buttons or the spinner control to navigate within the preview pages.

Click the Print options... button to call the Print Setup dialog.

If necessary, specify the preview zoom according to your preferences.

Click the Print all button to start printing.

VDBD - Printing diagram - Print Preview

See also:

Print Setup dialog


Print Setup dialog

The Print Setup dialog of Visual Database Designer provides two tabs for setting printing options: Printer and Page options.

The Printer tab of the Print Setup dialog allows you to:

  • specify the printer (use the Choose printer button to select a printer which is not set by default on your system; the name, driver, port fields display the selected printer details);
  • specify print layout: print using a defined scale factor or arrange diagram at a defined number of pages horizontally and vertically;
  • set other print options.

Database tools - VDBD - Print Setup - Printer

The Page options tab of the Print Setup dialog allows you to:

  • specify page margins (in millimeters): Top margin, Bottom margin, Left margin, Right margin;
  • specify Page header and Page footer: enter the header/footer running titles text, set left/center/right align.

Database tools - VDBD - Print Setup - Page options

Hint: It is also possible to set macros in the Page header and Page footer fields:

#PCOUNT stands for the quantity of pages;

#PAGE - the number of the current page;

#DATE denotes the current date;

#TIME denotes the current time.

See also:

Print Preview


Saving/loading diagram

Use the btnSave Save Diagram and the ExplorerButton Open Diagram buttons on the main toolbar to save the diagram as a *.myd file for future use or to load the previously saved diagram.

VDBD - Saving and Loading diagram

If necessary, you can save the diagram as an image: click the Save as Picture btnSaveAsPicture button on the on the main toolbar.

See also:

Using Navigation bar and Toolbars

Using Diagram Navigator and DB Objects pane

Using context menus

Adding/removing objects to/from diagram


Setting diagram options

Using the Diagram Options dialog you can setup the behavior and look of each diagram page.

To open this dialog, use the btnEnvironmentOptions Diagram options item of the Navigation bar or on the main toolbar, or select the corresponding item from the context menu.

See detailed description of each option on the Visual Database Designer page of the Environment Options dialog.

See also:

Using Diagram Navigator and DB Objects pane

Visual Database Designer options


Specific DB Tools

SQL Manager for MySQL provides graphical interface for a number of database maintenance operations. The following specific database tools are available in SQL Manager:

Compare Databases Wizard

Creates an SQL Script providing databases synchronization.

Copy Database Wizard

Allows you to copy database objects and/or data from one database to another

Using templates

Facilitates using SQL Manager wizards

To obtain detailed information concerning specific MySQL database maintenance services, refer to the official MySQL server documentation.

See also:

Common database tools


Compare Databases Wizard

Compare Databases Wizard creates an SQL script that provides database structure synchronization. To launch the wizard use the Tools | iconCompare Compare Databases... item of the main menu.

  • Selecting source database
  • Selecting target database
  • Selecting type of the synchronization script
  • Defining options for the destination script
  • Performing operation

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Copy database wizard

Show information


Selecting source database

Use this step to define source database for comparing.

Database Comparer Wizard - Select the source database

Source host

Define host where source database is located.

Source database

Select source database from the drop-down list.

Click the Next button to proceed to the Selecting target database step.


Specifying target database

Use this step to define target database for comparing.

Database Comparer Wizard - Specify the target database

Target host

Define host where target database is located.

Target database

Select target database from the drop-down list.

Click the Next button to proceed to the Selecting type of the synchronization script step.


Selecting type of synchronization script

Specify the direction of the selected databases comparing.

Database Comparer Wizard - Select the type of synchronization script

RadioButton Target database into source database

Enables reverse comparing: the synchronization script will contain statements which make the target database identical to the source one.

RadioButton Source database into target database.

Enables direct comparing: the synchronization script will contain statements which make the source database identical to the target one.

Click the Next button to proceed to the Defining options concerned destination script step.


Defining options for destination script

Use this step to define additional option for destination script.

Database Comparer Wizard - Select additional options

RadioButton Automatically load to Script Editor

With this option is enabled, the synchronization script will not be saved. It will be loaded to Script Editor.

RadioButton Save to file

Use this option if you need to save the synchronization script to a file.

File name

Defines the name of the file to save the synchronization script to. Click the btnSaveAs Save button to locate file using the standard dialog or type the file name and it's location manually.

File charset

Specified character set will be used when saving the script to file.

Click the Next button to proceed to the Performing operation step.


Performing operation

This step of the wizard is intended to inform you that all necessary options have been set, and you can start comparing databases.

The log area allows you to view the log of operations and errors (if any).

Compare Database Wizard - Comparing database

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed. If the option is disabled then you can repeat the operation with the same or redefined parameters.

Click the Run button to run the backup database operation.

Use the templates button to save current settings to template or to restore settings from an existing template.


Copy Database Wizard

Copy Database Wizard allows you to transfer the entire database with its objects and data from one location to another.

To run the wizard, select the Tools | iconDatabases Copy Database... main menu item.

  • Selecting source database
  • Specifying destination database
  • Selecting components to copy
  • Selecting objects to copy their structure
  • Selecting objects to copy their data
  • Setting additional options
  • Copying database
  • Using templates

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Selecting source database

This step of the wizard allows you to select the source database to copy and specify destination database registration status.

Copy Database Wizard - Selecting source database

Source Database

Use the drop-down list of registered and currently connected databases to select the database to copy.

Destination database

Select RadioButton Registered database if you want to copy the specified database to a registered database, or select RadioButton Non-registered database to copy the specified database to a new (non-registered) database. Optionally, you can select the RadioButton Into new database mode. In this mode a new database will be created.

Click the Next button to proceed to the Specifying destination database step of the wizard.


Specifying destination database

Use this step of the wizard to set the destination database for copying objects to. If the database is already registered (i.e. RadioButton Registered database was selected at the previous step), then you just need to select a host and a database that resides on this host. Otherwise you should set all the connection properties using the corresponding boxes and options: Host name, Port, User name, Password, Database name.

Copy Database Wizard - Specifying destination database

Specify the host where the destination database resides: type in the host name in the Host name field or select one in the drop-down list.

Enter MySQL port to connect through in the Port field and provide authorization settings: User name and Password.

Optionally you can use Named pipe to connect to database. Define Named pipe in the respective field. Named pipe value is stored in the MySQL server configuration file.

Database

Type in the name of the database to copy objects into.

If necessary, check the CheckBox Create profile for destination database option to register database in SQL Manager for MySQL.

The Load connection info menu allows you to select the alias of a previously registered database and use it's registration info for the newly created/configured database.

Click the Next button to proceed to the Selecting components to copy step of the wizard.


Selecting components to copy

This step allows you to specify the components to copy: choose whether structure only, data only or both structure and data should be copied.

Copy Database Wizard - Selecting components to copy

Click the Next button to proceed to the Selecting objects to copy their structure step of the wizard, or to the Selecting objects to copy their data step if you have specified to copy data only.


Selecting objects to copy their structure

This step of the wizard allows you to select database objects for copying metadata.

Note that this step is only available if the RadioButton Copy both structure and data or RadioButton Copy structure only mode was specified when Selecting components to copy.

CheckBox Copy all database objects

Adds all objects of the source database to the copy database process.

Objects to copy

Use the drop-down list to select the type of objects to be copied.

To select an object, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

Copy Database Wizard - Selecting objects to copy their structure

Click the Next button to proceed to the Selecting objects to copy their data step of the wizard, or to the Setting additional options step if you specified to copy structure only when Selecting components to copy.


Selecting server objects to copy

This step of the wizard allows you to select server objects for copying metadata.

This step is available only when you copying database structure.

Copy Database Wizard - Selecting server objects to copy

CheckBox Copy all server objects

Use the option if you want all server objects to be copied.

To select objects manually, select object type from the Objects to copy drop-down list. Then move all needed objects of the selected type from Available list to Selected.

Click the Next button to proceed to the Selecting objects to copy their data step.


Selecting objects to copy their data

This step of the wizard allows you to select tables for copying data.

Note that this step is only available if the RadioButton Copy both structure and data or RadioButton Copy data only mode was specified when Selecting components to copy.

RadioButton Copy data of the selected tables

Adds only selected tables to the Copy Database process.

RadioButton Copy data of all tables

Adds all tables of the source database to the Copy Database process.

RadioButton Copy data of tables selected on the previous step

Adds only the tables selected for copying their structure.

To select a table, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

Copy Database Wizard - Selecting objects to copy their data

Click the Next button to proceed to the Setting additional options step of the wizard.


Setting additional options

This step allows you to customize common copying options and data options for the Copy Database process.

Connection options

CheckBox Use compression protocol

Enables using the compressed data protocol when connecting to the destination database.

Structure Options

CheckBox Drop object if exists

Check the option to add the DROP IF EXISTS statements for the objects specified for copying.

CheckBox Disable foreign key checks

If this option is selected, foreign key constraints are not considered in the copying process (SET FOREIGN_KEY_CHECKS=0).

CheckBox Copy dependent objects

This option determines objects' dependencies usage in the copying process. Check the option to copy all objects that the selected objects depend on.

CheckBox Copy privileges

Check the option to copy privileges associated with objects.

Copy Database Wizard - Setting additional options

Data options

RadioButton Record count per each data block

In this mode you can define number of records in each committed block manually. Use the spinner control for this purpose.

RadioButton Max allowed data block

Select this option to set maximum size for data block.

CheckBox Commit each data block

Check this option to add the COMMIT statement after the defined number of records.

CheckBox Extract table data just after its definition

Check the option to extract table metadata before extracting data.

CheckBox Delete old records before copying

Check the option to truncate target table (if it exists) before inserting data from a source table.

When you are done, click the Next button to proceed to the Copying database step of the wizard.


Copying database

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the Copy Database process.

The Operations tab allows you to view the log of operations and errors (if any).

Copy Database Wizard - Copying database

CheckBox Abort copying on error

This option determines whether the copying process should be stopped or forced to continue if an error occurs.

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed.

If necessary, you can save a template for future use.

Click the Run button to complete the operation.


Show information

Show information has many forms that provide information about databases, tables, columns, or status information about the server. To access this tool open the main menu Tools | Show submenu and select the needed item. Alternatively you can use the Database Tools | iconShow Show in the database context menu.

You can find more detailed info at: http://dev.mysql.com/doc/refman/5.0/en/show.html

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Compare Databases Wizard

Copy Database Wizard


Using Navigation bar and Toolbar

The Navigation bar and Toolbars provide quick access to tools implemented in Show Information.

Show - Using Navigation bar

The Navigation bar of Show Information allows you to:

General group

iconDB select a database

Host group

iconShowBinaryLogs Show binary logs

iconShowBinLogsEvents Show binlogs events

iconShowCharacteSet Show character set

iconShowCollation Show collation

iconDB Show databases

iconShowEngines Show engines

btnCreateDB Show errors

iconGrantManager Show privileges

iconShowProcessList Show processlist

iconShowWarnings Show warnings

Database group

btnRegisterDB Show create database

iconShowOpenTables Show open tables

iconShowProcedureStatus Show procedure status

iconShowTableStatus Show table status

iconShowTables Show tables

iconShowTriggers Show triggers

The Toolbars of Visual Database Designer provide quick access to most tools of Show Information feature.

To enable the toolbars, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbars only) or RadioButton Both (if you need both the toolbars and the Navigation bar) in the Bar style for child forms group.


Show host information

Show binary logs

Lists the binary log files on the server.

Show binary logs

Table displays log name and file size in respective columns.

Show binlogs events

Shows the events in the binary log. Binary log consists of files that store events describing changes in database.

Show binlogs events

Table displays log name, start log position, event type, server ID, end log position and additional info.

Show character set

Shows all available character sets.

Show character set

Table displays character set, its description, default collation (set of rules for data comparing, that is used by default for corresponding character set; these rules define table of codes and used for collation of current character set with Unicode and other formats) and max length (in bytes).

Show collation

Lists collations supported by the server.

Table displays collation name, corresponding character set, collation ID, whether collation is default for its character set, is collation compiled on server and sorting length (memory size required for sorting string data).

Show databases

Lists the databases on the MySQL host.

Show engines

Displays status information about the server's storage engines.

Table displays engine name, whether engine is supported by server, brief comments, whether transactions, XA transactions and savepoints are supported by this engine.

Show errors

Shows the error messages that resulted from the last statement that generated messages in the current session.

Table displays error level, error code and text of error message.

Show privileges

Shows the list of system privileges that the MySQL server supports. The list can vary depending on the current server version.

Table displays privilege name, context (objects, which this privilege can be applied to) and brief comments.

Show processlist

Lists threads which are currently running.

Table displays the connection ID, user who issued the statement, client host, default database (NULL if not selected), type of command the thread is executing, time in seconds that the thread has been is current state, state that indicates what the thread is doing, info - the statement the thread is executing (NULL if it is not executing any statement).

Show warnings

Shows the error, warning, and note messages that resulted from the last statement that generated messages in the current session.

Table displays warning level, its code and message.


Show database information

Show create database

Shows the CREATE DATABASE statement that creates the given database.

Show create database

Table displays database name and respective CREATE DATABASE statement.

Show open tables

Lists the non-TEMPORARY tables that are currently open in the table cache.

Show open tables

Table displays database name, where the table is contained, the table name, the number of table locks or lock requests for the table (In_use), and whether the table name is locked.

Show procedure status

Shows status of all procedures on the host.

Show procedure status

Table contains name of database where procedure is stored, procedure name, procedure type, procedure definer, date when the procedure was last modified, date when the procedure was created, security type (whether procedure executed using the invoker or definer privileges), brief comments, client character set name, collation of the connection character set, database collation.

Show table status

Lists non-temporary tables in the specified database and provides vary information about each table.

Show table status

Table contains name of the table, storage engine for the table, version number of the table's .frm file, row-storage format (Fixed, Dynamic, Compressed, Redundant, Compact), number of rows, average row length, length of the data file, maximum length of the data file, length of the index file, Data_free - number of allocated but unused bytes, next AUTO_INCREMENT value, Create_time - time when the table was created, Update_time - time when the data file was last updated, Check_time - time when the table was last checked, the table's character set and collation, the live checksum value (if any), Create_options - extra options used with CREATE TABLE statement, the comment used when creating the table.

Show tables

Lists all tables of the selected database.

Table displays names of tables stored in the database.

Show triggers

Lists the triggers currently defined for tables in a database.

Table displays trigger name, event that causes trigger activation (INSERT, UPDATE or DELETE), table for which trigger is defined, statement to be executed when trigger is activated, trigger timing (BEFORE or AFTER), Created (currently the value of this column is always NULL), SQL mode in effect when the trigger executes (starting from MySQL ver. 5.0.11), definer - account under which the trigger was created, client character set name, collation of the connection character set, database collation.


Server Tools

SQL Manager for MySQL provides a number of powerful tools for working with your database server:

Dump Database

Backup Tables

Restore Tables

Flush

Analyze Tables

Check Tables

Repair Tables

Optimize Tables

Truncate Tables

Change Tables Engine

Server Properties

Instance Manager

Run mysql.exe

Ping Server

Shutdown Server

To obtain detailed information concerning MySQL security system and services, refer to the official MySQL server documentation.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server security management

Personalization

External Tools

How To...


Dump Database

Dump Database Wizard allows you to backup a MySQL database into an SQL script using mysqldump.exe client. It can be used to dump a database or a set of databases for backup or transfer to another SQL server (not necessarily a MySQL server).

To run this wizard select the Services | [image] Dump Database main menu item.

  • Specifying source host
  • Selecting databases to dump
  • Selecting objects to dump
  • Specifying destination file name
  • Setting dump options
  • Setting structure options
  • Setting data options
  • Performing operation

See also:

Backup Tables

Restore Database

Using templates


Specifying source host

Use this step to define a host where the databases are located and connection parameters.

Dump database - Specifying source host

Use the respective drop-down list to select a registered Host where the databases are located.

Also, you need to provide authorization settings: User and Password to connect to the server.

By default, these fields are filled up with authorization parameters provided in the Database Registration Info dialog. You can specify another settings for working with mysqldump.exe, for example administrator account, in case a user with restricted access rights is used for managing database.

Click the Next button to proceed to the Selecting databases to dump step of the wizard.


Selecting databases to dump

This step of the wizard allows you to select the database(s) that reside on the selected host for dumping.

Dump database - Selecting databases to dump

To select a database, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the databases from one list to another.

CheckBox Select all databases

This option is equivalent to the '--all-databases' option of the mysqldump.

If this option is checked then all tables and views of all databases on the selected host will be dumped.

Click the Next button to proceed to the Selecting objects to dump step of the wizard.


Selecting objects to dump

This step of the wizard allows you to select database(s) objects for dumping.

Note that this step is only skipped if the CheckBox Select all databases option was selected on the Selecting databases to dump step.

Dump database - Selecting objects to dump

CheckBox Select all tables and views

Adds all objects of the source databases to the dump database process.

Database

Use the drop-down list to select one of the databases specified on the Selecting databases to dump step.

Object type

Use the drop-down list to select the type of objects to be dumped.

To select an object, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the objects from one list to another.

Click the Next button to proceed to the Specifying destination file name step of the wizard.


Specifying destination file name

Use this step to specify the dump file(s) output options.

Dump database - Specifying destination file name

RadioButton Dump to file

Select this option to export all dumped objects of the selected databases into a single file.

File path

Provide the path to the file for saving the dump script to. Click the btnSaveAs Save button to locate file using the standard dialog or type the file name and it's location manually.

RadioButton Dump to folder

This option indicates that the dump script should be splitted into different files. Each table will be exported into a separate file. All views, procedures and functions are exported to the 'routines.sql' file.

Folder path

Provide the path to the folder where dump script files will be stored. Click the ExplorerButton Browse button to locate the folder using the standard dialog or type the folder path manually.

Charset

If necessary, use the drop-down list to select the character set for the file with exported data.

CheckBox XML format

If this option is checked then the result dump file will be saved in the *.xml file.

Click the Next button to proceed to the Setting dump options step of the wizard.


Setting dump options

This step allows you to specify the dump options: choose whether structure only, data only or both are to be dumped.

Dump database - Setting dump options

Click the Next button to proceed to the Setting structure options step of the wizard.


Setting structure options

Use this step of the wizard to set structure options of the result file.

Note that this step is skipped if the RadioButton Dump data only option was selected on the Setting dump options step.

Dump database - Setting structure options

CheckBox Dump events

This option is equivalent to the '--events' option of the mysqldump.

Include Event Scheduler events for the dumped databases in the output.

CheckBox Dump triggers

This option is equivalent to the '--triggers' option of the mysqldump.

Include triggers for each dumped table in the output.

CheckBox Dump stored routines (procedures and functions)

This option is equivalent to the '--routines' option of the mysqldump.

Include stored routines (procedures and functions) for the dumped databases in the output. The output generated contains CREATE PROCEDURE and CREATE FUNCTION statements to re-create the routines.

CheckBox Add "DROP DATABASE" statement

This option is equivalent to the '--add-drop-database' option of the mysqldump.

Check the option to add the DROP DATABASE statement for the database in the result script.

CheckBox Add "CREATE TABLE" statement

This option regulates the '--no-create-info' parameter of the mysqldump command.

Check this option to add the CREATE TABLE statement to the result script that re-creates each dumped table.

CheckBox Add "DROP TABLE" statement

This option is equivalent to the '--add-drop-table' option of the mysqldump.

Check this option to add a DROP TABLE statement before each CREATE TABLE statement.

CheckBox Include all MySQL-specific table options in the "CREATE TABLE" statements

This option is equivalent to the '--create-options' option of the mysqldump.

Click the Next button to proceed to the Setting data options step of the wizard.


Setting data options

Use this step of the wizard to set data options of the result file.

Note that this step is skipped if the RadioButton Dump structure only option was selected on the Setting dump options step.

Dump database - Setting data options

CheckBox Add locks around INSERT statements

This option is equivalent to the '--add-locks' option of the mysqldump.

If this option is checked then each table dump is surrounded with LOCK TABLES and UNLOCK TABLES statements.

CheckBox Disable keys before dump database

This option is equivalent to the '--disable-keys' option of the mysqldump.

Check this option to surround the INSERT statements with /*!40000 ALTER TABLE tbl_name DISABLE KEYS */; and /*!40000 ALTER TABLE tbl_name ENABLE KEYS */; statements for each table.

CheckBox Dump binary strings (BINARY, VARBINARY, BLOB) in hex

This option is equivalent to the '--hex-blob' option of the mysqldump.

If this option is checked then binary columns are dumped using hexadecimal notation.

CheckBox Use "INSERT IGNORE" statement

This option is equivalent to the '--insert-ignore' option of the mysqldump.

INSERT IGNORE statements are written instead of INSERT statements in a script.

CheckBox Use multiple-row INSERT

This option is equivalent to the '--extended-insert' option of the mysqldump.

Check this option to use multiple-row INSERT syntax that include several VALUES lists. This results in a smaller dump file and speeds up inserts when the file is reloaded.

Click the Next button to proceed to the Performing operation step of the wizard.


Performing operation

This step of the wizard is intended to inform you that all dump options have been set, and you can start the dump process.

The log area allows you to view the log of operations and errors (if any).

Dump database - Performing operation

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the dump process is completed.

If necessary, you can save a template for future use.

Click the Run button to run the extraction process.


Restore Database

Restore Database Wizard allows you to restore a MySQL database from an SQL script using mysql.exe client. It can be used for restoring a database or a set of databases.

Note: For running the restoring process the mysql.exe file must be situated in the C:\Program Files (x86)\EMS\SQL Manager for MySQL\Dump directory.

To run this wizard select the Services | [image] Restore Database main menu item.

  • Specifying host
  • Selecting file for restoring
  • Selecting databases
  • Selecting objects
  • Performing operation

See also:

Restore Tables

Dump Database

Using templates


Specifying host

Use this step to define a host where the databases should be restored and connection parameters.

Restore database - Specifying source host

Use the respective drop-down list to select a registered Host where the databases are located.

Also, you need to provide authorization settings: User and Password to connect to the server.

By default, these fields are filled up with authorization parameters provided in the Database Registration Info dialog. You can specify another settings for working with mysql.exe, for example administrator account, in case a user with restricted access rights is used for managing database.

Click the Next button to proceed to the Selecting file for restoring step of the wizard.


Selecting file for restoring

On this step you need to specify a dump file or a folder with dump files that should be restored.

Restore database - Selecting file to restore

RadioButton Restore from file

Select this option to restore a database or a set of databases from the single dump file.

File path

Provide the path to the file for loading the dump script. You can specify file name and location manually or locate it using standard ExplorerButton Open dialog.

Default target database

Use the drop-down list of the databases located on the host to select the database that should be restored. This value is used if the dump file does not contain CREATE DATABASE or USE statements, otherwise it is ignored and all databases included in the dump file are restored.

RadioButton Restore from folder

Select this option to restore a database or a set of databases from a set of files located in one folder.

Folder path

Provide the path to the folder for loading the dump files. You can specify the folder location manually or locate it using standard ExplorerButton Open dialog.

Charset

If necessary, use the drop-down list to select the character set of the script.

Click the Next button to proceed to the Selecting databases step of the wizard.


Selecting databases

This step appears if on the previous step the RadioButton Restore from folder option was selected. On this step you can select databases that should be restored.

Restore database - Selecting databases

The Available list contains all databases found in the specified folder.

To select a database, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the databases from one list to another.

Click the Next button to proceed to the Selecting objects step of the wizard.


Selecting objects

On this step you can select tables that should be restored.

Restore database - Selecting objects

Use the Database drop-down list to select the database where the tables will be restored.

The Available list contains all tables which DDLs are found in the selected database dump.

To select a table, you need to move it from the Available list to the Selected list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the databases from one list to another.

Note: For restoring views, procedures and triggers you need to select the 'routines' table.

To restore all available tables in all selected databases check the CheckBox Select all tables option.

Click the Next button to proceed to the Performing operation step of the wizard.


Performing operation

This step of the wizard is intended to inform you that all restore options have been set, and you can start the restore process.

The log area allows you to view the log of operations and errors (if any).

Restore database - Performing operation

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the restoring process is completed.

If necessary, you can save a template for future use.

Click the Run button to run the extraction process.


Backup Tables

Backup Tables Wizard allows you to make a copy of all the table files to a local backup directory.

Currently MySQL supports backup only for tables of MyISAM storage engine. The service copies *.frm (definition) and *.myd (data) files. The index file can be rebuilt from those two. The copied table is locked with a read lock during the backup process.

Note: This tool is not accessible for MySQL 5.5 and higher.

Note: You cannot backup tables on a remote server; backup works only for local databases. To backup tables from a remote server, you can use Extract Database, and then restore them using SQL Script Editor.

To run the wizard, select the Services | iconBackupTables Backup Tables... main menu item.

  • Selecting database for backup
  • Selecting tables for backup
  • Viewing routine results

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Restore Tables

Using templates


Selecting database

This step of the wizard allows you to specify the database where tables for backup are stored and the backup directory.

Backup Tables - Selecting database

Database

Use the drop-down list of registered databases to select the database where tables for backup are stored.

Backup directory

Type in or use the ellipsis EllipsisButton button to specify the full path to the directory where the backup files will be stored.

Click the Next button to proceed to the Selecting tables for backup step of the wizard.


Selecting tables for backup

Use this step of the wizard to select the tables to be backed up using MySQL routines.

To select a table, you need to move it from the Available tables list to the Selected tables list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

To backup all available tables, check the corresponding CheckBox Backup all option.

Backup Tables - Selecting tables

Click the Next button to proceed to the last step of the wizard.


Viewing routine results

The last step of the wizard is intended to inform you that all necessary options have been set at the previous steps, and now you can start the specified process.

The green progress bar indicates the total progress of the routine.

The Operations tab allows you to view the log of operations.

Repair Tables - Viewing routine results - Operations

The Result tab displays the routine results (detailed information on routine objects, operation status, routine result messages) for each of the specified tables, and errors (if any).

Repair Tables - Viewing routine results - Result

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed.

If necessary, you can save a template for future use.

Click the Run button to complete the operation.


Restore Tables

Restore Tables Wizard allows you to restore database tables saved previously with Backup Tables Wizard.

Existing tables cannot be overwritten: en error will be displayed on attempt to restore the table over the existing one. The restore process takes more time than creating a backup, because the tool needs to rebuild indices. The more keys there are in tables, the more time the reconstruction will take. At present it is possible to restore (as well as to backup) only tables of MyISAM storage engine.

To run the wizard, select the Services | iconRestoreTables Restore Tables... main menu item.

  • Setting the source directory
  • Selecting target database
  • Selecting tables for restoring
  • Viewing routine results

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Backup Tables

Using templates


Setting the source directory

This step of the wizard allows you to specify the source directory to be used to restore tables and to select the status of the destination database.

Restore Tables - Setting the source directory

Source directory

Type in or use the ellipsis EllipsisButton button to specify the full path to the directory where the backup files are currently stored.

Destination database

Select whether the tables should be restored to a registered database or to a database which is not registered in SQL Manager yet (non-registered database).

Click the Next button to proceed to the Selecting target database step of the wizard.


Selecting target database

Use this step to define the database to restore tables into.

In case you are restoring the tables to a registered database:
Use the Host and Database drop-down lists to select the host and the database where the tables will be restored.

Restore Tables - Selecting target database

In case you are restoring the tables to a non-registered database:

Set the connection parameters to register the database where the tables will be restored.

Restore Tables - Specify target database

Select a registered Host from the drop-down list and specify the connection port.

Provide authorization information: User name and Password.

Select a Database name from the respective drop-down list.

Note: If there is no required database on the host, you can create a new one. Use the CheckBox Create new database option for this purpose.

Click the Next button to proceed to the Selecting tables for restoring step of the wizard.


Selecting tables for restoring

Use this step of the wizard to select the tables to be restored using MySQL routines.

If you are restoring tables on a local host then this step looks the following way:

Restore Tables - Selecting tables

To select a table, you need to move it from the Available tables list to the Selected tables list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

If you are restoring tables on a remote host then this step looks the following way:

Restore Tables - Inputting table names

Note: You can manually input the names of tables that do not exist in the database to restore (e.g. when restoring tables on a remote host).

To add a table name, type it in and click the iconPlus button to add it to the Tables to restore list.

To remove a table name, select it in the Tables to restore list and click the iconCross button.

To fill table names from the specified target database, click the iconAutoFillColumns button to call the Select tables... dialog.

Restore Tables - Inputting table names - Select tables

To load table names list from a text file, click the ExplorerButton button.

To save the Tables to restore list as a *.txt file, click the [image] button.

Click the Next button to proceed to the last step of the wizard.


Flush

The Services | Flush menu allows you to perform native MySQL FLUSH operations that clear some of the internal caches used by the server.

Note: To execute the FLUSH command, the user must have the corresponding Reload global privilege granted.

  • Flush usage

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Flush usage

The following list illustrates the use of FLUSH:

  • HOSTS

Empties the host cache tables. You should flush the host tables if some of your hosts change IP number or if you get the error message 'Host ... is blocked'. When more than max_connect_errors errors occur in a row for a given host while connection to MySQL server, MySQL assumes something is wrong and blocks the host from further connection requests. Flushing the host tables allows the host to attempt to connect again.

  • LOGS

Closes and reopens all log files. If you have specified the update log file or a binary log file without an extension, the extension number of the log file will be incremented by one relative to the previous file. If you have used an extension in the file name, MySQL will close and reopen the update log file.

  • PRIVILEGES

Reloads the privileges from the grant tables in the MySQL database.

  • QUERY CACHE

Defragments the query cache to better utilize its memory. This command will not remove any queries from the cache, unlike RESET QUERY CACHE.

  • TABLES

Closes all open tables and forces all tables in use to be closed.

  • TABLES WITH READ LOCK

Closes all open tables and locks all tables for all databases with a read until one executes UNLOCK TABLES. This is very convenient way to get backups if you have a file system, like Veritas, that can take snapshots in time.

  • STATUS

Resets most status variables to zero. This is something one should only use when debugging a query.

  • USER_RESOURCES

Resets all user resources to zero. This will enable blocked users to login again.


Analyze Tables

Analyze Tables Wizard allows you to analyze and store the key distribution for tables.

During the analysis the table is locked with a read lock (for MyISAM and BDB tables) or with a write lock (for InnoDB tables). MySQL uses the stored key distribution to decide in what order tables should be joined when one does a join on something different than a constant. In addition, key distributions can be used when deciding which indexes to use for a specific table within a query.

To run the wizard, select the Services | iconAnalyzeTables Analyze Tables... main menu item.

  • Selecting database
  • Selecting tables for analysis
  • Viewing routine results

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Tables

Using templates


Selecting database

This step of the wizard allows you to specify the host and the database where tables for analysis are stored.

Analyze Tables - Selecting database

Host

Use the drop-down list of registered hosts to select the host where the database resides.

Database

Use the drop-down list of registered databases to select the database where tables for analysis are stored.

Click the Next button to proceed to the Selecting tables for analyzing step of the wizard.


Selecting tables for analyzing

Use this step of the wizard to select the tables to be analyzed using MySQL routines.

To select a table, you need to move it from the Available tables list to the Selected tables list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

Analyze Tables - Selecting tables to be analyzed

Click the Next button to proceed to the last step of the wizard.


Check Tables

Check Tables Wizard allows you to check database tables for errors.

In MySQL 6.x.x the service works for tables of MyISAM, InnoDB, ARCHIVE, and CSV storage engines. For MyISAM tables, the key statistics are updated as well.

To run the wizard, select the Services | iconCheckTables Check Tables... main menu item.

  • Selecting database
  • Selecting tables for checking
  • Viewing routine results

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Tables

Using templates


Selecting database

This step of the wizard allows you to specify the host and the database where tables for checking are stored.

Check Tables - Selecting database

Host

Use the drop-down list of registered hosts to select the host where the database resides.

Database

Use the drop-down list of registered databases to select the database where tables for checking are stored.

Click the Next button to proceed to the Selecting tables for checking step of the wizard.


Selecting tables for checking

Use this step of the wizard to define check options and select the tables to be checked using MySQL routines.

Options

CheckBox Quick

Do not scan the rows to check for wrong links.

CheckBox Fast

Check only tables that have not been closed properly.

CheckBox Changed

Check only tables that have been changed since last check or have not been closed properly.

CheckBox Medium

Scan rows to verify that deleted links are ok. This also calculates a key checksum for the rows and verifies this with a calculated checksum for the keys.

CheckBox Extended

Perform a full key lookup for all keys for each row. This ensures that the table is 100% consistent, but it might take a long time.

To select a table, you need to move it from the Available tables list to the Selected tables list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

Check Tables - Selecting tables

Click the Next button to proceed to the last step of the wizard.


Repair Tables

Repair Tables Wizard allows you to repair database tables that are possibly corrupted.

In MySQL 6.x.x the service works for tables of MyISAM, ARCHIVE, and CSV storage engines.

To run the wizard, select the Services | iconRepairTables Repair Tables... main menu item.

  • Selecting database
  • Selecting tables for repairing
  • Viewing routine results

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Tables

Using templates


Selecting database

This step of the wizard allows you to specify the host and the database where tables for repairing are stored.

Repair Tables - Selecting database

Host

Use the drop-down list of registered hosts to select the host where the database resides.

Database

Use the drop-down list of registered databases to select the database where tables for repairing are stored.

Click the Next button to proceed to the Selecting tables for repairing step of the wizard.


Selecting tables for repairing

Use this step of the wizard to define repair options and select the tables to be repaired using MySQL routines.

Options

CheckBox Quick

Perform a repair of the index tree only.

CheckBox Extended

Create the index row by row instead of creating one index at a time with sorting.

CheckBox Use .FRM

Use this mode if the *.myi file is missing or if its header is corrupted. In this mode MySQL will recreate the table using information from the *.frm file.

To select a table, you need to move it from the Available tables list to the Selected tables list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

Repair Tables - Selecting tables

Click the Next button to proceed to the last step of the wizard.


Optimize Tables

Optimize Table Wizard should be used if you have deleted a large part of a table or if you have made many changes to a table with variable-length rows (tables that have VARCHAR, VARBINARY, BLOB, or TEXT columns). Deleted records are maintained in a linked list and subsequent INSERT operations reuse old record positions. You can use optimization to reclaim the unused space and to defragment the data file.

OPTIMIZE TABLE works as follows:

  • if the table has deleted or split rows, repairs the table;
  • if the index pages are not sorted, sorts them;
  • if the statistics are not up to date (and the repair could not be done by sorting the index), updates them.

In MySQL 6.x.x the service works only for tables of MyISAM, InnoDB, and ARCHIVE storage engines.

To run the wizard, select the Services | iconOptimizeTables Optimize Tables... main menu item.

  • Selecting database
  • Selecting tables for optimizing
  • Viewing routine results

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Tables

Using templates


Selecting database

This step of the wizard allows you to specify the host and the database where tables for optimization are stored.

Optimize Tables - Selecting database

Host

Use the drop-down list of registered hosts to select the host where the database resides.

Database

Use the drop-down list of registered databases to select the database where tables for optimizing are stored.

Click the Next button to proceed to the Selecting tables for optimizing step of the wizard.


Selecting tables for optimizing

Use this step of the wizard to select the tables to be optimized using MySQL routines.

To select a table, you need to move it from the Available tables list to the Selected tables list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

Optimize Tables - Selecting tables

Click the Next button to proceed to the last step of the wizard.


Truncate Tables

Truncate Table Wizard empties table(s) completely.

Logically, this is equivalent to a DELETE statement that deletes all rows, but there are practical differences under some circumstances.

In MySQL 3.23, TRUNCATE TABLE is mapped to COMMIT; DELETE FROM tbl_name, so it behaves like DELETE.

For InnoDB (before MySQL version 5.0.3), TRUNCATE TABLE is mapped to DELETE, so there is no difference. Starting with MySQL 5.0.3, fast TRUNCATE TABLE is available. The operation is still mapped to DELETE if there are foreign key constraints that reference the table.

For other storage engines, TRUNCATE TABLE differs from DELETE FROM in the following ways (since MySQL 4.0 and later):

  • truncate operations drop and recreate the table which is much faster than deleting rows one by one;
  • truncate operations are not transaction-safe; you get an error if you have an active transaction or an active table lock;
  • the number of deleted rows is not returned;
  • as long as the table definition file tbl_name.frm is valid, the table can be recreated as an empty table with TRUNCATE TABLE, even if the data or index files have become corrupted;
  • the table handler does not remember the last used AUTO_INCREMENT value, but starts counting from the beginning.

To run the wizard, select the Services | iconTruncateTables Truncate Tables... main menu item, or open a table in Table Editor and use the Truncate table item of the Navigation bar.

  • Selecting database
  • Selecting tables for truncating
  • Viewing routine results

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Tables

Using templates


Selecting database

This step of the wizard allows you to specify the host and the database where tables for truncating are stored.

Truncate Tables Wizard - Selecting database

Host

Use the drop-down list of registered hosts to select the host where the database resides.

Database

Use the drop-down list of registered databases to select the database where tables for truncating are stored.

Click the Next button to proceed to the Selecting tables for truncating step of the wizard.


Selecting tables for truncating

Use this step of the wizard to select the tables to be truncated using MySQL routines.

To select a table, you need to move it from the Available tables list to the Selected tables list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the tables from one list to another.

Truncate Tables Wizard - Selecting tables

Click the Next button to proceed to the last step of the wizard.


Change Tables Engine

This wizard allows you to change tables storage engine.

To run the wizard select the Services | iconChangeTablesEngine Change Tables Engine main menu item.

  • Selecting host and database
  • Selecting tables
  • Performing operation

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Tables

Using templates


Selecting host and database

Use this step to define location of tables whose storage engine needs to be changed.

Change Tables Engine - Selecting database

Select Host and Database from the respective drop-down list.

If required host or database is not registered run the Register Database Wizard.

Click the Next button to proceed to the Selecting tables step.


Selecting tables

At this step you need to select tables whose storage engine you want to change.

Change Tables Engine - Select options and tables

The Available tables list displays all tables contained in the database. Move the tables to the Selected tables list to change their storage engine.

Select the storage engine to apply for the selected tables from the Change engine to drop-down list.

Selected Tables.

Click the Next button to proceed to the final step.


Viewing routine results

This step of the wizard is intended to inform you that all necessary options have been set, and you can start the change tables engine process.

Click the Run button to complete the operation.

Operations tab

Here you can view the log of operations and errors (if any).

MySQL Services - Viewing routine results - Operations

Results tab

This tab displays the list of tables with the operations applied to them. Performance status and message is also displayed here.

MySQL Services - Viewing routine results - Result

CheckBox Close the Wizard after successful completion

If this option is selected, the wizard is closed automatically when the process is completed.

If necessary, you can save a template for future use.


Server Properties

The Server Properties viewer allows you to view the properties of the selected server: server variables, processes, status, query logs.

To open the Server Properties viewer window, select the Services | iconServerProperties Server Properties... main menu item.

  • Viewing variables
  • Viewing system variables
  • Viewing process list
  • Viewing InnoDB status
  • Viewing general query log

Before the Server Properties viewer is launched, the application prompts you to specify host connection parameters in the Login Host dialog for retrieving server properties.

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in the Server Properties viewer.

Server Properties - Using Navigation bar

The Navigation bar of the Server Properties viewer allows you to:

Servers group

iconHost select the server to retrieve properties

General group

iconRefresh refresh the content of the active tab

iconShowSQLHelp view MySQL reference

iconRestoreDefaultSize restore the default size and position of the viewer window

iconOptions configure the Server Properties viewer within the Tools | Server Properties page of the Environment Options dialog

Depending on the current tab selection, the Navigation bar expands to one or more additional panes with tab-specific actions that can be useful for working with server processes:

Variables group

iconVariable edit the selected system variable using the Set variable dialog

export the list of variables

iconCopyToClipboard copy the list of variables to clipboard

Process List group

export the list of processes

iconCopyToClipboard copy the list of processes to clipboard

Items of the Navigation bar are also available on the ToolBar of the Server Properties viewer. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Viewing status variables

The Status variables tab of the Server Properties viewer displays the list of MySQL status variables and their values.

Server Properties - Viewing status variables

The variables are displayed in groups: General, Performance, Misc, Networking, Command execution, Other, All. Select a group (or a sub-group) in the tree on the left side to browse the list of status variables included in this group.

Note: Status variables are not available for editing.

Right-click an item within the list to call the context menu allowing you to refresh the list.

If necessary, you can export the list of status variables to any of supported formats or copy the list to Windows clipboard using the corresponding items of the Navigation bar.

Hint: The status area at the bottom displays the exact MySQL server version and the server uptime.

See also:

Viewing system variables

Viewing process list

Viewing InnoDB status

Viewing general query log


Viewing system variables

The System variables tab of the Server Properties viewer displays the list of MySQL system variables and their values.

Server Properties - Viewing system variables

The variables are displayed in groups: General, Connections, SQL, Memory, Table Types, Other, All. Select a group (or a sub-group) in the tree on the left side to browse the list of system variables included in this group.

Right-click an item within the list to call the context menu allowing you to edit a variable and to refresh the list.

The Set variable dialog allows you to edit the current value assigned to the variable and to specify whether the changes will be applied globally.

Server Properties - Viewing system variables - Set variable

If necessary, you can export the list of system variables to any of supported output file formats or copy the list to Windows clipboard using the corresponding items of the Navigation bar.

Hint: The status area at the bottom displays the exact MySQL server version and the server uptime.

See also:

Viewing status variables

Viewing process list

Viewing InnoDB status

Viewing general query log


Viewing process list

The Process List tab of the Server Properties viewer allows you to browse the list of processes running on the server and manage them efficiently.

Server Properties - Viewing process list

The list displays the processes as a grid with the following columns: ID, User, Host, DB, Command, Time, State, Info. If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Note: The process list items are not available for editing.

Right-click an item within the list to call the context menu allowing you to kill a process or a query, refresh the list, or copy the list to Windows clipboard. Using the context menu you can also export the list of jobs to any of supported output file formats.

Process management tools are also available through the Navigation bar of the Server Properties viewer.

See also:

Viewing status variables

Viewing system variables

Viewing InnoDB status

Viewing general query log


Viewing InnoDB status

The InnoDB Status tab of the Server Properties viewer displays the InnoDB monitor output that includes the following sections:

SEMAPHORES

TRANSACTIONS

FILE I/O

INSERT BUFFER AND ADAPTIVE HASH INDEX

BUFFER POOL AND MEMORY

ROW OPERATIONS

Server Properties - Viewing InnoDB status

Note: The InnoDB Monitor output is not available for editing.

See also:

Viewing status variables

Viewing system variables

Viewing process list

Viewing general query log


Viewing general query log

The General Query Log tab of the Server Properties viewer displays the query log for the specified server.

Note: This tab is only available for MySQL version 5.1.6 and higher and when the server is configured for logging to table. For more information refer to the official MySQL server documentation.

Server Properties - Viewing general query log

The list displays the server events as a grid with the following columns: Event Date, Event Time, User and Host, Thread, Server ID, Command, Command Text. If more convenient, you can change the order of the columns by dragging their headers horizontally.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

If necessary, you can group the data in grid by any of the columns. This operation is performed by dragging the column header to the gray "Group by" box area at the top. When grouping by a column is applied to the grid, all the rows are displayed as subnodes to the grouping row value. To reverse grouping, just drag the column header back.

Note: The query log items are not available for editing.

See also:

Viewing status variables

Viewing system variables

Viewing process list

Viewing InnoDB status


Instance Manager

This tool allows you to monitor and manage MySQL instances.

To run this tool select the Services | iconInstanceManager Instance Manager main menu item.

  • Starting/Stopping Service
  • Configuring Service

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.


Starting/Stopping Service

This tab allows you to stop/start MySQL service on the selected host.

Instance Manager - Start_Stop service

Use the navigation bar or toolbar to select the required host.

Within the Server Status section you can define whether service is stopped or running and change its state using Stop/Run Service buttons.

The log area displays the log of operations and errors (if any).

Optionally, you can clear log using the respective button.

Configuring Service


Configuring Service

Use this tab to define MySQL service settings.

Instance Manager - Configure service

Service Settings

CheckBox Launch MySQL server on system start

Forces MySQL services to run on system start if enabled.

You can define service name in the Display Name field. Specified value will be used in Computer Manager Console.

Optionally you can define Service Description for the server.

Configuration file

Specify filename and its location. Parameters specified in the file will be used by service.


Run mysql.exe

Select the Services | Run mysql.exe main menu item to open MySQL console.

By default, the mysql.exe file is located in the C:\Program Files (x86)\EMS\SQL Manager for MySQL\Dump directory.


Ping Server

Ping Server is a simple tool which is used to check the server connection by pinging the server from the client machine.

To use the tool, select the Services | Ping Server main menu item.

If the server is pinged correctly, the 'Success! Connection is alive' information message appears, otherwise you will receive an error message.

Server tools - Ping Server

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Shutdown Server


Shutdown Server

Shutdown Server is a simple tool which is used to shutdown MySQL server.

To use the tool, select the Services | Shutdown Server main menu item.

Note that the user must have the corresponding Shutdown global privilege granted to perform this operation.

To prevent occasional server shutdowns, a dialog with a warning message pops up each time you attempt to use this tool. You must confirm the action to shutdown the server.

Server tools - Shutdown Server

Availability:
Full version (for Windows) | Yes
Lite version (for Windows) | No
Note: To compare all features of the Full and the Lite versions of SQL Manager, refer to the Feature Matrix page.

See also:

Ping Server


Server security management

SQL Manager for MySQL provides the following tools for efficient MySQL security management:

  • User Manager
  • User Editor
  • Grant Manager

Adding Users

In order to add a new user:

  • select the Tools | User Manager main menu item or use the corresponding btnGroupManager toolbar button to open User Manager;
  • select the Add user... item from the context menu or within the Navigation bar;
  • define user properties and permissions using User Editor.

Editing User Properties

In order to edit an existing user:

  • select the Tools | User Manager main menu item or use the corresponding btnGroupManager toolbar button to open User Manager;
  • select the Edit user... item from the context menu or within the Navigation bar;
  • edit the user properties and permissions using User Editor.

Managing Grants

To define grants on database objects:

  • select the Tools | Grant Manager main menu item, or use the corresponding btnGrantManager toolbar button to open Grant Manager;
  • select the object type using the drop-down list on the toolbar;
  • select a user from the Privileges for pane of the Navigation bar;
  • edit user privileges using Grant Manager.

To define grants on tables, you can also:

  • right-click a table in DB Explorer and select the Grants for Table <table_name> item from the context menu;
  • edit user privileges using Grant Manager.

Deleting Users

In order to delete an existing user:

  • select the Tools | User Manager main menu item or use the corresponding btnGroupManager toolbar button to open User Manager;
  • right-click the user to delete and select the Delete User item from the context menu or within the Navigation bar;
  • confirm deleting in the dialog window.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

External Tools

How To...


User Manager

User Manager allows you to browse the list of existing MySQL users, and manage them efficiently.

To launch the tool, select the Tools | btnGroupManager User Manager main menu item.

Note: You should register the server with Register Database Wizard before using this tool.

See also:

User Editor

Grant Manager


Using Navigation bar and Toolbar

The Navigation bar and Toolbar provide quick access to tools implemented in User Manager.

User Manager - Using Navigation bar

The Navigation bar of the User Manager window allows you to:

Servers group

iconHost select the server to retrieve the list of users

General group

iconRefresh refresh the currently displayed list of users

iconAddUser add a new user

iconEditUser edit the selected user

iconDeleteUser delete the selected user

iconRestoreDefaultSize restore the default size and position of the window

Filter group

select the group of privileges to display:

iconAllPrivileges All privileges

iconDataPrivileges Data privileges

iconObjectPrivileges Object privileges

iconSystemPrivileges System privileges

Items of the Navigation bar are also available on the ToolBar of the User Manager window. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.


Managing users

If you are not connected to the database server yet, select the host from the Servers drop-down list and you will be prompted for login and password.

User Manager - Managing users

The list displays the existing users as a grid with the following columns: User, Host, and the columns indicating the global privileges granted to the user: Select, Insert, Update, Delete, Create, Drop, Reload, Shutdown, Process, File, Grant, References, Index, Alter, Show Database, Super, Create TMP Table, Lock Tables, Execute, Replicate Slave, Replicate Client, Show View, Create View, Create Routine, Alter Routine, Create User, Event, Max. Queries, Max. Updates, Max. Connections.

Click a column caption to sort items by values of this column in the ascending or the descending mode.

To ease managing user privileges you can work with a specific group of privileges at a time. Select required group from the Filter drop-down list that is located on the navigation bar. You can also find filtering buttons on the toolbar: iconAllPrivileges All privileges, iconDataPrivileges Data privileges, iconObjectPrivileges Object privileges, iconSystemPrivileges System privileges.

Right-click an item within the list to call the context menu allowing you to create a new user and specify its properties using User Editor, edit, delete the selected user, or show/hide columns of the list. Using the context menu you can also export the list of users to any of supported output file formats.

Users management tools are also available through the Navigation bar and toolbar of User Manager.


User Editor

The User Editor dialog allows you to create/edit a user and specify its properties.

Name

Enter a name for the new user, or modify the name of the user being edited.

Host

Specify the host from which the user is allowed to access the server.

Note: The % character can be used to indicate that the user is allowed to access the server from any host.

Password / Confirm password

Set a password by which the user will be identified in the server.

SSL Require

This section allows you to define additional user authentication parameters.

Note: This section is active only when server is running with SSL.

Require By

MySQL server can check the X509 certificate attributes additionally to common authentication based on user name and password.

Select authentication method from the drop-down list.

SSL

Allow only SSL-secured connections for the account.

X509

Client must have valid certificate. The only requirement for the certificate is that it should be possible to verify its signature with one of the CA certificates.

Require By Cipher

Cipher is needed to ensure that ciphers and key lengths of sufficient strength are used. SSL itself can be weak if old algorithms using short encryption keys are used. Using this option, you can ask that a specific cipher method is used to allow a connection.

Example: EDH-RSA-DES-CBC3-SHA

Require By Subject

Places the restriction on connection attempts that the client must present a valid X509 certificate containing the subject. If the client presents a certificate that is valid but has a different subject, the server rejects the connection.

Example: C=EE, ST=Some-State, L=Tallinn, O=MySQL demo client certificate, CN=Tonu Samuel/Email=tonu@mysql.com

Require By Issuer

Places the restriction on connection attempts that the client must present a valid X509 certificate issued by CA 'issuer'. If the client presents a certificate that is valid but has a different issuer, the server rejects the connection. Use of X509 certificates always implies encryption, so the SSL option is unnecessary in this case.

Example:C=FI, ST=Some-State, L=Helsinki, O=MySQL Finland AB, CN=Tonu Samuel/Email=tonu@mysql.com

Global privileges

This group allows you to specify the global privileges for the user being created/edited.

Extended user properties

This area allows you to define additional properties pertaining MySQL users: Max. queries per hour, Max. updates per hour, Max. connections per hour, Max. users connection. Use the spinner controls to set the required values for the properties.

Hint: The Global privileges and Extended user properties can also be specified in Grant Manager.

See also:

User Manager

Grant Manager


Grant Manager

Grant Manager allows you to set the user access grants for certain databases and database objects: tables, views, functions, etc.

'Global' user privileges define the user access rights to all the database tables on the server. Granting privileges on the selected databases, tables or columns allows user to perform the defined operation (select, update, insert) over all the tables of the selected database, over the selected tables or over the selected fields only.

To open Grant Manager, select the Tools | btnGrantManager Grant Manager main menu item.

  • Using Navigation bar, Toolbar and context menu
  • Managing global privileges
  • Managing database-specific privileges
  • Managing column permissions
  • Filtering objects in list

See also:

User Manager

User Editor


Using Navigation bar, Toolbar and context menu

The Navigation bar, Toolbar and context menu provide quick access to tools implemented in Grant Manager.

Grant Manager - Using Navigation bar

The Navigation bar of Grant Manager allows you to:

Host or database group

iconDB select a host to manage global privileges or a database to manage database-specific and column permissions

General group

iconRefresh refresh the content of the window

iconAddUser call User Editor to add a new database user

iconEditUser call User Editor to edit an existing user

iconDeleteUser delete a database user

iconExtractUserGrants extract the selected user's grants and load the script to SQL Script Editor

iconExtractAllUsersGrants extract all users' grants and load the script to SQL Script Editor

iconRestoreDefaultSize restore the default size and position of the window

Privileges for group

btnGroupManager select an existing database user to grant privileges to

Right-click an item within the Privileges for list to call the context menu allowing you to:

  • call User Editor to add a new user;
  • call User Editor to edit the selected user;
  • delete the selected user.

Items of the Navigation bar are also available on the ToolBar of Grant Manager. To enable the toolbar, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

The context menu is aimed at facilitating your work: you can perform a variety of operations using context menu items.

The context menu of Grant Manager allows you to:

  • grant a permission on an object to the selected user;
  • revoke a previously granted permission;
  • grant a permission (with GRANT OPTION) on an object to the selected user;
  • revoke a previously granted permission (with GRANT OPTION);
  • grant all permissions on an object to the selected user;
  • grant all permissions (with GRANT OPTION) on an object to the selected user;
  • revoke all previously granted permissions on an object;
  • grant a permission on all objects to the selected user;
  • grant a permission (with GRANT OPTION) on all objects to the selected user;
  • revoke a previously granted permission on all objects;
  • grant all permissions on all objects to the selected user;
  • grant all permissions (with GRANT OPTION) on all objects to the selected user;
  • revoke all previously granted permissions on all objects.

Grant Manager - Using context menu

See also:

Managing global privileges

Managing database-specific privileges

Managing column permissions

Filtering objects in list


Managing global privileges

The Global privileges area of the Grant Manager window allows you to define global privileges and extended properties for MySQL users.

Note: This area is available for setting grants on entire databases when a host is selected in the Host or Database group of the Navigation bar (or toolbar).

To edit global privileges of a user, select the user in the Privileges for pane of the Navigation bar or toolbar. Tick off a checkbox to grant the global privilege to the selected user. For your convenience the CheckBox With grant option and CheckBox All privileges options are available below.

Use the panel below of the user Global privileges group to edit extended user properties: Max. queries per hour, Max. updates per hour, Max. connections per hour, Max. users connection. Use the spinner controls to set the required values for the properties.

Grant Manager - Managing global privileges

See also:

Using Navigation bar, Toolbar and context menu

Managing database-specific privileges

Managing column permissions

Filtering objects in list


Managing database-specific privileges

The Database-specific privileges area allows you to define privileges on database objects and grant privileges to a user.

Note: This area is available for setting grants on database objects when a database is selected in the Host or Database group of the Navigation bar (or toolbar).

To edit the privileges of a user on an object of a database, select the database using the Host or Database pane of the Navigation bar, then select a user from the Privileges for list available within the Navigation bar. Then select the type of objects to be displayed in the main working window using the drop-down list at the top.

The Object Name column contains the list of objects of the selected type; each subsequent column corresponds to the permission which can be granted on the selected object:

SEL, INS, UPD, DEL, CRT, DROP, REF, IND, TRIG, ALT (for tables, views);

EXEC, ALTER ROUTINE (for procedures, functions).

Grant Manager - Managing database-specific privileges

The list of objects can be configured in several ways: you can specify that only granted objects are displayed in the grid, or define an object name to filter the objects by that name.

Right-click a cell to grant a specific permission on a certain object. To grant a permission on an object, you should find the object in the Object Name list and the column with the corresponding permission. Note that the cells that are highlighted gray do not admit to setting grants for an obvious reason (e.g. you cannot execute a table). The context menu of a cell contains possible permissions that can be granted:

Grant

Grant with GRANT OPTION

Revoke (removes a previously granted permission)

Grant All

Grant All with GRANT OPTION

Revoke All

Grant on All

Grant on All with GRANT OPTION

Revoke on All

Tick Grant All on All

Tick Grant All on All with GRANT OPTION

Tick Revoke All on All

Hint: You can also assign privileges by double-clicking the respective cell - in this case the grant status is changed in the following order: Grant -> Revoke.

See also:

Using Navigation bar, Toolbar and context menu

Managing global privileges

Managing column permissions

Filtering objects in list


Managing column permissions

If you select a table or a view the Column permissions area appears. It displays the grid with table/view columns and the privileges that can be granted to the selected user.

Use items of the context menu to grant/revoke permissions on columns.

Grant Manager - Managing column permissions

See also:

Using Navigation bar, Toolbar and context menu

Managing global privileges

Managing database-specific privileges

Filtering objects in list


Filtering objects in list

In large databases with huge amount of objects it may be difficult to find the required object. For this purpose you are provided with several tools for filtering objects in list:

  • the Object type control: select the required object type from the drop-down list (e.g. Tables);
  • the Filter panel: enter a character string to filter the object names by that string (note that the filter is case-sensitive);
  • the CheckBox Granted only option: check this option to display objects with at least one granted operation.

Grant Manager - Filtering objects in list

See also:

Using Navigation bar, Toolbar and context menu

Managing global privileges

Managing database-specific privileges

Managing column permissions


Options

SQL Manager for MySQL provides you with capabilities for flexible personalization of the application.

Please see the chapters below to learn how to use personalization tools effectively.

  • Environment Options
  • Editor Options
  • Save Settings
  • Localization
  • Keyboard Templates
  • Object Templates
  • Find Option dialog

The Options menu allows you to export all program settings to a *.reg file for future use, e.g. when you need to move the settings to another machine (see Save Settings for details).

Hint: Each of the SQL Manager Options dialogs is provided with the Reset to defaults button. You can use it either to Reset current category or to Reset all categories.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

External Tools

How To...


Environment Options

Environment Options allow you to customize general options of the SQL Manager application.

To open the Environment Options window, select the Options | btnEnvironmentOptions Environment Options... main menu item, or use the btnEnvironmentOptions Environment Options button on the main toolbar.

Preferences

Full mode activation

Confirmations

Appearance

Tools

DB Explorer

Table Editor

SQL Editor

SQL Monitor

SQL Script

Query Builder

Style & Color Palette

Visual Database Designer

Print Metadata

Data Export

Server Properties

Fonts

Grid

Data Options

Print Data

Color & Formats

Advanced

Column Options

Localization

Global Shortcuts

Find Option

See also:

Editor Options


Preferences

CheckBox Show splash screen at startup

Displays the splash screen of SQL Manager for MySQL at the application startup.

CheckBox Restore desktop on connect

This option determines whether the previously opened windows and their positions should be restored upon connection to the database.

CheckBox Do not restore if 'Refresh objects on connection' database registration option is off

The previously opened windows and their positions are not restored for the databases having 'Refresh objects on connection' off at the Database Registration Info.

CheckBox Disable multiple instances

Checking this option prevents one from running multiple instances of SQL Manager for MySQL.

CheckBox Show desktop panel (for MDI Environment style only)

Displays Desktop Panel when no child windows are open.

CheckBox Show Full Version features

This option is available in the Lite version of SQL Manager. When selected, a 30-day period of fully-functional usage is activated.

Environment Options - Preferences

Hint: The Reset to defaults button which is common for all sections of the Environment Options dialog allows you to discard all changes and restore the settings to their defaults.

See also:

Confirmations

Windows

Tools

Fonts

Grid

Localization

Find Option


Full mode activation

Note that when using the FREE Lite version of SQL Manager for MySQL (which contains functional limitations) you can activate a 30-day period of fully-functional usage. During this period you will get the splash screen displaying the number of days left every time you start the application. After the period expires, you will be able to continue using the Lite version.

Environment Options - Full mode activation

To activate the 30-day Full version mode, please enable the CheckBox Show Full Version features option available on the Preferences page of the Environment Options dialog (note that this option is only available in the Lite version of SQL Manager).


Confirmations

CheckBox Confirm saving the object (or document) upon closing the editor

If this option is selected, the program requires confirmation each time you want to save changes in a database object or document.

CheckBox Confirm dropping of object

If this option is selected, the program requires confirmation of dropping a database object.

CheckBox Confirm exit from SQL Manager

If this option is set, you are prompted for confirmation each time when you exit the application.

Environment Options - Confirmations

CheckBox Confirm transaction commit

If this option is selected, the program requires confirmation on attempt to commit a transaction.

CheckBox Confirm transaction rollback

If this option is selected, the program requires confirmation on attempt to rollback a transaction.

CheckBox Confirm deleting records

This option enables/disables a confirmation dialog for deleting records.

CheckBox Confirm addition into spell checking dictionary

Option defines whether confirmation required to add new word into spell checking dictionary

CheckBox Confirm transformation of misprint into substitution

Enable the option to avoid accident transformations of misprints into substitutions.

CheckBox Confirm metadata changing (Changing Metadata window)

Use the option to enable/disable confirmation of metadata changing.

CheckBox Confirm reorder columns

Enable this option if you wish to be prompted for confirmation when reordering columns.

CheckBox Confirm flush operation

If this option is selected, the program prompts to confirm the flush operation.

CheckBox Notify about possible problems with incorrect client character set on connection

If this option is selected, the application will check the character set specified for connection and notify you if it is incorrect.


Windows

Theme

Select the main color theme for the application: Light, Blue or Dark.

Environment style

This group allows you to define the basic window environment - RadioButton MDI (like Microsoft® Office) or RadioButton Floating windows (like Borland® Delphi IDE).

Windows restrictions

This option allows you to set the number of editors (Table Editor, SQL Editor, etc.) that can be opened simultaneously.

Zoom options

This group of options is only available if Environment Style is set to Floating windows environment. It allows you to set maximization size for child windows:

RadioButton Full screen

RadioButton Restricted by Main Form

RadioButton Restricted by Main Form and DB Explorer

RadioButton Justified my Main Form and DB Explorer

Bar style for child forms

Here you can define the location of action buttons: RadioButton within the Navigation bar (on the left) and/or RadioButton on the Toolbar.

If necessary, you can also CheckBox Enable floating toolbars for your application.

Environment Options - Windows


Tools

CheckBox Show only connected databases in drop-down menu

If this option is checked, only connected databases are displayed in drop-down menus of such tools as Query Builder, SQL Script, etc.

CheckBox Allow using parameters in query text

This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before an identifier (e.g. :P1) to specify a parameter within the query.

CheckBox Show object dependencies from other databases

Enable the option to display dependent object stored in other databases.

Environment Options - Tools

New tool form should be opened for

This option defines which database should be selected in the launched tool.

RadioButton Database currently selected in DB Explorer

Tool will be opened with the database focused in the DB Explorer selected.

RadioButton Database selected in currently focused form

Tool will be opened with the database which is selected in the current form.


Timeouts

Connect timeout (in seconds) option is used to define the timeout for connection to the server.

Metadata lock wait timeout (in seconds) option is used to define the timeout for attempts to acquire metadata locks. This timeout applies to all statements that use metadata lock: DML and DDL operations on tables, views, stored procedures, and stored functions, LOCK TABLES, FLUSH TABLES WITH READ LOCK, and HANDLER statements.

Environment Options - Tools - Timeouts


DB Explorer

General options

CheckBox Show hosts in DB Explorer

Shows/hides database hosts in the DB Explorer tree.

CheckBox Show table subobjects

Shows/hides table subobjects (columns, indexes, etc.) in the DB Explorer tree.

CheckBox Sort by aliases

Use this option to apply sorting registered hosts and databases by their aliases in the DB Explorer tree.

CheckBox Rename objects by editing in place

Allows you to edit object names in DB Explorer by selecting any object and clicking its alias one more time.

CheckBox Refresh objects on showing in SQL Assistant

This option enables/disables refreshing objects each time they are displayed in SQL Assistant.

CheckBox Auto expand navigation pane

If this option is checked, the list of navigation tabs in DB Explorer is expanded automatically on program launch.

CheckBox Show hint

Enables displaying of hints for the databases in the DB Explorer tree.

Environment Options - Tools - DB Explorer

Recent objects count

Defines the number of objects displayed within the Recent menu of the DB Explorer.

Table details in SQL Assistant

These options switch the SQL Assistant mode for displaying table details (columns, indexes, Foreign keys, triggers, table status, description or definition).

See also:

Database Explorer


Search

Here you can set search options for DB Explorer search string:

Environment Options - Tools - DB Explorer - Search - String

CheckBox Search by categories

This option determines the search scope when the Find Item feature is used: if this option is selected, the search is performed within the currently selected category (node in the tree) only.

CheckBox Use case sensitive search

If this option is selected, the search string case is considered when using the Search Panel.

Environment Options - Tools - DB Explorer - Search

CheckBox Don't search in collapsed nodes

Enable the option to search within the expanded nodes only.

CheckBox Start-with search

Check this option to search for objects those names begin with the defined searched string.


Table Editor

CheckBox Always open the Columns tab

If this option is checked, the Columns tab is activated by default upon opening a table in Table Editor.

CheckBox Show Object Explorer

Enables/disables the Object Explorer panel within the Navigation bar of Table Editor.

CheckBox Show table status panel

Enables/disables the table status panel.

CheckBox Do not retrieve record count for a table

Check this option to disable retrieving record count for tables (with this feature enabled, opening large tables may take much time).

CheckBox Allow to edit tables with no keys

Enables/disables editing tables that have no key columns (note that editing tables without unique or primary keys might lead to data integrity issues).

Environment Options - Tools - Table Editor

Default storage engine for new tables

This group allows you to define the storage engine to be used while creating a new table:

RadioButton default engine defined on the server

RadioButton the following engine for all databases (use the Default storage engine drop-down list to select one of the supported types: MyISAM, ISAM, HEAP, MRG_MyISAM, InnoDB, BerkeleyDB, Gemini, FEDERATED, ARCHIVE, CSV, NDBCluster, BLACKHOLE, SOLIDDB, FALCON).

See also:

Table Editor


SQL Editor

CheckBox Explain query on execution

If this option is checked, the query plan is displayed automatically upon query execution in SQL Editor.

CheckBox Show result for each query

With this option checked, when you execute two or more queries, the result of each query will be displayed one by one. Otherwise, only the result of the last query will be displayed.

CheckBox Execute selected text separately

Check this option to allow execution of the selected statement separately.

CheckBox Write only successfully executed queries to database SQL log file

If this option is checked, unsuccessful queries will not be saved to the SQL Editor log file (see Setting log options in the Database Registration Info dialog).

Environment Options - Tools - SQL Editor

CheckBox Show results on Edit tab

If this option is checked, the Results tab is displayed as a separate tab.

CheckBox Don't save queries automatically for the next session

If this option is checked, the SQL query text will not be saved. Otherwise, it will be saved in Windows registry and will be therefore available in the next application sessions.

CheckBox Always save changes in Favorite Queries before closing

This option enables/disables saving changes in SQL queries marked as Favorite automatically upon closing the editor.

CheckBox Same queries for all databases

With this option enabled, SQL Editor stores all queries in a shared repository, so that switching to another database does not cause loading queries of that database (applying this option does not affect currently opened copies of SQL Editor). The value of the option can be changed freely without any risk to lose the query repository content.

CheckBox Refresh DB Explorer upon successful DDL statement execution

If this option is selected, the content of DB Explorer is refreshed each time a DDL statement is executed successfully in SQL Editor.

Transaction confirmation

CheckBox Disable transaction confirmation

If this option is checked, no transaction confirmation will be required on closing Visual Query Builder and SQL Editor. Specify the default action (Commit or Rollback) and this action will be performed automatically each time when you close the editor.

See also:

SQL Editor


SQL Monitor

Operations

Specify the operations to be logged in SQL Monitor: Connect, Disconnect, Start of transaction, Commit, Rollback, Show objects, Execute query, Ping server.

SQL log

This group of options allows you to enable logging of all SQL Monitor events to a file. Check the Log SQL Monitor events to file option, specify the path to the log file using the btnSaveAs button, and enter a name for the *.sql file. To clear the log file after it reaches some definite size, check the Clear log file when it is greater than... option and set the maximum file size (in Kilobytes).

Environment Options - Tools - SQL Monitor

CheckBox Show time of operation

If this option is checked, the execution time of logged operations is added.

CheckBox Always show on top

Select this option if you want to display the SQL Monitor window in the foreground permanently.

See also:

SQL Monitor


SQL Script

CheckBox Abort script on error

If this option is checked, script execution is aborted if an error occurs.

CheckBox Enable parsing

With this option checked, SQL Script Editor parses the loaded script to enable fast navigation in the Script Explorer tool.

CheckBox Show message when done

Displays a message box on finishing script execution.

CheckBox Execute selected text separately

Check this option to allow execution of the selected statement separately.

CheckBox Don't clear error list on selected text execution

If this option is checked, the error list is not cleared upon execution of the selected statement.

CheckBox Skip unknown statements

If the option is disabled, the execution of unknown statement in script results in error. Enable the option to skip such statements and continue performing script.

CheckBox Disable all code features in SQL Script

This option disables code completion, code folding, highlight and all options that are set on the Quick Code page. For options that are set on the Color page, the defaults will be applied.

Environment Options - Tools - SQL Script

Database options

CheckBox Register newly created databases

Enable the option to register newly created databases in SQL Manager for MySQL.

CheckBox Connect automatically to just created database

Check the option to connect to newly created database automatically.

Transaction options

CheckBox Rollback on abort

This option is only available if the Abort script on error option is checked. This option evokes automatic rollback when script execution is aborted.

CheckBox Start transaction automatically if needed

If the option is enabled then transaction starts automatically after statements is executed. Otherwise, the BEGIN statement is required for transaction to start.

See also:

SQL Script Editor


Query Builder

General options

CheckBox Allow SELECT queries only

When this option is checked, the INSERT, UPDATE and DELETE statements are not allowed in Query Builder.

CheckBox Select condition row

Displays the selected condition in different rows on the Criteria and Grouping Criteria tabs of Query Builder.

CheckBox Drag column name

Displays the dragged column name in the Builder area.

CheckBox Hide selection when inactive

Hides the selection when the Query Builder window is inactive.

CheckBox Show column types

Displays the column data type next to the column name in the table box.

CheckBox Union all by default

Check this option to use the UNION ALL expression in Query Builder by default.

The UNION keyword allows you to include the results of two SELECT statements in one resulting table.

The ALL parameter incorporates all rows into the results, including duplicates. If not specified, duplicate rows are removed.

Environment Options - Tools - Query Builder

Visible tabs

These options specify which Query Builder tabs are available and which are not. Use the check boxes to make the corresponding tabs visible/invisible.

Script format

These options specify case formatting of keywords and functions in query text within the Edit tab: As is keeps the original case, Uppercase sets all the keywords/functions to the upper case, Lowercase sets all the keywords/functions to the lower case, and First upper sets the first letters of all keywords/functions to the upper case.

Additionally, you can set styles and color for all Query Builder objects by using Style & Color Palette.

See also:

Visual Query Builder


Style & Color Palette

Style

These options specify the way various Query Builder elements look: the Condition button: Flat, 3DLook, Raised; object borders: Bump, Etched, Raised, Sunken. If necessary, you can also specify flatness for objects and buttons using the corresponding options.

CheckBox XP tables style

This option determines the appearance of non-client areas of tables in Query Builder.

CheckBox Show icons on tabs

With this option selected, you can see icons next to the tab names in Query Builder.

Environment Options - Tools - Query Builder - Style & Color

Color palette

These options define the colors of various Query Builder elements.

Active condition row (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Active condition row

Condition text (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Condition text

Condition item text (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Condition item text

Table client area (in the diagram area):

Environment Options - Tools - QB - Style & Color - Table client area

Active table caption (in the diagram area):

Environment Options - Tools - QB - Style & Color - Active table caption

Inactive table caption (in the diagram area):

Environment Options - Tools - QB - Style & Color - Inactive table caption

Field text (in the diagram area):

Environment Options - Tools - QB - Style & Color - Field text

Selected field text (in the diagram area):

Environment Options - Tools - QB - Style & Color - Selected field text

Work space (in the diagram area):

Environment Options - Tools - QB - Style & Color - Work space

Field (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Field

Operation (at the Criteria and Grouping criteria tabs):

Environment Options - Tools - QB - Style & Color - Operation

Group (at the Grouping criteria tab):

Environment Options - Tools - QB - Style & Color - Group

Predicate (at the Criteria and Grouping criteria tabs when a subquery is used):

Environment Options - Tools - QB - Style & Color - Predicate

Subquery (at the Criteria and Grouping criteria tabs when a subquery is used):

Environment Options - Tools - QB - Style & Color - Subquery

Click an item to select a color for the corresponding element using the Color dialog where you can specify the required color from the palette.


Visual Database Designer

Visual settings

Model notation

When you work in Visual Database Designer, you can choose one of the following modeling notations:

  • Integration DEFinition for Information Modeling (IDEF1X);
  • Information Engineering (IE).

The IDEF1X and IE notations use different symbols to represent relationships between entities (and tables).

Environment Options - Tools - VDBD

CheckBox Draw PRIMARY KEY columns separately

Separates Primary key columns from other columns with a horizontal line.

Environment Options - Tools - VDBD - Draw PRIMARY KEY fields separately

CheckBox Draw entities icons

Displays icons at the left of each entity header according to its type.

Environment Options - Tools - VDBD - Draw entities icons

CheckBox Draw attributes icons

Displays icons at the left of each attribute according to its type (Primary key, Foreign key, ordinary field).

Environment Options - Tools - VDBD - Draw attributes icons

CheckBox Draw only names of entities

Displays only entity headers, fields are hidden.

Environment Options - Tools - VDBD - Draw only names of entities

CheckBox Draw FOREIGN KEY name

Displays foreign key names for the corresponding relations.

Environment Options - Tools - VDBD - Draw FOREIGN KEY name

CheckBox Draw attribute information

Display attribute properties (optionality, keys, etc.) in parentheses after the attribute name and type.

Environment Options - Tools - VDBD - Draw attributes information

CheckBox Draw page borders

Displays borders on the diagram page which are the borders used when printing pages with the diagram.

Grid options

CheckBox Show grid

Displays dots in the diagram area to make the grid visible.

CheckBox Snap to grid

Automatically aligns entities on the form with the nearest grid line. You cannot place an entity in between grid lines.

Grid size

Sets grid spacing in pixels along the x- and y-axes. Specify a higher number to increase grid spacing.

Style and Color

In this section you can set style and color for all VDBD diagram objects: Workspace, Selected Item, Table, Relation, Field, Comment.

Select an item from the list and define its properties: font name, font style, font size, font color, brush color and pen color.

Click Apply to all to use current settings for all the elements.

See also:

Visual Database Designer


Print Metadata

Default paper size

Define the default paper size for reports created with the Print Metadata tool used:

RadioButton A4 (210 x 297 mm)

RadioButton Letter (8 1/2 x 11 ")

Environment Options - Tools - Print Metadata

See also:

Print Metadata


Data Export

This page allows you to customize formats applied to exported data.

Environment Options - Tools - Data Export

Data formats

Edit the format masks to adjust the result format in the way you need: Integer format, Float format, Date format, Time format, DateTime format, Currency format, Boolean True, Boolean False, Null string.

CheckBox Auto save format strings

Select this option to save specified format strings automatically.

Click the Set defaults button if you wish to apply default data formats.

These settings can also be specified at the Adjusting data formats step of Export Data Wizard.

Fore more details see Format specifiers.

See also:

Export Data Wizard


Server Properties

Using this page you can set the process/logs list refresh intervals, specify the order for the log items list, and set the limit options for General Query Log that will be applied to the Server Properties viewer.

Environment Options - Tools - Server Properties

Process list refresh interval (sec.)

Use this spinner control to set the refresh interval for the process list (in seconds).

Logs refresh interval (sec.)

Use this spinner control to specify the refresh interval for logs (in seconds).

CheckBox List log items in descending date order

Check this box to sort the log items in the descending date order.

Limit options in General Query Log

This group allows you to set limitations for the General Query Log:

RadioButton Select all records from log

If you choose this item, all records will be selected from the log,

RadioButton Select only ... records

if you choose this item, only the defined number of records will be selected from the log.

See also:

Server Properties


Fonts

This section of the Environment Options dialog allows you to specify fonts used in the application.

The box below displays the sample text with the selected font applied.

Environment Options - Fonts

System font name
Defines the font used by SQL Manager for MySQL. Select the font name from the drop-down list of available system fonts.

Environment Options - Fonts - System font name

System font size
Defines the font size used by SQL Manager for MySQL. Type in or use the drop-down list to select the required value.

Grid font name
Defines the font for the data grid.

Grid font size
Defines the font size for the data grid.


Grid

General options

CheckBox Striped grids

Displays the odd grid rows in a different color defined by the Strip option available on the Color & Formats page.

CheckBox Show editor immediately

Allows editing the cell value right after the cell is clicked.

CheckBox Always show editor

Set this option to make the cell editors always active.

CheckBox Enable auto-search in grid

If this option is checked, the cursor is automatically forwarded to the closest match when you start typing.

CheckBox Column auto-width

With this option set, column widths are changed in order to display all columns without using the horizontal scroll bar. If the content a column is still too large to display without a need to resize the grid, then the column values are truncated and the hidden characters are replaced with an ellipsis at the end.

CheckBox Restore layout and sorting

Use this option to keep the original grid width and custom sorting.

CheckBox Cell auto-height

If the widths of the columns are insufficient to display the full content, then text clipping occurs. Set this option to prevent this. If this option is set, the cell content is displayed in multiple lines where necessary. You can set the number of lines to display using the Cell max line count option.

Environment Options - Grid

Root level options

These options are applied to the main view of the grid. See Grid View for details.

Detail level options

These options are applied to the detail view of the grid. See Grid View for details.

CheckBox Show "Group by" box

Displays the gray area above the column caption allowing one to group data in the grid.

CheckBox Show indicator

Activates/deactivates the row indicator pane at the left.

Environment Options - Grid - Show indicator

CheckBox Show navigator

Activates/deactivates the data navigator similar to the navigation pane at the top of the grid. The navigator is available at the bottom of detail level view.

Environment Options - Grid - Show navigator

CheckBox Show "New item row"

Displays an empty row at the bottom of a view which is a convenient way for adding data to the grid.

CheckBox Hide tabs for single detail

This option is useful when only one view is present on the detail level. When the option is enabled, the view tab is hidden.

Selection

Select whether Row or Cell should be highlighted in the grid on focusing the cell.

CheckBox Row multi-selection

With this option set, multiple rows can be selected in grid.

See also:

Grid View


Data Options

Limit options in table and view editors

Define the number of records to be selected on opening the Data tab of Table Editor and View Editor:

RadioButton Select all records from a table*

RadioButton Select only ... records* (you should set the number of records using the corresponding spinner control)

Advanced

CheckBox Use separate connections for each data view within a database*

Select this option to create a separate connection for each data view. Enabling this option is recommended if maximum allowed number of connections is too low.

CheckBox Asynchronous query execution

Check this option to allow executing queries in background mode (asynchronously). Note that this option is only available when the Use separate connections for each data view within a database option is enabled.

CheckBox Use transactions

Check this option to enable transactions for data. You can change this option for the separate databases in the Database Registration Info.

CheckBox Perform data sorting on client in data view*

If enabled, the data are sorted by SQL Manager for MySQL (on the client side). If this option is disabled, the data are sorted on MySQL server with the help of the ORDER BY clause used in SQL query.

CheckBox Perform data filtration on client in data view*

If enabled, the data are filtered by SQL Manager for MySQL (on the client side).

If disabled, SQL filter is used in data view. In this case filtering is performed on the MySQL server with the help of the WHERE clause used in SQL query.

With the Perform data sorting on client in data view option enabled, sorting is performed by means of the grid. Otherwise a click on the column header for sorting causes reloading all table data with the selected column in the ORDER BY expression of the SELECT statement.

If the table contains a huge amount of records and the Select only N records mode (see the Default limit options in table and view editors group) is used, this mode is more preferable (e.g. all the records having values starting with "A" will be displayed, and not those which were in originally opened N records).

All above-mentioned is related to the Perform data filtration on client in data view option as well. If the filter is applied to a table containing a great number of records, it is strongly recommended to enable this option - in this case the filter will be applied to all table/view records, not only to those which are displayed at the present moment.

Load visible rows mode if records more than...

Set this option to switch to the Load visible rows mode when the number of records in the dataset exceeds the specified value.

String fields width (chars)

Using this option you can limit string fields width that may improve performance on large datasets.

Environment Options - Grid - Data Options

Default grid mode

RadioButton Load all rows*

The grid loads all records from a dataset. This option increases the grid performance by reloading only changed dataset records when updating. In this mode all features (automatic sorting, filtering and summary calculations) are available.

RadioButton Load visible rows*

The grid loads only a fixed number of dataset records into memory. This option minimizes dataset loading time. Automatic sorting, filtering, summary calculations are not available in this mode.

The Default grid mode options allow you to define the grid mode which will be used by default.

With the Load all rows option enabled, when loading data, all the records are loaded into grid buffers. In this mode opening the tables with many records may take a considerable amount of time. But in this case you can make use of some advantages: in the filter drop-down list the column headers are displayed with the values for quick filtering; it is possible to open several sub-levels at the same time when viewing data in master-detail view, etc.

In case opening and other operations with an object consisting of many records takes sufficient time, the Load visible rows mode should be used instead. It can be set individually for each table and saved between sessions (can be set via the context menu of the grid).

Note: Changing the options marked with the asterisk (*) sign does not affect the way data are viewed in currently opened windows. These options are used as default values for Data Options parameters for newly registered databases. To change the options for registered databases, please use the Database Registration Info dialog.

See also:

EMS SQL Manager FAQ


Print Data

Save/restore following print data properties

These options specify which Print Data properties will be saved between work sessions (e.g. if you tick off the Page settings item, those settings will be saved and stored between the sessions).

You can save/restore the following Print Data properties: Card view representation, Detail view representation, Expanding, Formatting, Level options, "On every page" options, Pagination, Preview options, Image options, Selection options, Report size options, Showing grid elements, Page number format, Page settings, Report title.

Environment Options - Grid - Print Data


Color & Formats

Display formats

Integer columns

Defines the format for displaying SMALLINT, INTEGER and BIGINT data.

Float columns

Defines the format for displaying NUMERIC and DOUBLE PRECISION data.

Date / Time columns

Defines the format for displaying DATE / TIME data.

For more information refer to the Format specifiers page.

Environment Options - Grid - Color & Formats

Colors

Options of this group allow you to set colors for basic grid elements. Use the ellipsis EllipsisButton button to open the Color dialog allowing you to select the required color from the palette.

Grid
Defines the background color of the data grid.

Row
Defines the color of the selected row in the data grid.

Strip
Defines the color of the odd rows (applied if the Striped grids option is set on the Grid page).

NULL values

Text
Defines the text that stands for NULL values in grid.

Font color
Defines the font color for displaying NULL values in the grid. Use the ellipsis EllipsisButton button to open the Color dialog allowing you to select the required color from the palette.


Advanced

Advanced options

CheckBox Cell hints for clipped text

Indicates whether a hint box is displayed when hovering over a cell containing clipped text.

CheckBox Focus cell on cycle

Determines whether the focus moves to the next row after it reaches the right-most cell within the current row.

CheckBox Focus first cell on new record

Determines whether the focus moves to the first cell of a newly created row.

CheckBox Next cell on pressing Enter

Determines whether the current view columns can be navigated by using the Enter key.

CheckBox Show navigator hints

Indicates whether a hint box is displayed when hovering over navigation buttons.

CheckBox MRU list in column filter

Enables showing of Most Recently Used items when filtering columns

Card width

Defines the width of the card used in Card View mode.

Environment Options - Grid - Advanced

Form view

CheckBox Large memo editor

Sets the number of lines for text-typed columns when viewing data in Form view.

CheckBox Word wrap in memo editor

Determines whether long strings are wrapped within the memo editor area.

CheckBox Word wrap in string editor

Determines whether long strings are wrapped within the string editor area.

Grid lines

Determines whether to display vertical and horizontal lines between cells.

Detail tabs position

Specifies the position of the tabs in detail level views: top or left.

Card layout direction

Specifies the direction of cards in Card View mode: horizontal or vertical.

Show edit buttons

Indicates when the edit buttons are displayed: never, for focused record or always.


Column Options

Common options

CheckBox Auto-select text

Determines whether all text within an editor is automatically selected when the editor gets focus.

CheckBox Hide selection on losing focus

Determines whether the visual indication of the selected text remains when the editor loses focus.

Memo editor options

CheckBox Inserting Return characters

Specifies whether a user can insert return characters into text.

CheckBox Inserting Tab characters

Specifies whether a user can insert tab characters into text.

CheckBox Word wrap in grid

Determines whether long strings are wrapped in grid.

CheckBox Popup memo editors

Turns on popup memo editors for text BLOB type columns.

Environment Options - Grid - Column Options

Spin editor options

CheckBox Use Ctrl+Up instead of Up to increase value

Allows you to use Ctrl+Up and Ctrl+Down key combinations for editing spinner values (for INTEGER column values).

CheckBox Show large increment buttons

Determines whether fast buttons (for large increment) are visible within the editor.

Increment

Specifies the increment value for the spin editor (spinner control).

Large increment

Specifies the large increment value for the spin editor (spinner control).

Spin editor buttons' position

Specifies the position of spin editor (spinner control) buttons: vertical, horizontal / left and right or horizontal / right.


Localization

The Localization section of the Environment Options dialog is provided for managing the localization files of SQL Manager for MySQL.

You can create your own *.lng files similar to those available in the %program_directory%\Languages folder, add them to the list of available languages and set the new language as the program interface language.

Default directory

Use the Explorer ExplorerButton button to specify the directory where the *.lng files are to be stored by default.

Choose program language

Use the drop-down list of available languages to select the interface language to be applied to the application.

CheckBox Auto scan languages on startup

When checked, the directory with localization files will be scanned automatically at the application startup; all the languages found will be added to the list of available languages.

Available Languages

Lists all the languages available for localization and the corresponding *.lng files. Double-click a language in the list to edit its name or the *.lng file.

Add Defaults

This button is used to search for *.lng files in the Default directory and add all of them to the Available Languages list.

Add

Opens the Add language dialog where you can specify your own localization file and set the language name.

Edit

Opens the Edit language dialog where you can change the language name or select another localization file for the specified language.

Delete

Removes the selected language from the Available languages list (without confirmation).

Environment Options - Localization

See also:

Localization


Global Shortcuts

This section allows you to view/edit shortcuts most needed actions when working with SQL Manager for MySQL.

Environment Options - Global Shortcuts

To edit shortcut, select the required action click the ellipsis button and press the preferred key combination to assign it with the action.

Environment Options - Global Shortcuts_EditShortcut

This dialog displays currently assigned key combination. Pressing any key changes the value in the field. Press the required key combination and click OK to apply it.

Note: TAB and PRINT SCREEN keys cannot be used in combination.


Find Option

The Find Option section allows you to search for options available within the Environment Options dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within SQL Manager Environment Options.

Environment Options - Find Option

The Available options area lists all options of the Environment Options category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


Editor Options

Editor Options allow you to set the parameters of viewing and editing SQL statements within SQL Editor and other SQL editing tools of the SQL Manager application.

To open the Editor Options window, select the Options | btnEditorOptions Editor Options... main menu item, or use the btnEditorOptions Editor Options button on the main toolbar.

  • General
  • Display
  • SQL Formatter
  • Key Mapping
  • Spell Checking
  • Find Option

See also:

Environment Options


General

Editor options

CheckBox Auto indent

If this option is checked, each new indention is the same as the previous one when editing SQL text.

Indents and outdents are used in the process of text editing to make the source code easier to read.

CheckBox Insert mode

If this option is checked, the insert symbols mode is on by default.

CheckBox Find text at cursor

If this option is checked, the Text to find field in the Find Text dialog is automatically filled with the text on which the cursor is set.

CheckBox Always show hyperlinks

If this option is checked, hyperlinks are displayed in the editor window. To open a link, click it with the Ctrl key pressed.

CheckBox Double click line

If this option is checked, double-clicking the line on which the cursor is set selects the whole line.

CheckBox Trim trailing spaces

If this option is checked, all spaces after the last symbol in line will be trimmed.

CheckBox Fixed line height

Prevents line height calculation. If this option is checked, the default line height is taken.

CheckBox Persistent blocks

Keeps marked blocks selected even when the cursor is moved with the arrow keys used, unless a new block is selected.

CheckBox Fixed column move

If this option is checked, the caret keeps its horizontal position when moved between lines.

CheckBox Optimal fill

Check this option to enable optimal algorithm of filling text content in the working area of the editor.

CheckBox Unindent keep align

Keeps align for the lines that are not indented.

CheckBox Smart caret

This option determines the caret movement (up, down, line start, line end). The caret is moved to the nearest position on the screen.

CheckBox Resolve aliases

Enables/disables the syntax highlight and code completion features for aliases.

Editor Options - General

CheckBox Overwrite blocks

Replaces a marked block of text with whatever is typed next. If Persistent Blocks is also selected, the text you enter is appended to the currently selected block.

CheckBox Show caret in read only mode

Displays/hides the caret in read-only mode.

CheckBox Copy to clipboard as RTF

If this option is checked, the selected text is copied in RTF format.

CheckBox Drag and drop text

This option allows to drag and drop selected text.

CheckBox Group undo

This option allows you to undo multiple actions of the same kind.

CheckBox Group redo

This option allows you to redo multiple actions of the same kind.

CheckBox Cursor beyond EOL

If this option is checked, the horizontal position of a cursor is kept. If you move the cursor (using the Up and Down arrow keys) onto a line having length less than the current cursor horizontal position, it will be positioned after the last symbol of the line.

CheckBox Enable column selection

Enables/disables column selection mode.

CheckBox Hide cursor on type

Hides/displays mouse cursor within the working area while a user is typing some text.

CheckBox Hide dynamic (no focus)

Hides dynamic highlights when an editor is not focused.

CheckBox Collapse empty lines

Collapses empty lines after a text range when this range has been collapsed.

CheckBox Scroll to the last line only

When the option is enabled, you can scroll to the last line of the text only, otherwise you can scroll to the end of the page.

CheckBox Seek variables

Switches code completion feature for variables.

CheckBox Word wrap

When on, text is wrapped at the right margin of the editor area to fit in the visible area.

CheckBox Variable horizontal scrollbar

If this option is checked, the horizontal scrollbar varies according to the current content of the editor.

CheckBox Float markers

When enabled, markers are linked to the text, and they will move with the text while the text is being edited; otherwise the markers are linked to the caret position, and stay unchanged while the text is being edited.

CheckBox Undo after save

Keeps undo buffer unchanged after saving.

CheckBox Disable selection

Disables any selection when editing.

CheckBox Draw current line focus

Draws the focus rectangle around the current line when the editor has focus.

CheckBox Hide selection (no focus)

Hides the selection when the editor loses focus.

CheckBox Greedy selection

Selects an extra column/line in column/line selection modes.

CheckBox Keep selection mode

Enables selection for caret movement commands (like in BRIEF).

CheckBox Select search result

Determines whether the search result should be selected.

CheckBox Smart paste

When this option is enabled, the editor gets both Unicode and ANSI content from the clipboard, converts them using the selected character set and selects the best text to be pasted. This allows getting correct text copied from both ANSI and Unicode applications disregarding the currently selected keyboard language.

CheckBox Disable all code features

This option disables code completion, code folding, highlight and all options that are set on the Quick Code page. For options that are set on the Color page, the defaults will be applied.

Collapse level

Specifies the level of text ranges that will be affected by the "Collapse all" command.

Undo limit

Defines the maximum number of changes possible to be undone.

Tab mode

Specifies the way the TAB key is processed. Possible values are: Use tab character (inserts a tab character); Insert spaces (inserts space characters); Dialog behaviour (when the edit control is in a dialog, the focus is switched to the next control); Smart tab (tabs to the first non-white space character in the preceding line).

Tab stops

Defines the tab length used when editing a text.

Comment symbols

Defines the symbols which will be used to comment code fragments.

Block indent

Specify the number of spaces to indent a marked block.

Hint: The Reset to defaults button which is common for all sections of the Editor Options dialog allows you to discard all changes and restore the settings to their defaults.


Display

Default editor fonts

Use these options to set the font and size used in the editor.

CheckBox Show only fixed-width fonts

Use this option to display only fonts with fixed width in the Font dialog.

Gutter

CheckBox Show line numbers

If this option is checked, line numbers are displayed in the SQL text editor window.

CheckBox Gutter auto width

Enable this option to specify that the gutter width will be adjusted automatically.

CheckBox Display line state

If this option is checked, a colored line indicating the state of all altered lines in the text is displayed at the gutter of the editor window.

CheckBox Use code folding

Check this option to enable to code folding feature of SQL Editor.

Width

Defines the gutter width in the editor window.

Use these options to set the Font, Size and Numbering style used in the gutter.

CheckBox Show only fixed-width fonts

Use this option to display only fonts with fixed width in the Font dialog.

Editor Options - Display

Right margin

CheckBox Visible

Makes the right text margin visible.

CheckBox Word break

Allows breaking the words at the right margin.

Position

Defines the position of the right text margin in the editor window.

Code staples

CheckBox Visible

Makes the code staples visible in the editor window.

CheckBox Single color

Check the option to apply a single color for code staples.

CheckBox Offset

Specify the offset value for code staples.


Color Scheme

Scheme

Select the default color scheme for all editors: Default (Light) or Dark.

Editor Options - Color

The Element list contains all elements available in SQL editors of the program. For your convenience the preview area (located below the Element list) illustrates the changes being made to each of the elements

Controls for changing the properties of the item selected in the Element list are located on the right. Use the following instructions for each of the elements.

CheckBox Bold

Highlights the element with bold.

CheckBox Italic

Makes the element text cursive.

CheckBox Foreground

Select the foreground color for the element.

CheckBox Background

Select the background color for the element.

CheckBox Effects

Enables additional effects for the element text.

See also:

General

Display

Quick Code

SQL Formatter

Key Mapping

Spell Checking

Find Option


Code Completion

This dialog allows you to specify the automatic features, fonts, styles, foreground and background colors, borders and other attributes of the text used by the editor to display objects for 'quick code': tables, UDFs, indices, columns, foreign keys, procedures, functions, views, triggers, scheduled events, SQL keywords, SQL functions.

Automatic features

CheckBox Code completion

If this option is checked, then on typing the first word characters in the SQL text editor you will be offered some variants for the word completion in a popup list (an analogue of the Code Insight feature in Delphi IDE). The popup list will appear after a period of time defined by the Delay option.

Delay

Using this option you can change the time after which completion variants popup.

Sensitivity

This option allows you to set the number of characters to be typed before code completion is activated.

CheckBox Parameters completion

If this option is checked, the Delphi-like hint for key words is enabled.

CheckBox Group by type

If enabled, the items in the code completion list are sorted by type, otherwise they are sorted by name.

CheckBox Sort column names

Enable this option to force sorting for column names.

CheckBox Show information hints

This option enables/disables information hints for variants offered by code completion feature.

CheckBox Auto launch keyboard templates

Allows you to use keyboard templates for faster typing frequently used expressions (see Keyboard Templates).

CheckBox Accept by Space key too

Enables selecting the completion item with Space key.

Editor Options - Quick Code

Completion list object

The list contains all objects for which you can set quick code parameters. For your convenience the preview area (located to the right of the Completion list object list) illustrates the changes being made to each of the objects.

If you press the Disable element button, the standard settings will be applied to this object; the button text will change to Enable element. If you press this button, you will be able to change font and color attributes for this object.

Controls for changing the properties of the item selected in the Completion list object list are located on the right.

See also:

General

Display

Color

SQL Formatter

Key Mapping

Spell Checking

Find Option


SQL Formatter

SQL Formatter is a feature implemented in SQL Manager for MySQL and is a useful tool for formatting SQL queries and scripts, making SQL statements easy to read. SQL Formatter is introduced in SQL Editor, SQL Script and some object editors.

The Settings tab of the SQL Formatter section allows you to enable this feature and apply SQL formatting to subqueries, if necessary.

CheckBox Format SQL query

Check this option to enable SQL formatting.

CheckBox Format subquery

Enables SQL formatting for subqueries.

Editor Options - SQL Formatter - Settings

See also:

SQL Editor


Bars and menus

Use the Bars and menus section of the Visual options dialog to customize SQL Manager bars style, menus animation and a number of general options concerning toolbars and menus usage.

Visual Options - Bars and menus

Bar style

Use the drop-down list to select the painting style that will be applied to the bars:

Standard

Enhanced

Flat

XP native

Office 11

Note: If the XP native style is selected, bars use the currently applied XP theme to paint themselves. However, if the currently installed operating system is not Windows XP or the Windows Classic theme is currently applied, bars will be painted using the Enhanced style.

Menu animation

Use the drop-down list to specify the menu animation effects:

None (no animation)

Random (random choice: Unfold, Slide, Fade)

Unfold (unfolding menus)

Slide (sliding drop-down and popup menus)

Fade (menus fade in when appearing)

CheckBox Sunken border

If this option is enabled, the border of each dockable bar is drawn using sunken borders. Otherwise, no border is drawn around the dockable bar.

CheckBox Use F10 for menu

If this option is disabled, the application does not respond to the F10 key press events and the main menu will not will be called.

CheckBox Menus show recent commands first

This option determines whether the most frequently used items will be placed in menus at first position.

If this option is enabled, frequently used menu items are "promoted" and displayed higher on the list. Unused and infrequently used menu items are visually suppressed and appear "collapsed".

Hint: If you wish to disable this feature, you can also right-click the toolbar and select the Customize... popup menu item to call the Customize dialog, then proceed to the Options tab within the dialog, and deselect the Menus show recently used commands first option.

CheckBox Show full menus after delay

This option is available only if the Menus show recent commands first option is selected.

If this option is enabled, infrequently used menu items (if they appear "collapsed") will be automatically expanded after a delay upon setting mouse cursor (or upon selection with the Up/Down keys) on the bottom of the menu. Otherwise, the menu expands only after clicking its bottom-most button (or using the Ctrl+Down shortcut).

CheckBox Flat close buttons

This option determines the border style of the Close buttons.

If this option is enabled, the Close button is drawn flat. Otherwise, it has a 3D look.

CheckBox Gray-scale disabled images

This option specifies whether default images must be painted faded.

By default, images within disabled links are painted grayscale when the XP native or Office11 bar style is used. For other bar styles, such images are painted grayed out.

If this option is enabled, images of disabled links will be painted grayscale independently of the selected bar style.


Trees and lists

Use the Trees and lists section of the Visual options dialog to view and edit the corresponding options.

Visual Options - Trees and lists

Look & feel

This setting determines the manner in which tree and list elements are painted. Use the drop-down list to select the painting style that will be applied to the trees and lists:

Standard

Flat

UltraFlat

CheckBox Hide selection

This option specifies how selected tree nodes and list items are displayed when focus leaves the tree or list control.

If this option is enabled, selected nodes look like other nodes. Otherwise, selected nodes/items are highlighted within the tree/list.

CheckBox Hide focus rectangle

This option determines whether a focus rectangle is displayed around the focused tree node or list item within the tree or list control.

If this option is disabled, the focused node/item is not highlighted but the focus rectangle is displayed around it.

CheckBox Native style

This option determines whether the native Windows style will be applied to the trees and lists.

The option has the highest priority for trees and lists. If this option is selected, the tree nodes and list items are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.


Edit controls

Use the Edit controls section of the Visual options dialog to customize the appearance of various SQL Manager for MySQL edit controls: Border style, Button style, Button transparency, etc.

Visual Options - Edit controls

Border style / Button style

Use these drop-down lists to specify the style around an editor (the edit control borders) and select the painting style that will be applied to the edit control buttons (ellipsis button, arrow-down combo-box button, etc.) respectively:

None

Single

Thick

Flat

3D

UltraFlat

Button transparency

Represents the button transparency mode within an editor. Use the drop-down list to specify the transparency that will be applied to the edit control buttons (ellipsis button, arrow-down combo-box button, etc.):

None (a button is always displayed in a non-transparent fashion)

Inactive (a button is drawn when the editor has focus or when the mouse cursor is positioned over the button; otherwise, the button is transparent)

Always (a button is always transparent)

Hide inactive (a button is drawn only when the editor has focus; otherwise, the button is invisible)

Hide unselected (a button is drawn when the editor has focus or when the mouse cursor is positioned over the editor region; otherwise, the button is invisible).

Edges

This group defines which edges are displayed within an editor. Check/uncheck the boxes to hide/show individual edges of the edit controls:

CheckBox Left (if unchecked, the left border edge is invisible)

CheckBox Right (if unchecked, the right border edge is invisible)

CheckBox Top (if unchecked, the top border edge is invisible)

CheckBox Bottom (if unchecked, the bottom border edge is invisible)

CheckBox Hot track

This option specifies whether editor items are highlighted when the mouse cursor is positioned over an edit control. Select this option to highlight an edit control in response to mouse movements.

CheckBox Shadow

If this option is selected, a shadow is displayed for the edit controls.

CheckBox Native style

This option determines whether the native Windows style will be applied to the edit controls.

The option has the highest priority for edit controls. If this option is selected, the edit controls are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.


Check boxes

Use the Check boxes section of the Visual options dialog to customize the border style and the appearance of check boxes and radio buttons.

Visual Options - Check boxes

Border style

This setting determines the manner in which check box and radio group borders are painted. Use the drop-down list to select the painting style that will be applied to the check boxes and radio groups:

None

Single

Thick

Flat

3D

UltraFlat

CheckBox Shadow

If this option is selected, a shadow is displayed for the check boxes and radio groups.

CheckBox Native style

This option determines whether the native Windows style will be applied to the check boxes and radio buttons.

The option has the highest priority for check boxes and radio buttons. If this option is selected, the check boxes and radio buttons are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.


Buttons

Use the Buttons section of the Visual options dialog to customize SQL Manager buttons.

Visual Options - Buttons

Button kind

This setting determines the manner in which a button is painted. Use the drop-down list to select the painting style that will be applied to buttons:

Standard

Flat

UltraFlat

CheckBox Native style

This option determines whether the native Windows style will be applied to the buttons.

The option has a higher priority than the Button kind setting. If this option is selected, the buttons are painted according to the native Windows style, otherwise the Button kind selection is applied.

Note: The Native style option is currently supported for the Windows® XP operating system only.


Page controls

Use the Page controls section of the Visual options dialog to customize the style of all SQL Manager page controls.

Visual Options - Page controls

Tabs are visual elements of tab controls. Their purpose is to identify pages and switch between them. Once a tab is clicked, the corresponding page is selected.

Pages are container controls that represent the contents of tab controls. Tab controls contain a single page, whose context is to be updated each time the selected tab changes. Page controls contain the number of pages equal to the number of tabs.

Tab style

Use the drop-down list to select the painting style that will be applied to the tab controls:

Tabs (tabs are painted as notebook tabs)

Buttons (the selected tab is painted as a pressed button, other tabs are painted as released buttons)

Flat (tabs are painted as notebook tabs, but appear lowered slightly)

CheckBox Hot track

This option specifies whether tab captions are highlighted when the mouse pointer hovers over tabs. Select this option to enable tab highlighting.

CheckBox Multiline pages

This option specifies whether tabs are arranged across several rows.

If this option is enabled, tabs are automatically arranged into the minimum number of rows required to fit all of them. If this option is disabled, tabs are displayed within a single row.

CheckBox Native style

This option determines whether the native Windows style will be applied to the tab controls.

The option has the highest priority for the tab controls. If this option is selected, the tabs are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.

Options of the Slants group allow you to apply the Slanted painting style to tabs and specify the appearance aspects (positions) of tab slants.

CheckBox Slants

If this option is enabled, the Slanted painting style is applied to a tab control: all tabs appear slanted, and the selected tab's top edge is highlighted.

Slant Positions

Specify the positions (sides) at which the tabs are bent by slants.

RadioButton Left (slants bend left sides of the tabs)

RadioButton Right (slants bend right sides of the tabs)


Group boxes

Use the Group boxes section of the Visual options dialog to customize all SQL Manager group boxes to your liking.

Visual Options - Group boxes

Border style

This setting determines the manner in which group box borders are painted. Use the drop-down list to select the painting style that will be applied to the group boxes:

None

Single

Thick

Flat

3D

UltraFlat

CheckBox Shadow

If this option is selected, a shadow is displayed for the group boxes.

CheckBox Native style

This option determines whether the native Windows style will be applied to the group boxes.

The option has the highest priority for the group boxes. If this option is selected, the group boxes are painted according to the native Windows style, regardless of other painting settings.

Note: The Native style option is currently supported for the Windows® XP operating system only.


Splitters

Use the Splitters section of the Visual options dialog to customize all SQL Manager splitters to your liking.

Visual Options - Splitters

Hot zone style

This setting determines the manner in which splitter hot zones are painted. Use the drop-down list to select the hot zone style that will be applied to the splitters:

Windows XP task bar

Media Player 8

Media Player 9

Simple

None (hot zone is disabled)

CheckBox Hot zone drags a splitter

This option is applied when the Hot zone style value is different from None, and specifies whether the splitter can be dragged by its hot zone.

If this option is enabled, you can drag the splitter by its hot zone (i.e. use any part of the splitter's area for dragging). Otherwise, attempts to drag the splitter by the hot zone will have no effect.


Navigation bar

Use the Navigation bar section of the Visual options dialog to customize the Navigation bars of all SQL Manager tools according to your preferences.

Visual Options - Navigation bar

View style

Several types of control representations (views) are available for Navigation bars. View styles define the appearance of Navigation bar elements (background, scroll buttons, group headers, links/items and hint boxes). Use the drop-down list to select the view style that will be applied to the Navigation bars:

Office 11

XP

Simple

Advanced

CheckBox Border

This option specifies whether a border style will be applied to the Navigation bars.

If this option is enabled, the Navigation bars have thin borders. Otherwise, no borders are drawn around the Navigation bars.


Find Option

The Find Option section allows you to search for options available within the Visual Options dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within SQL Manager Visual Options.

Visual Options - Find Option

The Available options area lists all options of the Visual Options category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


SQL words

The SQL words tab of the SQL Formatter section allows you to select the key words for each action of SQL formatter and to set formatting parameters.

Wrap first element

Wraps the selected text at a specific column. Select the SQL key words after which formatting should be applied.

Params in line/list

Allows you to display the parameters followed by the defined key words in list or in line.

Editor Options - SQL Formatter - SQL Words

OR - AND

Set the placement of the AND an OR operators according to the operands followed by them. See the example below.

RadioButton Left

WHERE

AND ...

AND ...

AND ...

RadioButton Separate

WHERE

...

AND

...

AND

RadioButton Right

WHERE

... AND

... AND

... AND

The Keywords case / Identifiers case options allow you to define the case of the corresponding items.

You can choose UPPER, lower, Capitalize.

Default case means that the name of the identifier/keyword remains "AS IS".

CheckBox Space before bracket

Adds a "space" character before the opening bracket and after the closing one.

CheckBox Space into brackets

Adds a "space" character after the opening bracket and before the closing one.

Indent in list

Sets the size of indent relatively to the previous string.


Key Mapping

For your convenience key mapping is provided in SQL Manager for MySQL. On this page you can set the shortcuts for various commands/operations according to your needs.

Use the Commands list on the right to select the command for which you need to make a shortcut, then place cursor into the Key editor and press the key combination you find useful (use Ctrl Alt Shift buttons). After setting the shortcut, press the New button to add it to the list of existing Key combinations. If the specified shortcut is already assigned to another command/operation, an error message with the command/operation will be returned.

Editor Options - Key Mapping

Note: It is possible to set more than one key combination for the same command/operation (e.g. Ctrl-K, Ctrl-H) using the Add button.

If necessary, you can export the current Key mapping list to an external file by pressing the Export button.

Manage the shortcuts within the Key combinations list using the Delete (to remove the selected item) and the Clear (to remove all shortcuts for this command/operation) buttons.

It is also possible to save a custom key mapping scheme, if necessary:

  • set the shortcuts for the appropriate commands/operations;
  • click the Save As... button;
  • input the new scheme name in the corresponding dialog.

To delete a scheme, select it in the Scheme name drop-down list and press the Delete button.

See also:

SQL Editor

SQL Manager shortcuts


Spell Checking

Spell checking is a new feature implemented in SQL Manager for MySQL for your convenience.

Set the necessary Spell checker mode:

RadioButton Highlighting

In this mode incorrectly spelled and misprinted words are highlighted in the editor.

RadioButton Autocorrection

In this mode incorrectly spelled and misprinted words are replaced with the corresponding words from the Substitutions list automatically.

RadioButton None

In this mode the spelling checker is disabled.

Use the Add... button to add a new item to the Substitutions list, the Edit... button to alter the selected substitution, and the Delete button to remove the selected substitution from the spelling checker vocabulary.

Editor Options - Spell Checking

Case sensitivity

CheckBox Support case consistency with substitution

If this option is selected, the spelling checker uses the case of words-substitutions when performing a replacement.

CheckBox Ignore case while spell checking

Check this option to disable case checking.

CheckBox Keep the misprint case when replacing

Check this option if you do not wish to change the case of the replaced word.

Misprints

Controls of this group allow you to manage the spelling checker vocabulary: use the Add... button to add a new misprint to the vocabulary, the Auto button to use the default list of misprints, the Edit... button to change the selected misprint, the Delete button to remove the selected misprint from the vocabulary, and the Clear button to empty the list of misprints for the currently selected substitution.

It is also possible to exclude a misprint from spell checking without deleting the misprint. This misprint will therefore remain in the vocabulary, but it will be ignored by the spelling checker.

To mark a misprint as excluded, you need to move it from the Check list to the Ignore list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the misprints from one list to another.


Find Option

The Find Option section allows you to search for options available within the Editor Options dialog easily and quickly.

Option

In this field you can enter the name of the option to search for within SQL Manager Editor Options.

Editor Options - Find Option

The Available options area lists all options of the Editor Options category according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding section where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


Save Settings

Save Settings Wizard allows you to export the settings of SQL Manager for MySQL - wholly or partially - to a single *.reg file which can be applied afterwards to SQL Manager for MySQL installed on another machine, or it can be used to backup previous settings.

To start the wizard, select the Options | iconSaveToFileAs Save Settings main menu item.

To apply saved settings you need to open the created *.reg file, then press the OK button in the window appeared. All settings will be applied automatically (they will be added in the Windows Registry).

  • Specifying destination file
  • Selecting settings
  • Selecting databases
  • Saving settings


Specifying destination file

This step of the wizard allows you to specify the location of the destination file.

Filename

Use the btnSaveAs button to set the path to the *.reg file where the application settings are to be saved.

Note: If the target file already exists, the application will show a warning dialog where you can choose the action you need.

Save Settings - Specifying destination file

Press the Next button to proceed to the next step of the wizard.


Selecting settings

This step of the wizard allows you to specify the information you need to be saved to the result file: Database registration info, Favorite objects, Tabs, Environment options, Editor options, Visual options, Keyboard templates, Object templates, External tools list, Form placements, MRU lists, Favorite queries stored in registry.

Save Settings - Selecting settings

Press the Next button to proceed to the next step of the wizard.


Selecting databases

This step of the wizard allows you to select the database(s) to save the registration settings.

To select a database, you need to move its alias from the Available Databases list to the Selected Databases list. Use the Move all to Selected Move to Selected Move to Available Move all to Available buttons or drag-and-drop operations to move the databases from one list to another.

Save Settings - Selecting databases

Click the Next button to proceed to the final step.


Saving settings

After the saving settings operation has been configured, you can immediately start the process.

If all the settings are saved correctly, you will get the following message:

Save Settings - Saving settings - Completed

If necessary, you can click Details to display/hide extended information about the operation.


Object Templates

The Object Templates window allows you to preset the definition template for the name of an object to be created.

To open this window, select the Options | iconObjectTemplates Object Templates... main menu item.

Select an object in the tree and define its template which will be used as the name for the newly created object in the respective field.

Insert Tag

Use this list to insert the [num_for_dup] tag to the template. This tag allows adding serial number for duplicates.

Additionally you can define templates for table subobjects.

Table subobjects

Find option

See also:

Database/Server Objects Management


Table subobjects

Using the Foreign keys tab you can set a template for foreign key naming. The Insert Tag drop-down list allows you to select one or more tags that may simplify template creation:

Table Name: {table_name}

Serial Number (for duplicates): {num_for_dup}

Referenced Table Name: {ref_table_name}

Use the Insert Tag button to add the selected tag value to the template, e.g. {table_name}, {num_for_dup}, etc.

This page allows you to define name templates for table subobjects.

ObjectTemplates - Subobjects

Use the Columns and Index fields to define name templates for newly created objects.

Press the Insert Tag button and select an item from the drop-down list to add a tag to name template.

ObjectTemplates - Subobjects_Field_Index_naming template

Table Name: [OwnerName];

Serial Number (for duplicates): [name_for_dup].

Using the Foreign keys tab you can set a template for foreign key naming. The Insert Tag drop-down list allows you to select one or more tags that may simplify template creation:

ObjectTemplates - Subobjects_Foreign_key naming template

Table Name: {table_name}

Serial Number (for duplicates): {num_for_dup}

Referenced Table Name: {ref_table_name}

Using the Triggers tab you can set a template for trigger naming. Here you can also specify templates for tags added to default names of Before and After trigger types and for tag parts added to trigger events: Insert, Update, Delete.

ObjectTemplates - Subobjects_Trigger

The Insert Tag drop-down list allows you to select one or more tags that may simplify template creation:

ObjectTemplates - Subobjects_Trigger naming template

Table Name: {table_name}

Serial Number (for duplicates): {num_for_dup}

Trigger Type: {trig_type}

Trigger Events: {trig_events}

Example:

For newly created foreign key you define:

  • prefix "fk_"
  • ID for the first table "T1"
  • tag [table_name]
  • ID for the referenced table "T2"
  • tag - [ref_table_name]

Template in this case will be 'fk_T1[OwnerName]_T2[num_for_dup]'.

Foreign key name created with this template will be: "fk_T1Lotti_MateriePrime_T2Commesse_Lotti", where Lotti_MateriePrime and Commesse_Lotti are table names.


Localization

When using SQL Manager for MySQL, your are provided with multi-language interface support. You can change the program language, specify the directories for your localization files easily, edit existing localizations and create your own localization files.

Changing Program Language

In order to select the program interface language:

  • select the Options | Select Program Language... main menu item;
  • select the interface language in the Select Language dialog;
  • click OK to apply the language and close the dialog.

Editing Program Localization

In order to edit the interface localization:

  • open one of the program windows (e.g. Table Editor, SQL Editor) where you wish to edit the localization of captions and hints;
  • use the Shift+Ctrl+L keyboard shortcut to open the Localization Editor window;
  • edit window captions and hints as necessary;
  • click the Save btnSave button on the toolbar.

Note: The Localization Editor window is only available if the currently selected language is different from the default.

Creating New Localization Files

In order to create a new localization file:

  • create a new localization file similar to those located in the %program_directory%\Languages folder;
  • select the Options | Environment Options main menu item;
  • proceed to the Localization section of the Environment Options dialog;
  • click the Add button;
  • set the language name and the path to the new *.lng file within the Language Info Editor dialog.

The new language is added to the list of available languages. Now you can set it as the interface language using the Select Program Language dialog or the Localization section of the Environment Options dialog.

See also:

Localization

Language Info Editor


Localization Editor

The Localization Editor window allows you to edit the captions and hints of any SQL Manager window, if the selected program language is different from the default one.

To call this window, use the Shift+Ctrl+L shortcut in any child window of SQL Manager for MySQL.

The working area of the window contains the element names and the corresponding strings divided by the "=" character. These strings are what you see in the program as menu items, window captions, button hints, etc. Edit them to change the program appearance. Be careful and do not edit the identifiers that stand before the "=" character - this will not produce any effect.

For your convenience the Find and Replace features are provided - the corresponding btnFindText btnReplaceText toolbar buttons are used to call the Find Text dialog or the Replace Text dialog respectively. The Search Again btnSearchAgain button enables the repeated search for the text that was last searched.

Localization - Localization Editor

When you are done with editing, click the Save btnSave button on the toolbar to apply the changes you have made.

See also:

Select Program Language

Localization


Select Program Language

The Select Language dialog allows you to select a language for SQL Manager for MySQL localization.

To open this dialog, select the Options | iconSelectLanguage Select Program Language... main menu item.

The dialog displays the list of available languages configured on the Environment Options | Localization page. Select a language from the list and click OK to confirm your choice and close the dialog.

Localization - Select Program Language

See also:

Localization Editor

Localization


Keyboard Templates

The Keyboard Templates window allows you to create new keyboard templates for quicker typing regularly used expressions and to edit the existing ones.

To open this window, select the Options | Keyboard Templates... main menu item.

To add a new keyboard template, click the Add Template... button, set the template name and define the template expression. In the upper right area of the window you can change the case of the template expression (As is, Uppercase, Lowercase, First upper).

You can deactivate an existing template by selecting it from the list on the left and removing the Active flag of the template.

If necessary, you can also edit the template name using the Edit Template... button, delete the template using the Delete Template button or edit the template expression within the Expansion area of the window. For faster editing you can use the Cursor, Author, Time, Date, Clipboard, Marker buttons.

Hint: Add/edit/delete template items are also available in the context menu of the template list on the right.

CheckBox Old style

This option specifies whether the selected keyboard template expansion should conform to the template specifications used in the earlier versions of SQL Manager for MySQL.

Once you have defined the templates, you can use them in SQL Editor. First of all, make sure that the CheckBox Auto launch keyboard templates option is selected on the Quick Code page of the Editor Options dialog. When editing SQL text in SQL Editor, type a template name and use the Ctrl+J shortcut: the text associated with the template (Expansion) will be inserted automatically.

Hint: The Reset to defaults button which is available at the bottom of the Keyboard Templates dialog allows you to discard all changes and restore the settings to their defaults.

See also:

Quick Code

SQL Manager shortcuts


Find Option dialog

The Find Option dialog allows you to search for SQL Manager options easily.

To open this dialog, select the Options | iconFindOption Find Option main menu item.

Option

In this field you can enter the name of the option to search for within the entire set of SQL Manager options.

Find Option dialog

The Available options area lists all options by categories according to the specified name. The Option Kind, Category and Group columns specify option type and location.

Select the required option in the list and click iconFindText Show Option to open the corresponding dialog where you can view/edit the value of this option. For your convenience the required option is marked with an animated iconFindOption icon.


External tools

When using SQL Manager for MySQL, you can add external Windows applications to make your work more efficient.

  • External Tools dialog
  • External Tool Info editor

Adding External Tools

In order to add an external program:

  • select the Options | External Tools... main menu item;
  • click the Add... button in the External Tools dialog;
  • specify parameters of the new external tool within the External Tool Info editor;
  • confirm adding the new external tool by clicking OK in the External Tool Info editor and the External Tools dialog.

This adds the icon and the title of the application you have selected to the Tools | External Tools submenu. Now you can run this tool quickly without closing SQL Manager.

Removing External Tools

In order to remove an external program:

  • select the Options | External Tools... main menu item;
  • select the tool to be removed in the Tools list of the External Tools dialog;
  • press the Del key or click the Delete button within the dialog;
  • click OK to confirm removing the tool and closing the dialog.

The selected tool has been removed and is no longer accessible from the Tools | External Tools submenu.

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

How To...


External Tools dialog

The External Tools dialog allows you to manage the list of external applications which can be easily run from within SQL Manager environment.

To open this dialog, select the Options | External Tools... main menu item.

Tools

Lists all added external applications.

Add...

Opens the External Tool Info editor for adding a new tool to the Tools | External Tools submenu.

Edit...

Opens the External Tool Info editor for editing the title, the hot key, the path to the executable file, the working directory and execution parameters of the tool currently selected in the Tools list.

Delete

Removes the selected tool from the list of SQL Manager for MySQL external tools.

External tools - External Tools dialog

To change the order of tools in the list, use the [image] [image] arrow buttons at the bottom area of the dialog, or use the Ctrl+Shift+Up / Ctrl+Shift+Down shortcuts. You can also drag-and-drop items within the list box to change their positions.

See also:

External Tool Info editor


External Tool Info editor

The External Tool Info editor allows you to set common parameters of running added external programs from within SQL Manager environment. This dialog is used both when adding external tools and editing their parameters (see Add External Tool and External Tools).

Title

Enter the title to be displayed in the Tools | External Tools submenu of SQL Manager.

Hot Key

Press a key or a key combination to set it as a hot key for running the tool.

Program

Use the Explorer ExplorerButton button to specify the path to the *.exe file of the external program.

Working Dir

Set the default working directory of the program.

Parameters

This box stores parameters for the program execution (if required).

External tools - External Tool Info editor

See also:

External Tools dialog


How To...

The succeeding pages of this chapter are intended to provide you with brief instructions on how to perform this or that operation correctly using SQL Manager for MySQL.

Work with Databases

Connect to a database

Create a database

Edit database connection parameters

Make work with a database faster

Design a visual database structure

View an ER diagram

Create a database copy

Document a database

Save metadata reports to file

Log database changes

Get an SQL dump

Synchronize two databases

Work with Database Objects

Group objects

Find objects

View dependecies

Get an object DDL

Work with Data

View tables with many records

Set data filter

Sort and group data

Export/import data

Export filtered data

Export data as SQL Script

Edit data of master-detail tables

Add image to table

Set data display format

Work with Queries and Scripts

Create SQL statements rapidly

Control a query productivity

Work with several queries at once

Save most frequently used queries

Execute queries with parameters

Export query results into file

Execute scripts

Execute a large SQL script

Make SQL script work faster

Customize work with Query/Script text

View executed queries and scripts

Manage privileges

Prevent connection timeout

Connect to hosting provider's database

Create a simple report in Report Designer

Transfer program settings

Update SQL Manager

Report bugs and suggestions

See also:

Getting Started

Database Explorer

Database Management

Database Objects Management

Query Management Tools

Data Management

Import/Export Tools

Database Tools

Server Tools

Personalization

External Tools


Database Management_10

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Connect to a database

If you want to connect to a database that is not registered yet then perform the following operations:

  1. Launch the Register Database wizard by selecting the Database | btnRegisterDB Register Database... main menu item.
  2. If a host where the database is located have not been registered yet then type in its name in the Host name field on the first step of the wizard. Otherwise, select the necessary host from the drop-down list.

Note: To register several databases at once uncheck the CheckBox Register a single database option. In this case you will proceed to the Selecting databases step of the wizard where you will define databases want to be registered.

  3. On the last step of the wizard set database name and specify specific options.
  4. The registered database(s) is/are now displayed in the DB Explorer. To connect to the database double-click its alias or select the btnConnectToDB Connect to Database item of the database context menu.


Database Management_4

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Create a database

To create a database on the registered server perform the following operations:

  1. Launch the Create Database wizard by selecting Database | btnCreateDB Create Database main menu item.
  2. On the first step specify a name for a newly created database.
  3. On the second step set the necessary connection parameters for the database being created. Use the corresponding boxes and options: Host name, User name and Password.
  4. Click the Next button to view the result SQL statement. If you have checked the CheckBox Register After Creating box on the first step of the wizard then the Database Registration Info dialog will appear after creating a new database.


Database Management_12

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Edit database connection parameters

If you have made a mistake when creating and registering a database or the information provided is incomplete then it can be edited using the Database Registration Info dialog. You can view this information both for connected or disconnected database.

To open the dialog, select the database or any of its objects in the DB Explorer tree, then select the Database | btnDBRegistrationInfo Database Registration Info... main menu item, or right-click the database alias in DB Explorer and use the btnDBRegistrationInfo Database Registration Info... context menu item.

The connection parameters can be changed on the Connections tab of the dialog. Here you can define or redefine the following properties in the corresponding boxes: Host name, Port, User name, Password, Named pipe, Database name, Database alias, Client charset and Font charset.


Make work with a database faster

If your database contains too many objects or if connection to the database is slow you can increase work speed by uncheking the CheckBox Refresh objects on connection option when registering database or editing the Database Registration Info.

Also you can uncheck the CheckBox Restore desktop on connect option in the Preferences section of the Environment Options.


Design a visual database structure

To design your database visually you may use the Visual Database Designer. It allows you to create, edit and drop tables and table columns, set relations between tables and perform other operations you may need to achieve your purpose.

To create a new object right-click within the diagram area and then choose the Create item of the context menu. After that a new object will appear on a diagram.

After you have finished designing your diagram you can click a Compile button to create this structure physically.


View an ER diagram

The relationship diagram is built using the reverse engineering operation.

To view an ER diagram of a scheme you should follow the steps:

  1. Run Visual Database Designer;
  2. Click the btnReverseEngineer Reverse Engineer button on the main toolbar or use the corresponding item of the context menu.
  3. Choose schemas to reverse engineer from.

The created diagram can be saved as a *.myd file ( btnSave Save Diagram button) or as an image ( btnSaveAsPicture Save as Picture button).


Create a database copy

In order to create a copy of the whole database or of separate objects you can:

  1. Extract DB objects structure and data into SQL script using the Extract Database Wizard. The result script can be used to copy or restore your database. If the CheckBox Generate CREATE DATABASE statement option was not checked while customizing script options then you need to create a database before performing the extract script. It is better to execute a script from file using the SQL Script Editor.
  2. Create a database copy with the help of the Copy Database Wizard.
  3. Create copies of separate database objects by using the Duplicate Object Wizard.


Document a database

There are several ways to document a database:

  1. You can generate a detailed HTML report of the selected database objects using HTML Report Wizard.
  2. You can generate and print metadata reports of any database object(s). Generated reports can be exported to any of the available formats: HTML file, Excel file, Text file, RTF file, CSV file, HTML file, BMP image, Excel table (OLE), JPEG image, TIFF image.
  3. You can save the Visual Database Designer diagram as a *.myd file for future use. A diagram is saved with the objects XML files. If necessary, you can also save the diagram as an image.


Save metadata reports to file

To save a metadata report in a file of any supported format (*.txt, *.csv, *.pdf, *.html) you should do the following:

  1. Open the Print Metadata window by selecting the Tools | iconPrint Print Metadata item of the main menu.
  2. Mark the needed objects and define printing settings and click the btnPrintPreview Preview button on the navigation bar or toolbar.
  3. In the opened Preview window click btnPreviewExport Export and select from the drop-down list the needed file format for report saving. When done, specify file name and location.


Log database changes

If you want to perform metadata changes logging and SQL query logging you need to:

  1. Check the CheckBox Enable log of metadata changes and specify the path to the *.sql file to store the metadata logs.
  2. Check the CheckBox Enable log of SQL Editor queries and specify the path to the *.sql file to store the logs of SQL queries: date/time of query execution, SQL text, execution result or errors (if any).

This can be done in the Database Registration Info | Logs window.


Get an SQL dump

To get an SQL dump (an *.sql file) of your database use the Extract Database Wizard that will extract database objects and/or data to an SQL script, e.g. for backup purposes.


Synchronize two databases

The synchronization between two databases can be done with a help of the Compare Databases Wizard. This wizard allows you to compare databases and create a script to deploy changes from one database into another one.

To run the wizard use the Tools | iconCompare Compare Databases... item of the main menu.


Group objects

If you want to group objects you can do it in one of the following ways:

Using favorite objects (situated in the DB Explorer tree)

  1. Click create New Sub Folder in the Favorite Objects folder using the corresponding item of the context menu
  2. Define its name and drag-and-drop necessary objects there or use the Add Object item of the created folder context menu. Pick the objects to add to folder from the appeared dialog.

Using DB Explorer tabs

  1. Right-click the necessary object in the DB Explorer.
  2. Choose the btnNewTabFromHere New Tab from Here item of the object context menu and define the name of the tab.
  3. Now your objects are stored on the separate tab of a DB Explorer.

Note: If object is not a tree node, it cannot be placed on separate tab.


Find objects

In order to search for objects you need you can:

  1. Call the Find Object dialog by right-clicking the Database alias, any database object group nodes or objects in the DB Explorer tree and select the Find Object... context menu item.
  2. Call the Find Object dialog by using the Ctrl+F shortcut.
  3. Type in the first letters in the edit-box of the Search Panel, and the corresponding object will be highlighted in the tree, as displayed in the picture below.

Note: Objects among which the search is performed should be updated and the object node should be expanded.

  4. Launch the Search in Metadata tool by selecting the Tools | iconSearchInMetadata Search in Metadata main menu item, or using the Ctrl+Alt+F shortcut. After the search is complete, the Explorer group on the Navigation bar displays the tree of database objects in which the search string is found, and allows you to view metadata of the required object or its fragment.


View dependecies

If you want to view all the object dependencies then:

  1. Use a dependencies tab in the Table Editor.
  2. Use the Dependency Tree tool.

These tools may be useful when you can't find an object that prevents your from dropping a table.


Get an object DDL

In order to get an object DDL you can:

  1. Right-click the object in the DB explorer tree and select the Script to New SQL Editor | Create context menu item.
  2. Right-click the object and select the Edit <object> <object_name>... context menu item or double-click the object and then proceed to the DDL tab in the opened object editor window.


View tables with many records

If your table contains a lot of records you can minimize dataset loading time by:

  1. Setting the number of records to be selected;
  2. Enabling RadioButton Load visible records in order to load only a fixed number of dataset records into memory

These options can be set only for the selected database on the Data Options page of the Database Registration Info.

Default settings for newly registered databases can be defined on the Grid | Data Options page of the Environment Options dialog.

You can set the maximum number of visible records in the Record Limit counter HowTo - Grid View - Set Record Limit located on the Data View toolbar. Press Enter or click the data grid to apply changes.

If the number of records exceeds the maximum number, the Move all to Selected Fetch all button becomes active. It allows viewing all records in a table.

Use the Grid Mode tab of the Data View context menu to set the display mode. You can choose among the Load All Rows, Load Visible Rows and Default modes.


Set data filter

Quick Filtering (by the current value in a cell)

Open the context menu of the needed column and choose the Quick Filter item. Then choose a filter condition in the opened submenu.

Filtering by Column

HowTo - Grid View - Quick Filter

Open the drop-down list on the column title and choose a filter condition from the list.

You can set advanced conditions by using the Custom... menu item.

When choosing this item, the special window for setting filter conditions opens.

Advanced Filtering

You can set advanced filter options by pressing the button btnSetFilter on the toolbar of the Data View and set filter parameters in the Filter Builder. Apply the set conditions by pressing the Apply button.

If a filter is set for a table, the special bar appears in the lower part of the table where you can see filter conditions and the history of filter changes opened by pressing the drop-down list.

Data View - Grid View - Filtering records - Filtering panel

Disable Filtering

To cancel filtering, open the context menu of the column and choose the Disable filter item.

Or press the btnClose button on the filter toolbar.


Sort and group data

In order to sort data, do the following:

  1. Open data at the Data or Results tab.
  2. Choose the column by which you need to sort data and click the column title.
  3. If the column was not sorted, the first click will sort it in the ascending order and the second one - in the descending order.

Note: To cancel the sorting, open the context menu by right-clicking the necessary column and choose the Clear Sorting item, or press the Ctrl button and click the column title.

To enable grouping, drag the column title to the special grouping bar above the grid.

HowTo - Data View - Grid View - Grouping data by two columns_Small

Note: To disable grouping, drag the column title from the group bar back to the table.


Export/import data

You can export data from a database table into an external file of any supported format by means of the Export Data Wizard.

There are several ways to launch Export Data Wizard

  1. Open the Data or Results tab, press [image] Export Data on one of the Data View toolbars.
  2. Open the Data or Results tab, choose Data Manipulation | [image] Export Data in the Data Grid context menu.
  3. Open the table context menu in the DB Explorer, choose the Data Manipulation | [image] Export Data item.
  4. Open the Data or Results tab and use the shortcut Shift+Ctrl+E.

You can import data from external sources into a table or view using Import Data Wizard

  1. Open the Data tab, press the [image] Import Data button on one of the Data View toolbar.
  2. Open the Data tab, choose Data Manipulation | [image] Import Data in the Data Grid context menu.
  3. Open the table context menu in the DB Explorer, choose the [image] Import Data item.
  4. Open the Data tab and use the shortcut Ctrl+I.

Note: Export and import data tolls are available in full version of SQL Manager for MySQL only.


Export filtered data

If you have set a filter in a Data View and want to export only this data then you need to uncheck CheckBox Perform data filtration on client in data view option on the Database Registration Info | Data Options tab. In this case all the changes made by applying filters are performed on the MySQL server with the help of the WHERE clause used in SQL query. Otherwise your changes will just be displayed on your client machine but data will be exported into a file without applied filters.


Export data as SQL Script

You can export data from a database table into SQL script with INSERT INTO statements in one of the following ways:

  1. Open the Data or Results tab, press the [image] Export Data as SQL Script on one of the Data View toolbars and set export parameters in the opened Export as SQL Script Wizard.
  2. Open the Data or Results tab, choose Data Manipulation | [image] Export Data as SQL Script in the Data Grid context menu and set export parameters in the opened Export as SQL Script Wizard.
  3. Open the table context menu in the DB Explorer, choose the Data Manipulation | [image] Export Data as SQL Script item and set export parameters in the opened Export as SQL Script Wizard.

Note: In order to extract table DDL (CREATE TABLE statement), check the CheckBox Add CREATE TABLE statement box at the Step 1.


Edit data of master-detail tables

You can work with data in multi-level mode, that is you can view and modify it in several related tables simultaneously.

To manage grid levels, right-click the grid and select the Grid Levels context menu group. Click Add Grid Level in the menu to run the Create Grid Level wizard. After the level is added you can edit data of the related tables.


Add image to table

If you want to add an image to a table then do the following:

  1. Open the table on the Data tab.
  2. Go to the BLOB View section (the navigation buttons are located in the bottom part of the window) and then proceed to the Image tab.
  3. If there are several BLOB fields, choose the required field from the Select BLOB Column drop-down list on the toolbar of the Blob View tab and press the iconLoadFromFile Load from File button on the same toolbar.
  4. Choose the needed image file in the appeared dialog.

HowTo - Grid View - BLOBView - Select BLOB Column

Note: Adding images to table is possible only if table contains at least one BLOB field.


Set data display format

To set the format for displaying data open the Options | btnEnvironmentOptions Environment Options dialog from the main program menu, proceed to the Color & Formats tab and define or choose the display format for some data types in the Display formats section.


Create SQL statements rapidly

There are two options for creating SQL queries rapidly:

In the DB Explorer

  1. Right-click a table in the DB Explorer
  2. Choose Script to New SQL Editor context menu item.
  3. Select the necessary query type.

In the Visual Query Builder

  1. Open Visual Query Builder.
  2. On the Builder tab drag an object from the DB Explorer tree to the diagram area.
  3. Choose necessary columns to include in the query by checking the corresponding box located to the left from the column name in the list, or just by double-clicking it. To include all columns of the table/view, check the box located to the left of the table/view caption.
  4. Associate two objects by their columns.Drag a column from one object list to another. This will set a link between these objects by the selected columns. It is indicated by a bidirectional arrow between the linked columns.
  5. Edit link properties. Double-click the linking arrow or right-click it and select the Property popup menu item. The Link properties dialog allows you to change the association condition by choosing it from the drop-down list.
  6. You can view and edit your SQL statement on the Edit tab of the Visual Query Builder.


Control a query productivity

You can view a query productivity on the query plan. It allows you to view the sequence of actions performed by the database server in the process of the query execution, and the amount of system resources used for the query execution.

To view the Plan of a query, open the query in SQL Editor and use the btnExplainQuery Show estimated execution plan item of the Navigation bar or toolbar.

If necessary, you can specify that the Plan tab appears automatically upon query execution in SQL Editor: select the CheckBox Show actual execution plan on query execution option available within the Tools | SQL Editor section of the Environment Options dialog.


Work with several queries at once

SQL Editor provides a possibility to open and edit several queries. You can create tabs in the lower part of the SQL Editor, each tab may contain a separate query. There are several ways for creating tabs:

  1. Open btnShowSQLEditor SQL Editor and choose btnNewSQLEditor Add New Query on one of the toolbars.
  2. Open btnShowSQLEditor SQL Editor and choose btnNewSQLEditor Add New Query in the context menu of the existing tab. HowTo - WorkWithQueries - AddNewQuery
  3. Use the shortcut Ctrl + N.

Note: Each tab can be renamed and any query can be added to Favorite Queries.


Save most frequently used queries

Use the Favorite Queries feature to store your most frequently used SQL queries. To access the list of your favorite queries you can use the Favorite Queries node of DB Explorer or create a separate tab for your Favorite queries.

Using the context menu you can create a new Favorite query or edit an existing one using Favorites editor, open any of the existing queries in SQL Editor or remove a query if you don't need it any longer.


Execute queries with parameters

If you want to use queries with parameters then you should check CheckBox Allow using parameters in query text option in the Environment Options | Tools.

This feature allows you to specify different values within a query in a popup dialog just before the query execution. Use the colon (':') character before an identifier (e.g. :P1) to specify a parameter within the query.


Export query results into file

When executing queries, their results can be displayed on the Edit or Results tab in the Data View.

You can copy data from database tables into an external file of any supported format in one of the following ways:

  1. Open the Data or Results tab, press [image] Export Data on one of the Data View toolbars and define export parameters in the opened Data Export Wizard.
  2. Open the Data or Results tab, choose Data Manipulation | [image] Export Data in the Data Grid context menu and define export parameters in the opened Data Export Wizard.
  3. Open the table context menu in the DB Explorer, choose the [image] Export Data item and define export parameters in the opened Data Export Wizard.
  4. Open the Data or Results tab and use the shortcut Ctrl+E.


Execute scripts

SQL Script allows you to create, view, edit and execute SQL scripts. To open SQL Script Editor select the Tools | btnShowSQLScript SQL Script... main menu item. This tool is intended for work with a great number of SQL statements and with scripts that are stored in files. For instance, you can execute a script directly from a file without loading it to the Editor window. This reduces memory usage. However SQL Script allows just to estimate whether the execution of script statements will be successful, but it does not return query result.

Note: To execute SQL scripts you should use btnShowSQLScript SQL Script, not btnShowSQLEditor SQL Editor. The latter is intended for creating, editing and executing SQL statements. It also provides a possibility to view query result, perform various operations with it (data import, data export, etc.) and manage transactions.


Execute a large SQL script

If you need to execute a large SQL script it's not necessary to load it from file to the SQL Script Editor window as it can take a lot of time. Instead you can execute script directly from *.sql, *.zsql or *.txt file. In order to do this click the iconCompile Execute script from file button of the Navigation bar and Toolbar in SQL Script editor.


Make SQL script work faster

In order to make the SQL script work faster, you can disable some functions.

Parsing

Choose and disable the iconDBExplorer Disable Parsing item on one of SQL Script Editor toolbars.

Automatic Creation of Hierarchical Text Structure

Uncheck the CheckBox Use code folding box in the Display section of the Editor options.

Syntax Highlight and Quick Code for Aliases

Choose Options | Editor options in the main program menu, proceed to the General tab and uncheck the CheckBox Resolve aliases box - the syntax highlight and quick code for aliases will be disabled.


Customize work with query/script text

To customize work with a query/script text you may:

Use Internal Link

This means that the name of the object existing on a database is highlighted in a query/script text. Such an object can be opened by holding the Ctrl key and clicking the object with a mouse.

Add Text Template

Keyboard templates allow you to type regularly used expressions and edit the existing ones quicker. Once you have defined the templates, you can use them in SQL Editor. When editing SQL text in SQL Editor, type a template name and use the Ctrl+J shortcut: the text associated with the template will be inserted automatically.

Use Automatic Completion (Object List)

You can call the autocompletion list by starting entering the first characters of the text and using the shortcut Ctrl + Space.

Customize Autocompletion List

Choose Options | Editor options in the main program menu, proceed to the Code Completion tab and define the list and quick code parameters.

Apply Automatic Formatting of Query/Script

Choose Quick Code | Format in the SQL Editor/SQL Script context menu or the Shift+Ctrl+F shortcut to apply automatic formatting.

Set Font and Query/Script Format at the Display tab

Choose Options | Editor options in the main program menu, proceed to the Display tab and define common font and format parameters for SQL Editor/SQL Script.

Set Font and Query/Script Format at the Highlight tab

Choose Options | Editor options in the main program menu, proceed to the Color Scheme tab and define font options for each element.

Note: If some font parameters are defined on the Highlight tab, they will be applied to the query/script text and not the ones defined on the Display tab.


View executed queries and scripts

To view all queries and scripts sent to the server you need to launch SQL Monitor. It will show you the log of database operations and SQL queries as items, each consisting of 3 parts: Executed (the date and time of the operation), Operation (SQL statement sent to the server), Result (the result of the operation).

Note: SQL Monitor only displays scripts and queries executed in SQL Manager for MySQL during current session.


Manage privileges

To define grants on database objects:

  • select the Tools | Grant Manager main menu item, or use the corresponding btnGrantManager toolbar button to open Grant Manager;
  • select the object type using the drop-down list on the toolbar;
  • select a user from the Privileges for pane of the Navigation bar;
  • edit user privileges using Grant Manager.

To define grants on tables, you can also:

  • right-click a table in DB Explorer and select the Grants for Table <table_name> item from the context menu;
  • edit user privileges using Grant Manager.


Prevent connection timeout

To prevent connection timeout as well as to speed up table data viewing and prevent hanging you should choose 'Select only' mode when configuring the Grid | Data Options section of the Environment Options dialog.


Connect to hosting provider's database

If MySQL host is located on the web hosting provider's remote server and direct TCP/IP connection to this host is denied on the security grounds, but there is a "local" MySQL account that can be used in scripts (PHP, ASP etc.) or in PHPMyAdmin then HTTP tunneling can be used to connect to the hosting provider's database. HTTP tunneling is a connection type, when connection and data transmit between program and MySQL server is implemented by HTTP/HTTPS protocols. HTTP server (eg. Apache) and PHP with MySQL extension must be installed on the remote host. As a rule this software is offered by all hosting providers that allot hosting on Linux-based servers.

To create HTTP-tunnel you need to upload emsproxy.php script (included to program pack) to your webserver. Our program uses this script for transferring data through HTTP. The uploaded script file must be accessible on a URL address (for example in the directory with other scripts). If your webserver meets all the requirements listed above and the script was copied correctly then on opening the 'http://<your_webserver_name>/emsproxy.php' page you will see: 'EmsProxy v1.31' (version can be different). To register a database with HTTP connection you need to configure the following settings in the Register Database Wizard:

  1. Select CheckBox Use tunneling and RadioButton HTTP tunneling;

  2. Define URL (emsproxy.php script file is located)

Script implements connection to MySQL server using authorization information defined in SQL Manager. Script also gets all further queries from SQL Manager to perform and to send results back to SQL Manager. Script itself doesn't require authorization. Thereby, to create an HTTP-tunnel you need only MySQL account. Host from which the connection to my sql is performed is a host, where HTTP-server is running.


Create a simple report in Report Designer

SQL Manager for MySQL
  • Index
  • « Prev
  • Next »

Create simple report in the report designer

To create a report using Report Designer:

  1. Select the Tools | [image] Report Designer main menu item.
  2. In the opened Report Designer select the File | [image] New Report main menu item, or click the [image] New Report item of the navigation bar. The following objects will be added to the newly created report: ReportTitle, MasterData and PageFooter.
  3. Connect to data source.
  4. Add ADOTable or ADOQuery object.
  5. Link ADOTable or ADOQuery with ADODatabase.
  6. Place database columns on the Page1. Move the required columns from Data Tree to Band MasterData.


Transfer program settings

If you want to apply current program settings (wholly or partially) to SQL Manager for MySQL installed on another machine you can save them into a single *.reg file. This can be done by means of the Save Settings Wizard.

Note: Favorite Queries are not saved in this case. To get access to your queries from another machine please store them in the database. To save a favorite query in a database select the Database from the drop-down list in the Storage field when creating or editing a favorite query.


Update SQL Manager

SQL Manager for MySQL can be updated in the following ways:

  1. Download the SQL Manager for MySQL distribution package from the download page, then extract archive to the preferable directory (e.g. c:\unzipped). Close SQL Manager for MySQL if it's opened and run MsManagerFullSetup.exe or MsManagerLiteSetup.exe.
  2. Select the Help | SQL Manager Direct, then press the Update button. If new SQL Manager for MySQL version is released it will be offered for downloading. Click Yes in the dialog window to update SQL Manager for MySQL automatically.


Report bugs and suggestions

  1. Before reporting bugs and suggestions make sure you are using the latest version of the SQL Manager for MySQL.
  2. If so then you may contact us via Members Area on http://www.sqlmanager.net/, via Help main menu or by sending an email to support@sqlmanager.net.
  3. Please, don't forget to mention your OS version, MySQL version and program version.
  4. Describe the steps to reproduce the bug in detail and illustrate them with screenshots.


Program interface

Main menu

The main menu allows you to perform various Database operations, open To-Do List and activate/deactivate Database Explorer, SQL Assistant and various toolbars within the View menu, manage your databases using items of the Tools and Services menus, customize the application using the Options menu, manage SQL Manager Windows using Window List and other tools, and access Registration information and product documentation, update the product to the latest version using the corresponding items available within the Help menu.

Appendix - Program interface - MainMenu

Note: To learn how to configure SQL Manager menus, refer to the Customize toolbars and menus page.

Navigation bars in object editors and program tools

Navigation bars are interface elements that enable users to quickly locate tools they need. Navigation bar items are displayed within a group with the help of links. A typical Navigation bar of SQL Manager contains links to commonly accessed tools (refresh, print, restore default size of the window), options pertaining to the editor or tool, and specific tools.

Appendix - Program interface - NavBar - Expanded

Navigation bar panes (groups) can be expanded/collapsed. When expanded, a pane provides access to its links; when collapsed, panes are displayed as headers only.

To expand/collapse a pane, click the pane header. The [image] [image] icons indicate the current pane state (collapsed/expanded respectively).

Appendix - Program interface - NavBar - Collapsed

Note: Depending on the current tab selection, Navigation bars in most of the program tools expand to one or more additional panes with tab-specific actions that can be useful for working with the object or service.

Hint: Most items of the Navigation bars are also available on the Toolbars.

Toolbars in the main program window, object editors and program tools

A toolbar is a horizontal row or vertical column of selectable image buttons that give the user a constantly visible reminder of and an easy way to select certain application functions. Most SQL Manager editors and tools are supplemented with toolbars.

Appendix - Program interface - Toolbar

To enable the toolbars in SQL Manager for MySQL, open the Environment Options dialog, proceed to the Windows section there and select RadioButton Toolbar (if you need the toolbar only) or RadioButton Both (if you need both the toolbar and the Navigation bar) in the Bar style for child forms group.

Hint: Most SQL Manager toolbars are dockable, i.e. you can place a toolbar to any available location within the parent window.

To learn how to configure toolbar items, refer to the Customize toolbars and menus page.

Progress bars

A progress bar is an interface element that conveys the progress of a task or service. Several SQL Manager editors (e.g. SQL Script),tools (e.g. Dependency Tree) and wizards (e.g. Import Data Wizard) are supplemented with progress bars indicating the progress of lengthy operations.

The graphic of SQL Manager progress bars is accompanied by a textual representation of the progress in the percent format.

Splitters

Splitter controls are used to resize docked controls at run time. In SQL Manager for MySQL the splitter controls are used on the main form, DB Explorer, and in program tools and editors as a separator between the working area and Navigation bars, status bars, etc.

Incremental Search bar

Incremental search bar is the tool which is available in the status bar area of some SQL Manager tools. The bar is normally called through the Ctrl+I shortcut. Type in the first letters of the search string, and the corresponding string will be highlighted in the search scope.


Viewing object DDL structure

The DDL (Data Definition Language) tab displays the SQL statement for creating the object with all its subobjects, if any. This text is read-only. If you want to change the object definition, use the appropriate editor tabs instead, or copy the text to the Windows Clipboard to paste it in the SQL Editor or SQL Script Editor.

Appendix - Viewing DDL structure

Hint: If more convenient, you can use the Save DDL to file and Open DDL in SQL Editor items available on the DDL pane within the Navigation bar of object editors.


Editing object description

The Description tab allows you to view and edit the comment for the object (optional).

Appendix - Editing object description

You can save changes made in this area by clicking the Compile item on the Navigation bar.


Browsing object dependencies

The Dependencies tab allows you to view objects that depend on the object being edited, and the objects that the edited object depends on.

While the tree of dependencies is built, the progress bar is displayed in the status area of the editor window.

Appendix - Browsing object dependencies

Hint: To open a dependent object or a depending object in its editor, you can simply double-click the object alias in the Objects that <object_name> depends on and Objects that depend on <object_name> lists.

See also:

Dependency Tree


Changing Metadata window

The Changing Metadata window is used to trace the errors and edit SQL statements during their compilation. The compilation window appears each time metadata is changed, both when the compilation is successful and when there are compilation errors. To hide this window for successful metadata changes, select the CheckBox Don't show this window on success option.

Compile SQL

This area displays the SQL statement pending to be executed to perform metadata changing. In this area you can view and edit the SQL statement.

In case of a compilation error the Error tab also becomes visible - here you can view the error description returned by the server.

Commit

This button starts execution of the statement(s). Click it to commit the current transaction. This button is available only if there were no errors in compilation.

Rollback

This button cancels the script execution and allows you to return to the previous stage (editor window or DB Explorer).

Rollback and Recompile

This button calls for recompilation with the changes you made in the Compile SQL area. Use this button after correcting the SQL statement.

Appendix - Changing Metadata window

If necessary, you can copy information to clipboard and save it in a text editor afterwards (the button is only enabled when a compilation error occurs).

If you want this window to appear only in case of an error, uncheck the CheckBox Confirm metadata changing (Changing Metadata Window) option (checked by default) available within the Confirmations section of the Environment Options dialog.


Find Text dialog

The Find Text dialog is provided for quick and flexible searching for specified text within the working area of SQL Manager editors.

Text to find

Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Options

CheckBox Case sensitive

This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only

Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular expressions

Recognizes regular expressions in the Text to find field.

For example, you can type "empl*" to search for metadata containing the "empl" substring; enter "^emp" to search for words starting with "emp" or "^emp|emp$" to search for the string "emp" at the beginning or at the end of the string.

Note: The syntax of regular expressions that can be used in the Text to find field is similar to that used in Perl regular expressions. Comprehensive information about it can be found at http://perldoc.perl.org/perlre.html#Regular-Expressions.

Direction

RadioButton Forward

Searches from the current position to the end of the working area.

RadioButton Backward

Searches from the current position to the beginning of the working area.

Scope

RadioButton Global

Searches within the entire working area, in the direction specified by the Direction setting.

RadioButton Selected text

Searches only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor

The search starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope

The search covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.

CheckBox Mark search result with stack marker

The option toggles marking search results. If this option is selected, stack markers are set at all search positions - this makes it possible to jump from one marker (search result) to another within the text.

Click the Show All button to highlight every occurrence of the search string.

Find in metadata

This tab allows you to define options for search in metadata.

Use the Database drop-down list to select database to search in.


Replace Text dialog

The Replace Text dialog is provided for searching and replacing text within the working area of SQL Manager editors.

Text to find

Enter a search string in this box. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered search strings.

Text to replace

This box allows you to enter a string to replace the search string. The Arrow-Down button which can be found next to the input box allows you to select any of the previously entered strings. To replace the search string with an empty string, leave this input box blank.

Options

CheckBox Case sensitive

This option can be used to differentiate uppercase characters from lowercase ones during the search process.

CheckBox Whole words only

Use this option to search for words only (with this option off, the search string might be found within longer words.)

CheckBox Regular expressions

Recognizes regular expressions in the Text to find field.

CheckBox Replace with template

This option requires the Regular expressions option selection.

Enable this option to use regular expressions in the Text to replace field. Expression used in this field will be applied to each string that matches the Text to find expression.

Note: The syntax of regular expressions that can be used in the Text to find and the Text to replace fields is similar to that used in Perl regular expressions. Comprehensive information about it can be found at http://perldoc.perl.org/perlre.html#Regular-Expressions.

CheckBox Prompt on replace

Check this option if you wish to be prompted before replacing upon each occurrence of the search string. When this option is off, the search string is replaced automatically.

Direction

RadioButton Forward

Searches and replaces from the current position to the end of the working area.

RadioButton Backward

Searches and replaces from the current position to the beginning of the working area.

Scope

RadioButton Global

Searches and replaces within the entire working area, in the direction specified by the Direction setting.

RadioButton Selected text

Searches and replaces only within the currently selected text, in the direction specified by the Direction setting. You can use the mouse or block commands to select a block of text.

Origin

RadioButton From cursor

The search and replace process starts at the cursor's current position, and then proceeds either forward to the end of the scope, or backward to the beginning of the scope depending on the Direction setting.

RadioButton Entire scope

The search and replace process covers either the entire block of selected text or the entire script (no matter where the cursor is in the Editor area) depending upon the Scope options.

CheckBox Mark search result with stack marker

The option toggles marking search results. If this option is selected, stack markers are set at all search positions - this makes it possible to jump from one marker (search result) to another within the text.

Click the Replace All button to replace every occurrence of the search string. If you have checked the Prompt on replace option, the confirmation dialog box appears upon each occurrence of the search string.


Format specifiers

The following format specifiers are supported in the format string:

Float/Integer format

0

Digit place holder. If the value being formatted has a digit in the position where the '0' appears in the format string, then that digit is copied to the output string. Otherwise, a '0' is stored in that position in the output string.

#

Digit placeholder. If the value being formatted has a digit in the position where the '#' appears in the format string, then that digit is copied to the output string. Otherwise, nothing is stored in that position in the output string.

.

Decimal point. The first '.' character in the format string determines the location of the decimal separator in the formatted value; any additional '.' characters are ignored.

,

Thousand separator. If the format string contains one or more ',' characters, the output will have thousand separators inserted between each group of three digits to the left of the decimal point. The placement and number of ',' characters in the format string does not affect the output, except to indicate that thousand separators are wanted.

E+

Scientific notation. If any of the strings 'E+', 'E-', 'e+', or 'e-' are contained in the format string, the number is formatted using scientific notation. A group of up to four '0' characters can immediately follow the 'E+', 'E-', 'e+', or 'e-' to determine the minimum number of digits in the exponent. The 'E+' and 'e+' formats cause a plus sign to be output for positive exponents and a minus sign to be output for negative exponents. The 'E-' and 'e-' formats output a sign character only for negative exponents.

Date/Time format

c

Displays the date using the format using the Short Date Format, followed by the time using the Long Time Format. The time is not displayed if the date-time value indicates midnight precisely.

d

Displays the day as a number without a leading zero (1-31).

dd

Displays the day as a number with a leading zero (01-31).

ddd

Displays the day as an abbreviation (Sun-Sat) using the strings of the Short Day Names.

dddd

Displays the day as a full name (Sunday-Saturday) using the strings of the Long Day Names.

ddddd

Displays the date using the Short Date Format.

dddddd

Displays the date using the Long Date Format.

e

Displays the year in the current period/era as a number without a leading zero (Japanese, Korean and Taiwanese locales only).

ee

Displays the year in the current period/era as a number with a leading zero (Japanese, Korean and Taiwanese locales only).

g

Displays the period/era as an abbreviation (Japanese and Taiwanese locales only).

gg

Displays the period/era as a full name. (Japanese and Taiwanese locales only).

m

Displays the month as a number without a leading zero (1-12). If the m specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mm

Displays the month as a number with a leading zero (01-12). If the mm specifier immediately follows an h or hh specifier, the minute rather than the month is displayed.

mmm

Displays the month as an abbreviation (Jan-Dec) using the strings given of the Short Month Names.

mmmm

Displays the month as a full name (January-December) using the strings of the Long Month Names.

yy

Displays the year as a two-digit number (00-99).

yyyy

Displays the year as a four-digit number (0000-9999).

h

Displays the hour without a leading zero (0-23).

hh

Displays the hour with a leading zero (00-23).

n

Displays the minute without a leading zero (0-59).

nn

Displays the minute with a leading zero (00-59).

s

Displays the second without a leading zero (0-59).

ss

Displays the second with a leading zero (00-59).

z

Displays the millisecond without a leading zero (0-999).

zzz

Displays the millisecond with a leading zero (000-999).

t

Displays the time using the Short Time Format.

tt

Displays the time using the Long Time Format.

am/pm

Uses the 12-hour clock for the preceding h or hh specifier, and displays 'am' for any hour before noon, and 'pm' for any hour after noon. The am/pm specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

a/p

Uses the 12-hour clock for the preceding h or hh specifier, and displays 'a' for any hour before noon, and 'p' for any hour after noon. The a/p specifier can use lower, upper, or mixed case, and the result is displayed accordingly.

ampm

Uses the 12-hour clock for the preceding h or hh specifier, and displays the contents of the TimeAMString global variable for any hour before noon, and the contents of the TimePMString global variable for any hour after noon.

/

Displays the date separator character using the Date Separator.

:

Displays the time separator character using the Time Separator.

'xx'/"xx"

Characters enclosed in single or double quotes are displayed as-is, and do not affect formatting.


Language Info Editor

The Language Info Editor dialog allows you to set the language name and specify the corresponding *.lng localization file. This dialog is opened when you add or edit a language (see Environment Options | Localization).

Language Name

The name of the language that is displayed in the Select Program Language dialog and within the Available Languages list of the Environment Options | Localization section.

Language File

The *.lng file containing the translated string resources. See the %program_directory%\Languages folder to find already existing localization files.

Adding a language

The Add language dialog allows you to specify your own localization file and set the language name.

Editing a language

The Edit language dialog allows you to change the language name or select another localization file for the specified language.


Using templates

For your convenience the ability to use templates is provided by SQL Manager for MySQL. A template is a named collection of wizard options stored in a file.

Instead of performing a long chain of routine steps all the time you can save all the options of the wizard for future use as a template file. Select the Templates | Save Template drop-down menu item, specify the template file name and set an optional comment for the template file.

When starting the wizard next time, you can load the template by selecting the Templates | Load Template drop-down menu item.


Supported file formats

RadioButton MS Excel 97-2003

The most popular e-table format used by Microsoft® Excel (*.xls). The result files are fully compatible with Microsoft® Excel versions 97-2003 and XP.

RadioButton MS Access 97-2003

File of Microsoft® Access format (*.mdb) with an ADO connection used.

RadioButton MS Access

File of Microsoft® Access format (*.accdb).

RadioButton MS Word 97-2003

One of the most popular text processing formats used by Microsoft® Word (*.doc). The result files are fully compatible with Microsoft® Word versions 97-2003 and XP.

RadioButton RTF

Rich Text Format (*.rtf) supported by many text processing programs (e.g. WordPad).

RadioButton HTML

Hyper Text Markup Language file format (*.html, *.htm), complete compatibility with HTML 4.0 specification.

RadioButton PDF

A standard format in electronic publishing (*.pdf).

RadioButton Text file

Plain text file format (*.txt).

RadioButton CSV file

Comma-Separated Value file format (*.csv).

RadioButton DIF file

Data Interchange File (*.dif) format.

RadioButton SYLK

Symbolic Links (*.slk) file format.

Note: all the text formats including Text file, CSV, DIF, SYLK are usually used as working or interchange formats.

RadioButton LaTeX

A specific file format (*.tex) which is a popular (especially among mathematicians and physicists) macroextension of TeX pack developed by D.Knut.

RadioButton XML

A markup language for documents containing structured information (*.xml).

RadioButton DBF

Database file format (*.dbf) used by dBASE and a number of xBASE applications.

RadioButton MS Excel

The contemporary e-table format used by Microsoft® Excel 2007 (*.xlsx). The result files are fully compatible with Microsoft® Excel.

RadioButton MS Word

The contemporary text processing format used by Microsoft® Word 2007 (*.docx). The result files are fully compatible with Microsoft® Word.

RadioButton ODF Spreadsheets

OASIS Open Document Format for Office Applications - open document file format for spreadsheets (*.ods) used by a number of applications including OpenOffice.org and KOffice.

RadioButton ODF text

OASIS Open Document Format for Office Applications - open document file format for word processing (*.odt) documents used by a number of applications including OpenOffice.org and KOffice.


To-Do List

The To-Do List window allows you to make up a list of tasks for the database.

To call this window, select the View | To-Do List main menu item, or use the Shift+Ctrl+T shortcut.

The task list is displayed in a form of a grid. Its columns (Action, Priority, User, Category) correspond to the task parameters. Click the column caption to sort the task list by the current parameter or change the sorting direction. Use the Navigation bar and context menu to add, edit, and delete to-do items.

Appendix - To-Do List

Database

Select the database to apply the task list to. When switching between the databases you can view different task lists.

To add a task to this list, click the Add Item link on the Navigation bar, or select Add Item from the context menu. You can also use the Ins key for the same purpose. Define the task parameters and click OK to add the new task to the list.

Appendix - To-Do List - Edit To-Do item

Text

Optional text to describe the task.

Priority

Set a numeric value to indicate the priority of the task.

User Name

The database User name this task is applied to.

Category

Set a category for the task. Using categories may be useful for grouping tasks.

To modify a task, select the task in the list and click the Edit Item link of the Navigation bar, or select Edit Item in the context menu. You can also use the Enter key for the same purpose.

To remove a task, select the task in the list and click the Delete Item link of the Navigation bar, or select Delete Item in the context menu. You can also use the Del key for the same purpose.

To remove all tasks from To-Do List, click the Delete all link of the Navigation bar, or select Delete all in the context menu. You can also use the Ctrl+Del shortcut for the same purpose.


Windows List

The Windows List panel allows you to browse the list of windows that are currently opened within SQL Manager for MySQL IDE.

To activate this panel as a DB Explorer tab, select the Windows | Window List main menu item, or use the Ctrl+Alt+0 shortcut.

Appendix - Window List

If necessary, you can right-click within the list area to call the popup menu which allows you to bring a window to foreground, close windows one by one or in groups, and to arrange the windows according to your preferences.


Customize toolbars and menus

For your convenience SQL Manager for MySQL provides toolbars and menus that you can customize, so the commands you use frequently are readily available and easily identifiable.

The Customize dialog allows you to create and personalize SQL Manager menus and toolbars.

To call this dialog, click More buttons... btnMoreButtons on the right side of any toolbar, then click Add or Remove Buttons and select Customize... from the drop-down menu. Alternatively, you can right-click any toolbar and select the Customize... popup menu item.

Toolbars

Toolbars

This list displays all currently existing toolbars of SQL Manager (both default and user-defined toolbars). Check/uncheck the box at a toolbar name to show/hide the toolbar.

New...

Use this button to add a new user-defined toolbar to the Toolbars list. Set a name for the newly created toolbar and dock it by dragging it to any permitted location within the application window.

Rename...

Use this button to rename the selected user-defined toolbar.

Delete

Use this button to delete the selected user-defined toolbar.

Appendix - Customize - Toolbars

Commands

This tab allows you to browse the list of all commands available within the menus and toolbars of the application window. Selecting categories in the Categories list displays commands of the selected category (e.g. 'Database' or 'Tools') in the Commands list.

If necessary, you can pick a command and drag it to any toolbar to create a button for this command.

Appendix - Customize - Commands

Options

Personalized Menus and Toolbars

CheckBox Menus show recently used commands first

This option determines whether the most frequently used items will be placed in menus at first position.

If this option is enabled, frequently used menu items are "promoted" and displayed higher on the list. Unused and infrequently used menu items are visually suppressed and appear "collapsed".

CheckBox Show full menus after a short delay

This option is available only if the Menus show recently used commands first option is selected.

If this option is enabled, infrequently used menu items (if they appear "collapsed") will be automatically expanded after a delay upon setting mouse cursor (or upon selection with the Up/Down keys) on the bottom of the menu. Otherwise, the menu expands only after clicking its bottom-most button (or using the Ctrl+Down shortcut).

Reset my usage data

Resets the lists of recently used commands in the toolbars and menus.

Appendix - Customize - Options

Other

CheckBox Large icons

This option displays larger icons on the parent window toolbars.

CheckBox Show ToolTips on toolbars

If this option is selected, ToolTips (hints) popup when the mouse cursor is positioned over a toolbar button.

CheckBox Show shortcut keys in ToolTips

If this option is selected, the corresponding shortcuts are displayed in ToolTips (hints) for toolbar buttons.

Menu animations

Use the drop-down list to specify the menu animation effects:

None (no animation)

Random (random choice: Unfold, Slide, Fade)

Unfold (unfolding menus)

Slide (sliding menus)

Fade (menus fade in when appearing)


SSH tunneling options

SSH (Secure Shell Host) protocol is used to heighten computer security when working with Unix systems on the Internet. SSH uses several encryption algorithms of different reliability. The spread of SSH is also related to the fact that a number of *nix operating systems (e.g. FreeBSD) include SSH server in their standard distributions. To learn more about SSH, please visit http://openssh.org.

The SSH tunneling feature of SQL Manager is a means of ensuring secure connection to MySQL servers when working over insecure connection channels. You can also use SSH tunnel to get access to the remote MySQL servers when port 3306 is closed for external connections for some reasons.

The connection via SSH tunnel works in the following way.

First, a connection is established and the process of authentication between SSH client built in SQL Manager and remote MySQL server is performed. Then all incoming and outgoing information between the application and MySQL is transmitted through SSH server with the help of a communication port (regularly port 22), and SSH server transfers this information directly to MySQL server.

To setup the connection via SSH tunnel, input the following values in the corresponding fields:

  • SSH host name is the name of the host where SSH server is running
  • SSH port indicates the port where SSH server is activated
  • SSH user name stands for the user on the machine where SSH server is running (Note: it is a Linux/Windows user, not a user of MySQL server)
  • SSH password is the Linux/Windows user password

Please note that MySQL host name should be set relatively to the SSH server in this case. For example, if both MySQL and SSH servers are located on the same computer, you should specify localhost as host name instead of the server external host name or IP address.

Appendix - SSH tunneling options

CheckBox Use Private Key for authentication

If the SSH encryption is enabled on the SSH server, a user can generate a pair of cryptographic keys (the Private key and the Public key). The Public key is placed on the SSH server, and the Private key is the part you keep secret inside a secure box that can only be opened with the correct passphrase (or an empty string as the passphrase). When you wish to access the remote system, you open the secure box with your passphrase (if any), and use the private key to authenticate yourself with the Public key on the remote Linux computer.

SSH Key file

Specify the location (the secure box) of the Private key file on your local machine.

Supported Private Key file formats are:

OpenSSH

Putty

SSH.com

Note that you need to trust your local machine not to scrape your passphrase or a copy of your Private key file while it is out of its secure box.

SSH Private Key - Passphrase


HTTP tunneling options

HTTP tunneling is a connection type, when connection and data transmit between program and MySQL server is implemented by HTTP/HTTPS protocols. Such connection type can be used when MySQL host is located on the web hosting provider's remote server and direct TCP/IP connection to this host is denied on the security grounds, but there is a "local" MySQL account that can be used in scripts (PHP, ASP etc.) or in PHPMyAdmin. HTTP connection uses port #80, which is also used for common work of web-browser. HTTP server (eg. Apache) and PHP with MySQL extension must be installed on the remote host. As a rule this software is offered by all hosting providers that allot hosting on Linux-based servers.

To create HTTP-tunnel you need to upload emsproxy.php script (included to program pack) to your webserver. Our program uses this script for transferring data through HTTP. The uploaded script file must be accessible on a URL address (for example in the directory with other scripts). If your webserver meets all the requirements listed above and the script was copied correctly then on opening the 'http://<your_webserver_name>/emsproxy.php' page you will see: 'EmsProxy v1.31' (version can be different). To register a database with HTTP connection you need to define the following parameters in Register Database Wizard:

URL

Address where emsproxy.php script file is located (e.g. http://mywebserver/emsproxy.php).

Appendix - HTTP tunneling options

Script implements connection to MySQL server using authorization information defined in SQL Manager. Script also gets all further queries from SQL Manager to perform and to send results back to SQL Manager. Script itself (as opposed to SSH-server) doesn't require authorization. Thereby, to create an HTTP-tunnel you need only MySQL account. Host from which the connection to my sql is performed is a host, where HTTP-server is running. Basically (in most of common configurations of provided hosts) it's 'localhost' (i.e. HTTP-server and MySQL host are running on the same machine).

What if URL requires additional authorization? If it is a common website or proxy authorization (i.e. window with login/password form appears on opening URL-address) then the window requesting authorization info appears in SQL Manager when trying to connect to the database. Additional authorization can be caused by redirection to HTML-page requesting password and saving data to cookie are. Such cases are not supported.


SQL Manager Direct

SQL Manager Direct is a feature of SQL Manager for MySQL which provides you with quick access to the related Internet resources and allows you to keep your SQL Manager version up-to-date.

To open the SQL Manager Direct window, select the Help | SQL Manager Direct item from the main menu.

Links to sqlmanager.net resources provided by the SQL Manager Direct window are grouped into several sections:

  • SQL Manager for MySQL News
  • General Information
  • Downloads
  • Related Products

Upon a link selection you will be immediately forwarded to the corresponding resource.

SQL Manager for MySQL News

This section takes you directly to the latest EMS news column. Using the links you can get up-to-date news, product information and downloads from sqlmanager.net.

General Information

This section offers a number of links to product news, features, Feature Matrix, system requirements, testimonials and much more.

Downloads

Using links of this section you can download other product versions from the download page.

Related Products

This section allows you to browse the list of related products developed by EMS Database Management Solutions, Inc.

Appendix - SQL Manager Direct

Use the btnBack btnForward buttons to navigate in the same way as you normally do it using a web browser.

Click the Update button to refresh the page.

CheckBox Automatically poll network in interval (in days)

If this option is selected, the page is refreshed automatically after the specified time interval. Use the spinner control to set the interval (in days).

In the Status area at the bottom of the SQL Manager Direct window you can find the status of your request to the sqlmanager.net website.


Login Host / Database Login dialogs

The Login Host dialog appears each time a request is sent to the server which requires authentication. The application prompts you to specify host connection parameters to access the specified host: user name, password, client charset, and SSH tunneling or HTTP tunneling settings (if used).

Appendix - Login Host

Once you have specified the connection properties, you can check whether it is possible to establish connection to the server: click the Test Connection button for this purpose. If connection is successful, you will get the 'Connected!' message; otherwise an error message will be returned.

The Database Login dialog appears on attempt to connect to a database if the Login prompt before connection option is enabled on the Options page of the Database Registration Info dialog.

Appendix - Database Login

Note: The SSH user name and SSH password boxes are available only if SSH tunneling is used for the database connection.

Specify user name / password, SSH user name / SSH password (if necessary) and click OK to start working with the database.


Overwriting existing output file

If a file having the same name as specified for an output file generated by SQL Manager already exists, a warning dialog is displayed.

Appendix - Overwrite File Warning dialog

You can Overwrite the file, Make it Unique, or Cancel both and change the path or file name manually.

The application makes the file unique by adding the current timestamp to the specified file name if the CheckBox Add Timestamp to filename option is enabled, or by adding a simple numeric postfix to the file name if this option is disabled.


Script conversion

The Script conversion dialog allows you to select encoding to be used for script conversion upon loading script to one of SQL Manager editors (SQL Editor, SQL Script Editor) from an external file.

Appendix - Script conversion

RadioButton Windows default

Specifies that the standard Windows encoding will be used for the script conversion.

RadioButton Database default

Specifies that the default encoding of the database will be used for the script conversion.

RadioButton Other encoding

Allows you to select the encoding that will be used for the script conversion.

Preview

This area displays the script with the current encoding parameters applied.


Storage engines reference

MySQL provides several storage engines that act as handlers for different table types. All MySQL storage engines include:

  • those that handle transaction-safe tables;
  • those that handle non-transaction-safe tables.

ISAM

It was the original storage engine which managed non-transactional tables. ISAM was deprecated in MySQL 4.1, and is not supported in the latest versions of the server. This engine was replaced with MyISAM.

MyISAM

It is the table handler that replaced ISAM. MyISAM manages non-transactional tables. It provides high-speed storage and retrieval, as well as fulltext searching capabilities.

Each MyISAM table is stored on disk in three files:

*.frm - the file that stores the table format;

*.MYD (MYData) - the data file;

*.MYI (MYIndex) - the index file.

HEAP (also known as MEMORY)

This storage engine handle non-transactional tables and provides in-memory tables, i.e. the table data are only stored in memory.

Each MEMORY table is associated with one disk file. The file name begins with the table name and has the *.frm extension to indicate that it stores the table definition.

MEMORY tables use hash indexes by default, which makes them fast, and very useful for creating temporary tables.

MERGE (also known as MRG_MyISAM)

This storage engine handles a collection of identical (i.e. having identical column and index information) MyISAM tables that can be used as one table.

When one creates a MERGE table, two files are created on disk:

*.frm - the file that stores the table format;

*.MRG - the file which contains the names of the tables that should be used as one.

InnoDB

This storage engine handles transaction-safe tables with row locking and foreign key support (since MySQL version 3.23.44 only).

Being a transaction-safe (ACID compliant) storage engine, InnoDB has commit, rollback, and crash recovery capabilities. Locking is performed on the row level; also, an Oracle-style consistent non-locking read in SELECT statements is provided. These features increase multi-user concurrency and performance.

The FOREIGN KEY constraints supported by InnoDB can freely mix InnoDB tables with tables from other MySQL storage engines, even within the same statement.

InnoDB has been designed for maximum performance when processing large data volumes. Tables and indexes are stored in a tablespace which may consist of several files (or raw disk partitions). InnoDB tables can be of any size even on operating systems where file size is limited to 2GB.

BDB (also known as BerkeleyDB)

This storage engine is provided by Sleepycat Software. The BerkeleyDB transactional storage engine handles transaction-safe tables with page locking. BDB tables are capable of COMMIT and ROLLBACK operations on transactions.

BerkeleyDB is not supported in the latest versions of the server.

EXAMPLE

This is a stub engine: its purpose is to serve as an example in the MySQL source code that illustrates how to begin writing new storage engines.

An EXAMPLE table is stored in a table format (*.frm) file on disk. No data can be stored into the table, and retrievals return an empty result.

Indexing is not supported either.

As such, the EXAMPLE storage engine is primarily of interest to developers.

FEDERATED

This storage engine was added in MySQL 5.0.3. Data are stored in a remote database, and the FEDERATED storage engine enables data to be accessed from a remote MySQL database on a local server without using replication or cluster technology.

When using a FEDERATED table, queries on the local server are automatically executed on the remote (federated) tables. No data are stored in the local tables.

The FEDERATED table definition is the same as with standard storage engines (such as MyISAM or InnoDB, where each table consists of the table definition and the associated data), but the physical storage of the data is handled on a remote server.

SELECT statements and INSERT, UPDATE, DELETE operations are sent to the remote server for execution, where they update the data file on the remote server or return matching rows from the remote server.

ARCHIVE

This storage engine is used for storing large amounts of data without indexes with a very small footprint.

When an ARCHIVE table is created, the server creates the following files in the database directory:

*.frm - a table format file;

*.ARZ - data files;

*.ARM - metadata files;

*.ARN - the file that appears during optimization operations.

Rows are compressed as they are inserted. The ARCHIVE engine uses zlib lossless data compression. On retrieval, rows are uncompressed on demand; there is no row cache.

CSV

This storage engine stores data in text files using comma-separated values format.

When an CSV table is created, the server creates two files in the database directory:

*.frm - a table format file;

*.CSV - a data file (a plain text file);

*.CSM - a Meta-file that stores the state of the table and the number of rows that exist in the table (in MySQL 5.1.9 and later).

When data are stored into the table, the storage engine saves them into the data file in the comma-separated values format.

The CSV storage engine does not support indexing.

BLACKHOLE

This storage engine accepts data but throws it away and does not store it, therefore retrievals always return an empty result.

When an BLACKHOLE table is created, the server creates a table format (*.frm) file in the database directory.

The BLACKHOLE storage engine supports all kinds of indexes.

Inserts into a BLACKHOLE table do not store any data, but if the binary log is enabled, the SQL statements are logged (and replicated to slave servers). This can be useful as a repeater or filter mechanism.

FALCON

This storage engine has been designed to meet modern database requirements, and particularly for use within high-volume web serving or other environment that requires high performance, while still supporting the transactional and logging functionality required in this environment. Falcon has been specially developed for systems that are able to support larger memory architectures and multi-threaded or multi-core CPU environments. Most 64-bit architectures are ideal platforms for the FALCON engine, where there is a larger available memory space and 2-, 4- or 8-core CPUs available. Falcon supports all of the standard column data types supported by MySQL.

NDB Cluster

It is the storage engine used by MySQL Cluster to implement tables that are partitioned over many computers.

GEMINI

It is a table type developed by NuSphere Company. GEMINI is not released under an Open Source license.

For details refer to the official MySQL documentation.


Select Object dialog

The Select Object dialog appears each time the application requests a database object selection, e.g. upon a root object selection for the Dependency Tree tool, or when choosing an object to be added to a project.

Appendix - Select Object

First select the object type in the list on the left-hand side of the window. Pick the object you need and click OK the apply your selection.


SQL Manager shortcuts

Database management:

Shift+Ctrl+R | Register a MySQL host using Register Database Wizard
Shift+Alt+R | Register a database using Register Database Wizard
Shift+Alt+U | Unregister the selected database
Shift+Ctrl+C | Connect to a database
Shift+Ctrl+D | Disconnect from a database

Database objects management:

Ctrl+N | Create a new object (the object type depends on the current selection)
Ctrl+O | Edit the selected object in its editor
Ctrl+R | Rename the selected object
Shift+Del | Drop the selected object
Ctrl+Shift+C | Collapse the current DB Explorer tree branch and switch selection to the parent tree node

SQL Manager tools:

F11 | View/hide Database Explorer
Ctrl+F | Search for an item in the DB Explorer tree
Shift+Ctrl+T | Open the To-Do List window
F12 | Show SQL Editor
Shift+F12 | Open a new instance of SQL Editor
Shift+Ctrl+M | Open SQL Monitor
Shift+Ctrl+S | Open SQL Script Editor
Shift+Ctrl+L | Open Localization Editor
Ins | Add a new table subobject (the subobject type depends on the current tab selection)
Ctrl+Ins | Add a parameter in Procedure Editor and Function Editor
Ctrl+Del | Remove a parameter in Procedure Editor and Function Editor
Ctrl+Up | Move an argument up in Procedure Editor and Function Editor
Ctrl+Down | Move an argument down in Procedure Editor and Function Editor
Ctrl+I | Start incremental search

SQL Editor and SQL Script (fixed and default):

F9 | Execute query/script
Alt+F9 | Execute selected only
Ctrl+Alt+F9 | Execute under cursor
Ctrl+Alt+F2 | Reset execution point (SQL Editor only)
Shift+Ctrl+<digit> | Toggle bookmark #<digit>
Ctrl+<digit> | Go to bookmark #<digit>
Ctrl+Q,N | Go to next bookmark
Ctrl+Q,P | Go to previous bookmark
F2 | Drop marker to current position
Esc | Collect marker (jump back)
Shift+Esc | Swap marker to current position
Ctrl+Z; Alt+BkSp | Undo
Shift+Ctrl+Z; Shift+Alt+BkSp | Redo
Ctrl+F | Search for text using the Find Text dialog
Ctrl+R | Replace text using the Replace Text dialog
F3 | Search next
Ctrl+I | Start incremental search
Alt+G | Go to line number (an input number dialog prompts for the number)
Ctrl+L | Load a script from an external file
Ctrl+S | Load the script to an external file
Shift+Ctrl+F | Format the SQL text using SQL Formatter
Alt+<symbol> | Switch to the query with <&symbol> in its name (SQL Editor only)
Ctrl+J | Insert a keyboard template
Сtrl+D | Toggle query results display mode (at the Edit tab or at a separate one)
Ctrl+Alt+Left | Switch to the next tab of SQL Editor
Ctrl+Alt+Right | Switch to the previous tab of SQL Editor
Ctrl+Alt+PgUp | Switch to the last tab of SQL Editor
Ctrl+Alt+PgDown | Switch to the first tab of SQL Editor
Ctrl+Q,S | Move cursor to beginning of line
Ctrl+Q,D | Move cursor to end of line
Ctrl+Q,R | Move cursor to absolute beginning
Ctrl+Q,C | Move cursor to absolute end
Ctrl+O,N | Normal selection mode
Ctrl+O,L | Line selection mode
Ctrl+O,C | Column selection mode
Shift+Ctrl+Left | Select the previous word
Shift+Ctrl+Right | Select the next word
Shift+Home | Select text to the beginning of the line
Shift+End | Select text to the end of the line
Shift+PageUp | Select one page up
Shift+PageDown | Select one page down
Shift+Ctrl+PageUp | Select text to the first line on the page
Shift+Ctrl+PageDown | Select text to the last line on the page
Shift+Ctrl+Home | Select text to the absolute beginning
Shift+Ctrl+End | Select text to the absolute end
Shift+Alt+Left | Select column symbol-by-symbol to the left
Shift+Alt+Right | Select column symbol-by-symbol to the right
Shift+Alt+Up | Select column upwards
Shift+Alt+Down | Select column downwards
Shift+Ctrl+Alt+Left | Select column word-by-word to the left
Shift+Ctrl+Alt+Right | Select column word-by-word to the right
Shift+Alt+Home | Select column to the beginning of line
Shift+Alt+End | Select column to the end of line
Shift+Alt+PageUp | Select column to the beginning of the page
Shift+Alt+PageDown | Select column to the end of the page
Shift+Ctrl+Alt+Home | Select column from the current cursor position to the beginning of the first line
Shift+Ctrl+Alt+End | Select column from the current cursor position to the beginning of the last line
Ctrl+Up | Scroll up one line with cursor position unchanged
Ctrl+Down | Scroll down one line with cursor position unchanged
Alt+Down, Alt+Up | Toggle case of a current word
Ctrl+Alt+Up | Toggle case to upper of a current selection or char
Ctrl+Alt+Down | Toggle case to lower of a current selection or char
Ctrl+G+T | Toggle folding
Ctrl+G,Ctrl+F | Collapse block at current line
Ctrl+G,Ctrl+E | Expand block at current line
Ctrl+G,Ctrl+C | Collapse/Expand block at current line
Ctrl+G,Ctrl+M | Collapse all blocks in the text
Ctrl+G,Ctrl+P | Expand all blocks in the text
Ctrl+= | Collapse/expand the nearest block
Shift+Ctrl+B | Jump to matching bracket (change range side)
Shift+Ctrl+I | Indent selected block
Shift+Ctrl+U; Shift+Tab | Unindent selected block
Ctrl+/ | Comment/uncomment selected block
Ctrl+Space | Show code completion
Ctrl+Alt+Space | Show character map
Ctrl+Alt+P | Show procedures
Ctrl+Alt+N | Show functions
Ctrl+Alt+V | Show views
Ctrl+Alt+S | Show SQL keywords
Ctrl+Alt+T | Show tables
Ctrl+Alt+U | Show user-defined functions
Ctrl+Alt+G | Show triggers
Ctrl+Alt+E | Show events
Ctrl+Alt+Enter | Select table in DB Explorer
Shift+Ctrl+Space | Show code parameters
Ctrl+C; Ctrl+Ins | Copy selection to Clipboard
Ctrl+X; Shift+Del | Cut selection to Clipboard
Ctrl+V; Shift+Ins | Paste Clipboard to current position
Ctrl+Del | Delete from cursor to the next word
Ctrl+BkSp | Delete from cursor to the end of the previous word
Ctrl+B | Delete from cursor to the beginning of the line
Shift+Ctrl+Y | Delete from cursor to the end of the line
Ctrl+Y | Delete the current line
Ctrl+M; Enter; Shift+Enter | Break line at current position, move caret to a new line
Ctrl+Alt+I | Insert Tab char
Shift+Ctrl+R | Start macro recording
Shift+Ctrl+P | Play macro
Alt+End | Skip misprint
Ctrl+Alt+End | Skip all misprints
Alt+Home | Correct all misprints
F5 | Toggle breakpoint
Shift+F5 | Enable breakpoint
Ctrl+F1 | Show original help

Print Data View:

Ctrl+O | Load a printing report from a file
Ctrl+S | Save the report to file
Ctrl+P | Open the Print dialog
Ctrl+Home | Go to the first page
Ctrl+Up | Go to the previous page
Ctrl+Down | Go to the next page
Ctrl+End | Go to the last page
Ctrl+D | Open Report Formatter
Ctrl+\ | Zoom 100%
Ctrl+0 | Zoom page width
Ctrl+1 | Whole page
Ctrl+2 | Two pages
Ctrl+4 | Four pages
Ctrl+W | Widen to source width
Ctrl+M | Show/hide margins
Ctrl+K | Set background color for the report

Working with windows, menus and tabs:

Ctrl+Tab | Switch to the next tab
Ctrl+Alt-0 | Open Windows List
Ctrl+Alt+D | Set defaults to all windows
Ctrl+F6 | Switch to the previous window
F6 | Switch to the next window
Ctrl+W | Close the active window
Ctrl+Down | Expand a collapsed menu